$(function() {
  /* ChartJS
   * -------
   * Data and config for chartjs
   */
  'use strict';
    
    let partner_wise = '';
    let gender = '';
    let partner_vs_jeevitam = '';
    let top_job_roles = '';
    let top_work_type = '';
    let top_state = '';
  
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/get_data_for_summary.php",
        data: {},
        dataType: 'json',
        async : false,
        success: function (data) {
            partner_wise = data.partner_wise;
            gender = data.gender;
            partner_vs_jeevitam = data.partner_vs_jeevitam;
            top_job_roles = data.top_job_roles;
            top_work_type = data.top_work_type;
            top_state = data.top_state;
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
    
    // Partner wise Data
    
    const partners = partner_wise.map(obj=>obj.partner_name);
    const partners_data = partner_wise.map(obj=>obj.total);
    
    var doughnutPieData = {
    datasets: [{
      data: partners_data,
      backgroundColor: [
        '#D81B60',    // Ruby Pink
        '#D582E3',    // Light Purple
        '#C0CA33',   // Yellow Green
        '#6200EE',   // Dark Blue
        // '#962F8D'
        // '#EFA221'
        '#EFB19E'
        // '#6EA8C9'
      ],
      borderColor: [
        '#D81B60',      // Ruby Pink border
        '#D582E3',      // Light Purple Border
        '#C0CA33',     // Yellow Green border
        '#6200EE',      // Dark Blue Border
        // '#962F8D'
        // '#EFA221'
        '#EFB19E'
        // '#6EA8C9'
      ],
    }],
    labels: partners
  };

  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    },
    legend: {
						display: true,
						position: 'right',
						labels: { boxWidth: 15 }
					}
  };
  
  // Partner wise Data End
  
  // Gender wise Data
    
  var genderData = {
    datasets: [{
      data: [gender[0].male , gender[0].female],
      backgroundColor: [
        '#6200EE',    //Dark Blue
        // '#4285F4'     //Light Blue
        '#6EAEE4'
      ],
      borderColor: [
        '#6200EE',  // Dark Blue Border
        // '#4285F4'    // Light Blue Border
        '#6EAEE4'
      ],
    }],
    labels: [
      'Male',
      'Female'
    ]
  };

  var genderOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    },
    legend: {
						display: true,
						position: 'right',
						labels: { boxWidth: 15 }
					}
  };

    // Gender wise Data End
    
    // Partner vs Jeevitam Data
  
  var candidateData = {
    datasets: [{
      data: [partner_vs_jeevitam[0].jeevitam , partner_vs_jeevitam[0].not_jeevitam],
      backgroundColor: [
        '#90EE90',    // Light Green
        '#027148'     // Green
      ],
      borderColor: [
        '#90EE90',  // Light Green Border
        '#027148'    // Green Border
      ],
    }],
    labels: [
      'Jeevitam Data',
      'Partners Data'
    ]
  };

  var candidateOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    },
    legend: {
						display: true,
						position: 'right',
						labels: { boxWidth: 15}
					}
  };
   
   // Partnet vs Jeevitam Data End
   
   // Top 5 work Role Data
    
    const job_roles = top_job_roles.map(obj=>obj.work_role);
    const job_role_mapped = top_job_roles.map(obj=>obj.total);
    
  var data = {
    labels: job_roles,
    datasets: [{
      label: 'Candidates Offered',
      data: job_role_mapped,
      backgroundColor: [
        '#D582E3',    // Light Purple
        '#D582E3',    // Light Purple
        '#D582E3',    // Light Purple
        '#D582E3',    // Light Purple
        '#D582E3',    // Light Purple
      ],
      borderColor: [
        '#D582E3',      // Light Purple Border
        '#D582E3',      // Light Purple Border
        '#D582E3',      // Light Purple Border
        '#D582E3',      // Light Purple Border
        '#D582E3',      // Light Purple Border
      ],
      borderWidth: 1,
      fill: false
    }]
  };
  
  var options = {
    scales: {
      yAxes: [{
        ticks: {
          beginAtZero: true
        }
      }]
    },
    legend: {
      display: false
    },
    elements: {
      point: {
        radius: 0
      }
    }
  };
  
  // Top 5 work Role Data End
  
  // Top 3 Work Type Data
  
   const work_type = top_work_type.map(obj=>obj.type_of_job);
    const top_work_type_mapped = top_work_type.map(obj=>obj.total);
  
  var data1 = {
    labels: work_type,
    datasets: [{
      label: '# of Candidates',
      data: top_work_type_mapped,
      backgroundColor: [
        // '#FFC107',    // Yellow
        '#90EE90',    // Light Green
        '#90EE90',    // Light Green
        '#90EE90',    // Light Green
      ],
      borderColor: [
        '#90EE90',      // Light Green Border
        '#90EE90',      // Light Green Border
        '#90EE90',      // Light Green Border
      ],
      borderWidth: 1,
      fill: false
    }]
  };

  var options1 = {
    scales: {
      yAxes: [{
        ticks: {
          beginAtZero: true
        }
      },
      ],
      xAxes: [{
        ticks: {
          beginAtZero: false,
          min: 2000,
            max: 14000,
            stepSize: 2000
        }
      },
      ],
    },
    legend: {
      display: false
    },
    elements: {
      point: {
        radius: 0
      }
    }
  };

// Top 3 Work Type Data End

// Top 3 State Data

const state = top_state.map(obj=>obj.state);
    const top_state_mapped = top_state.map(obj=>obj.total);

  var data2 = {
    labels: state,
    datasets: [{
      label: '# of Candidates',
      data: top_state_mapped,
      backgroundColor: [
        // '#F38F4D',    // Orange 
        // '#F38F4D',   // Orange 
        // '#F38F4D',    // Orange 
        '#EE6002',    // Orange 
        '#EE6002',   // Orange 
        '#EE6002',    // Orange 
      ],
      borderColor: [
        // '#F38F4D',    // Orange Border
        // '#F38F4D',    // Orange Border
        // '#F38F4D'    // Orange Border
        '#EE6002',    // Orange 
        '#EE6002',   // Orange 
        '#EE6002',    // Orange 
      ],
      borderWidth: 1,
      fill: false
    }]
  };

  var options2 = {
    scales: {
      yAxes: [{
        ticks: {
          beginAtZero: true
        }
      }],
      xAxes: [{
        ticks: {
          beginAtZero: false,
          min: 0,
            max: 5000,
            stepSize: 1000
        }
      },
      ],
    },
    legend: {
      display: false
    },
    elements: {
      point: {
        radius: 0
      }
    }
  };

 // Top 3 State Data End 


  var chartInstances = {};

  function initializeChart(chartId, chartType, chartData, chartOptions) {
    var ctx = $(chartId).get(0).getContext("2d");
    return new Chart(ctx, {
      type: chartType,
      data: chartData,
      options: chartOptions
    });
  }

  if ($("#barChart").length) {
    chartInstances["barChart"] = initializeChart("#barChart", 'bar', data, options);
  }

  if ($("#barChartone").length) {
    chartInstances["barChartone"] = initializeChart("#barChartone", 'horizontalBar', data1, options1);
  }

  if ($("#barCharttwo").length) {
    chartInstances["barCharttwo"] = initializeChart("#barCharttwo", 'horizontalBar', data2, options2);
  }

  if ($("#doughnutChart").length) {
    chartInstances["doughnutChart"] = initializeChart("#doughnutChart", 'doughnut', doughnutPieData, doughnutPieOptions);
  }

  if ($("#gender_chart").length) {
    chartInstances["gender_chart"] = initializeChart("#gender_chart", 'doughnut', genderData, genderOptions);
  }

  if ($("#candidate_chart").length) {
    chartInstances["candidate_chart"] = initializeChart("#candidate_chart", 'doughnut', candidateData, candidateOptions);
  }

  document.querySelectorAll('.btn-maximize').forEach(button => {
    button.addEventListener('click', function() {
      var card = this.closest('.card');
      var title = card.querySelector('.card-title').innerText;
      var canvas = card.querySelector('canvas');
      var canvasId = canvas.id;

      document.getElementById('maximized-card-title').innerText = title;

      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.remove('d-none');

      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }

      var originalChart = chartInstances[canvasId];
      var chartConfig = {
        type: originalChart.config.type,
        data: originalChart.config.data,
        options: originalChart.config.options
      };

      var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
      window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
    });
  });

  document.querySelector('.btn-close').addEventListener('click', function() {
    var maximizedContainer = document.getElementById('maximized-card-container');
    maximizedContainer.classList.add('d-none');

    if (window.maximizedChartInstance) {
      window.maximizedChartInstance.destroy();
    }
  });
  
});
