var val_from_date = null;
var val_to_date = null;
var request_for = null;
var val_sourced_from = null;

$(document).ready(function () {

	getEnabledSourcesOfLeadsForUser(val_user_id);

});

$('#submit').click(function () {
	request_for = "view_data";
	validateInput(request_for);
});

function getEnabledSourcesOfLeadsForUser(val_user_id){
		
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/get_enabled_sources_of_leads_for_user.php" + "?user_id=" + val_user_id ,
        dataType: 'json',
        success: function (data) {
			
			var arr_enabled_streams = data.list;
			var val_enabled_streams = arr_enabled_streams[0].enabled_streams;
			var option = '';
			
			if(val_enabled_streams !== null){
								
				arr_enabled_streams = val_enabled_streams.split(",");
            
				if (arr_enabled_streams !== null && arr_enabled_streams.length > 0) {
					
					for (var j = 0; j < arr_enabled_streams.length; j++) {
		
						if(j==0){
							option += "<option value='select_all'> -- Select All -- </option>";
						}
		
						option += '<option value="' + arr_enabled_streams[j] + '">' + arr_enabled_streams[j] + '</option>';
		
					}
					
				}
					
			}else{
				option += "<option value=''> -- No Source Enabled -- </option>";
			}
			
			$('#select_sourced_from').html(option);
				
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
		
}	
	
function validateInput(request_for){
	
	val_from_date = $('#from_date').val();
	val_to_date = $('#to_date').val();
	val_sourced_from = $('#select_sourced_from').val();

	var err_count = 0;
	
	if( (val_from_date!=='') || (val_to_date!=='') ){
		
		if((val_from_date === '') || (val_from_date === null)){
			alert("ENTER 'FROM' DATE");
			err_count++;
		}else if((val_to_date === '') || (val_to_date === null)){
			alert("ENTER 'TO' DATE");
			err_count++;
		}else{
			if(!dateRangeValidate(val_from_date, val_to_date)){
				alert("ENTER A VALID DATE RANGE.");
				err_count++;
			}					
		}
		
	}else{
		
		err_count++;
		alert("ENTER 'FROM' & 'TO' DATE RANGE");
		
	}
	
	if(err_count===0 && request_for=="view_data"){
		getDataCount();
	}else if(err_count===0 && request_for=="download_data"){
		
		var url_download_data = "../DTTurboHire/api/work_seeker_v2/download_workseeker_details_data.php?from_date=" + val_from_date + "&to_date=" + val_to_date + "&sourced_from=" + val_sourced_from;
		
		fetch(url_download_data, {
			method: 'GET'
		})
		.then(response => {
			if (!response.ok) {
				throw new Error('Network response was not ok');
			}
			return response.blob();
		})
		.then(blob => {
			const url = window.URL.createObjectURL(blob);
			const a = document.createElement('a');
			a.style.display = 'none';
			a.href = url;
			a.download = 'data_ivr_inbound_calls.csv';
			document.body.appendChild(a);
			a.click();
			window.URL.revokeObjectURL(url);
		})
		.catch(error => console.error('There was a problem with the fetch operation:', error));
		
	}
	
}

function getDataCount(){
		
    var item_per_page = 10;
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_count_for_telecaller.php" + "?from_date=" + val_from_date + "&to_date=" + val_to_date + "&telecaller_user_id=" + val_user_id + "&sourced_from=" + val_sourced_from,
        data: {},
        dataType: 'json',
        success: function (data) {
			
            var totalrecords = data;
            
			$('#label_total_count').text("Total Count : " + totalrecords);
			
			if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
            } else {
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
	
}

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
	
    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_details_for_telecaller.php" + "?from_date=" + val_from_date + "&to_date=" + val_to_date + "&offset=" + start_offset + "&telecaller_user_id=" + val_user_id + "&sourced_from=" + val_sourced_from,
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
				
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
                    
					option += '<td style="text-align: center; vertical-align: middle; ">' ;
								
								//if(transactions[j].telecaller_id === "rrrrr"){
								if(transactions[j].telecaller_id === val_user_id){
									option += '<select disabled class="form-control " ';
								}else{
									option += '<select class="form-control" ';
								}
								
								option +=  ' id="' + 'select_call_status_'+transactions[j].id + '" style="border-color: green; border:1px solid black; color:#000000;"' 
											+ 'onChange="updateCallStatusByTellecaller(\'' + transactions[j].id + '\',\'' + transactions[j].telecaller_id + '\',\'' + transactions[j].telecaller_status + '\');" >';
						
						if(transactions[j].telecaller_status === 'Pending'){
							option += '<option value="Pending" selected>Pending</option>';
						}else{
							option += '<option value="Pending" >Pending</option>';
						}
						
						if(transactions[j].telecaller_status === 'RNR'){
							option += '<option value="RNR" selected>RNR</option>';
						}else{
							option += '<option value="RNR" >RNR</option>';
						}
						
						if(transactions[j].telecaller_status === 'Interested'){
							option += '<option value="Interested" selected>Interested</option>';
						}else{
							option += '<option value="Interested" >Interested</option>';
						}
						
						if(transactions[j].telecaller_status === 'NotInterested'){
							option += '<option value="NotInterested" selected>NotInterested</option>';
						}else{
							option += '<option value="NotInterested" >NotInterested</option>';
						}
						
						if(transactions[j].telecaller_status === 'Callback'){
							option += '<option value="Callback" selected>Callback</option>';
						}else{
							option += '<option value="Callback" >Callback</option>';
						}
						
					option += '</select> </td>';
					
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].first_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].last_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].salutations+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].phone_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].email_id+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].dob+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].qualification_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].year_of_passout+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].currently_working+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].monthly_income+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].working_from+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].exp+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].age+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].state+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].city+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].pincode+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].job_preference+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].work_preference+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].sourced_from+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].specialization+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].university_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].languages+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].created_at+'</td>';
					
                    option += '</tr>';
                }
			
				$('#table_body').html(option);
			
            }else{
				$('#table_body').html("");
			}
            
        }
    });	

}

function updateCallStatusByTellecaller(workseeker_id, telecaller_id, current_telecaller_status){
	
	console.log("(i)--" 
				+	"\n"	
				+ "workseeker_id : " + workseeker_id 
				+	"\n"	
				+ "telecaller_id : " + telecaller_id 
				+	"\n"	
				+ "val_user_id : " + val_user_id );
	
	var telecaller_status = $('#' + 'select_call_status_' + workseeker_id).val();
	
	if((telecaller_id !== 'null')
			&&(telecaller_id !== val_user_id)){
					
		alert("Cannot alter the Status.  \n Already modified by other Telecaller" );
		$('#' + 'select_call_status_' + workseeker_id).val(current_telecaller_status); 

	}else if((telecaller_id === 'null')
				||(telecaller_id === val_user_id)){
		
		$.ajax({
			type: "GET",
			url: "../DTTurboHire/api/work_seeker_v2/update_call_status_by_telecaller.php?telecaller_id=" + val_user_id + "&status_update=" + telecaller_status + "&workseeker_id=" + workseeker_id,
			dataType: 'json',
			success: function (response) {

				alert(response.message);
				
			}
		
		});
			
	}
	
}

function getWorkSeekerTotalCities(){
		
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_total_cities.php",
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
				
                for (var j = 0; j < transactions.length; j++) {
	
					if(j==0){
						option += "<option value='select_all'> -- Select All -- </option>";
					}
	
					option += '<option value="' + transactions[j].city_name + '">' + transactions[j].city_name + '</option>';
	
				}
				
				$('#select_city').html(option);
				
			}
			
		}
	
	});
		
}

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}

