var val_from_date = null;
var val_to_date = null;
var request_for = null;
var val_city = null;
var val_sourced_from = null;

$(document).ready(function () {

	//getWorkSeekerTotalCities();
	//val_city = $('#select_city').val();

});

$('#submit').click(function () {
	request_for = "view_data";
	validateInput(request_for);
});

$('#data_download').click(function () {
	request_for = "download_data";
	validateInput(request_for);
});

$('#select_city').change(function(){
	val_city = $('#select_city').val();
});

function validateInput(request_for){
	
	val_from_date = $('#from_date').val();
	val_to_date = $('#to_date').val();
	val_sourced_from = $('#select_sourced_from').val();

	var err_count = 0;
	
	if( (val_from_date!=='') || (val_to_date!=='') ){
		
		if((val_from_date === '') || (val_from_date === null)){
			alert("ENTER 'FROM' DATE");
			err_count++;
		}else if((val_to_date === '') || (val_to_date === null)){
			alert("ENTER 'TO' DATE");
			err_count++;
		}else{
			if(!dateRangeValidate(val_from_date, val_to_date)){
				alert("ENTER A VALID DATE RANGE.");
				err_count++;
			}					
		}
		
	}else{
		
		err_count++;
		alert("ENTER 'FROM' & 'TO' DATE RANGE");
		
	}
	
	if(err_count===0 && request_for=="view_data"){
		getDataCount();
	}else if(err_count===0 && request_for=="download_data"){
		
		var url_download_data = "../DTTurboHire/api/work_seeker_v2/download_workseeker_details_data.php?from_date=" + val_from_date + "&to_date=" + val_to_date + "&sourced_from=" + val_sourced_from;
		
		fetch(url_download_data, {
			method: 'GET'
		})
		.then(response => {
			if (!response.ok) {
				throw new Error('Network response was not ok');
			}
			return response.blob();
		})
		.then(blob => {
			const url = window.URL.createObjectURL(blob);
			const a = document.createElement('a');
			a.style.display = 'none';
			a.href = url;
			a.download = 'data_ivr_inbound_calls.csv';
			document.body.appendChild(a);
			a.click();
			window.URL.revokeObjectURL(url);
		})
		.catch(error => console.error('There was a problem with the fetch operation:', error));
		
	}
	
}

function getDataCount(){
		
    var item_per_page = 10;
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_count_with_filter.php" + "?from_date=" + val_from_date + "&to_date=" + val_to_date + "&sourced_from=" + val_sourced_from,
        data: {},
        dataType: 'json',
        success: function (data) {
			
            var totalrecords = data;
            
			$('#label_total_count').text("Total Count : " + totalrecords);
			
			if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
            } else {
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
	
}

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
	
    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_details_with_filter.php" + "?from_date=" + val_from_date + "&to_date=" + val_to_date + "&offset=" + start_offset + "&sourced_from=" + val_sourced_from,
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
				
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].first_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].last_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].salutations+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].phone_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].email_id+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].dob+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].qualification_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].year_of_passout+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].currently_working+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].monthly_income+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].working_from+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].exp+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].age+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].state+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].city+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].pincode+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].job_preference+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].work_preference+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].sourced_from+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].specialization+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].university_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].languages+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].created_at+'</td>';
					
                    option += '</tr>';
                }
			
				$('#table_body').html(option);
			
            }else{
				$('#table_body').html("");
			}
            
        }
    });	

}

function getWorkSeekerTotalCities(){
	
		
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/get_workseeker_total_cities.php",
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
				
                for (var j = 0; j < transactions.length; j++) {
	
					if(j==0){
						option += "<option value='select_all'> -- Select All -- </option>";
					}
	
					option += '<option value="' + transactions[j].city_name + '">' + transactions[j].city_name + '</option>';
	
				}
				
				$('#select_city').html(option);
				
			}
			
		}
	
	});
		
}

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}

