$(document).ready(function () {

    $('#btn_register').click(function () {

        var campus_name = $('#campus_name').val().trim();
        var contact_person = $('#contact_person').val().trim();
        var contact_number = $('#contact_number').val().trim();
        var address = $('#address').val().trim();
        var email_id = $('#email_id').val().trim();
        var password = $('#password').val().trim();
        var streams = $('#streams option:selected').val();
        var no_of_students = $('#no_of_students').val();
        var from_date = $('#from_date').val();
        var to_date = $('#to_date').val();
        var error_count = 0;

        if (campus_name === '') {
            $("#campus_name").css('border-color', 'red');
            $('#err_campus_name').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#campus_name").css('border-color', 'green');
            $('#err_campus_name').html('');
        }

        if (contact_person === '') {
            $("#contact_person").css('border-color', 'red');
            $('#err_contact_person').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#contact_person").css('border-color', 'green');
            $('#err_contact_person').html('');
        }

        if (contact_number === '') {
            $("#contact_number").css('border-color', 'red');
            $('#err_contact_number').html('This Field is Mandatory');
            error_count++;
        } else if (contact_number.length !== 10 || !/^[0-9]+$/i.test(contact_number)) {
            $("#contact_number").css('border-color', 'red');
            $('#err_contact_number').html('Invalid Mobile Number');
            error_count++;

        } else {
            $("#contact_number").css('border-color', 'green');
            $('#err_contact_number').html('');
        }

        if (address === '') {
            $("#address").css('border-color', 'red');
            $('#err_address').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#address").css('border-color', 'green');
            $('#err_address').html('');
        }

        if (email_id === '') {
            $("#email_id").css('border-color', 'red');
            $('#err_email_id').html('This Field is Mandatory');
            error_count++;
        } else if (!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(email_id)) {
            $("#email_id").css('border-color', 'red');
            $('#err_email_id').html('Incorrect Email id');
            error_count++;
        } else {
            $("#email_id").css('border-color', 'green');
            $('#err_email_id').html('');
        }

        if (password === '') {
            $("#password").css('border-color', 'red');
            $('#err_password').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#password").css('border-color', 'green');
            $('#err_password').html('');
        }

        if (streams === '') {
            $("#streams").css('border-color', 'red');
            $('#err_streams').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#streams").css('border-color', 'green');
            $('#err_streams').html('');
        }

        if (no_of_students === '') {
            $("#no_of_students").css('border-color', 'red');
            $('#err_no_of_students').html('This Field is Mandatory');
            error_count++;
        } else if (parseInt(no_of_students) < 0) {
            $("#no_of_students").css('border-color', 'red');
            $('#err_no_of_students').html('Invalid');
            error_count++;
        } else {
            $("#no_of_students").css('border-color', 'green');
            $('#err_no_of_students').html('');
        }

        if (from_date === '') {
            $("#from_date").css('border-color', 'red');
            $('#err_from_date').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#from_date").css('border-color', 'green');
            $('#err_from_date').html('');
        }

        if (to_date === '') {
            $("#to_date").css('border-color', 'red');
            $('#err_to_date').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#to_date").css('border-color', 'green');
            $('#err_to_date').html('');
        }


        if (error_count == 0) {
            var formValues = {
                campus_name: campus_name,
                address: address,
                contact_person: contact_person,
                contact_number: contact_number,
                email_id: email_id,
                password: password,
                no_of_students: no_of_students,
                streams: streams,
                from_date: from_date,
                to_date: to_date,
                created_by: val_user_id
            };

            var json = JSON.stringify(formValues);
            console.log(json);
            uploadFile(json);


        } else {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }

    });

    $("#generate").click(function () {
        var pass = randomPassword();
        $('#password').val(pass);
    });

});

async function uploadFile(json) {

    let json_parse = JSON.parse(json);
    let formData = new FormData();
    formData.append("json_data", json);
    formData.append("uploaded_file[]", $('input[type=file]')[0].files[0]);
    $('#modal_prompt_01').show();
    $('#lbl_modal_prompt_01').text("Loading..");
    var response = await fetch('../campus_api/api/create_campus.php', {
        method: "POST",
        body: formData
    });
    var response_json = await response.json()
    console.log(response_json);
    if (response_json.result === 'success') {
        alert(response_json.message);
        $('#modal_prompt_01').hide();
        let mes = "Kindly copy the Campus Credentials. \n\n UserName : " + json_parse.contact_number + "\n Password : " + json_parse.password;
        Swal.fire({
            title: mes,
            confirmButtonColor: "#30BAA3",
            confirmButtonText: "OK"
        }).then((result) => {
            if (result.isConfirmed) {
                window.location.reload();
            }
        });

    } else {
        $('#modal_prompt_01').hide();
        alert(response_json.message);
    }
}

function randomPassword() {
    // var chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOP1234567890";
    var chars = "abcdefghijklmnopqrstuvwxyz!@#$%^&*()-+<>ABCDEFGHIJKLMNOP1234567890";
    var pass = "";
    for (var x = 0; x < 8; x++) {
        var i = Math.floor(Math.random() * chars.length);
        pass += chars.charAt(i);
    }
    return pass;
}
