$(document).ready(function () {

    var city_count = 0;

    $('#image').hide();

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/cities_languages/get_all_cities.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].city_id + '>' + transactions[j].city_name + '</option>';
                }
            }

            $('#select_cities').html(option);
            
        }
    });

    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/industry/get_all_category.php",
        data: {
        },
        dataType: 'json',
        success: function (data) {

            transactions = data.list;

            var option = '';
            option += '<option value=' + "" + '>' + "Select Industry" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].industry_name + '</option>';
                }
            }

            $('#select_industry').html(option);

            $('#select_industry').change(function () {

                var id = $('#select_industry').val();

                $.ajax({
                    type: "GET",
                    url: "..//DTTurboHire/api/industry/get_all_sub_category.php?id=" + id,
                    data: {
                    },
                    dataType: 'json',
                    success: function (data) {

                        transactions = data.list;

                        var option = '';
                        option += '<option value=' + "" + '>' + "Select Sub Industry" + '</option>';
                        if (transactions !== null && transactions.length > 0) {
                            for (var j = 0; j < transactions.length; j++) {

                                option += '<option value=' + transactions[j].id + '>' + transactions[j].industry_sub_category_name + '</option>';
                            }
                        }

                        $('#select_sub_industry').html(option);

                    }
                });
            });
        }
    });

    $('#btn_register').click(function () {

        var brand_name = $('#input_brand_name').val().trim();
        var person = $('#input_contact_person_name').val().trim();
        var number = $('#input_contact_person_number').val().trim();
        var address = $('#input_address').val().trim();
        var email = $('#input_email_id').val().trim();
        var password = $('#input_password').val().trim();
        var brand_desc = $('#input_brand_description').val().trim();
        var brand_established = $('#input_established_in').val();
        var all_cities = $('#select_cities').val();
        var industry = $('#select_industry option:selected').val();
        var sub_industry = $('#select_sub_industry option:selected').val();
        var no_of_employees = $('#input_no_of_employees').val();
        
        var error_count = 0;

        if (all_cities === '' || all_cities === null || all_cities.length == 0)
        {
            $('.errAllCities').html('  Mandatory');
            error_count++;
        } else {
            $('.errAllCities').html('');
        }

        if (brand_name == '') {
            $('.errBrandName').html('Mandatory');
            error_count++;
        } else {
            $('.errBrandName').html('');
        }
        if (person == '') {
            $('.errContactPerson').html('Mandatory');
            error_count++;
        } else {
            $('.errContactPerson').html('');
        }
        if (email == '') {
            $('.errEmail').html('Mandatory');
            error_count++;
        } else if (!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(email)) {
            $('.errEmail').html('Incorrect Email id');
            error_count++;
        } else {
            $('.errEmail').html('');
        }

        if (number == '') {
            $('.errPhone').html('Mandatory');
            error_count++;
        } else if (number.length != 10 || !/^[0-9]+$/i.test(number)) {
            $('.errPhone').html('Incorrect Mobile Number');
            error_count++;

        } else {
            $('.errPhone').html('');
        }
        if (password == '') {
            $('.errPassword').html('Mandatory');
            error_count++;
        } else {
            $('.errPassword').html('');
        }
        

        if (error_count == 0)
        {
            var formValues = {
                brand: {
                    brand_name: brand_name,
                    contact_person_name: person,
                    contact_person_number: number,
                    operating_address: address,
                    password: password,
                    email: email,
                    username: number,
                    created_by: val_user_id,
                    updated_by: val_user_id,
                    brand_description: brand_desc,
                    industry_operates: industry,
                    sub_industry: sub_industry,
                    established_in: brand_established,
                    brand_image: null,
                    number_of_employees: no_of_employees,
                    marketing_enabled: 1
                    
                },
                city: all_cities
            };

            var json = JSON.stringify(formValues);
            console.log(json);

			$('#modal_prompt_01').show();
			$('#lbl_modal_prompt_01').text("Loading..");
				
            $.ajax({
                type: "post",
                data: json,
                url: '../DTTurboHire/api/brand/create_brand.php',
                success: function (data) {
							
					$('#modal_prompt_01').hide();
			
                    var res = JSON.parse(data);
                    var result = res['result'];
                    var message = res['message'];
                    var id = res['id'];
                    if (result === 'success') {
												
						Swal.fire({
							title: "Created Successfully!",
							confirmButtonColor: "#30BAA3",
							confirmButtonText: "OK"
						}).then((result) => {
							if (result.isConfirmed) {
								window.location.replace("summary.php");
							}
						});
						
                    } else{
                        alert(message);
                    }


                }
            });
        } else
        {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }

    });

    $('#view').click(function () {

        var brand_id = $('#name_of_brand option:selected').val();
        if (brand_id === '') {
            alert("kindly select brand from brand name drop down");
        } else {
            window.location.href = 'view_cities_brand.php?brand_id=' + brand_id;
        }

    });
});
