$(document).ready(function () {

    $("#btn_register").hide();
    $("#mode_physical").hide();
    
    $("#mode").change(function(){
        let mode = $(this).val();
        if(mode === "Physical"){
            $("#mode_physical").show();        
        }else{
            $("#mode_physical").hide();
        }
    });
    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_campus.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Campus" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].campus_name + '</option>';
                }
            }
            $('#campus_id').html(option);
        }
    });

    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_partners.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Partner" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name + '</option>';
                }
            }
            $('#partner_id').html(option);
        }
    });

    $.ajax({
        type: "GET",
        url: "../campus_api/api/get_all_wf_coordinator.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            // option += '<option value=' + "" + '>' +"Select WFCoordinator"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id+'*'+ transactions[j].user_type+ '>' + transactions[j].name +' | '+transactions[j].phone_number +' | '+transactions[j].user_type + '</option>';
                }
            }
            $('#wfc_id').html(option);
            
        }
    });
    
    $('#partner_id').change(function () {
        $('#modal_prompt_01').show();
        $('#lbl_modal_prompt_01').text("We are fetching the jobs associated with partners...");
        let partner_id = $('#partner_id').val();
        $.ajax({
            type: "GET",
            url: "../campus_api/api/get_jobs_by_partner.php?partner_id=" + partner_id,
            data: {},
            dataType: 'json',
            success: function (response) {
                if (response.result === 'success') {
                    $('#modal_prompt_01').hide();
                    $('#jobs').val(response.value);
                    $('#hint_jobs').html("Please edit the job ids as required. ");
                } else {
                    $('#modal_prompt_01').hide();
                    $('#jobs').val('No Jobs');
                }

            }
        });
    });

    $('#btn_register').click(function (event) {
        event.preventDefault();

        var campus_id = $('#campus_id').val().trim();
        var drive_name = $('#drive_name').val().trim();
        var start_date = $('#start_date').val();
        var end_date = $('#end_date').val();
        var poc_name = $('#poc_name').val().trim();
        var poc_number = $('#poc_number').val().trim();
        var mode = $('#mode option:selected').val();
        var partner_id = $('#partner_id').val();
        var jobs = $('#jobs').val().trim();
        
        var errorCount = 0;

        if (campus_id === '') {
            $("#campus_id").css('border-color', 'red');
            $('#err_campus_id').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#campus_id").css('border-color', 'green');
            $('#err_campus_id').html('');
        }

        if (drive_name === '') {
            $("#drive_name").css('border-color', 'red');
            $('#err_drive_name').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#drive_name").css('border-color', 'green');
            $('#err_drive_name').html('');
        }

        if (start_date === '') {
            $("#start_date").css('border-color', 'red');
            $('#err_start_date').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#start_date").css('border-color', 'green');
            $('#err_start_date').html('');
        }

        if (end_date === '') {
            $("#end_date").css('border-color', 'red');
            $('#err_end_date').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#end_date").css('border-color', 'green');
            $('#err_end_date').html('');
        }

        if (poc_name === '') {
            $("#poc_name").css('border-color', 'red');
            $('#err_poc_name').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#poc_name").css('border-color', 'green');
            $('#err_poc_name').html('');
        }

        if (poc_number === '') {
            $("#poc_number").css('border-color', 'red');
            $('#err_poc_number').html('This Field is Mandatory');
            errorCount++;
        } else if (poc_number.length !== 10 || !/^[0-9]+$/i.test(poc_number)) {
            $("#poc_number").css('border-color', 'red');
            $('#err_poc_number').html('Invalid Mobile Number');
            errorCount++;
        } else {
            $("#poc_number").css('border-color', 'green');
            $('#err_poc_number').html('');
        }

        if (mode === '') {
            $("#mode").css('border-color', 'red');
            $('#err_mode').html('This Field is Mandatory');
            errorCount++;
        } else if(mode === 'Physical'){
            $("#mode").css('border-color', 'green');
            $('#err_mode').html('');
            var location_pin = $('#location_pin').val();
            var address = $('#address').val();
            var wfc_id = $('#wfc_id').val();
            
            if (wfc_id === '' || wfc_id === null || wfc_id.length == 0){
                $('#err_wfc_id').html('This Field is Mandatory');
                errorCount++;
            } else {
                $('#err_wfc_id').html('');
            }
            
            if (location_pin === '') {
                $("#location_pin").css('border-color', 'red');
                $('#err_location_pin').html('This Field is Mandatory');
                errorCount++;
            } else {
                $("#location_pin").css('border-color', 'green');
                $('#err_location_pin').html('');
            }
            
            if (address === '') {
                $("#address").css('border-color', 'red');
                $('#err_address').html('This Field is Mandatory');
                errorCount++;
            } else {
                $("#address").css('border-color', 'green');
                $('#err_address').html('');
            }
        }

        if (partner_id === '') {
            $("#partner_id").css('border-color', 'red');
            $('#err_partner_id').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#partner_id").css('border-color', 'green');
            $('#err_partner_id').html('');
        }

        if (jobs === '') {
            $("#jobs").css('border-color', 'red');
            $('#err_jobs').html('This Field is Mandatory');
            errorCount++;
        } else {
            $("#jobs").css('border-color', 'green');
            $('#err_jobs').html('');
        }

        if (errorCount == 0) {
            var formValues = {
                campus_id: campus_id,
                drive_name: drive_name,
                start_date: start_date,
                end_date: end_date,
                poc_name: poc_name,
                poc_number: poc_number,
                mode: mode,
                partner_id: partner_id,
                jobs: jobs,
                created_by: val_user_id,
                location_pin : location_pin,
                address : address,
                wfc_id : wfc_id
            };

            var json = JSON.stringify(formValues);
            console.log(json);
            $('#modal_prompt_01').show();
            $('#lbl_modal_prompt_01').text("Loading..");
            $.ajax({
                type: "POST",
                data: json,
                dataType: "json",
                url: '../campus_api/api/create_drive_for_campus.php',
                success: function (data) {
                    if (data.result === 'success') {
                        alert(data.message);
                        $('#modal_prompt_01').hide();
                        let mes = "Kindly copy the Registration Link. \n\n "
                        let link = "https://jeevitam.com/campus/register.php?cmpid=" + campus_id + "&drvid=" + data.id;
                        let update = updateLink(link, data.id);
                        if (update === 'success') {
                            Swal.fire({
                                title: mes + link,
                                confirmButtonColor: "#30BAA3",
                                confirmButtonText: "OK"
                            }).then((result) => {
                                if (result.isConfirmed) {
                                    window.location.reload();
                                }
                            });
                        } else {
                            alert(update);
                        }

                    } else {
                        alert(data.message);
                    }

                }
            });
        } else {
            $('#status').html(errorCount + ' fields are incorrect. Kindly fill all details properly');
        }
    });

    $('#validate').click(function () {
        var jobs = $('#jobs').val();
        var partner_id = $('#partner_id').val();

        if (jobs !== '' && partner_id !== '') {
            $.ajax({
                type: "GET",
                data: {},
                dataType: "json",
                url: '../campus_api/api/compare_jobs.php?category=' + partner_id + '&jobs=' + jobs,
                success: function (data) {
                    if (data.result === 'success') {
                        alert(data.message);
                        $("#jobs").css('border-color', 'green');
                        $('#err_jobs').html('');
                        $("#partner_id").css('border-color', 'green');
                        $('#err_partner_id').html("");
                        $('#validate').prop('disabled', true);
                        $('#validate').text('Validated');
                        $("#btn_register").show();
                    } else {
                        $("#jobs").css('border-color', 'red');
                        $('#err_jobs').html("Not Matched Jobs : " + data.not_matched_jobs);
                    }

                }
            });
        } else if (jobs === '' || jobs === null) {
            $("#jobs").css('border-color', 'red');
            $('#err_jobs').html(data.message);
        } else if (partner_id === '' || partner_id === null) {
            $("#partner_id").css('border-color', 'red');
            $('#err_partner_id').html("This Field is Mandatory");
        }

    });

});

function updateLink(link, drive_id) {
    // $('#check_link_create').change(function () {
        // if ($('#check_link_create').prop('checked')) {
            let update_status = '';
            var formValues = {
                drive_id : drive_id,
                link : link
            };
        
            var json = JSON.stringify(formValues);
            console.log(json);
            $.ajax({
                type: "POST",
                data: json,
                dataType: "json",
                async: false,  // Make the request synchronous
                url: '../campus_api/api/update_reg_link.php',
                success: function (data) {
                    console.log(data);
                    if (data.result === 'success') {
                        update_status = "success";
                    } else {
                        update_status = "failure";
                    }
        
                }
            });
            return update_status;
        // }else{
        //     return "success";
        // }
    // });
    
}
