$(document).ready(function () {
    $.ajax({
        type: "GET",
        url: "../campus_api/api/get_campus.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Campus" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].campus_name + '</option>';
                }
            }
            $('#campus_id').html(option);
        }
    });
    $('#campus_id').change(function () {
    var campus_id = $(this).val();
    $.ajax({
        type: "GET",
        url: "../campus_api/api/get_drive_for_campus.php?campus_id="+campus_id,
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Drive" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].id + ' | '+transactions[j].drive_name + '</option>';
                }
            }
            $('#drive_id').html(option);
        }
    });
    });
    
    $('#download').click(function () {

        var campus_id = $('#campus_id option:selected').val();
        var drive_id = $('#drive_id option:selected').val();

        var error_count = 0;

        if (campus_id === '') {
            $("#campus_id").css('border-color', 'red');
            $('#err_campus_id').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#campus_id").css('border-color', 'green');
            $('#err_campus_id').html('');
        }

        if (drive_id === '') {
            $("#contdrive_idact_person").css('border-color', 'red');
            $('#err_drive_id').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#drive_id").css('border-color', 'green');
            $('#err_drive_id').html('');
        }


        if (error_count == 0) {
            fetch('../campus_api/api/download_candidates_api.php?campus_id=' + campus_id + '&drive_id=' + drive_id)
                .then(response => response.blob())
                .then(blob => {
                    const url = window.URL.createObjectURL(blob);
                    const a = document.createElement('a');
                    a.style.display = 'none';
                    a.href = url;
                    a.target = '_blank';
                    a.download = 'CampusCandidates.xlsx';
                    document.body.appendChild(a);
                    a.click();
                    window.URL.revokeObjectURL(url);
                })
                .catch(error => console.error('Error downloading the file:', error));
        } else {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }

    });

});

