var val_from_date = null;
var val_to_date = null;
var request_for = null;
var val_call_completion = null;

$(document).ready(function () {

	val_call_completion = $('#select_call_completion').val();

});

$('#submit').click(function () {
	request_for = "view_data";
	validateInput(request_for);
});

$('#data_download').click(function () {
	request_for = "download_data";
	validateInput(request_for);
});

$('#select_call_completion').change(function(){
	val_call_completion = $('#select_call_completion').val();
});

function validateInput(request_for){
	
	val_from_date = $('#from_date').val();
	val_to_date = $('#to_date').val();

	var err_count = 0;
	
	if( (val_from_date!=='') || (val_to_date!=='') ){
		
		if((val_from_date === '') || (val_from_date === null)){
			alert("ENTER 'FROM' DATE");
			err_count++;
		}else if((val_to_date === '') || (val_to_date === null)){
			alert("ENTER 'TO' DATE");
			err_count++;
		}else{
			if(!dateRangeValidate(val_from_date, val_to_date)){
				alert("ENTER A VALID DATE RANGE.");
				err_count++;
			}					
		}
		
	}else{
		
		err_count++;
		alert("ENTER 'FROM' & 'TO' DATE RANGE");
		
	}
	
	if(err_count===0 && request_for=="view_data"){
		getDataCount();
	}else if(err_count===0 && request_for=="download_data"){
		
		var url_download_data = "../DTTurboHire/api/ivr_jeevitam/download_ivr_inbound_calls_data.php?from_date=" + val_from_date + "&to_date=" + val_to_date + "&call_completion=" + val_call_completion;
		
		fetch(url_download_data, {
			method: 'GET'
		})
		.then(response => {
			if (!response.ok) {
				throw new Error('Network response was not ok');
			}
			return response.blob();
		})
		.then(blob => {
			const url = window.URL.createObjectURL(blob);
			const a = document.createElement('a');
			a.style.display = 'none';
			a.href = url;
			a.download = 'data_ivr_inbound_calls.csv';
			document.body.appendChild(a);
			a.click();
			window.URL.revokeObjectURL(url);
		})
		.catch(error => console.error('There was a problem with the fetch operation:', error));
		
	}
	
}

function getDataCount(){
		
    var item_per_page = 10;
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ivr_jeevitam/get_jeevitam_count_with_filter.php" + "?from=" + val_from_date + "&to=" + val_to_date + "&call_completion=" + val_call_completion,
        data: {},
        dataType: 'json',
        success: function (data) {
			
            var totalrecords = data;
            
			$('#label_total_count').text("Total Count : " + totalrecords);
			
			if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
            } else {
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
	
}

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
	
    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/ivr_jeevitam/get_jeevitam_details_with_filter.php" + "?from=" + val_from_date + "&to=" + val_to_date + "&offset=" + start_offset + "&call_completion=" + val_call_completion,
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
				
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].phone_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].full_name+'</td>';
					
					if(transactions[j].name_url=="null"){
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}else if(transactions[j].name_url!==null){
						option += '<td style="text-align: center; vertical-align: middle; ">'	
								+ '<a target="_blank" href="' + transactions[j].name_url 
								+ '">  Name :  <i class="fa fa-volume-up" aria-hidden="true" style="font-size:20px;"></i> </a>' 
								+ '</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}
					
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].dob+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].graduation_year+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].address+'</td>';
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].state+'</td>';                    
					
					if(transactions[j].city_url=="null"){
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}else if(transactions[j].city_url!==null){
						option += '<td style="text-align: center; vertical-align: middle; ">'	
								+ '<a target="_blank" href="' + transactions[j].city_url 
								+ '">  City :  <i class="fa fa-volume-up" aria-hidden="true" style="font-size:20px;"></i> </a>' 
								+ '</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}
					
					if(transactions[j].address_url=="null"){
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}else if(transactions[j].address_url!==null){
						option += '<td style="text-align: center; vertical-align: middle; ">'	
								+ '<a target="_blank" href="' + transactions[j].address_url 
								+ '">  Address :  <i class="fa fa-volume-up" aria-hidden="true" style="font-size:20px;"></i> </a>' 
								+ '</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}
					
					if(transactions[j].currently_working == "0"){
						option += '<td style="text-align: center; vertical-align: middle; ">'+" -- "+'</td>';
					}else if(transactions[j].currently_working == "1"){
						option += '<td style="text-align: center; vertical-align: middle; ">'+ "YES" +'</td>';
					}else if(transactions[j].currently_working == "2"){
						option += '<td style="text-align: center; vertical-align: middle; ">'+ "NO" +'</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">'+" -- "+'</td>';
					}
					
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].languages_known+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].pincode+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].salary+'</td>';
                    
					if(transactions[j].field_of_interest_text!==null 
							&& transactions[j].field_of_interest_text!==""){
						option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].field_of_interest_text+'</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">'+ " -- " +'</td>';
					}
					
					if(transactions[j].field_of_interest=="null"){
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}else if(transactions[j].field_of_interest!==null){
						option += '<td style="text-align: center; vertical-align: middle; ">'	
								+ '<a target="_blank" href="' + transactions[j].field_of_interest 
								+ '">  Interest :  <i class="fa fa-volume-up" aria-hidden="true" style="font-size:20px;"></i> </a>' 
								+ '</td>';
					}else{
						option += '<td style="text-align: center; vertical-align: middle; ">' + " -- " + '</td>';
					}
					
					
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].created_at+'</td>';
                    //option += '<td><button style="padding:10px; background-color:#30BAA3;" class="col-md-12 btn btn-info btn-sm btn-icon-text" onclick="updateStatus(\'' + transactions[j].id + '\',\'' + page + '\');" >Update</button></td>';
                    option += '</tr>';
                }
			
				$('#table_body').html(option);
			
            }else{
				$('#table_body').html("");
			}
            
        }
    });	

}

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}

function updateStatus(id,page){
	
  const {value : email} = Swal.fire({
  title: "Update Status",
  html: `
  <tr class="col-md-12">
	<td class="col-md-3" style="text-align:left;">Select Status</td>
	<td class="col-md-1"> : </td>
	<td class="col-md-8" style="text-align:left;">
	<select class="form-control" id="status" style="border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black;" >
		<option>PENDING</option>
		<option>IN_PROCESS</option>
		<option>CLOSED_SUCCESSFULLY</option>
		<option>CLOSED_UNSUCCESSFULLY</option>
	</select></td></tr>
	<tr class="col-md-12">
	<td class="col-md-3" style="text-align:left;">Comments</td>
		<td class="col-md-1"> : </td>
		<td class="col-md-8" style="text-align:left;">
		<input class="col-md-12 form-group" id="comments" type="text" style="margin:0px; border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black; padding:5px;" placeholder="" value=""/>
		</td></tr>`,
  showCancelButton: true,
  confirmButtonColor: "#30BAA3",
  confirmButtonText: "Send",

}).then((result) => {
  if (result.isConfirmed) {
      var status = $("#status").val();
      var comments = $("#comments").val();
    //   alert(status+" "+comments);
    $('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Loading..");
	var formvalues = {
		status : status,
		comments : comments,
		updated_by : val_user_id,
		id : id
	};
	var json = JSON.stringify(formvalues);
    $.ajax({
        type: "POST",
        url: "../enquiry/api/ivr/update_ivr_enquiry.php",
        dataType: 'json',
        data: json,
        success: function (response) {
        	if(response.result === 'success'){
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: "Updated Successfully!",
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
                getData(10, page, 10);
				
        	}else{
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: response.message,
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
				
        	}
        }		
    });
  }
});

}
