$(document).ready(function () {

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/composite_job_fair/get-all-composite-jobfair.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Work fair"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>'+ transactions[j].id + " | " + transactions[j].name + " | " + transactions[j].date + " to " + transactions[j].end_date + '</option>';
                }
            }
            $('#work_fair').html(option);
        }
    });
    
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/get_supervisors.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Supervisor"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name +' | '+transactions[j].phone_number + '</option>';
                }
            }
            $('#supervisor').html(option);
            
        }
    });
    $("#work_fair").change(function(){
        var work_fair = $("#work_fair").val();
        $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/get_freelancers.php?wf_id="+work_fair,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Freelancer"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name +' | '+transactions[j].phone_number + '</option>';
                }
            }
            $('#freelancer').html(option);
            // $('#freelancer').multiselect({
            //     enableFiltering: true,
            //     includeSelectAllOption: true
            // });
        }
    });
    });
   
function getDays(date1, date2) {
    dt1 = new Date(date1);
    dt2 = new Date(date2);
    return Math.floor((Date.UTC(dt2.getFullYear(), dt2.getMonth(), dt2.getDate()) - Date.UTC(dt1.getFullYear(), dt1.getMonth(), dt1.getDate())) / (1000 * 60 * 60 * 24));
}
$('#submit').click(function () {
    var work_fair = $('#work_fair option:selected').val();
    var supervisor = $('#supervisor option:selected').val();
    var freelancer = $('#freelancer').val();
    var error_count = 0;    // total number of errors
    
    // if (freelancer === '' || freelancer === null || freelancer.length == 0)
    //     {
    //         $('.errFreelancer').html('  Mandatory');
    //         error_count++;
    //     } else {
    //         $('.errFreelancer').html('');
    //     }

    if (work_fair === '') {
        $('.errWorkfair').html('Mandatory');
        $("#work_fair").css("border-color","red");
        error_count++;
    } else {
        var details = $('#work_fair option:selected').text();
        details = details.split("|");
        var date = details[2].split("to");
        date = date[0];
        var updates_date = date.split('-');
        var dtPrev = new Date();
        dtPrev.setFullYear(updates_date[0], updates_date[1] - 1, updates_date[2]);
        var dtToday = new Date();
        var difference = getDays(dtToday, dtPrev);
        if(difference <= 0){
            $('.errWorkfair').html('Can not map for Past Work fairs');
            $("#work_fair").css("border-color","red");
            error_count++;
        }else{
            $("#work_fair").css("border-color","green");
            $('.errWorkfair').html('');
        }
        
    }
    
    if (supervisor === '') {
        $('.errSupervisor').html('Mandatory');
        $("#supervisor").css("border-color","red");
        error_count++;
    } else {
        $("#supervisor").css("border-color","green");
        $('.errSupervisor').html('');
    }
    
    /* Check for error_count */
    if (error_count === 0) {
        
        var formValues = {
                wf_id : work_fair,
                supervisor : supervisor,
                freelancers : freelancer
            };

            var json = JSON.stringify(formValues);
        $('#modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Loading..");
        $.ajax({
            type: "POST",
            data: json,
            dataType: 'json',
            url: '../DTTurboHire/api/work_fair_application/mapping_wf_coordinator.php',
            success: function (data) {
                var result = data.result;
                var message = data.message;
                if (result === 'success') {
                        Swal.fire({
							title: "Updated Successfully!",
							confirmButtonColor: "#30BAA3",
							confirmButtonText: "OK"
						}).then((result) => {
							if (result.isConfirmed) {
								window.location.reload(true);
							}
						});
                        
                    } else
                    {
                        alert(message);
                    }


            },
            error: function (xhr, ajaxOptions, thrownError) {
                console.log("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });

    } else {
        console.log(error_count);
        $('#status').html('Please correct the fields marked in red');
    }
});
});