<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bar Chart Drill-Down</title>
    <!-- Include Required CSS Files -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <style>
        .card {
            margin: 20px auto;
            width: 80%;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
        }
        .card-body {
            padding: 20px;
        }
        .chart-container {
            width: 100%;
            height: 400px;
        }
        /* Initially hide the second and third chart containers */
        #chart2Card, #chart3Card {
            display: none;
        }
    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="main-panel">
            <div class="content-wrapper">
                <!-- Card 1 for Chart 1 (Yearly Data) -->
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">FY-WISE DATA</h4>
                            <div class="chart-container">
                                <canvas id="chart1"></canvas>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Card 2 for Chart 2 (Quarterly Data) -->
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card" id="chart2Card">
                        <div class="card-body">
                            <h4 class="card-title">Quarterly Data</h4>
                            <div class="chart-container">
                                <canvas id="chart2"></canvas>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Card 3 for Chart 3 (Monthly Data) -->
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card" id="chart3Card">
                        <div class="card-body">
                            <h4 class="card-title">Monthly Data</h4>
                            <div class="chart-container">
                                <canvas id="chart3"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Include Chart.js Library -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>
    <!-- Link to External JS File -->
    <script src="js/barclick.js"></script>
</body>
</html>
