<?php

$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>YearWise Data</title>
    <!-- Include Required CSS Files -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <style>
    table {
  background-color: #FFFFFF;
}
        .card {
            margin: 20px auto;
            width: 80%;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
        }

        .card-title-container {
            text-align: center;
            padding: 15px;
            font-size: 1.25rem;
            font-weight: bold;
            background-color: #f9f9f9;
            border-bottom: 1px solid #ddd;
        }

        .card-body {
            padding: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .chart-container {
            width: 80%;
            height: 300px;
            margin-top: 20px;
            /* Space b/w summary card & chart */
        }

        .summary-card {
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 10px;
            background-color: #f9f9f9;
            width: 100%;
            box-sizing: border-box;
            text-align: center;
        }

        .summary-card h5 {
            margin-bottom: 10px;
        }

        /* Initially hide the second & third chart containers */
        #chart2Card,
        #chart3Card {
            display: none;
        }

        .new-card {
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
            margin-bottom: 10px;
            margin-top: 10px;
        }

        .new-card-title {
            padding: 12px;
            background-color: #f9f9f9;
            font-size: 1.0rem;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
            text-align: center;
        }

        .new-card-body {
            text-align: center;
            font-size: 14px;
            font-weight: bold;
            padding: 50px;
            background-color: #FFFFFF;
        }
    </style>
</head>

<body>
    <div class="container-scroller">


        <div class="container-fluid position-sticky page-body-wrapper">
            <!-- sidebar -->

            <!--<div class="main-panel">-->
            <div class="content-wrapper">

                <div class="new-cards-container">
                    <div class="row">
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Teachers</div>
                                <div class="new-card-body">
                                    <p id="teachers"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Total Trainings</div>
                                <div class="new-card-body">
                                    <p id="total_trainings"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Trainings Completed</div>
                                <div class="new-card-body">
                                    <p id="trainings_completed"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Total Applied Count</div>
                                <div class="new-card-body">
                                    <p id="total_applied_count"></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Upcoming</div>
                                <div class="new-card-body">
                                    <p id="upcoming"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Recommend</div>
                                <div class="new-card-body">
                                    <p id="recommend"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Rating</div>
                                <div class="new-card-body">
                                    <p id="rating"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="new-card">
                                <div class="new-card-title">Last Updated</div>
                                <div class="new-card-body">
                                    <p id="last_updated"></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Chart 1 (Yearly Data) -->
                <div class="row" id="drilled_bar_chart">
                    <div class="col-lg-4 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-title-container" id="chart1Title">FY-WISE DATA</div>
                        <div class="card-body">
                            <div id="summaryCard1" class="summary-card">
                                <!--<h5>Yearly Summary</h5>-->
                                <p>Trainings Completed: <span id="summary_completed_year" style="font-weight:bold"> </span></p>
                                <p>Teachers Trained : <span id="summary_trained_year" style="font-weight:bold"> </span></p>
                                <p>Average Size : <span id="summary_avg_size_year" style="font-weight:bold"></span> </p>
                            </div>
                            <div class="chart-container">
                                <canvas id="chart1"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
               
                </div>
               <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                        <div class="card-title-container" id="chart1Title">Region Wise Data</div>
                        <div class="card-body">
                            <div class="chart-container">
                                <canvas id="doughnutChart"></canvas>
                            </div>
                        </div>
                    </div>
                        </div>
                        <div class="col-lg-6 grid-margin stretch-card">
                          <div class="card">
                        <div class="card-title-container" id="chart1Title">Top 5 States</div>
                        <div class="card-body">
                            <div class="chart-container">
                                <canvas id="barChart"></canvas>
                            </div>
                        </div>
                    </div>
</div>
                    
                    </div>
                <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card" >
                            <table class="table table-hover">
                                        <thead id="thead">
                                            <tr>
                                                <th>Region</th>
                                                <th>Registrations</th>
                                                <th>Feedback Given</th>
                                        </tr>
                                        </thead>
                                        <tbody id="result">
                                        </tbody>
                                    </table>
                        </div>
                        <div class="col-lg-2 grid-margin stretch-card" >
                        </div>
                        <div class="col-lg-4">
                            <input type="button" style="margin-top:40px" class="btn btn-primary" id="metrics" name="metrics" value="View Map" onclick="viewMap()">
                         
</div>
                    
                    </div>    
            </div>
            <!--</div>-->
        </div>
    </div>


    <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
    <script src="../JeevitamV2/js/template.js"></script>

    <!-- Include Chart.js Library -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>
    <!-- Link to External JS File -->
    <script src="js/dashboard.js?randStr=<?php echo $randStr; ?>"></script>
</body>

</html>