<?php
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OpenLayers Map with Chennai Areas Markers</title>
  <style>
    #mapdiv {
      width: 100%;
      height: 700px;
    }
  </style>
</head>
<body>
  <div id="mapdiv"></div>
  <script src="http://www.openlayers.org/api/OpenLayers.js"></script>
  <script>
    // Initialize the map
    var map = new OpenLayers.Map("mapdiv");
    map.addLayer(new OpenLayers.Layer.OSM());

    // Helper function for coordinate transformation
    function getLonLat(lon, lat) {
      return new OpenLayers.LonLat(lon, lat).transform(
        new OpenLayers.Projection("EPSG:4326"), // WGS 1984
        map.getProjectionObject() // Spherical Mercator
      );
    }

    // Create markers layer
    var markers = new OpenLayers.Layer.Markers("Markers");
    map.addLayer(markers);

    // Locations within Chennai (with latitude and longitude)
    var locations = [
      { name: "Perungudi", coords: [80.2483, 12.9604] },
      { name: "Guindy", coords: [80.2210, 13.0072] },
      { name: "Adyar", coords: [80.2612, 13.0068] },
      { name: "Velachery", coords: [80.2182, 12.9800] },
      { name: "Tambaram", coords: [80.1102, 12.9229] }
    ];

    // Add markers to the map for each location
    locations.forEach(location => {
      var lonLat = getLonLat(location.coords[0], location.coords[1]);
      var marker = new OpenLayers.Marker(lonLat);
      markers.addMarker(marker);
    });

    var zoom = 12;


    // Center the map on Chennai with an appropriate zoom level
    map.setCenter(getLonLat(80.2483, 12.9604), zoom); // Centered on Perungudi
  </script>
</body>
</html>
