$(function() {
    'use strict';
  
    var work_preference_data = {
      labels: ["Full Time", "Part Time", "Work Abroad", "Study Abroad"],
      datasets: [{
        label: 'No of Registrations',
        data: [10, 19, 8, 15, 12],
        backgroundColor: ['#FF9999', '#FF9999', '#FF9999', '#FF9999'],
        borderColor: ['#FF9999', '#FF9999', '#FF9999', '#FF9999'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var work_preference_options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var declined_reasons_data = {
      labels: ["Low Salary", "Location Issue", "Not Interested in Profile"],
      datasets: [{
        label: '# of Votes',
        data: [18, 3, 7],
        backgroundColor: ['#39bda7', '#39bda7', '#39bda7'],
        borderColor: ['#39bda7', '#39bda7', '#39bda7'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var declined_reasons_options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var mode_of_drives_data = {
      datasets: [{
        data: [50, 30],
        backgroundColor: ['#FFB266', '#994C00'],
        borderColor: ['#FFB266', '#994C00']
      }],
      labels: ["Offline Drive", "Online Drive"]
    };
  
    var mode_of_drives_options = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      },
      // plugins: {
        legend: {
          display: true,
          position: 'right',
          labels: { boxWidth: 15 }
        }
      // }
    };

    var cities_covered_data = {
      datasets: [{
        data: [30, 40, 30, 20],
        backgroundColor: ['#D81B60', '#D582E3', '#C0CA33', '#6200EE'],
        borderColor: ['#D81B60', '#D582E3', '#C0CA33', '#6200EE']
      }],
      labels: ['Chennai', 'Bangalore', 'Trichy', 'Coimbatore']
    };
  
    var cities_covered_options = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      },
      // plugins: {
        legend: {
          display: true,
          position: 'right',
          labels: { boxWidth: 20 }
        }
      // }
    };

    var partners_sponsered_data = {
        datasets: [{
          data: [20, 30, 20, 40],
          backgroundColor: ['#A0A0A0', '#FF66FF', '#9400D3', '#90EE90'],      
          borderColor: ['#A0A0A0', '#FF66FF', '#9400D3', '#90EE90']
        }],
        labels: ['Reacha', 'CSR', 'Pratham', 'Anudip']
      };
    
      var partners_sponsered_options = {
        responsive: true,
        animation: {
          animateScale: true,
          animateRotate: true
        },
        // plugins: {
          
        // }
        legend: {
          display: true,
          position: 'right',
          labels: { boxWidth: 15 },
        }
      };
  
    
    var chartInstances = {};
  
    function initializeChart(chartId, chartType, chartData, chartOptions) {
      var ctx = $(chartId).get(0).getContext("2d");
      return new Chart(ctx, {
        type: chartType,
        data: chartData,
        options: chartOptions
      });
    }
  
    if ($("#work_preference").length) {
       chartInstances["work_preference"] = initializeChart("#work_preference", 'bar', work_preference_data, work_preference_options);
    }
  
    if ($("#declined_reasons").length) {
       chartInstances["declined_reasons"] = initializeChart("#declined_reasons", 'horizontalBar', declined_reasons_data, declined_reasons_options);
    }
  
    if ($("#mode_of_drives").length) {
       chartInstances["mode_of_drives"] = initializeChart("#mode_of_drives", 'doughnut', mode_of_drives_data, mode_of_drives_options);
    }
  
    if ($("#cities_covered").length) {
       chartInstances["cities_covered"] = initializeChart("#cities_covered", 'doughnut', cities_covered_data, cities_covered_options);
    }

    if ($("#partners_sponsered").length) {
        chartInstances["partners_sponsered"] = initializeChart("#partners_sponsered", 'pie', partners_sponsered_data, partners_sponsered_options);
    }
  
    document.querySelectorAll('.btn-maximize').forEach(button => {
      button.addEventListener('click', function() {
        var card = this.closest('.card');
        var title = card.querySelector('.card-title').innerText;
        var canvas = card.querySelector('canvas');
        var canvasId = canvas.id;
  
        document.getElementById('maximized-card-title').innerText = title;
  
        var maximizedContainer = document.getElementById('maximized-card-container');
        maximizedContainer.classList.remove('d-none');
  
        if (window.maximizedChartInstance) {
          window.maximizedChartInstance.destroy();
        }
  
        var originalChart = chartInstances[canvasId];
        var chartConfig = {
          type: originalChart.config.type,
          data: originalChart.config.data,
          options: originalChart.config.options
        };
  
        var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
        window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
      });
    });
  
    document.querySelector('.btn-close').addEventListener('click', function() {
      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.add('d-none');
  
      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }
    });
});
  