// Data and configuration for Bar Chart
var barChartData = {
    labels: ['January', 'February', 'March', 'April', 'May'],
    datasets: [{
        label: 'Sales',
        data: [10, 20, 30, 40, 50],
        backgroundColor: 'rgba(54, 162, 235, 0.6)',
        borderColor: 'rgba(54, 162, 235, 1)',
        borderWidth: 1
    }]
};

var barChartOptions = {
    onClick: function(event, elements) {
        if (elements.length > 0) {
            // Hide the bar chart container
            document.getElementById('barContainer').style.display = 'none';

            // Show the doughnut chart container
            document.getElementById('doughnutContainer').style.display = 'block';

            // Trigger the doughnut chart update with animation
            doughnutChart.destroy();  // Destroy the existing instance
            doughnutChart = new Chart(doughnutChartCtx, { // Recreate the chart
                type: 'doughnut',
                data: doughnutChartData,
                options: doughnutChartOptions
            });
        }
    },
};

var barChartCtx = document.getElementById('barChart').getContext('2d');
var barChart = new Chart(barChartCtx, {
    type: 'bar',
    data: barChartData,
    options: barChartOptions
});

// Data and configuration for Doughnut Chart
var doughnutChartData = {
    labels: ['Red', 'Blue', 'Yellow', 'Green', 'Purple'],
    datasets: [{
        label: 'Votes',
        data: [12, 19, 3, 5, 2],
        backgroundColor: [
            'rgba(255, 99, 132, 0.6)',
            'rgba(54, 162, 235, 0.6)',
            'rgba(255, 206, 86, 0.6)',
            'rgba(75, 192, 192, 0.6)',
            'rgba(153, 102, 255, 0.6)'
        ],
        borderColor: [
            'rgba(255, 99, 132, 1)',
            'rgba(54, 162, 235, 1)',
            'rgba(255, 206, 86, 1)',
            'rgba(75, 192, 192, 1)',
            'rgba(153, 102, 255, 1)'
        ],
        borderWidth: 1
    }]
};

var doughnutChartOptions = {
    responsive: true,
    plugins: {
        legend: {
            display: true,
            position: 'right',
            labels: { boxWidth: 15 }
        }
    },
    animation: {
        animateScale: true,
        animateRotate: true
    }
};

var doughnutChartCtx = document.getElementById('doughnutChart').getContext('2d');
var doughnutChart = new Chart(doughnutChartCtx, {
    type: 'doughnut',
    data: doughnutChartData,
    options: doughnutChartOptions
});
