$(document).ready(function () {
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/jobs/get_inactive_jobs.php",
        data: {},
        dataType: 'json',
        success: function (response) {
            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value="' + transactions[j].id + '">' + transactions[j].name_of_brand + " " + transactions[j].id + " " + transactions[j].name + '</option>';
                }
            }
            $('#jobs').html(option);
        }
    });

    $('#submit_btn').click(function () {
        var error_count = 0;
        var jobs = $("#jobs").val();

        if (jobs.length === 0) {
            $('#err_jobs').html('This Field is Mandatory');
            $('#jobs').addClass('error-border').removeClass('dark-border');
            error_count++;
        } else {
            $('#err_jobs').html('');
            $('#jobs').removeClass('error-border').addClass('dark-border');
        }

        if (error_count === 0) {
            var formValues = {
                user_id: user_id,
                job_ids: jobs,
            };

            $.ajax({
                type: "POST",
                url: "../DTTurboHire/api/jobs/enable_incoming_jobs.php",
                data: JSON.stringify(formValues),
                dataType: 'json',
                success: function (response) {
                    if (response.success) 
                        {
                            Swal.fire({
                                title: 'Success!',
                                text: 'Jobs have been updated successfully.',
                                icon: 'success',
                                confirmButtonText: 'OK'
                            });
                            $('#jobs').val(null).trigger('change');
                        } 
                    else 
                        {
                            Swal.fire({
                                title: 'Error!',
                                text: response.message,
                                icon: 'error',
                                confirmButtonText: 'OK'
                            });
                            $('#jobs').val(null).trigger('change');
                        }
                },
                error: function (xhr, status, error) {
                    Swal.fire({
                        title: 'Error!',
                        text: 'An error occurred while updating the jobs.',
                        icon: 'error',
                        confirmButtonText: 'OK'
                    });
                    $('#jobs').val(null).trigger('change');
                }
            });
        } else {
            console.log(error_count);
        }
    });
});
