$(function() {
    /* ChartJS
     * -------
     * Data and config for chartjs
     */
    'use strict';
    
    var data = {
      labels: ["Website", "IVR", "Workfair", "Campus", "Referral"],
      datasets: [{
        label: 'No of Registrations',
        data: [10, 19, 8, 15, 12],
        backgroundColor: [
          '#D582E3',    // Light Purple
          '#D582E3',    // Light Purple
          '#D582E3',    // Light Purple
          '#D582E3',    // Light Purple
          '#D582E3',    // Light Purple
        ],
        borderColor: [
          '#D582E3',      // Light Purple Border
          '#D582E3',      // Light Purple Border
          '#D582E3',      // Light Purple Border
          '#D582E3',      // Light Purple Border
          '#D582E3',      // Light Purple Border
        ],
        borderWidth: 1,
        fill: false
      }]
    };
    
    var options = {
      scales: {
        yAxes: [{
          ticks: {
            beginAtZero: true
          }
        }]
      },
      legend: {
        display: false
      },
      elements: {
        point: {
          radius: 0
        }
      }
    };
    
    var data1 = {
      labels: ["Low Salary", "Location Issue", "Not Interested in Profile"],
      datasets: [{
        label: '# of Votes',
        data: [18, 3, 7],
        backgroundColor: [
          '#FFC107',    // Yellow
          '#FFC107',    // Yellow
          '#FFC107',    // Yellow
        ],
        borderColor: [
          '#FFC107',      // Yellow Border
          '#FFC107',      // Yellow Border
          '#FFC107',      // Yellow Border
        ],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options1 = {
      scales: {
        yAxes: [{
          ticks: {
            beginAtZero: true
          }
        }]
      },
      legend: {
        display: false
      },
      elements: {
        point: {
          radius: 0
        }
      }
    };
  
    var data2 = {
      labels: ["IT Job", "Non-IT Job", "Unskilled Labours"],
      datasets: [{
        label: '# of Votes',
        data: [18, 7, 12],
        backgroundColor: [
          '#EE6002',    // Orange 
          '#EE6002',   // Orange 
          '#EE6002'    // Orange 
        ],
        borderColor: [
          '#EE6002',    // Orange Border
          '#EE6002',    // Orange Border
          '#EE6002'    // Orange Border
        ],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options2 = {
      scales: {
        yAxes: [{
          ticks: {
            beginAtZero: true
          }
        }]
      },
      legend: {
        display: false
      },
      elements: {
        point: {
          radius: 0
        }
      }
    };
  
    var doughnutPieData = {
      datasets: [{
        data: [30, 40, 30, 20],
        backgroundColor: [
          '#D81B60',    // Ruby Pink
          '#D582E3',    // Light Purple
          '#C0CA33',   // Yellow Green
          '#6200EE'    // Dark Blue
        ],
        borderColor: [
          '#D81B60',      // Ruby Pink border
          '#D582E3',      // Light Purple Border
          '#C0CA33',     // Yellow Green border
          '#6200EE'      // Dark Blue Border
        ],
      }],
      labels: [
        'Reacha',
        'CSR',
        'Pratham',
        'Anudip',
      ]
    };
  
    var doughnutPieOptions = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      }
    };
  
    var candidateData = {
      datasets: [{
        data: [60, 40],
        backgroundColor: [
          '#FFC107',    // Yellow
          '#EE6002'     // Orange
        ],
        borderColor: [
          '#FFC107',  // Yellow Border
          '#EE6002'    // Orange Border
        ],
      }],
      labels: [
        'Reason for Candidate Declined',
        "Profile for Candidate's Applied",
      ]
    };
  
    var candidateOptions = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      }
    };
  
    var genderData = {
      datasets: [{
        data: [60, 40],
        backgroundColor: [
          '#6200EE',    //Dark Blue
          '#4285F4'     //Light Blue
        ],
        borderColor: [
          '#6200EE',  // Dark Blue Border
          '#4285F4'    // Light Blue Border
        ],
      }],
      labels: [
        'Male',
        'Female',
      ]
    };
  
    var genderOptions = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      }
    };
  
    var chartInstances = {};
  
    function initializeChart(chartId, chartType, chartData, chartOptions) {
      var ctx = $(chartId).get(0).getContext("2d");
      return new Chart(ctx, {
        type: chartType,
        data: chartData,
        options: chartOptions
      });
    }
  
    if ($("#barChart").length) {
      chartInstances["barChart"] = initializeChart("#barChart", 'bar', data, options);
    }
  
    if ($("#barChartone").length) {
      chartInstances["barChartone"] = initializeChart("#barChartone", 'horizontalBar', data1, options1);
    }
  
    if ($("#barCharttwo").length) {
      chartInstances["barCharttwo"] = initializeChart("#barCharttwo", 'horizontalBar', data2, options2);
    }
  
    if ($("#doughnutChart").length) {
      chartInstances["doughnutChart"] = initializeChart("#doughnutChart", 'doughnut', doughnutPieData, doughnutPieOptions);
    }
  
    if ($("#gender_chart").length) {
      chartInstances["gender_chart"] = initializeChart("#gender_chart", 'doughnut', genderData, genderOptions);
    }
  
    if ($("#candidate_chart").length) {
      chartInstances["candidate_chart"] = initializeChart("#candidate_chart", 'doughnut', candidateData, candidateOptions);
    }
  
    document.querySelectorAll('.btn-maximize').forEach(button => {
      button.addEventListener('click', function() {
        var card = this.closest('.card');
        var title = card.querySelector('.card-title').innerText;
        var canvas = card.querySelector('canvas');
        var canvasId = canvas.id;
  
        document.getElementById('maximized-card-title').innerText = title;
  
        var maximizedContainer = document.getElementById('maximized-card-container');
        maximizedContainer.classList.remove('d-none');
  
        if (window.maximizedChartInstance) {
          window.maximizedChartInstance.destroy();
        }
  
        var originalChart = chartInstances[canvasId];
        var chartConfig = {
          type: originalChart.config.type,
          data: originalChart.config.data,
          options: originalChart.config.options
        };
  
        var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
        window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
      });
    });
  
    document.querySelector('.btn-close').addEventListener('click', function() {
      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.add('d-none');
  
      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }
    });
    
  });
  