let chartConfig = {
    shapes: [
      {
        type: 'zingchart.maps',
        options: {
          bbox: [67.177, 36.494, 98.403, 6.965], // get bbox from zingchart.maps.getItemInfo('world-countries','ind');
          ignore: ['IND'], // ignore India because we are rendering a more specific India map below
        //   name: 'world.countries',
          panning: false, // turn of zooming. Doesn't work with bounding box
          style: {
            tooltip: {
              borderColor: '#000',
              borderWidth: '2px',
              fontSize: '18px'
            },
            controls: {
              visible: false // turn of zooming. Doesn't work with bounding box
            },
            hoverState: {
              alpha: .28
            }
          },
          zooming: false // turn of zooming. Doesn't work with bounding box
        }
      },
      {
        type: 'zingchart.maps',
        options: {
          name: 'ind',
          panning: false, // turn of zooming. Doesn't work with bounding box
          zooming: false,
          scrolling: false,
          style: {
            tooltip: {
              borderColor: '#000',
              borderWidth: '2px',
              fontSize: '18px'
            },
            borderColor: '#000',
            borderWidth: '2px',
            controls: {
              visible: false, // turn of zooming. Doesn't work with bounding box
  
            },
            hoverState: {
              alpha: .28
            },
            items: {
              KA: {
                tooltip: {
                  text: 'Karnataka has 2,851 monthly users total',
                  backgroundColor: '#ff5722'
                },
                backgroundColor: '#ff5722',
                label: {
                  visible: true
                }
              },
              MH: {
                tooltip: {
                  text: 'Maharashtra has 2,683 monthly users total',
                  backgroundColor: '#33FFFF'
                },
                backgroundColor: '#33FFFF',
                label: {
                  visible: true
                }
              },
              UP: {
                tooltip: {
                  text: 'Uttar Pradesh has 1,110 monthly users total',
                  backgroundColor: '#FF007F'
                },
                backgroundColor: '#FF007F',
                label: {
                  visible: true
                }
              },
              AS: {
                tooltip: {
                  text: 'Assam has 1,110 monthly users total',
                  backgroundColor: '#FFCC99'
                },
                backgroundColor: '#FFCC99',
                label: {
                  visible: true
                }
              },
              AN: {
                tooltip: {
                  text: 'Andaman and Nicobar Islands has 1,110 monthly users total',
                  backgroundColor: '#FFCC99'
                },
                backgroundColor: '#FFCC99',
                label: {
                  visible: true
                }
              },
              TL: {
                tooltip: {
                  text: 'Telangana has 1,494 monthly users total',
                  backgroundColor: '#00AE4D'
                },
                backgroundColor: '#00AE4D',
                label: {
                  visible: true
                }
              },
              TN: {
                tooltip: {
                  text: 'Tamil Nadu has 1,968 monthly users total',
                  backgroundColor: '#00bcd4'
                },
                backgroundColor: '#00bcd4',
                label: {
                  visible: true
                }
              },
              JK: {
                tooltip: {
                  text: 'Jammu and Kashmir has 1,600 monthly users total',
                  backgroundColor: '#B266FF'
                },
                backgroundColor: '#B266FF',
                label: {
                  visible: true
                }
              },
              CT: {
                tooltip: {
                  text: 'Chattisgarh has 700 monthly users total',
                  backgroundColor: '#CCFF99'
                },
                backgroundColor: '#CCFF99',
                label: {
                  visible: true
                }
              },
              AP: {
                tooltip: {
                  text: 'Andhra Pradesh has 2,851 monthly users total',
                  backgroundColor: '#990099'
                },
                backgroundColor: '#990099',
                label: {
                  visible: true
                }
              },
              DD: {
                tooltip: {
                  text: 'Daman and Diu  has 2,851 monthly users total',
                  backgroundColor: '#B2FF66'
                },
                backgroundColor: '#B2FF66',
                label: {
                  visible: true
                }
              },
              DH: {
                tooltip: {
                  text: 'Dadra  has 2,851 monthly users total',
                  backgroundColor: '#B2FF66'
                },
                backgroundColor: '#B2FF66',
                label: {
                  visible: true
                }
              },
            },
            label: {
              fontSize: '15px',
              fontWeight: 'bold',
              visible: false
            }
          }
        }
      }
    ]
  };
  
  zingchart.loadModules('maps,maps-ind');   //,maps-world-countries
  zingchart.render({
    id: 'myChart',
    data: chartConfig,
    height: '100%',
    width: '100%',
  });

