document.addEventListener('DOMContentLoaded', function() {
    const tableBody = document.querySelector('#jobTable tbody');
    if (tableBody) {
        fetch('sample.json') // Ensure this path is correct
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok ' + response.statusText);
                }
                return response.json();
            })
            .then(data => {
                if (data.result === 'success') {
                    data.list.forEach(item => {
                        const row = document.createElement('tr');
                        row.innerHTML = `
                            <td>${item.name_of_brand}</td>
                            <td>${item.name}</td>
                            <td>${item.max_salary}</td>
                            <td><a href="full_time_jobs.php?job_id=${item.job_id}" class="btn btn-primary">View</a></td>
                        `;
                        tableBody.appendChild(row);
                    });
                } else {
                    console.error('No data found');
                }
            })
            .catch(error => console.error('Error fetching data:', error));
    } else {
        console.error('Table body not found');
    }
});
