$(document).ready(function () {
    // Fetch active jobs for incoming
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/jobs/get_active_jobs.php", // Make sure the API endpoint matches your setup
        data: {},
        dataType: 'json',
        success: function (response) {
            var jobs = response.list;
            var rows = '';
            if (jobs !== null && jobs.length > 0) {
                for (var i = 0; i < jobs.length; i++) {
                    rows += '<tr>';
                    rows += '<td>' + (i + 1) + '</td>';
                    rows += '<td>' + jobs[i].id + '</td>';
                    rows += '<td>' + jobs[i].name_of_brand + '</td>';
                    rows += '<td>' + jobs[i].salary_in_hand_min + '</td>';
                    rows += '<td>' + jobs[i].salary_in_hand_max + '</td>';
                    rows += '<td>' + jobs[i].qualification + '</td>';
                    rows += '<td>' + jobs[i].posted_date + '</td>';
                    rows += '<td><button class="btn btn-primary delete-job-btn" data-id="' + jobs[i].id + '">Remove</button></td>';
                    rows += '</tr>';
                }
            } else {
                rows = '<tr><td colspan="8" style="text-align:center;">No active jobs found for incoming calls</td></tr>';
            }
            $('#result').html(rows);
        },
        error: function (xhr, status, error) {
            console.error("Failed to fetch jobs: " + error);
        }
    });

    // Handle delete job button click
    $(document).on('click', '.delete-job-btn', function () {
        var jobId = $(this).data('id');
        if (confirm("Are you sure you want to delete this job?")) {
            $.ajax({
                type: "POST",
                url: "../DTTurboHire/api/jobs/delete_active_jobs.php", 
                data: JSON.stringify({ id: jobId }),
                contentType: "application/json",
                success: function (response) {
                    if (response.success) {
                        alert('Job deleted successfully');
                        location.reload(); 
                    } else {
                        alert('Failed to delete job: ' + response.message);
                    }
                },
                error: function (xhr, status, error) {
                    console.error("Failed to delete job: " + error);
                    alert('Error occurred: ' + xhr.responseText);
                }
            });
        }
    });
});
