var selected_category_id = '';
var selected_category_txt = '';

$(document).ready(function() {

    var modal = document.getElementById('myModal');
    modal.style.display = "none";

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/job_applications/get_categories_list.php",
        data: {},
        dataType: 'json',
        success: function(response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' + "Select Category" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].category_id + '>' + transactions[j].name + '</option>';
                }
            }

            $('#category').html(option);

        }
    });
	
	$('#category').on('change', function() { 
		
        var id = $("#category").val();
		selected_category_id = id;

        if (id == '') {
            alert("Please select a Category.");
        } else {

            $.ajax({
                type: "POST",
                url: "../DTTurboHire/api/job_applications/get_jobs_list_by_category.php?category_id=" + id,
                data: {},
                dataType: 'json',
                success: function(response) {

                    var tdata = "";
                    var transactions = response.list;
					
					var count = transactions.length;
					$('#lbl_count').text("COUNT : " + count);
					
                    if (transactions !== null && transactions.length > 0) {
                        for (var j = 0; j < transactions.length; j++) {

							var job_description = transactions[j].job_description.replace('\"', "");
							job_description = transactions[j].job_description.replace("'", "");
							job_description = transactions[j].job_description.replace('"', "");
							job_description = job_description.replace(/[\n\r]/g, '');

                            tdata += '<tr>';
                            tdata += '<td style="text-align: center; vertical-align: middle;" >' + transactions[j].id + '</td>';
                            tdata += '<td style="text-align: center; vertical-align: middle;" >' + transactions[j].name_of_brand + '</td>';
                            tdata += '<td style="text-align: center; vertical-align: middle;" >' + transactions[j].functional_role_name + '</td>';
                            tdata += '<td id="td_job_desc_id_' + j + '"; style="text-align: center; vertical-align: middle;" ><input type="button" value="VIEW / MODIFY" class="btn btn-primary" onclick="viewOrModifyJobDescription(\'' + "td_job_desc_id_"+j + '\'' +  '\,'  + '\'' + transactions[j].job_description + '\'' + '\,'  + '\'' + transactions[j].id +  '\'' + '\,' + '\'' + transactions[j].has_job_desc_modified_for_ibm + '\');"></td>';
                            tdata += '<td style="text-align: center; vertical-align: middle;" ><input type="button" value="VIEW" class="btn btn-primary" onclick="viewJobDetails(\'' + transactions[j].job_id + '\');"></td>';
                            tdata += '</tr>';

                        }
                    }
                    $('#result').html(tdata);

                }
            });

        }
		
	});

	$("#btn_upload_file").click(function() {
			
		selected_category_txt = $("#category option:selected").text();
			
		if(selected_category_txt !== 'Select Category'){
			$('#modal_upload_file').show();
			$("#lbl_category").text(selected_category_txt);
		}else{
			alert("Please select Category.");
		}
			
	});

	$("#close_modal_upload_file").click(function() {
		$('#upload_jobs_list').val("");
		$('#modal_upload_file').hide();
	});

	$("#close_btn_modal_prompt_01").click(function() {
		$('#modal_prompt_01').hide();
		window.location.reload();
	});

	$("#btn_cancel_reset").click(function() {
		$('#modal_reset').hide();
	});

	$("#btn_proceed_reset").click(function() {
		
		resetJobsList();
		
	});

	$("#btn_reset").click(function() {
			
		selected_category_txt = $("#category option:selected").text();
			
		if(selected_category_txt !== 'Select Category'){
			$('#modal_reset').show();
			$('#lbl_modal_reset_01').html("Do you want to remove all the JOBS under " + "<label style='color:blue;'>" + selected_category_txt + "</label>" + " ?");
		}else{
			alert("Please select Category.");
		}	
		
	});

});

function viewJobDetails(job_id) {

	window.open('https://www.jeevitam.com/admin/view_posted_jobs_latest.php?job_id=' + job_id, '_blank').focus();
	
}

function resetJobsList(){

	var id = $("#category").val();
	selected_category_id = id;

	$.ajax({
		type: "GET",
		url: "../DTTurboHire/api/job_applications/reset_jobs_list_by_category.php?category_id=" + id,
		data: {},
		dataType: 'text',
		success: function(response) {

			$('#modal_reset').hide();

			if(response === '1'){
				alert("Jobs has been removed Successfully.");
				window.location.reload();
			}else{
				alert("Something went wrong. \nPlease try again later.");
				window.location.reload();
			}

		}
	});
	
}

async function uploadJobsListFile() {
    // async function view_modify_job_list() {

	let formData = new FormData();
	formData.append("upload_jobs_list", $('input[type=file]')[0].files[0]);
	formData.append("category_id", $("#category").val());
  
	var response = await fetch('../DTTurboHire/api/job_applications/upload_jobs_list.php', {
		method: "POST", 
		body: formData
	})
	.then((response) => response.json());
	
	var response_json = await response;
 
	if(response_json.result === "success"){		
			
		$('#modal_upload_file').hide();
			
		console.log("response_result : " + response_json.result);
		
		$('#footer_modal_prompt_01').show();
		
		$('#modal_prompt_01').show();
		$('#div_upload_summary_respone').show();		
		$('#lbl_mp1_success').text(response_json.records_upload_success);
		$('#lbl_mp1_failure').text(response_json.records_upload_failure);
		
		$('#lbl_modal_prompt_01').text("Success.. Data Processed.");
		$("#lbl_modal_prompt_01").css("color", "Blue");
		$('#download_data_status').show();
		jsonToExcel(response_json.arr);
// 		$('#download_data_status').attr("href", response_json.upload_status_file_path);
		
	}else{
		
		$('#modal_prompt_01').show();
		$('#footer_modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Error Occurred. Please check the uploaded data & try again.");
		$("#lbl_modal_prompt_01").css("color", "Red");
		
	}
  
}

function jsonToExcel(arr) {

    var response = fetch('../DTTurboHire/api/job_applications/json_to_excel.php', {
        method: "POST",
        body: JSON.stringify(arr)
    })
        .then(response => response.blob())
        .then(blob => {
            const url = window.URL.createObjectURL(blob);
            const a = document.createElement('a');
            a.style.display = 'none';
            a.href = url;
            a.download = 'UploadStatus.xlsx';
            document.body.appendChild(a);
            a.click();
            window.URL.revokeObjectURL(url);
        })
        .catch(error => console.error('Error downloading the file:', error));

}

function viewOrModifyJobDescription(td_id, job_description, job_id, has_job_desc_modified_for_ibm){

	var val_remark = null;
	console.log("has_job_desc_modified_for_ibm : " + has_job_desc_modified_for_ibm);
	if((has_job_desc_modified_for_ibm==null)||
			(has_job_desc_modified_for_ibm=='null')||
				(has_job_desc_modified_for_ibm=='')){
		val_remark = "";
		console.log("IN-01");
	}else{
		val_remark = "( NOTE : Cannot Modify. Already updated.  )";
		console.log("IN-02");
	}

	const {value : text} = Swal.fire({

		  title: "<h3><b>Job Description</b></h3>" + "<h5 style='color:red'>" + val_remark + "</h5>",

		  input: "textarea",

		  inputLabelColor: "#d33",

		  inputValue: job_description,

		  inputPlaceholder: "Enter Job Description",

		  confirmButtonColor: "#30BAA3",

		  confirmButtonText: "UPDATE",
		  
		  showCancelButton: true

		}).then((result) => {

		  if (result.isConfirmed) {

			if((result.value).length > 1000){
				generalSweetAlert("Unable to Update. Content length exceeds '1000' characters.");
			}else{
								
				$('#modal_prompt_01').show();
				$('#lbl_modal_prompt_01').text("Loading..");

				var formValues = {						
									"job_id" : job_id,
									"job_description" : result.value
								};
				var json = JSON.stringify(formValues);

				$.ajax({

					type: "POST",
					url: "../DTTurboHire/api/post-job-v2/update_job_description_from_ibm_section.php",
					dataType: 'json',
					data: json,
					success: function (response) {

						if(response.result === 'success'){

							$('#modal_prompt_01').hide();
							document.getElementById(td_id).children[0].setAttribute("onclick", "viewOrModifyJobDescription(\'" + td_id + '\'' +  '\,' + '\'' + result.value + '\'' + '\,'  + '\'' + job_id  + '\'' + '\,'  + '\'' + '1' + "\');");
							generalSweetAlert(response.message);

						}else{

							$('#modal_prompt_01').hide();
							generalSweetAlert(response.message);

						}

					}		

				});
				
			}

		  }

		});
	
}

function generalSweetAlert(message){

	Swal.fire({

		title: message,

		confirmButtonColor: "#30BAA3",

		confirmButtonText: "OK",

		backdrop:true,

		allowOutsideClick:false

	}).then((result) => {

		if (result.isConfirmed) {

		}

	});

}
