$(function() {
    'use strict';
  
    var applications_jobwise_data = {
      labels: ["Job 1", "Job 2", "Job 3", "Job 4", "Job 5", "Job 6", "Job 7", "Job 8", "Job 9", "Job 10"],
      datasets: [{
        label: 'No of Applications',
        data: [10, 9, 8, 15, 12, 7, 13, 8, 19, 11],
        backgroundColor: ['#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC'],
        borderColor: ['#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var applications_jobwise_options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var top_3_registrations_data = {
      labels: ["One", "Two", "Three"],
      datasets: [{
        label: '# of Votes',
        data: [18, 3, 7],
        backgroundColor: ['#F9B529', '#F9B529', '#F9B529'],
        borderColor: ['#F9B529', '#F9B529', '#F9B529'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var top_3_registrations_options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var source_data = {
      datasets: [{
        data: [40, 40],
        backgroundColor: ['#FF9999', '#CC0066'],
        borderColor: ['#FF9999', '#CC0066']
      }],
      labels: ['By Link', 'Via App']
    };
  
    var source_options = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      },
        legend: {
          display: true,
          position: 'right',
          labels: { boxWidth: 15 },
        }
    };

    var registrations_data = {
        datasets: [{
          data: [20, 30, 20, 25, 15],
          backgroundColor: ['#FF66FF', '#990099', '#B266FF', '#66FFB2', '#FF007F'],      
          borderColor: ['#FF66FF', '#990099', '#B266FF', '#66FFB2', '#FF007F']
        }],
        labels: ['Reg 1', 'Reg 2', 'Reg 3', 'Reg 4', 'Reg 5']
      };
    
      var registrations_options = {
        responsive: true,
        animation: {
          animateScale: true,
          animateRotate: true
        },
          legend: {
            display: true,
            position: 'right',
            labels: { boxWidth: 15 },
          }
      };
  
   
    var chartInstances = {};
  
    function initializeChart(chartId, chartType, chartData, chartOptions) {
      var ctx = $(chartId).get(0).getContext("2d");
      return new Chart(ctx, {
        type: chartType,
        data: chartData,
        options: chartOptions
      });
    }
  
    if ($("#applications_jobwise").length) {
       chartInstances["applications_jobwise"] = initializeChart("#applications_jobwise", 'bar', applications_jobwise_data, applications_jobwise_options);
    }
  
    if ($("#top_3_registrations").length) {
       chartInstances["top_3_registrations"] = initializeChart("#top_3_registrations", 'horizontalBar', top_3_registrations_data, top_3_registrations_options);
    }
  
    if ($("#source").length) {
       chartInstances["source"] = initializeChart("#source", 'doughnut', source_data, source_options);
    }

    if ($("#registrations").length) {
        chartInstances["registrations"] = initializeChart("#registrations", 'pie', registrations_data, registrations_options);
    }
  
    document.querySelectorAll('.btn-maximize').forEach(button => {
      button.addEventListener('click', function() {
        var card = this.closest('.card');
        var title = card.querySelector('.card-title').innerText;
        var canvas = card.querySelector('canvas');
        var canvasId = canvas.id;
  
        document.getElementById('maximized-card-title').innerText = title;
  
        var maximizedContainer = document.getElementById('maximized-card-container');
        maximizedContainer.classList.remove('d-none');
  
        if (window.maximizedChartInstance) {
          window.maximizedChartInstance.destroy();
        }
  
        var originalChart = chartInstances[canvasId];
        var chartConfig = {
          type: originalChart.config.type,
          data: originalChart.config.data,
          options: originalChart.config.options
        };
  
        var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
        window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
      });
    });
  
    document.querySelector('.btn-close').addEventListener('click', function() {
      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.add('d-none');
  
      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }
    });
});
  