<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Workfair Dashboard</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/gaugeJS/dist/gauge.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <style>
        .status-icon {
            font-size: 24px;
            color: #28a745; /* Green color */
        }

        .status-icon.wrong {
            color: #dc3545; /* Red color */
        }

        .registration-value {
            position: absolute;
            right: 80px; /* Adjust as needed for spacing from the right edge */
            top: 50%; 
            transform: translateY(-50%); /* Adjust vertical alignment */
            text-align: right; 
        }

        .value-text {
            font-size: 3.0rem; 
            font-weight: bold; 
            color: #808080; /* Adjust color as needed */
        }

        .card .corner-value {
            position: absolute;
            top: 20px;
            right: 25px;
            font-size: 24px;
            color: #000; /* Adjust color as needed */
        }

        .card-value {
            font-size: 2.5rem;
            font-weight: bold;
            color: #808080;    /* Grey Color */
            text-align: center;
        }
        .card-description {
            font-size: 1rem;
            color: #666;
            text-align: center;
        }

        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }

        .maximized-card-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 120px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .d-none {
            display: none;
        }


    </style>
</head>
<body>
    <div class="container-scroller">

    <div class="row col-md-12" style="margin-bottom:0px;">
        <?php include 'includes/header.php'; ?>
    </div>

    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
    <!-- partial:partials/_sidebar.html -->
    <?php include 'includes/sidebar.php'; ?>

    <div class="main-panel">
     <div class="content-wrapper">
        
        <!-- IBM Dashboard Title -->
        <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px ;">
            <div class="card">
                <div class="card-body">
                    <h5>Workfair Coordinators</h5>
                </div>
            </div>
        </div>
        

        <div class="row">
                <!-- Column with the boxes -->
                <div class="col-lg-3">
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Total Coordinators</h4>
                            <div class="corner-value">10</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Active</h4>
                            <div class="corner-value">8</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Inactive</h4>
                            <div class="corner-value">2</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Registrations</h4>
                            <div class="corner-value">457</div>
                        </div>
                    </div>
                </div>

                <!-- Charts Column -->
                <div class="col-lg-9">
                        <div class="row">
                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Registrations</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <canvas id="registrations"></canvas>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Source</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <canvas id="source"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-lg-12 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Applications Jobwise</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <canvas id="applications_jobwise"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Highest Registration</h4>
                                        </div>
                                        <!-- Profile Image -->
                                        <div class="profile-image-container">
                                            <img src="../JeevitamV2/images/ic_logo_jeevitam.png" alt="Profile Image" class="profile-image">
                                        </div>
                                        <!-- Registration Value -->
                                        <div class="registration-value">
                                            <h2 class="value-text">210</h2>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Top 3 Registrations</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <canvas id="top_3_registrations"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
               
            <!-- Maximized Card Container -->
            <div id="maximized-card-container" class="maximized-card-container d-none">
                <div class="maximized-card">
                    <div class="card-body">
                        <div class="card-title-container">
                            <h4 class="card-title" id="maximized-card-title"></h4>
                            <div class="card-controls">
                                <button class="btn-close">✕</button>
                            </div> 
                        </div>
                        <canvas id="maximized-chart"></canvas>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-13 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive pt-3">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Coordinator Name</th>
                                    <th>Check-in Time</th>
                                    <th>Check-Out Time</th>
                                    <th>Testimony</th>
                                    <th>Photos</th>
                                    <th>Registrations</th>
                                    <th>Applications</th>
                                    <th>Details</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>Nandhini</td>
                                    <td>09.00 a.m</td>
                                    <td>05.30 p.m</td>
                                    <td><i class="fas fa-times status-icon wrong"></i></td>     <!-- Wrong -->
                                    <td><i class="fas fa-times status-icon wrong"></i></td>     <!-- Wrong -->
                                    <td><i class="fas fa-check status-icon"></i></td>           <!-- Correct -->
                                    <td><i class="fas fa-check status-icon"></i></td>           <!-- Correct -->
                                    <td><a href="nandhini_details.php" class="btn btn-primary mr-2">View Details</a></td>                                </tr>
                                <tr>
                                    <td>Gopika</td>
                                    <td>09.00 a.m</td>
                                    <td>05.30 p.m</td>
                                    <td><i class="fas fa-times status-icon wrong"></i></td>      <!-- Wrong -->
                                    <td><i class="fas fa-check status-icon"></i></td>            <!-- Correct -->
                                    <td><i class="fas fa-check status-icon"></i></td>            <!-- Correct -->
                                    <td><i class="fas fa-times status-icon wrong"></i></td>      <!-- Wrong -->
                                    <td><a href="gopika_details.php" class="btn btn-primary mr-2">View Details</a></td>
                                    </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Total Applications Received</h4>
                        <div class="card-value">370</div>
                        <div class="card-description">Applications</div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Results</h4>
                        <div class="progress" style="height: 30px ;">
                            <div class="progress-bar bg-success" role="progressbar" style="width: 70% ;">Success 70%</div>
                        </div>
                        <!-- <div class="progress mt-2" style="height: 30px ;">
                            <div class="progress-bar bg-danger" role="progressbar" style="width: 30% ;">Failure 30%</div>
                        </div> -->
                    </div>
                </div>
            </div>
        </div>
     </div>
    </div>


  <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- inject:js -->
  <script src="../JeevitamV2/js/off-canvas.js"></script>
  <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
  <script src="../JeevitamV2/js/template.js"></script>
  <script src="../JeevitamV2/js/settings.js"></script>
  <script src="../JeevitamV2/js/todolist.js"></script>
  <!-- <script src="js/campusgauge.js"></script> -->
  <!-- endinject -->
  <!-- plugin js for this page -->
  <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>

  <!-- End plugin js for this page -->
  <!-- Custom js for this page-->
  <script src="js/workfair_dashboard.js"></script>
</body>
</html>
