<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>YearWise</title>
    <!-- Include Required CSS Files -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <style>
        .card {
            margin: 20px auto;
            width: 80%;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
        }

        .card-title-container {
            text-align: center;
            padding: 15px;
            font-size: 1.25rem;
            font-weight: bold;
            background-color: #f9f9f9;
            border-bottom: 1px solid #ddd;
        }

        .card-body {
            padding: 20px;
            display: flex;
            flex-direction: column; 
            align-items: center;
        }

        .chart-container {
            width: 60%; 
            height: 400px;
            margin-bottom: 20px; 
        }

        .summary-card {
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 10px;
            background-color: #f9f9f9;
            width: 60%; /* Adjusted to take full width */
            box-sizing: border-box;
        }

        .summary-card h5 {
            margin-bottom: 10px;
        }

        /* Initially hide the second and third chart containers */
        #chart2Card, #chart3Card {
            display: none;
        }

        .new-card {
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
            margin-bottom: 10px;
            margin-top: 10px;
        }

        .new-card-title {
            padding: 12px;
            background-color: #f9f9f9;
            font-size: 1.0rem;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
            text-align: center;
        }

        .new-card-body {
            padding: 50px;
            background-color: #FFFFFF;
        }
    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/ibm_header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/ibm_sidebar.php'; ?>
            <div class="main-panel">
                <div class="content-wrapper">
                    
                    <div class="new-cards-container">
                        <div class="row">
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Teachers:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Total Trainings:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Trainings Completed:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Total Applied Count:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Upcoming:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Recommend:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Rating:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Card Title:</div>
                                    <div class="new-card-body">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Existing Chart Cards -->
                    <!-- Card 1 for Chart 1 (Yearly Data) -->
                    <div class="col-lg-12 grid-margin stretch-card">
                        <div class="card">
                            <div class="card-title-container">FY-WISE DATA</div>
                            <div class="card-body">
                                <div id="summaryCard1" class="summary-card">
                                    <h5>Yearly Summary</h5>
                                    <p>Average Attendance: N/A</p>
                                    <p>Total Teachers Attended: N/A</p>
                                    <p>Total Classroom Sessions: N/A</p>
                                </div>
                                <div class="chart-container">
                                    <canvas id="chart1"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Card 2 for Chart 2 (Quarterly Data) -->
                    <div class="col-lg-12 grid-margin stretch-card" id="chart2Card">
                        <div class="card">
                            <div class="card-title-container" id="chart2Title">Quarterly Data</div>
                            <div class="card-body">
                                <div id="summaryCard2" class="summary-card">
                                    <h5>Quarterly Summary</h5>
                                    <p>Average Attendance: N/A</p>
                                    <p>Total Teachers Attended: N/A</p>
                                    <p>Total Classroom Sessions: N/A</p>
                                </div>
                                <div class="chart-container">
                                    <canvas id="chart2"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Card 3 for Chart 3 (Monthly Data) -->
                    <div class="col-lg-12 grid-margin stretch-card" id="chart3Card">
                        <div class="card">
                            <div class="card-title-container" id="chart3Title">Monthly Data</div>
                            <div class="card-body">
                                <div class="chart-container">
                                    <canvas id="chart3"></canvas>
                                </div>
                                <div id="summaryCard3" class="summary-card">
                                    <h5>Monthly Summary</h5>
                                    <p>Average Attendance: N/A</p>
                                    <p>Total Teachers Attended: N/A</p>
                                    <p>Total Classroom Sessions: N/A</p>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <!-- Include Chart.js Library -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>
    <!-- Link to External JS File -->
    <script src="js/yearwise_data.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/sidebar.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>
