<?php

include('../../controller/CompositeJobFairController.php');
include('../../model/CompositeJobFair.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';

$values = $_POST['json_data'];

$obj = new stdClass();

$compositeJobFair = new CompositeJobFair();
$compositeJobFairController = new CompositeJobFairController();

// Check if the request is a POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
   
    // Check if the Content-Type is multipart/form-data
    if (isset($_SERVER['CONTENT_TYPE']) && strpos($_SERVER['CONTENT_TYPE'], 'multipart/form-data') !== false) {
       
        // Handle JSON data
        if (isset($values)) {
            $data = json_decode($values);
           
            $job_fair_details = $data->job_fair_details;
            $internal_details = $data->internal_details;
            $internal_city = $internal_details->internal_city;
            $external_details = $data->external_details;
            $partner_id = $external_details->partner_id;
            $robocall_details = $data->robocall_details;
            $job_ids= $data->job_id;
            $job_fair_id = uniqid();
            
            $compositeJobFair->setJob_fair_id($job_fair_id);
            $compositeJobFair->set($job_fair_details);
            // Now $jsonData contains the parsed JSON data
            // print_r($jsonData);
            
            if (!empty($_FILES)) {
            foreach ($_FILES["uploaded_file"]["error"] as $key => $error) {
                if ($error == UPLOAD_ERR_OK) {
                    
                    $tmp_name = $_FILES["uploaded_file"]["tmp_name"][$key];
                    $name = $_FILES["uploaded_file"]["name"][$key];
                    // echo $name;
                    $file_path = "logo/";
                    $file_path = $file_path . $name;
                    if (@move_uploaded_file($tmp_name, $file_path)) {
                        $results = $compositeJobFairController->createJobFairV1($compositeJobFair,$name);
                        $res = json_decode($results, true);
                        if ($res['result'] == "success") {
    
                            if(!is_null($internal_details) && !empty($internal_details)) {
                            
                                /*Creating internal details for composite job fair*/
                                $compositeJobFair->set($internal_details);
                                $internal_results = $compositeJobFairController->createInternalDetails($compositeJobFair);
                                
                                $internal_res = json_decode($internal_results, TRUE);
                                
                                if($internal_res['result'] == 'success') {
                                    
                                    /*Creating internal city details for composite job fair*/
                                    
                                    foreach($internal_city as $city) {
                                
                                        $compositeJobFair->setInternal_city($city);
                                        $internal_results = $compositeJobFairController->createInternalCities($compositeJobFair);
                                    
                                    }
                                
                                }
                            
                            }
                            
                            if(!is_null($partner_id) && !empty($partner_id)) {
                                /*Creating external (partners) details for composite job fair*/
                                foreach($partner_id as $partner) {
                                
                                    $compositeJobFair->setPartner_id($partner);
                                    $internal_results = $compositeJobFairController->createExternalDetails($compositeJobFair);
                                    
                                }
                            
                            }
                            
                            /*Creating robocall details for composite job fair*/
                            $compositeJobFair->set($robocall_details);
                            $internal_results = $compositeJobFairController->createRobocallDetails($compositeJobFair);
                            
                            foreach($job_ids as $job_id) {
                            /*Enable jobs for composite job fair*/
                                $compositeJobFair->setJob_id($job_id);
                                $results = $compositeJobFairController->enableJobs($compositeJobFair);
                                
                        }
    
} 
                    } else {
                        // echo "fail";
                        $obj->result = "failure";
                        $obj->message = "Logo not uploded";
                        echo json_encode($obj);
                    }
                }
            }
        }else{
            $obj->result = "failure";
            $obj->message = "Files are empty";
            echo json_encode($obj);
        }
        } else {
            // JSON data not found
            $obj->result = "failure";
            $obj->message = "JSON data not found in the request.";
            echo json_encode($obj);
            // echo "JSON data not found in the request.";
        }
        // Handle file uploads
        
    } else {
        // Invalid Content-Type
        http_response_code(400);
        $obj->result = "failure";
        $obj->message = "Invalid Content-Type. Expected 'multipart/form-data'.";
        echo json_encode($obj);
        // echo "Invalid Content-Type. Expected 'multipart/form-data'.";
    }
} else {
    // Not a POST request
    http_response_code(405);
    $obj->result = "failure";
    $obj->message = "Method Not Allowed. Only POST requests are accepted.";
    echo json_encode($obj);
    // echo "Method Not Allowed. Only POST requests are accepted.";
}
echo $results;
?>