<?php

	include_once '../../../admin/PHPExcel/IOFactory.php';
	include_once '../../../admin/PHPExcel/Writer/Excel5.php';

	include_once '../../database/Db.php';
	include_once '../../repository/Crud.php';
	include_once '../../utils/Session.php';
	include_once '../../utils/Utils.php';

	$from_date = $_GET['from_date']." 00:00:00";
	$to_date = $_GET['to_date']." 23:59:59";

	$db = getDb();
	$crud = new Crud();
	$obj = new stdClass();

	$stmt = $db->prepare("SELECT 	ja_c.name AS category_name, 
									thl.phone_number, 
									CONCAT(thl.first_name, ' ', thl.last_name) AS NAME, 
									pj.name_of_brand, 
									fr.name AS functional_role_name, 
									ja_d.post_job_id AS job_id, 
									rc.city, 
									rc.created_at  
							FROM job_applications_data AS ja_d 
								INNER JOIN ranked_candidates AS rc 
								ON rc.id=ja_d.ranked_candidates_id
								INNER JOIN posted_jobs AS pj 
								ON pj.id=ja_d.post_job_id 
								INNER JOIN functional_role AS fr 
								ON pj.functional_role=fr.id 
								INNER JOIN job_applications_categories AS ja_c 
								ON ja_c.category_id=ja_d.category_id 
								INNER JOIN turbo_hire_leads AS thl 
								ON thl.id=rc.turbo_lead_id 
							WHERE ja_d.created_at BETWEEN '$from_date' AND '$to_date'");

	$results = $crud->getAll($stmt);

	$results_01 = $results;
	$results_01 = json_decode($results_01,true);

	$count_of_records = count($results_01['list']);
	$list = $results_01['list'];

	$objPHPExcel = new PHPExcel();
	$objPHPExcel->setActiveSheetIndex(0);
	$rowCount = 2;

	$objPHPExcel->getActiveSheet()->setCellValue('A1', 'CATEGORY NAME');
		$objPHPExcel->getActiveSheet()
						->getStyle('A1')
						->getFill()
						->setFillType(PHPExcel_Style_Fill::FILL_SOLID)
						->getStartColor()
						->setARGB('1bd8ff');
		$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('B1', 'PHONE NUMBER');
		$objPHPExcel->getActiveSheet()->getStyle('B1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('C1', 'NAME');
		$objPHPExcel->getActiveSheet()->getStyle('C1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('D1', 'COMPANY NAME');
		$objPHPExcel->getActiveSheet()->getStyle('D1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('E1', 'FUNCTIONAL ROLE NAME');
		$objPHPExcel->getActiveSheet()->getStyle('E1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('F1', 'CITY');
		$objPHPExcel->getActiveSheet()->getStyle('F1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('G1', 'JOB ID');
		$objPHPExcel->getActiveSheet()->getStyle('G1')->getAlignment()->setWrapText(true);
		$objPHPExcel->getActiveSheet()->setCellValue('H1', 'JOB APPLIED AT');
		$objPHPExcel->getActiveSheet()->getStyle('H1')->getAlignment()->setWrapText(true);
		
	$i=0;
		
	for ($row = 2; $row <= ($count_of_records+1); $row++) {

		//$rowData = $sheet->rangeToArray('A' . $row . ':' . 'H' . $row, NULL, TRUE, FALSE);

		try {
			
			$objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $list[$i]['category_name']);
			$objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $list[$i]['phone_number']);
			$objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $list[$i]['NAME']);
			$objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $list[$i]['name_of_brand']);
			$objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $list[$i]['functional_role_name']);
			$objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $list[$i]['city']);
			$objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $list[$i]['job_id']);
			$objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $list[$i]['created_at']);
			
			$rowCount++;
			$i++;
			
		} catch (PDOException $exception) {
			echo "Error: " . $exception->getMessage();
		}
		
	}

	for($col = 'A'; $col !== 'P'; $col++) {
		
		if(($col !== 'B')||($col !== 'C')||($col !== 'I')){
			$objPHPExcel->getActiveSheet()
				->getColumnDimension($col)
				->setAutoSize(true);
		}else{
			$objPHPExcel->getActiveSheet()->getStyle($col.'1')->getAlignment()->setWrapText(true);
		}
		
	}

	$objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

	$file_name = 'upload_jobs_list/DOWNLOAD_DATA_' . getCurrentTime() . '.xlsx';

	$objWriter->save($file_name);

	$path = getSitePath();
	$path = $path . 'DTTurboHire/api/job_applications/' . $file_name;
		
	$obj->result = "success";
	$obj->file_path = (string)$path;

	closeDb();

	$results = json_encode($obj);

	echo $results;

?>