<?php

	require '/home/jeevitamlive/vendor/autoload.php';
	use PhpOffice\PhpSpreadsheet\IOFactory;
	use PhpOffice\PhpSpreadsheet\Spreadsheet;
	use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

	include_once '../../database/Db.php';
	include_once '../../repository/Crud.php';
	include_once '../../utils/Session.php';
	include_once '../../utils/Utils.php';

	$file_name = $_FILES['upload_jobs_list']['tmp_name'];
	$category_id = $_POST['category_id'];
	$post_job_id = "";
	$spreadsheet = "";
	
	$datetime = getCurrentTime();

	$inputFileName = $file_name;
	
	try {
    
		$spreadsheet = IOFactory::load($inputFileName);
	
	} catch (Exception $e) {
		die('Error loading file "' . pathinfo($inputFileName, PATHINFO_BASENAME)
				. '": ' . $e->getMessage());
	}
  
	//Result Spreadsheet
	$result_spreadsheet = new Spreadsheet();
	$result_sheet = $result_spreadsheet->getActiveSheet();
	$result_sheet->setCellValue('A1', 'Job Id');
	$result_sheet->setCellValue('B1', 'Upload Status');

    // Get the first worksheet
    $sheet = $spreadsheet->getActiveSheet();
	$highestRow = $sheet->getHighestRow();
	$highestColumn = $sheet->getHighestColumn();

	$db = getDb();
	$crud = new Crud();
	$obj = new stdClass();

	$user_success = 0;
	$user_fail = 0;
	$str_upload_status = "";
	$array_upload_status = [];

	for ($row = 2; $row <= $highestRow; $row++) {

		$rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . ($row), NULL, TRUE, FALSE);
		
		$job_id = $rowData[0][0];
		$post_job_id = $job_id;
		
		$sql = "SELECT COUNT(*) FROM `job_applications_jobs_list` 
								WHERE	category_id = '$category_id' AND 
										post_job_id = '$job_id'";
		
		//CHECK IF THE JOB ID ALREADY EXISTS FOR THE CATEGORY
		$stmt_check_if_job_id_already_exists = $db->prepare($sql);
		
        $count = $crud->getCount($stmt_check_if_job_id_already_exists);

		if(((int)$count) !== 0){			
			
			$user_fail++;
			$str_upload_status = "JOB ID ALREADY EXISTS";
			array_push($array_upload_status, $str_upload_status);
			
		}else{
				
			$stmt = $db->prepare("INSERT INTO `job_applications_jobs_list`
												(	`category_id`,
													`post_job_id`,
													`created_at`) 
										VALUES 	(	:category_id,
													:post_job_id,
													:created_at)");
			
			$stmt->bindValue(':category_id', $category_id);
			$stmt->bindValue(':post_job_id', $job_id);
			$stmt->bindValue(':created_at', $datetime);
			
			$result = $crud->create($stmt, $db);
			
			$decode = json_decode($result,true);
			
			if($decode['result'] === 'success'){
				$user_success++;
				$str_upload_status = "UPLOADED";
				array_push($array_upload_status, $str_upload_status);			
			}else{
				$user_fail++;
				$str_upload_status = "NOT UPLOADED";
				array_push($array_upload_status, $str_upload_status);
			}
						
			try {
				
				$result_sheet->setCellValue('A'.$row, $job_id);
				$result_sheet->setCellValue('B' . $row, $str_upload_status);

			} catch (PDOException $exception) {
				echo "Error: " . $exception->getMessage();
			}
			
		}
		
		if($row == $highestRow){
			
			echo "highestRow: ".$highestRow;
			
			$writer = new Xlsx($result_spreadsheet);
			
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			header('Content-Disposition: attachment;filename="RESULT_Uploaded_Jobs_Status.xlsx"');
			header('Cache-Control: max-age=0');

			$writer->save('php://output');

		}
		
	}

?>
