<?php

	include_once '../../../admin/PHPExcel/IOFactory.php';
	include_once '../../../admin/PHPExcel/Writer/Excel5.php';

	include_once '../../database/Db.php';
	include_once '../../repository/Crud.php';
	include_once '../../utils/Session.php';
	include_once '../../utils/Utils.php';

	$file_name = $_FILES['upload_jobs_list']['tmp_name'];
	$category_id = $_POST['category_id'];

	$inputFileName = $file_name;
	try {
		$inputFileType = PHPExcel_IOFactory::identify($inputFileName);
		$objReader = PHPExcel_IOFactory::createReader($inputFileType);
		$objPHPExcel = $objReader->load($inputFileName);
	} catch (Exception $e) {
		die('Error loading file "' . pathinfo($inputFileName, PATHINFO_BASENAME)
				. '": ' . $e->getMessage());
	}

	$sheet = $objPHPExcel->getSheet(0);
	$highestRow = $sheet->getHighestRow();
	$highestColumn = $sheet->getHighestColumn();

	$db = getDb();
	$crud = new Crud();
	$obj = new stdClass();

	$user_success = 0;
	$user_fail = 0;
	$array_upload_status = [];

	for ($row = 2; $row <= $highestRow; $row++) {

		$rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, NULL, TRUE, FALSE);
		
		$job_id = $rowData[0][0];
		
		//CHECK IF THE JOB ID ALREADY EXISTS FOR HE CATEGORY
		$stmt_check_if_job_id_already_exists = $db->prepare("SELECT COUNT(*) FROM `job_applications_jobs_list` 
															WHERE	category_id = '$category_id' AND 
																	post_job_id = '$job_id'");

        $count = $crud->getCount($stmt_check_if_job_id_already_exists);

		if(((int)$count) !== 0){			
			
			$user_fail++;
			array_push($array_upload_status, "JOB ID ALREADY EXISTS");
			
		}else{
				
				$stmt = $db->prepare("INSERT INTO `job_applications_jobs_list`
													(	`category_id`,
														`post_job_id`) 
											VALUES 	(	:category_id,
														:post_job_id)");

				$stmt->bindValue(':category_id', $category_id);
				$stmt->bindValue(':post_job_id', $job_id);
				$result = $crud->create($stmt, $db);
				
				$str_upload_status = "";
				
				$decode = json_decode($result,true);
				
				if($decode['result'] === 'success'){
					$user_success++;
					array_push($array_upload_status, "UPLOADED");
				}else{
					$user_fail++;
					array_push($array_upload_status, $str_upload_status);
				}
			
		}
		
	}

	$objPHPExcel = new PHPExcel();
	$objPHPExcel->setActiveSheetIndex(0);
	$rowCount = 2;

	$objPHPExcel->getActiveSheet()->setCellValue('A1', 'UPLOAD_STATUS');
		$objPHPExcel->getActiveSheet()
						->getStyle('A1')
						->getFill()
						->setFillType(PHPExcel_Style_Fill::FILL_SOLID)
						->getStartColor()
						->setARGB('1bd8ff');
		$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setWrapText(true);
	$objPHPExcel->getActiveSheet()->setCellValue('B1', 'job_id');
		$objPHPExcel->getActiveSheet()->getStyle('B1')->getAlignment()->setWrapText(true);
	
	for ($row = 2; $row <= $highestRow; $row++) {

		$rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, NULL, TRUE, FALSE);

		try {
			
			$objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $array_upload_status[$row-2]);
			if($array_upload_status[$row-2] !== "UPLOADED"){
				$objPHPExcel->getActiveSheet()
						->getStyle('A'.$rowCount)
						->getFill()
						->setFillType(PHPExcel_Style_Fill::FILL_SOLID)
						->getStartColor()
						->setARGB('FF9601');
			}
			
			$objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $rowData[0][0]);
			
			$rowCount++;
			
		} catch (PDOException $exception) {
			echo "Error: " . $exception->getMessage();
		}
	}

	for($col = 'A'; $col !== 'P'; $col++) {
		
		if(($col !== 'B')||($col !== 'C')||($col !== 'I')){
			$objPHPExcel->getActiveSheet()
				->getColumnDimension($col)
				->setAutoSize(true);
		}else{
			$objPHPExcel->getActiveSheet()->getStyle($col.'1')->getAlignment()->setWrapText(true);
		}
		
	}

	$objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

	$file_name = 'upload_jobs_list/UPLOAD_STATUS_' . getCurrentTime() . '.xlsx';

	$objWriter->save($file_name);

	$path = getSitePath();
	$path = $path . 'DTTurboHire/api/job_applications/' . $file_name;
		
	$obj->result = "success";
	$obj->records_upload_success = (string)$user_success;
	$obj->records_upload_failure = (string)$user_fail;
	$obj->upload_status_file_path = (string)$path;

	closeDb();

	$results = json_encode($obj);

	echo $results;

?>