<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class JobsController {



  public function getId($job_id) {

        $db = getDb();
        $sql = "SELECT id from posted_jobs where job_id = '$job_id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row)) {
            return $row['id'];
        } else {
            return -1;
        }
        closeDb();
    }

    
    /**
     *
     * @return type alljobs as array with id in ascending order
     */
    public function getJobs() {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.salary_in_hand_max, posted_jobs.salary_in_hand_min, posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id order by posted_jobs.`id` ASC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    //Get Inactive jobs(enable_live_jobs)
    public function getInactiveJobsForIncoming() {
        $obj = new stdClass();
        $db = getDb(); 
        // Fetch jobs where active_for_incoming is 0
        $sql = "SELECT posted_jobs.id, posted_jobs.name_of_brand, posted_jobs.functional_role, 
                posted_jobs.brand_id, functional_role.name FROM posted_jobs 
                LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id 
                WHERE posted_jobs.active_for_incoming = 0 
                ORDER BY posted_jobs.id ASC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
    // Active_for_incoming Jobs(view_live_jobs)
    public function getActiveJobsForIncoming() {
        $obj = new stdClass();
        $db = getDb();
        
        // Fetch jobs where active_for_incoming is 1
        $sql = "SELECT posted_jobs.id, posted_jobs.job_id, posted_jobs.salary_in_hand_max, 
                posted_jobs.salary_in_hand_min, posted_jobs.name_of_brand,
                qualification.name as qualification, posted_jobs.created_at,
                posted_jobs.functional_role, posted_jobs.brand_id, 
                functional_role.name FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id 
                LEFT JOIN qualification ON posted_jobs.qualification = qualification.id
                WHERE posted_jobs.active_for_incoming = 1 ORDER BY posted_jobs.id ASC";
    
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }


	public function getSelectedJobsDetails($arr_job_ids) {

        $obj = new stdClass();
        $db = getDb();
		
		$arr_job_ids_main = $arr_job_ids;
		
		$arr_job_ids = explode(",", $arr_job_ids);
		
		$str_job_ids = '';
		$i = 0;
		
		foreach($arr_job_ids as $arr_job_id){
			
			if($i===0){
				$str_job_ids = $arr_job_ids[0].",";
			}else{
				$str_job_ids = $str_job_ids.$arr_job_id.",";
			}
			$i++;
			
		}
		
		$str_job_ids = substr($str_job_ids, 0, strlen($str_job_ids)-2);
		$str_job_ids = substr($str_job_ids, 1);
		
		$str_job_ids = "( ".$str_job_ids." ) ";
		
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.salary_in_hand_max, posted_jobs.salary_in_hand_min, posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.brand_id, functional_role.name FROM posted_jobs 
							LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id 
							WHERE posted_jobs.id IN $str_job_ids 
							order by posted_jobs.`id` ASC";
							
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
	
	public function getTotalJobs() {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand, posted_jobs.is_active, posted_jobs.functional_role,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id order by posted_jobs.`id` ASC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
	
    public function getJobsByJobId($job_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.job_id = '$job_id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getByCondition($stmt);
        closeDb();
    }
    
    
    
     public function getJobsByBrand($brand_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id, posted_jobs.salary_in_hand_min,posted_jobs.work_experience_min,posted_jobs.total_number_of_openings, posted_jobs.name_of_brand,posted_jobs.functional_role, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.brand_id =:brand_id order by posted_jobs.`name_of_brand` ASC";
        $stmt = $db->prepare($sql);
        $stmt->bindValue(":brand_id", $brand_id);
        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function getJobsByRole($brand_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.functional_role,posted_jobs.id, functional_role.name FROM posted_jobs LEFT JOIN functional_role 
        on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.brand_id ='$brand_id' GROUP by posted_jobs.functional_role";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
    public function getAvailableJobsList($user_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.type_of_job, posted_jobs.salary_in_hand_min, posted_jobs.salary_in_hand_max, functional_role.name,type_of_job.job_name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id LEFT JOIN type_of_job on posted_jobs.type_of_job = type_of_job.id WHERE posted_jobs.job_id NOT IN (SELECT job_id FROM jobs_accepted_by_freelancer WHERE user_id='$user_id' ) AND posted_jobs.job_id NOT IN (SELECT job_id FROM jobs_declined_by_freelancer WHERE user_id='$user_id' ) order by posted_jobs.`name_of_brand` ASC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }


    
    
     public function getAcceptedJobs($user_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT jobs_accepted_by_freelancer.user_id, jobs_accepted_by_freelancer.job_id,posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.type_of_job, posted_jobs.salary_in_hand_min, posted_jobs.salary_in_hand_max, functional_role.name,type_of_job.job_name FROM jobs_accepted_by_freelancer LEFT JOIN posted_jobs on jobs_accepted_by_freelancer.job_id=posted_jobs.job_id LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id LEFT JOIN type_of_job on posted_jobs.type_of_job = type_of_job.id AND posted_jobs.job_id WHERE jobs_accepted_by_freelancer.user_id = '$user_id' order by posted_jobs.`name_of_brand` ASC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }






    public function getCitiesForJob($job_id) {

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();
        
        $stmt1 = $db->prepare("SELECT context FROM posted_jobs WHERE job_id='$job_id'");
        $con = $crud->getByCondition($stmt1);
        
        //  if($con['context'] == 'Maharashtra-Hire'){
        //      $sql = "SELECT post_job_city.job_id,post_job_city.city_id,post_job_city.city_id as city_name FROM `post_job_city` LEFT JOIN cities on post_job_city.city_id=cities.city_id WHERE post_job_city.job_id='$job_id'";  
        //     $stmt = $db->prepare($sql);
        //     return $crud->getAll($stmt);
        //  }else{
            $sql = "SELECT post_job_city.job_id,post_job_city.city_id,cities.city_name,cities.lat,cities.lon,cities.id FROM `post_job_city` LEFT JOIN cities on post_job_city.city_id=cities.city_id WHERE post_job_city.job_id=:job_id";
            $stmt = $db->prepare($sql);
            $stmt->bindValue(':job_id', $job_id);
            return $crud->getAll($stmt);
        //  }
        
        closeDb();
    }

    
    /**
     *
     * @param type $job_id id of the given job
     * @return type array of city details
     */
    public function getCitiesForJobWithLead($job_id) {

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();
        
        // $stmt1 = $db->prepare("SELECT context FROM posted_jobs WHERE job_id='$job_id'");
        // $con = $crud->getByCondition($stmt1);
        
        //  if($con['context'] == 'Maharashtra-Hire'){
        //      $sql = "SELECT post_job_city.job_id,post_job_city.city_id as city_name, (SELECT COUNT(*) FROM ranked_candidates WHERE job_id='$job_id' AND city = post_job_city.city_id) as 
        //     count FROM `post_job_city` WHERE post_job_city.job_id='$job_id' ORDER BY count";  
        //     $stmt = $db->prepare($sql);
        //     return $crud->getAll($stmt);
        //  }else{
            $sql = "SELECT post_job_city.job_id,post_job_city.city_id,cities.city_name,cities.lat,cities.lon, (SELECT COUNT(*) FROM ranked_candidates WHERE job_id=:job_id AND city = cities.city_name) as 
            count FROM `post_job_city` LEFT JOIN cities on post_job_city.city_id=cities.city_id WHERE post_job_city.job_id=:job_id ORDER BY count";  
            $stmt = $db->prepare($sql);
            $stmt->bindValue(':job_id', $job_id);
            
            // $cities = array();
            // $cityList = array();
            return $crud->getAll($stmt);
        //  }
        
        
        

        // foreach ($cities as $city) {

        //     $city_name = $city['city_name'];
        //     $city_id = $city['id'];

        //     $sqlCity = "SELECT COUNT(*) FROM ranked_candidates WHERE job_id='$job_id' AND city = '$city_name'";
        //     $stmt = $db->prepare($sqlCity);
        //     $count = $crud->getCount($stmt);


        //     $rowArray['name'] = $city_name;
        //     $rowArray['city_id'] = $city_id;
        //     $rowArray['count'] = $count;

        //     array_push($cityList,$rowArray);
        // }
        
        
        // $obj->result ='sucess';
        // $obj->message = 'found';
        // $obj->list = $cityList;
        
        // return json_encode($obj);

        closeDb();
    }

    
    
     public function getCitiesForJobWithoutJSON($job_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT post_job_city.job_id,post_job_city.city_id,cities.city_name,cities.lat,cities.lon FROM `post_job_city` LEFT JOIN cities on post_job_city.city_id=cities.city_id WHERE post_job_city.job_id=:job_id";
        $stmt = $db->prepare($sql);
        $stmt->bindValue(':job_id', $job_id);
        $crud = new Crud();
        return $crud->getAllWithoutJSON($stmt);
       
        closeDb();
    }
    
    
    
    public function getLanguagesForJobWithoutJSON($job_id, $language) {
        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT COUNT(*) as total FROM `post_job_languages` WHERE language =:language AND job_id=:job_id";
        $stmt = $db->prepare($sql);
        $stmt->bindValue(':job_id', $job_id);
        $stmt->bindValue(':language', $language);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        // echo "count". $row['total'];
        return $row['total'];

        closeDb();
    }

    public function getLanguageForCity($city_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT languages.language_name FROM `languages_of_city` left join languages on 
                 languages_of_city.language_id = languages.language_id WHERE languages_of_city.city_id =:city_id LIMIT 1";

        $stmt = $db->prepare($sql);
        $stmt->bindValue(':city_id', $city_id);
        $crud = new Crud();
        $record = $crud->getAllWithoutJSON($stmt);
        if (!is_null($record) && is_array($record)) {
            return $record[0]["language_name"];
        } else {
            return -1;
        }

        closeDb();
    }
    
    public function getCitiesFromRankedCandidates($job_id, $level) {

        $obj = new stdClass();
        $db = getDb();
        // $sql = "SELECT DISTINCT ranked_candidates.job_id,ranked_candidates.city as city_name,cities.city_id,cities.lat,cities.lon FROM ranked_candidates LEFT JOIN cities on ranked_candidates.city=cities.city_name WHERE ranked_candidates.job_id=:job_id";
        // $sql = "SELECT count(*) as total, ranked_candidates.job_id,ranked_candidates.city as city_name,cities.city_id,cities.lat,cities.lon FROM ranked_candidates LEFT JOIN cities on ranked_candidates.city=cities.city_name WHERE ranked_candidates.job_id=:job_id GROUP BY city";
        $sql = "SELECT city as city_name, COUNT(*) as total FROM ranked_candidates WHERE job_id = :job_id AND level_cleared = :level AND ranked_candidates.leads_assigned = 0 GROUP BY city";
        $stmt = $db->prepare($sql);
        $stmt->bindValue(':job_id', $job_id);
		$stmt->bindValue(':level', $level);
        $crud = new Crud();
        closeDb();
        return $crud->getAll($stmt);
    }
    
	public function changeJobStatus($job_id,$is_active) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "UPDATE `posted_jobs` SET is_active=$is_active WHERE id='$job_id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }
	
    public function getJobsLatest() {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.brand_id, functional_role.name,qualification.name AS min_qual FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id INNER JOIN qualification ON posted_jobs.min_qualification = qualification.id WHERE posted_jobs.is_new='1' order by posted_jobs.`id` DESC";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function jobStatusUpdate($job_id,$status) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "UPDATE `posted_jobs` SET sms_campaign_link='https://jeevitam.com/jd.php' , sms_campaign_fire='level_2',sms_campaign = 1,campaign_status='$status' WHERE id='$job_id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }
  public function getJobsById($id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT posted_jobs.id,posted_jobs.city,posted_jobs.job_id,posted_jobs.salary_in_hand_max,posted_jobs.name_of_brand,posted_jobs.functional_role,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.id='$id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getByCondition($stmt);
        closeDb();
    }
    
    public function updateSmsCampaign($job_id, $sms_fire, $sms_link) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("UPDATE `posted_jobs` SET `sms_campaign` = '1', `sms_campaign_fire` = '$sms_fire', `sms_campaign_link` = '$sms_link', `updated_at` = '$date'
            WHERE `job_id` = '$job_id'");
        
        closeDb();
        return $crud->update($stmt);
        
    }

    public function getJobsForSurvey() {
        
        /*get Jobs for survey*/
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT * FROM jobs_for_survey");
            
            
        closeDb();
        
        return $crud->getAll($stmt);
        
    }   


}

?>
