<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class BranchController {

    public function create(Branches $branch) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("INSERT INTO `corporate_branches`(`brand_id`, `branch_name`, `created_at`, `created_by`, `branch_notes`,`branch_city`,`branch_address`, `branch_lat`, `branch_lon`, `pincode`) 
                                                      VALUES (:brand_id,:branch_name,:created_at,:created_by,:branch_notes,:branch_city,:branch_address,:branch_lat,:branch_lon,:pincode)");
        $stmt->bindValue(':brand_id', $branch->getBrand_id());
        $stmt->bindValue(':branch_name', $branch->getBranch_name());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':created_by', $branch->getCreated_by());
        $stmt->bindValue(':branch_notes', $branch->getBranch_notes());
        $stmt->bindValue(':branch_city', $branch->getBranch_city());
        $stmt->bindValue(':branch_address', $branch->getBranch_address());
        $stmt->bindValue(':branch_lat', $branch->getBranch_lat());
        $stmt->bindValue(':branch_lon', $branch->getBranch_lon());
        $stmt->bindValue(':pincode', $branch->getPincode());

        $crud = new Crud();
        $results = $crud->create($stmt, $db);
        closeDb();
        return $results;
    }
    
    public function getBranches($brand_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT corporate_branches.*, cities.city_name FROM corporate_branches LEFT JOIN cities ON corporate_branches.branch_city = cities.id where brand_id=:brand_id");

        $stmt->bindValue(':brand_id', $brand_id);


        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function branchName($branch_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT branch_name FROM `corporate_branches`  WHERE id='$branch_id'");


        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function getBranchesSupervisor($supervisor_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT corporate_branches.branch_name,corporate_branches.id FROM `corporate_branches` LEFT JOIN corporate_supervisor_mapping ON corporate_branches.id = corporate_supervisor_mapping.branch_id WHERE corporate_supervisor_mapping.supervisor_id='$supervisor_id'");


        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function branchWiseLeadsCount($supervisor_id) {
        
        $obj_1 = new stdClass();
        $db = getDb();
        $sql = "SELECT corporate_branches.branch_name,corporate_branches.id FROM `corporate_branches` LEFT JOIN corporate_supervisor_mapping ON corporate_branches.id = corporate_supervisor_mapping.branch_id WHERE corporate_supervisor_mapping.supervisor_id='$supervisor_id'";
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $branches = $crud->getAllWithoutJSON($stmt);
        $final_arr = array();
        
        foreach($branches as $branch_arr){
            
            $obj = new stdClass();
            $branch_name = $branch_arr['branch_name'];
            $branch = $branch_arr['id'];
            $stmt_count = $db->prepare("select sum(level_cleared BETWEEN 'L2B' AND 'L8' AND interested = '1') as l2b,
                             sum(level_cleared BETWEEN 'L7' AND 'L8' AND interested = '1') as l7,
                             sum(level_cleared = 'L8' AND interested = '1') as l8
                             from ranked_candidates 
                             where branch_id ='$branch'");
            $branch_count = $crud->getByCondition($stmt_count);  
            
            $obj->branch_id = $branch;
            $obj->branch_name = $branch_name;
            $obj->l2b = $branch_count['l2b'];
            $obj->l7 = $branch_count['l7'];
            $obj->l8 = $branch_count['l8'];
            
            array_push($final_arr,$obj);
        }
        
        $obj_1->result = 'success';
        $obj_1->message = 'total found';
        $obj_1->total = $final_arr;
        
        return json_encode($obj_1);
        
        closeDb();
    }

    public function getBranchesForCities($brand_id, $city_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * from corporate_branches where branch_city=:branch_city AND brand_id=:brand_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':branch_city', $city_id);
        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function getBranchCitiesForBrand($brand_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT corporate_branches.branch_city,cities.id, cities.city_id, cities.city_name FROM corporate_branches LEFT JOIN cities ON corporate_branches.branch_city = cities.id 
            WHERE corporate_branches.brand_id = '$brand_id' GROUP BY corporate_branches.branch_city");
        
        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    public function updateLatLon() {
        
        $db = getDb();
        $crud = new Crud();
        
        $stmt = $db->prepare("SELECT `id`, `branch_address` FROM `corporate_branches` WHERE `brand_id` = '5ec6584e3fa76'");
        $results = $crud->getAllWithoutJSON($stmt);
        
        foreach($results as $value) {
            
            $branch_address = $value['branch_address'];
            $id = $value['id'];
            
            $address = urlencode($branch_address);
            
            $apiKey = "AIzaSyABnhgsXym-2WRx0pr9Fl-L-OzFcIxVGK8";
            $url = "https://maps.googleapis.com/maps/api/geocode/json?address=$address&key=$apiKey";
            $ch = curl_init();
            
            curl_setopt($ch, CURLOPT_VERBOSE, 1);
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_FAILONERROR, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        
            echo $http_result = curl_exec($ch);
            $output = json_decode($http_result, TRUE);
            
            $lat = $output['results'][0]['geometry']['location']['lat'];
            $lon = $output['results'][0]['geometry']['location']['lng'];
            
            $stmt_update = $db->prepare("UPDATE `corporate_branches` SET `branch_lat` = '$lat', `branch_lon` = '$lon' WHERE `id` = '$id'");
            echo $crud->update($stmt_update);
                    
        }
        
    }

}

?>
