<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class CheckInCheckOutController {

    public function checkIn(CheckInOut $checkInOut) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `corporate_employee_attendance`(
            `user_id`,
            `employee_id`,
            `brand_id`,
            `branch_id`, 
            `attendance_date`, 
            `check_in`, 
            `check_lat`, 
            `check_lon`,
            `day`,  
            `check_in_comment`,  
            `updated_at`) 
            

            VALUES (:user_id,
            :employee_id,
            :brand_id,
            :branch_id,
            :attendance_date,
            :check_in,
            :check_lat,
            :check_lon,
            :day,
            :check_in_comment,
            :updated_at)");

        $stmt->bindValue(':user_id', $checkInOut->getUser_id());
        $stmt->bindValue(':employee_id', $checkInOut->getEmployee_id());
        $stmt->bindValue(':brand_id', $checkInOut->getBrand_id());
        $stmt->bindValue(':branch_id', $checkInOut->getBranch_id());
        $stmt->bindValue(':attendance_date', $checkInOut->getAttendance_date());
        $stmt->bindValue(':check_in', $date);
        $stmt->bindValue(':check_lat', $checkInOut->getCheck_lat());
        $stmt->bindValue(':check_lon', $checkInOut->getCheck_lon());
        $stmt->bindValue(':day', $checkInOut->getDay());
        $stmt->bindValue(':check_in_comment', $checkInOut->getCheck_in_comment());
        $stmt->bindValue(':updated_at', $date);


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }

    public function checkOut(CheckInOut $checkInOut) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE   `corporate_employee_attendance` SET
            `user_id`=:user_id,
            `employee_id`=:employee_id,
            `brand_id`=:brand_id,
            `branch_id`=:branch_id, 
            `attendance_date`=:attendance_date, 
            `check_out`=:check_out, 
            `check_out_lat`=:check_out_lat, 
            `check_out_lon`=:check_out_lon,
            `day`=:day,  
            `duration`=:duration,
            `attendance`=:attendance,
            `check_out_comment`=:check_out_comment,  
            `updated_at`=:updated_at WHERE id =:id");

        $stmt->bindValue(':user_id', $checkInOut->getUser_id());
        $stmt->bindValue(':employee_id', $checkInOut->getEmployee_id());
        $stmt->bindValue(':brand_id', $checkInOut->getBrand_id());
        $stmt->bindValue(':branch_id', $checkInOut->getBranch_id());
        $stmt->bindValue(':attendance_date', $checkInOut->getAttendance_date());
        $stmt->bindValue(':check_out', $date);
        $stmt->bindValue(':check_out_lat', $checkInOut->getCheck_out_lat());
        $stmt->bindValue(':check_out_lon', $checkInOut->getCheck_out_lon());
        $stmt->bindValue(':day', $checkInOut->getDay());
        $stmt->bindValue(':duration', $checkInOut->getDuration());
        $stmt->bindValue(':attendance', $checkInOut->getAttendance());

        $stmt->bindValue(':check_out_comment', $checkInOut->getCheck_out_comment());
        $stmt->bindValue(':updated_at', $date);
        $stmt->bindValue(':id', $checkInOut->getId());



        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }



   public function getAllCheckInAndOut($employee_id, $from, $to) {

        $db = getDb();
        $stmt = $db->prepare("SELECT corporate_employees.first_name, corporate_employees.last_name,corporate_employees.shift_timings,
                corporate_employee_attendance.employee_id,corporate_employee_attendance.brand_id,corporate_employee_attendance.branch_id,
                corporate_employee_attendance.attendance_date,corporate_employee_attendance.check_out,corporate_employee_attendance.check_out_lat,
                corporate_employee_attendance.check_out_lon,
                corporate_employee_attendance.day,corporate_employee_attendance.duration,corporate_employee_attendance.attendance,
                corporate_employee_attendance.check_out_comment,corporate_employee_attendance.id,corporate_employee_attendance.check_in,
                corporate_employee_attendance.check_lat, corporate_employee_attendance.check_in_away,corporate_employee_attendance.check_lon,
                corporate_employee_attendance.check_in_comment
                FROM corporate_employee_attendance left join corporate_employees on corporate_employees.employee_id = corporate_employee_attendance.employee_id 
                where corporate_employee_attendance.employee_id=:employee_id AND updated_at between '$from' and '$to' ORDER BY corporate_employee_attendance.attendance_date DESC");
        $stmt->bindValue(':employee_id', $employee_id); 

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    
        public function getAllCheckInAndOutForBranch($from, $to, $branch_id,$employee_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT corporate_employees.first_name, corporate_employees.last_name,corporate_employees.shift_timings,
                corporate_employee_attendance.employee_id,corporate_employee_attendance.brand_id,corporate_employee_attendance.branch_id,
                corporate_employee_attendance.attendance_date,corporate_employee_attendance.check_out,corporate_employee_attendance.check_out_lat,
                corporate_employee_attendance.check_out_lon,
                corporate_employee_attendance.day,corporate_employee_attendance.duration,corporate_employee_attendance.attendance,
                corporate_employee_attendance.check_out_comment,corporate_employee_attendance.id,corporate_employee_attendance.check_in,
                corporate_employee_attendance.check_lat,corporate_employee_attendance.check_lon,
                corporate_employee_attendance.check_in_comment,corporate_employee_attendance.check_in_away,corporate_employee_attendance.check_out_away,corporate_employee_attendance.out_of_time_check_in,corporate_employee_attendance.out_of_time_check_out
                FROM corporate_employee_attendance left join corporate_employees on corporate_employees.employee_id = corporate_employee_attendance.employee_id 
                where corporate_employee_attendance.branch_id=:branch_id AND corporate_employee_attendance.employee_id=:employee_id AND updated_at between '$from' and '$to' ORDER BY DATE(corporate_employee_attendance.attendance_date) DESC");

        $stmt->bindValue(':branch_id', $branch_id);
                $stmt->bindValue(':employee_id', $employee_id);



        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }


}

?>
