<?php

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class EmployeeController {
    
    public function checkSupervisorExist($phone,$email) {

        $db = getDb();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `users` WHERE username='$phone' AND email='$email' AND userType='Supervisor'");

        $crud = new Crud();
        return $crud->getCount($stmt);
        
    }
    
    public function getUserId($phone,$email) {

        $db = getDb();

        $stmt = $db->prepare("SELECT objectId FROM `users` WHERE username='$phone' AND email='$email' AND userType='Supervisor'");

        $crud = new Crud();
        $user_id = $crud->getByCondition($stmt);
        // print_r($user_id);
        return $user_id['objectId'];
        
    }
    
    public function createSupervisor($first_name,$last_name,$phone,$email,$shift_timings,$password,$created_by,$user_id,$employee_id) {

        // $password = getAutoPassword();
        
        $response = getUserPassword($password);
        $hash = $response['hash'];
        $salt = $response['salt'];

        $obj = new stdClass();

        try {

            $db = getDb();
            $db->beginTransaction();
            $insertTrainerStmt = $db->prepare("INSERT INTO `corporate_employees`(`first_name`, `last_name`, `brand_id`, `created_at`, `created_by`,`user_id`,`user_type`, `employee_id`,`shift_timings`)
                                                                            VALUES (:first_name,:last_name,:brand_id,:created_at,:created_by,:user_id,:user_type,:employee_id,:shift_timings)");

            // $insertTrainerStmt->bindValue(':branch_id', $employee->getBranch_id());
            $insertTrainerStmt->bindValue(':first_name', $first_name);
            $insertTrainerStmt->bindValue(':last_name', $last_name);
            $insertTrainerStmt->bindValue(':brand_id', $created_by);
            $insertTrainerStmt->bindValue(':created_at', getCurrentTime());
            $insertTrainerStmt->bindValue(':created_by', $created_by);
            $insertTrainerStmt->bindValue(':user_id', $user_id);
            $insertTrainerStmt->bindValue(':user_type', "Supervisor");
            $insertTrainerStmt->bindValue(':employee_id', $employee_id);
            $insertTrainerStmt->bindValue(':shift_timings', $shift_timings);





            if ($insertTrainerStmt->execute()) {


                $password_hash = $salt;
                // $password = $hash;
                $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`, `optout`,`brand_id`) 
                                                           VALUES (:objectId,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass, :optout,:brand_id)");

                $insertuserStmt->bindValue(':objectId', $user_id);
                $insertuserStmt->bindValue(':username', $phone);
                $insertuserStmt->bindValue(':email', $email);
                $insertuserStmt->bindValue(':password', $hash);
                $insertuserStmt->bindValue(':userType', "Supervisor");
                $insertuserStmt->bindValue(':total', 0);
                $insertuserStmt->bindValue(':userStatus', "Active");
                $insertuserStmt->bindValue(':createdAt', getCurrentTime());
                $insertuserStmt->bindValue(':updatedAt', getCurrentTime());
                $insertuserStmt->bindValue(':old_pass', $password);
                $insertuserStmt->bindValue(':optout', 0);
                $insertuserStmt->bindValue(':brand_id', $created_by);




                if ($insertuserStmt->execute()) {
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $user_id;
                    return json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($insertuserStmt->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    return json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($insertTrainerStmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                return json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            return $obj;
        }

        closeDb();
    }
    
    public function checkBranchesExist($brand_id,$branch, $user_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `corporate_supervisor_mapping` WHERE brand_id='$brand_id' AND supervisor_id='$user_id' AND branch_id='$branch'");

        $crud = new Crud();
        return $crud->getCount($stmt);
        
    }
    
    public function getFullDetailsSupervisor($brand_id,$user_id) {

        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT u.username,u.email,ce.user_id,ce.employee_id,ce.id,ce.first_name,ce.last_name,ce.branch_id,ce.shift_timings,ce.created_at FROM corporate_employees AS ce INNER JOIN users AS u ON u.objectId=ce.user_id WHERE ce.brand_id='$brand_id' AND ce.user_id='$user_id'");
        $details = $crud->getByCondition($stmt);
        
        $stmt_branches = $db->prepare("SELECT cb.id,cb.branch_name,cb.branch_city FROM corporate_supervisor_mapping AS cs INNER JOIN corporate_branches AS cb ON cb.id=cs.branch_id WHERE supervisor_id='$user_id'");
        $branches = $crud->getAllWithoutJSON($stmt_branches);
        $obj = new stdClass();

        $obj->result = "success";
        $obj->details = $details;
        $obj->branches = $branches;
        return json_encode($obj);

        closeDb();
    }
    
    public function viewManagersCount($brand_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `corporate_employees`  WHERE brand_id='$brand_id' AND user_type='Manager'");
        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }
    
    public function viewManagersDetails($brand_id,$offset) {

        $db = getDb();
        $stmt = $db->prepare("SELECT corporate_employees.*,corporate_branches.branch_name FROM `corporate_employees` INNER JOIN corporate_branches ON corporate_employees.branch_id=corporate_branches.id WHERE corporate_employees.brand_id='$brand_id' AND user_type='Manager' LIMIT $offset,10");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function create(CorporateEmployees $employee) {

        // $password = getAutoPassword();
        $password = $employee->getPassword();
        
        $response = getUserPassword($password);
        $hash = $response['hash'];
        $salt = $response['salt'];

        $obj = new stdClass();

        try {

            $db = getDb();
            $db->beginTransaction();
            $insertTrainerStmt = $db->prepare("INSERT INTO `corporate_employees`(`branch_id`, `first_name`, `last_name`, `brand_id`, `created_at`, `created_by`,`user_id`,`user_type`, `employee_id`,`shift_timings`)
                                                                            VALUES (:branch_id,:first_name,:last_name,:brand_id,:created_at,:created_by,:user_id,:user_type,:employee_id,:shift_timings)");

            $insertTrainerStmt->bindValue(':branch_id', $employee->getBranch_id());
            $insertTrainerStmt->bindValue(':first_name', $employee->getFirst_name());
            $insertTrainerStmt->bindValue(':last_name', $employee->getLast_name());
            $insertTrainerStmt->bindValue(':brand_id', $employee->getBrand_id());
            $insertTrainerStmt->bindValue(':created_at', getCurrentTime());
            $insertTrainerStmt->bindValue(':created_by', $employee->getCreated_by());
            $insertTrainerStmt->bindValue(':user_id', $employee->getUser_id());
            $insertTrainerStmt->bindValue(':user_type', $employee->getUser_type());
            $insertTrainerStmt->bindValue(':employee_id', $employee->getEmployee_id());
            $insertTrainerStmt->bindValue(':shift_timings', $employee->getShift_timings());





            if ($insertTrainerStmt->execute()) {


                $password_hash = $salt;
                // $password = $hash;
                $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`, `optout`,`brand_id`) 
                                                           VALUES (:objectId,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass, :optout,:brand_id)");

                $insertuserStmt->bindValue(':objectId', $employee->getUser_id());
                $insertuserStmt->bindValue(':username', $employee->getUsername());
                $insertuserStmt->bindValue(':email', $employee->getEmail());
                $insertuserStmt->bindValue(':password', $hash);
                $insertuserStmt->bindValue(':userType', $employee->getUser_type());
                $insertuserStmt->bindValue(':total', 0);
                $insertuserStmt->bindValue(':userStatus', "Active");
                $insertuserStmt->bindValue(':createdAt', getCurrentTime());
                $insertuserStmt->bindValue(':updatedAt', getCurrentTime());
                $insertuserStmt->bindValue(':old_pass', $password);
                $insertuserStmt->bindValue(':optout', 0);
                $insertuserStmt->bindValue(':brand_id', $employee->getBrand_id());




                if ($insertuserStmt->execute()) {
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $employee->getUser_id();
                    return json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($insertuserStmt->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    return json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($insertTrainerStmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                return json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            return $obj;
        }

        closeDb();
    }

    /////////////////supervisor mapping////////////


    public function supervisorMapping($brand_id, $branch_id, $created_by, $user_id) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `corporate_supervisor_mapping`(`branch_id`, `brand_id`, `created_at`, `created_by`,`supervisor_id`)
            VALUES (:branch_id,:brand_id,:created_at,:created_by,:supervisor_id)");

        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':branch_id', $branch_id);
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':created_by', $created_by);
        $stmt->bindValue(':supervisor_id', $user_id);



        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    
    
    public function getBrandName($brand_id) {
        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT brand_name FROM corporates where user_id=:user_id");
        $stmt->bindValue(':user_id', $brand_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && is_array($row)) {
            return $row['brand_name'];
        } else {
            return -1;
        }
        closeDb();
    }
    
    public function getEmployeeNameWithoutJSON($employee_id) {

        $name = "";
        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT first_name,last_name FROM corporate_employees where employee_id=:employee_id");
        $stmt->bindValue(':employee_id', $employee_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && is_array($row)) {
           return  $row['first_name'] ." " .$row['last_name'];
        } else {
            return " ";
        }
        closeDb();
    }

    public function getEmployeeName($employee_id) {

        $name = "";
        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT first_name,last_name FROM corporate_employees where employee_id=:employee_id");
        $stmt->bindValue(':employee_id', $employee_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && is_array($row)) {
            $name = $row['first_name'] . " ". $row['last_name'];
        } else {
            $name = "";
        }
        $obj = new stdClass();

        $obj->result = "success";
        $obj->name = $name;
        $obj->message = $message;
        return json_encode($obj);
        closeDb();
    }


    public function getEmployee_id($employee_id) {
        
        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT employee_id  FROM corporate_employees where user_id=:user_id");
        $stmt->bindValue(':user_id', $employee_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && is_array($row)) {
            return $row['employee_id'];
        } else {
            return -1;
        }
        closeDb();
    }
    
    
    public function getSupervisors($brand_id) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT user_id,employee_id,id,first_name,last_name,branch_id,shift_timings,created_at FROM corporate_employees WHERE brand_id=:brand_id AND user_type=:user_type");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_type', 'Supervisor');

        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }

    public function updateSuperVisorForEmployees($branch_id, $supervisor) {
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE corporate_employees SET supervisor_id=:supervisor_id WHERE branch_id=:branch_id");
        $stmt->bindValue(':branch_id', $branch_id);
        $stmt->bindValue(':supervisor_id', $supervisor);

        
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    
    
    public function updateEmployee($branch_id, $employee_id, $shift_timings,$user_type) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE `corporate_employees` SET `branch_id`=:branch_id,`user_type`=:user_type,`shift_timings`=:shift_timings 
            WHERE `employee_id`=:employee_id");
        $stmt->bindValue(':branch_id', $branch_id);
        $stmt->bindValue(':employee_id', $employee_id);
        $stmt->bindValue(':shift_timings', $shift_timings);
        $stmt->bindValue(':user_type', $user_type);

        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    



    public function getEmployeeDetails($brand_id, $branch_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM corporate_employees where brand_id=:brand_id AND branch_id=:branch_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':branch_id', $branch_id);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
      public function addAsEmployee(CorporateEmployees $employee) {
        $db = getDb();
        $stmt = $db->prepare("INSERT INTO `corporate_employees`(`branch_id`, `first_name`, `last_name`, `brand_id`, `created_at`, `created_by`,`user_id`,`user_type`, `employee_id`,`shift_timings`,`supervisor_id`)
                                                                            VALUES (:branch_id,:first_name,:last_name,:brand_id,:created_at,:created_by,:user_id,:user_type,:employee_id,:shift_timings,:supervisor_id)");

        $stmt->bindValue(':branch_id', $employee->getBranch_id());
        $stmt->bindValue(':first_name', $employee->getFirst_name());
        $stmt->bindValue(':last_name', $employee->getLast_name());
        $stmt->bindValue(':brand_id', $employee->getBrand_id());
        $stmt->bindValue(':created_at', getCurrentTime());
        $stmt->bindValue(':created_by', $employee->getCreated_by());
        $stmt->bindValue(':user_id', $employee->getUser_id());
        $stmt->bindValue(':user_type', $employee->getUser_type());
        $stmt->bindValue(':employee_id', $employee->getEmployee_id());
        $stmt->bindValue(':shift_timings', $employee->getShift_timings());
        $stmt->bindValue(':supervisor_id', $employee->getSupervisor_id());


        $curd = new Crud();
        $results = $curd->create($stmt, $db);

        closeDb();

        return $results;
    }
    
    public function getBranchesCount($brand_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `corporate_branches` WHERE `brand_id` = '$brand_id'");
        $total = $crud->getCount($stmt);

        $obj->result = 'success';
        $obj->message = 'total fount';
        $obj->total = $total;

        closeDb();

        return json_encode($obj);
    }
    
    public function getBranches($brand_id, $startOffset) {

        $db = getDb();
        $crud = new Crud();
        $list = array();

        $stmt = $db->prepare("SELECT * FROM `corporate_branches` WHERE `brand_id` = '$brand_id' LIMIT $startOffset,10");

        $branches = $crud->getAllWithoutJSON($stmt);

        foreach ($branches as $branch) {

            $obj = new stdClass();

            $branch_id = $branch['id'];
            $branch_name = $branch['branch_name'];
            $branch_notes = $branch['branch_notes'];

            $stmt_manager = $db->prepare("SELECT * FROM `corporate_employees` WHERE `brand_id` = '$brand_id' AND `branch_id` = '$branch_id' AND `user_type` = 'Manager'");
            $manager = $crud->getByCondition($stmt_manager);

            $first_name = $manager['first_name'];
            $last_name = $manager['last_name'];
            $employee_id = $manager['employee_id'];

            $stmt_screened = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `branch_id` = '$branch_id' AND `brand_id` = '$brand_id' AND `level_cleared` = 'L2B' AND `interested` = '1'");
            $screened = $crud->getCount($stmt_screened);

            $stmt_interviwed = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `branch_id` = '$branch_id' AND `brand_id` = '$brand_id' AND `level_cleared` = 'L7' AND `interested` = '1'");
            $interviwed = $crud->getCount($stmt_interviwed);

            $stmt_selected = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `branch_id` = '$branch_id' AND `brand_id` = '$brand_id' AND `level_cleared` = 'L8' AND `interested` = '1'");
            $selected = $crud->getCount($stmt_selected);

            $obj->branch_id = $branch_id;
            $obj->branch_name = $branch_name;
            $obj->branch_notes = $branch_notes;
            $obj->employee_id = $employee_id;
            $obj->first_name = $first_name;
            $obj->last_name = $last_name;
            $obj->screened = $screened;
            $obj->interviwed = $interviwed;
            $obj->selected = $selected;

            array_push($list, $obj);
        }

        $res = new stdClass();

        $res->result = 'success';
        $res->message = 'list found';
        $res->list = $list;

        closeDb();

        return json_encode($res);
    }

}

?>