<?php

class ExcelUploadController {

    // uploading excel sheet to create employees

    public function excelUploadToCreateEmployee(CorporateEmployees $employee, $db) {

        $response = getPassword();
        $hash = $response['hash'];
        $salt = $response['salt'];

        $obj = new stdClass();

        try {

            $db->beginTransaction();
            $insertTrainerStmt = $db->prepare("INSERT INTO `corporate_employees`(`branch_id`, `first_name`, `last_name`, `brand_id`, `created_at`, `created_by`,`user_id`,`user_type`, `employee_id`)
                                                                            VALUES (:branch_id,:first_name,:last_name,:brand_id,:created_at,:created_by,:user_id,:user_type,:employee_id)");

            $insertTrainerStmt->bindValue(':branch_id', $employee->getBranch_id());
            $insertTrainerStmt->bindValue(':first_name', $employee->getFirst_name());
            $insertTrainerStmt->bindValue(':last_name', $employee->getLast_name());
            $insertTrainerStmt->bindValue(':brand_id', $employee->getBrand_id());
            $insertTrainerStmt->bindValue(':created_at', getCurrentTime());
            $insertTrainerStmt->bindValue(':created_by', $employee->getCreated_by());
            $insertTrainerStmt->bindValue(':user_id', $employee->getUser_id());
            $insertTrainerStmt->bindValue(':user_type', $employee->getUser_type());
            $insertTrainerStmt->bindValue(':employee_id', $employee->getEmployee_id());




            if ($insertTrainerStmt->execute()) {


                $password_hash = $salt;
                $password = $hash;
                $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`, `optout`,`brand_id`) 
                                                           VALUES (:objectId,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass, :optout,:brand_id)");

                $insertuserStmt->bindValue(':objectId', $employee->getUser_id());
                $insertuserStmt->bindValue(':username', $employee->getUsername());
                $insertuserStmt->bindValue(':email', $employee->getEmail());
                $insertuserStmt->bindValue(':password', $hash);
                $insertuserStmt->bindValue(':userType', "Employee");
                $insertuserStmt->bindValue(':total', 0);
                $insertuserStmt->bindValue(':userStatus', "Active");
                $insertuserStmt->bindValue(':createdAt', getCurrentTime());
                $insertuserStmt->bindValue(':updatedAt', getCurrentTime());
                $insertuserStmt->bindValue(':old_pass', $hash);
                $insertuserStmt->bindValue(':optout', 0);
                $insertuserStmt->bindValue(':brand_id', $employee->getBrand_id());




                if ($insertuserStmt->execute()) {
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $employee->getUser_id();
                    return json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($insertuserStmt->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    return json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($insertTrainerStmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                return json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            return $obj;
        }
    }
    
    // uploading excel sheet to create branches

    public function excelUploadToCreateBranch(Branches $branch, $db) {

        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `corporate_branches`(`brand_id`, `branch_name`, `created_at`, `created_by`, `branch_notes`,`branch_city`) 
                                                      VALUES (:brand_id,:branch_name,:created_at,:created_by,:branch_notes,:branch_city)");

        $stmt->bindValue(':brand_id', $branch->getBrand_id());
        $stmt->bindValue(':branch_name', $branch->getBranch_name());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':created_by', $branch->getCreated_by());
        $stmt->bindValue(':branch_notes', $branch->getBranch_notes());
        $stmt->bindValue(':branch_city', $branch->getBranch_city());



        $crud = new Crud();
        return $crud->create($stmt, $db);
    }
    
    // uploading excel sheet to map supervisor 
    
    public function excelUploadSupervisorMapping($brand_id, $branch_id, $created_by, $user_id, $db) {

        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `corporate_supervisor_mapping`(`branch_id`, `brand_id`, `created_at`, `created_by`,`supervisor_id`)
            VALUES (:branch_id,:brand_id,:created_at,:created_by,:supervisor_id)");

        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':branch_id', $branch_id);
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':created_by', $created_by);
        $stmt->bindValue(':supervisor_id', $user_id);



        $crud = new Crud();
        return $crud->create($stmt, $db);
    }

}

?>