<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class JobFairCorporatesController {

    public function create(JobFairCorporates $jobFair) {

        $db = getDb();
        
        $stmt = $db->prepare("INSERT INTO `corporates_job_fair`(`job_fair_id`,`brand_id`,`job_id`,`created_at`,`created_by`,`contact_person`,`contact_number`, `updated_at`,`last_updated_by`) 
                                                        VALUES (:job_fair_id,:brand_id,:job_id,:created_at,:created_by,:contact_person,:contact_number,:updated_at,:last_updated_by)");

        
        $stmt->bindValue(':job_fair_id', $jobFair->getJob_fair_id());
        $stmt->bindValue(':brand_id', $jobFair->getBrand_id());
        $stmt->bindValue(':job_id', $jobFair->getJob_id());
        $stmt->bindValue(':created_at', getCurrentTime());
        $stmt->bindValue(':created_by', $jobFair->getCreated_by());
        $stmt->bindValue(':contact_person', $jobFair->getContact_person());
        $stmt->bindValue(':contact_number', $jobFair->getContact_number());
        $stmt->bindValue(':updated_at', getCurrentTime());
        $stmt->bindValue(':last_updated_by', $jobFair->getLast_updated_by());

        

        $crud = new Crud();
        $results = $crud->create($stmt, $db);
        closeDb();
        return $results;
    }

    public function update(JobFairCorporates $jobFair) {

        $db = getDb();

        $stmt = $db->prepare("UPDATE `corporates_job_fair` SET contact_person=:contact_person,contact_number=:contact_number,last_updated_by=:last_updated_by, updated_at=:updated_at WHERE id=:id");
        $stmt->bindValue(':contact_person', $jobFair->getContact_person());
        $stmt->bindValue(':contact_number', $jobFair->getContact_number());
        $stmt->bindValue(':updated_at', getCurrentTime());
        $stmt->bindValue(':last_updated_by', $jobFair->getLast_updated_by());
        $stmt->bindValue(':id', $jobFair->getId());


        $crud = new Crud();
        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }

    public function getJobFairDetails($brand_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT corporates_job_fair.id,corporates_job_fair.job_fair_id,corporates_job_fair.brand_id,corporates_job_fair.contact_person, 
            corporates_job_fair.contact_number,corporates_job_fair.created_by, job_fair.jobfair_description,job_fair.jobfair_comments,job_fair.jobfair_code,
            job_fair.venue_description,job_fair.venue_pin, job_fair.start_time, job_fair.end_time, job_fair.date, job_fair.city_id, cities.city_name FROM 
            `corporates_job_fair` left join job_fair on job_fair.id = corporates_job_fair.job_fair_id left join cities on cities.city_id = job_fair.city_id 
            WHERE brand_id=:brand_id
");
        $stmt->bindValue(':brand_id', $brand_id);


        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }
    
    
    
    public function getJobFairDetailsForAdmin($brand_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT corporates_job_fair.id,corporates_job_fair.job_fair_id,corporates_job_fair.brand_id,corporates_job_fair.contact_person, 
            corporates_job_fair.contact_number,corporates_job_fair.created_by, job_fair.jobfair_description,job_fair.jobfair_comments,job_fair.jobfair_code,
            job_fair.venue_description,job_fair.venue_pin, job_fair.start_time, job_fair.end_time, job_fair.date, job_fair.city_id, cities.city_name,corporates.brand_name FROM 
            `corporates_job_fair` left join job_fair on job_fair.id = corporates_job_fair.job_fair_id left join cities on cities.city_id = job_fair.city_id 
           left join corporates on corporates.user_id = corporates_job_fair.brand_id WHERE corporates_job_fair.created_by=:created_by
");
        $stmt->bindValue(':created_by', $brand_id);


        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }

}

?>
