<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class LearningObjectiveController {

    public function create(LearningObjective $learningObjective) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `corporate_learning_objective`(`title`, `description`, `created_by`,`created_at`) 
                          VALUES (:title,:description,:created_by,:created_at)");

        $stmt->bindValue(':title', $learningObjective->getTitle());
        $stmt->bindValue(':description', $learningObjective->getDescription());
        $stmt->bindValue(':created_by', $learningObjective->getCreated_by());
        $stmt->bindValue(':created_at', $date);


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function getAllLearningObjectiveForPartTimers() {
        
        $db = getDb();
        
        $obj = new stdClass();
        
        $stmt = $db->prepare("SELECT * from jeevitam_study_materials WHERE test_for = 'PartTimers'");
        $crud = new Crud();
        
        
        
        closeDb();
        return $crud->getAll($stmt);
        
    }
    
    
    
       public function getAllLearningObjectiveForEmployee($employee_id, $month, $year) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT corporate_learning_objective.title, corporate_learning_objective.image, corporate_learning_objective.description,
            corporate_assign_learning_objective.employee_id,corporate_assign_learning_objective.id, corporate_assign_learning_objective.status, corporate_assign_learning_objective.supervisor_approved,corporate_assign_learning_objective.l_o_id FROM corporate_assign_learning_objective
            LEFT JOIN corporate_learning_objective on corporate_learning_objective.id = corporate_assign_learning_objective.l_o_id where 
            corporate_assign_learning_objective.employee_id =:employee_id AND corporate_assign_learning_objective.month =:month and corporate_assign_learning_objective.year =:year");
        $stmt->bindValue(':employee_id', $employee_id);
        $stmt->bindValue(':month', $month);
        $stmt->bindValue(':year', $year);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function getAllLearningObjectiveForSupervisor($lod) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT corporate_learning_objective.title, corporate_learning_objective.image,
            corporate_learning_objective.description, corporate_assign_learning_objective.employee_id, corporate_assign_learning_objective.id,
            corporate_assign_learning_objective.status, corporate_assign_learning_objective.supervisor_approved,
            corporate_assign_learning_objective.l_o_id,corporate_employees.first_name,
            corporate_employees.last_name, corporate_employees.employee_id 
            FROM corporate_assign_learning_objective LEFT JOIN corporate_learning_objective on
            corporate_learning_objective.id = corporate_assign_learning_objective.l_o_id LEFT JOIN 
            corporate_employees on corporate_employees.employee_id = corporate_assign_learning_objective.employee_id
            where corporate_assign_learning_objective.l_o_id =:l_o_id
");
        $stmt->bindValue(':l_o_id', $lod);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
 

    public function getAllLearningObjective() {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT * from corporate_learning_objective");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    

    public function updateImage($id, $image) {
        $db = getDb();
        $stmt = $db->prepare("UPDATE corporate_learning_objective SET image=:image WHERE id=:id ");
        $stmt->bindValue(':image', $image);
        $stmt->bindValue(':id', $id);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    public function assignLearningObjective($employee_id, $l_o_id, $assigned_by, $deadline, $month, $year) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("INSERT INTO `corporate_assign_learning_objective`(`employee_id`, `l_o_id`, `assigned_by`, `assigned_date`,`deadline`,`month`,`year`) 
                                                                      VALUES (:employee_id,:l_o_id,:assigned_by,:assigned_date,:deadline,:month,:year)");

        $stmt->bindValue(':employee_id', $employee_id);
        $stmt->bindValue(':l_o_id', $l_o_id);
        $stmt->bindValue(':assigned_by', $assigned_by);
        $stmt->bindValue(':assigned_date', $date);
        $stmt->bindValue(':deadline', $deadline);
        $stmt->bindValue(':month', $month);
        $stmt->bindValue(':year', $year);


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
        public function updateStatusEmployee($id, $status) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE corporate_assign_learning_objective SET status=:status, updated_at=:updated_at WHERE id=:id ");
        $stmt->bindValue(':status', $status);
        $stmt->bindValue(':updated_at', $date);

        $stmt->bindValue(':id', $id);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    public function updateStatusSupervisor($id, $status) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE corporate_assign_learning_objective SET supervisor_approved=:supervisor_approved, updated_at=:updated_at WHERE id=:id ");
        $stmt->bindValue(':supervisor_approved', $status);
        $stmt->bindValue(':updated_at', $date);

        $stmt->bindValue(':id', $id);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }
    
    
    public function getStudyMaterial($study_material) {

        $db = getDb();
        $obj = new stdClass();
        $stmt = $db->prepare("SELECT * from corporate_learning_objective where id =:id");
        $stmt->bindValue(":id", $study_material);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->message = "Data found";
            $obj->details = $row;
            $results = json_encode($obj);
        } else {
            $obj->result = "fail";
            $obj->message = "Data not found";
            $obj->details = null;
            $results = json_encode($obj);
        }

        closeDb();
        return $results;
    }
    
    public function getStudyMaterialForPartTimers($study_material) {

        $db = getDb();
        $obj = new stdClass();
        $stmt = $db->prepare("SELECT * from jeevitam_study_materials where id =:id");
        $stmt->bindValue(":id", $study_material);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->message = "Data found";
            $obj->details = $row;
            $results = json_encode($obj);
        } else {
            $obj->result = "fail";
            $obj->message = "Data not found";
            $obj->details = null;
            $results = json_encode($obj);
        }

        closeDb();
        return $results;
    }




}

?>
