<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';
class LeaveRequestController {

      public function create(LeaveRequest $leaveRequest) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `create_leave_request`(`branch_id`, `employee_id`, `brand_id`, `created_at`, `from_date`, `to_date`, `reason`, `leave_type`,`days`, 
            `status`,`supervisor_id`) 
                                                           VALUES (:branch_id,:employee_id,:brand_id,:created_at,:from_date,:to_date,:reason, :leave_type,:days,:status,:supervisor_id
                                                           )");

        $stmt->bindValue(':branch_id', $leaveRequest->getBranch_id());
        $stmt->bindValue(':employee_id', $leaveRequest->getEmployee_id());
        $stmt->bindValue(':brand_id', $leaveRequest->getBrand_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':reason', $leaveRequest->getReason());
        $stmt->bindValue(':from_date', $leaveRequest->getFrom_date());
        $stmt->bindValue(':days', $leaveRequest->getDays());
        $stmt->bindValue(':to_date', $leaveRequest->getTo_date());
        $stmt->bindValue(':status', $leaveRequest->getStatus());
        $stmt->bindValue(':supervisor_id', $leaveRequest->getSupervisor_id());
        $stmt->bindValue(':leave_type', $leaveRequest->getLeave_type());



        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }

    
    public function update($id, $status, $comment) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE create_leave_request SET comment=:comment, status=:status where id =:id");
        $stmt->bindValue(':comment', $comment);
        $stmt->bindValue(':status', $status);       
        $stmt->bindValue(':id', $id);
        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    public function getEmployeeLeave($employee_id) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("SELECT create_leave_request.employee_id,
            create_leave_request.brand_id, create_leave_request.branch_id, create_leave_request.created_at,create_leave_request.days, create_leave_request.from_date,
            create_leave_request.to_date, create_leave_request.status, corporate_branches.branch_name,create_leave_request.leave_type from create_leave_request left join corporate_employees on 
            create_leave_request.employee_id = corporate_employees.employee_id  left join corporate_branches on create_leave_request.branch_id = corporate_branches.id 
            where create_leave_request.employee_id = :employee_id");


        $stmt->bindValue(':employee_id', $employee_id);


        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function getLeaveRequest($supervisor_id, $status) {
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("SELECT corporate_employees.first_name, corporate_employees.last_name,create_leave_request.employee_id, create_leave_request.days,create_leave_request.id,
            create_leave_request.brand_id, create_leave_request.branch_id, create_leave_request.created_at, create_leave_request.from_date,
            create_leave_request.to_date, create_leave_request.status, corporate_branches.branch_name,create_leave_request.leave_type from create_leave_request left join corporate_employees on 
            create_leave_request.employee_id = corporate_employees.employee_id  left join corporate_branches on create_leave_request.branch_id = corporate_branches.id 
            where create_leave_request.supervisor_id = :supervisor_id AND create_leave_request.status = :status");


        $stmt->bindValue(':supervisor_id', $supervisor_id);
        $stmt->bindValue(':status', $status);



        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

}

?>
