<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class RatingController {

    public function create(Rating $rating) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt_total_count = $db->prepare("SELECT COUNT(*) FROM `corporate_rating` WHERE `employee_id` = :employee_id AND `rating_type` = :rating_type AND `month` = :month AND `year` = :year");
        $stmt_total_count->bindValue(':employee_id', $rating->getEmployee_id());
        $stmt_total_count->bindValue(':rating_type', $rating->getRating_type());
        $stmt_total_count->bindValue(':month', $rating->getMonth());
        $stmt_total_count->bindValue(':year', $rating->getYear());

        $count = $crud->getCount($stmt_total_count);
        
        if ($count <= 0) {

            $stmt = $db->prepare("INSERT INTO `corporate_rating`(`employee_id`, `branch_id`, `rating_type`, `rating`, 
                `supervisor_id`, `month`, `year`, `comments`, `created_at`) VALUES (:employee_id, :branch_id, :rating_type, :rating, :supervisor_id,
                :month, :year, :comment, :created_at)");

            $stmt->bindValue(':employee_id', $rating->getEmployee_id());
            $stmt->bindValue(':branch_id', $rating->getBranch_id());
            $stmt->bindValue(':rating_type', $rating->getRating_type());
            $stmt->bindValue(':rating', $rating->getRating());
            $stmt->bindValue(':supervisor_id', $rating->getSupervisor_id());
            $stmt->bindValue(':month', $rating->getMonth());
            $stmt->bindValue(':year', $rating->getYear());
            $stmt->bindValue(':comment', $rating->getComments());
            $stmt->bindValue(':created_at', getCurrentTime());
            
            return $crud->create($stmt, $db);
            
        } else {
            $obj->result = "fail";
            $obj->message = "already assign rating";
            return json_encode($obj);
        }

        closeDb();
    }
    
    public function getAllRatingForEmployee($employee_id, $month, $year) {
        
        $db = getDb();
        $crud = new Crud();
        
        $stmt = $db->prepare("SELECT * FROM `corporate_rating` WHERE `employee_id` = '$employee_id' AND `month` = '$month'
            AND `year` = '$year'");
        
        return $crud->getAll($stmt);
        
        closeDb();
    }
    
    public function getAllRatingForSupervisor($supervisor_id, $month, $year) {
        
        $db = getDb();
        $crud = new Crud();
        
        
        $stmt = $db->prepare("SELECT corporate_rating.id,corporate_rating.employee_id,corporate_rating.branch_id,
            corporate_rating.rating_type,corporate_rating.rating,corporate_rating.comments,corporate_employees.first_name,
            corporate_employees.last_name FROM corporate_rating LEFT JOIN corporate_employees ON
            corporate_rating.employee_id = corporate_employees.employee_id WHERE corporate_rating.supervisor_id = '$supervisor_id'
                AND corporate_rating.month = '$month' AND corporate_rating.year = '$year'");
        
        return $crud->getAll($stmt);
        
        closeDb();
    }

}

?>
