<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class ReferralController {

    public function create(Referral $referral) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `add_referral`(`first_name`, `last_name`, `mobile_number`, `email`, `role`, `employee_id`, `brand_id`, `created_at`,`city`, `latitude`, `longitude`)
                                                 VALUES (:first_name,:last_name,:mobile_number,:email,:role,:employee_id,:brand_id,:created_at,:city,:latitude,:longitude)");

        $stmt->bindValue(':first_name', $referral->getFirst_name());
        $stmt->bindValue(':last_name', $referral->getLast_name());
        $stmt->bindValue(':mobile_number', $referral->getMobile_number());
        $stmt->bindValue(':email', $referral->getEmail());
        $stmt->bindValue(':role', $referral->getRole());
        $stmt->bindValue(':employee_id', $referral->getEmployee_id());
        $stmt->bindValue(':brand_id', $referral->getBrand_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':city', $referral->getCity());
        $stmt->bindValue(':latitude', $referral->getLatitude());
        $stmt->bindValue(':longitude', $referral->getLongitude());


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }

    public function getReferral($brand_id, $employeed_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM add_referral where brand_id=:brand_id AND employee_id=:employee_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':employee_id', $employeed_id);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
    


   public function getReferralForNumber($brand_id, $employeed_id, $mobile_number) {

        $db = getDb();
        $stmt = $db->prepare("SELECT add_referral.first_name,add_referral.last_name,add_referral.mobile_number,add_referral.email,add_referral.employee_id,
            add_referral.brand_id,add_referral.city,add_referral.latitude,add_referral.longitude,functional_role.name as fn_name, functional_role.id as role_id, functional_area.id as area_id, functional_area.name as fa_name
            FROM add_referral left join functional_role on add_referral.role = functional_role.id left join functional_area on functional_role.functional_area_id = functional_area.id where brand_id=:brand_id AND employee_id=:employee_id AND mobile_number=:mobile_number");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':mobile_number', $mobile_number);
        $stmt->bindValue(':employee_id', $employeed_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj = new stdClass();

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->details = $row;
        } else {
            $obj->result = "failure";
            $obj->details = null;
        }
        return json_encode($obj);


        closeDb();
    }

    public function update($mobile_number) {
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE add_referral SET status=:status,registered_on=:registered_on WHERE mobile_number=:mobile_number");
        $stmt->bindValue(':mobile_number', $mobile_number);
        $stmt->bindValue(':status', 'Registered');
        $stmt->bindValue(':registered_on', $date);


        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

}

?>
