<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class RequirementGatheringController {

    public function create(RequirementGathering $requirement) {

        $db = getDb();
        $date = getCurrentTime();


        $count = $this->findleadforjob($requirement->getBrand_id(), $requirement->getCity_id(), $requirement->getBranch_id());

        if ($count == 0) {
            $stmt = $db->prepare("INSERT INTO `corporate_requirement_gathering`(`role_id`, `city_id`, `branch_id`, `user_id`, `brand_id`, `budget_numbers`, `created_at`, `approved_by`, `approved_date`, `approver_comments`, `status`, `approved_budget`, `requester_comments`, `delegate_to`,`deadline`,`supervisor_id`)
                        VALUES (:role_id,:city_id,:branch_id,:user_id,:brand_id,:budget_numbers,
                                                                  :created_at,:approved_by,:approved_date,:approver_comments,:status,:approved_budget,
                                                                  :requester_comments,
                                                                  :delegate_to,:deadline,:supervisor_id)");

            $stmt->bindValue(':role_id', $requirement->getRole_id());
            $stmt->bindValue(':city_id', $requirement->getCity_id());
            $stmt->bindValue(':branch_id', $requirement->getBranch_id());
            $stmt->bindValue(':user_id', $requirement->getUser_id());
            $stmt->bindValue(':brand_id', $requirement->getBrand_id());
            $stmt->bindValue(':budget_numbers', $requirement->getBrand_id());
            $stmt->bindValue(':created_at', $date);
            $stmt->bindValue(':approved_by', $requirement->getApproved_by());
            $stmt->bindValue(':approved_date', $requirement->getApproved_date());
            $stmt->bindValue(':approver_comments', $requirement->getApprover_comments());
            $stmt->bindValue(':status', "Requested");
            $stmt->bindValue(':approved_budget', $requirement->getApproved_budget());
            $stmt->bindValue(':requester_comments', $requirement->getRequester_comments());
            $stmt->bindValue(':delegate_to', $requirement->getDelegate_to());
            $stmt->bindValue(':deadline', $requirement->getDeadline());
            $stmt->bindValue(':supervisor_id', $requirement->getSupervisor_id());


            $crud = new Crud();
            return $crud->create($stmt, $db);
        } else {
            $obj = new stdClass();
            $obj->result = "failure";
            $obj->message = "Already inserted";
            return json_encode($obj);
        }
        closeDb();
    }

    public function findleadforjob($brand_id, $city, $branch_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering WHERE brand_id=:brand_id AND city_id=:city_id AND branch_id=:branch_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':city_id', $city);
        $stmt->bindValue(':branch_id', $branch_id);

        $crud = new Crud();
        $row = $crud->getCount($stmt);
        closeDb();
        return $row;
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    public function getRequestTotal($brand_id, $user_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering where brand_id=:brand_id and user_id=:user_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_id', $user_id);
        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }

    public function getRequestTotalApproved($brand_id, $user_id, $status) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering where brand_id=:brand_id and user_id=:user_id and status=:status");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_id', $user_id);
        $stmt->bindValue(':status', $status);

        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }

    public function getRequestToRole($brand_id, $user_id, $role) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering where brand_id=:brand_id and user_id=:user_id and role_id=:role_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_id', $user_id);
        $stmt->bindValue(':role_id', $role);

        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }

    /////////////////////////////////////////////////////////////////////////////////////////////////////////
    public function getRequestForManagerCount($brand_id, $user_id, $role, $status) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering where brand_id=:brand_id AND user_id=:user_id AND role_id=:role_id AND status=:status");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_id', $user_id);
        $stmt->bindValue(':role_id', $role);
        $stmt->bindValue(':status', $status);

        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }

    public function getRequestForManager($brand_id, $user_id, $role, $status, $offset) {

        $db = getDb();

        $stmt = $db->prepare("SELECT functional_role.name,
                corporate_branches.branch_name,
                corporate_requirement_gathering.budget_numbers,
                corporate_requirement_gathering.approved_budget,
                corporate_requirement_gathering.status, corporate_requirement_gathering.deadline FROM 
                corporate_requirement_gathering left join functional_role on functional_role.id = corporate_requirement_gathering.role_id left join corporate_branches on
                corporate_branches.id = corporate_requirement_gathering.branch_id where corporate_requirement_gathering.brand_id=:brand_id AND corporate_requirement_gathering.user_id=:user_id AND corporate_requirement_gathering.role_id=:role_id AND corporate_requirement_gathering.status=:status LIMIT $offset, 10");

        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':user_id', $user_id);
        $stmt->bindValue(':role_id', $role);
        $stmt->bindValue(':status', $status);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    public function getRequestForApproveCount($brand_id, $city, $branch_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_requirement_gathering where brand_id=:brand_id and city_id=:city_id and branch_id=:branch_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':city_id', $city);
        $stmt->bindValue(':branch_id', $branch_id);



        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }



///////////////////////////////////////////////////////////////////////////////////////////////////
    public function getAllRequestToRole($brand_id, $supervisor_id, $role) {
        $db = getDb();
        $stmt = $db->prepare("SELECT corporate_requirement_gathering.id,corporate_requirement_gathering.approver_comments,corporate_requirement_gathering.role_id,corporate_requirement_gathering.branch_id,
            corporate_requirement_gathering.budget_numbers,corporate_requirement_gathering.city_id,corporate_requirement_gathering.status,
            corporate_requirement_gathering.approved_budget,corporate_requirement_gathering.user_id, functional_role.name,corporate_branches.branch_name,
            corporate_employees.first_name,corporate_employees.last_name FROM corporate_requirement_gathering left join 
            functional_role on corporate_requirement_gathering.role_id = functional_role.id left join corporate_branches on 
            corporate_requirement_gathering.branch_id = corporate_branches.id left join corporate_employees on 
            corporate_employees.user_id =corporate_requirement_gathering.user_id where 
            corporate_requirement_gathering.brand_id=:brand_id and corporate_requirement_gathering.supervisor_id=:supervisor_id and corporate_requirement_gathering.role_id=:role_id");

        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':supervisor_id', $supervisor_id);
        $stmt->bindValue(':role_id', $role);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
//////////////////////////////////////////////////////////////////////////////


    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



    public function getRequestForApprove($brand_id, $city, $branch_id, $offset) {

        $db = getDb();

        $stmt = $db->prepare("SELECT functional_role.name,
                corporate_branches.branch_name,
                cities.city_name,
                corporate_requirement_gathering.budget_numbers,
                corporate_requirement_gathering.approved_budget,
                corporate_requirement_gathering.status, corporate_requirement_gathering.deadline FROM 
                corporate_requirement_gathering left join functional_role on functional_role.id = corporate_requirement_gathering.role_id left join 
                corporate_branches on
                corporate_branches.id = corporate_requirement_gathering.branch_id 
                left join cities on cities.id = corporate_requirement_gathering.city_id
                where corporate_requirement_gathering.brand_id=:brand_id AND corporate_requirement_gathering.city_id=:city_id AND 
                corporate_requirement_gathering.branch_id=:branch_id LIMIT $offset, 10");

        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':city_id', $city);
        $stmt->bindValue(':branch_id', $branch_id);

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
    
    
        public function draftApproval(DraftApproval $draftApproval,$supervisor_id) {

        $id = $draftApproval->getId();
        $comments = $draftApproval->getComments();
        $approval_budget = $draftApproval->getApproved_budget();
        $db = getDb();
        $stmt = $db->prepare("UPDATE corporate_requirement_gathering SET approver_comments=:approver_comments,approved_budget=:approved_budget,status=:status,approved_by=:approved_by where id=:id");
        $stmt->bindValue(':id', $id);
        $stmt->bindValue(':approver_comments', $draftApproval->getComments());
        $stmt->bindValue(':approved_budget', $draftApproval->getApproved_budget());
        $stmt->bindValue(':status', "Drafted");
        $stmt->bindValue(':approved_by', $supervisor_id);

        $crud = new Crud();
        return $crud->update($stmt);
        closeDb();
    }

    public function submitApproval(DraftApproval $draftApproval, $supervisor_id) {

        $id = $draftApproval->getId();
        $comments = $draftApproval->getComments();
        $approval_budget = $draftApproval->getApproved_budget();

        $db = getDb();
        $stmt = $db->prepare("UPDATE corporate_requirement_gathering SET approver_comments=:approver_comments,approved_budget=:approved_budget,status=:status,approved_by=:approved_by where id=:id");
        $stmt->bindValue(':id', $id);
        $stmt->bindValue(':approver_comments', $draftApproval->getComments());
        $stmt->bindValue(':approved_budget', $draftApproval->getApproved_budget());
        $stmt->bindValue(':status', "Approved");
        $stmt->bindValue(':approved_by', $supervisor_id);

        $crud = new Crud();
        return $crud->update($stmt);

        closeDb();
    }

}

?>
