<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class TotalRequirementController {

    public function create(TotalRequirement $requirement) {

        $db = getDb();
        $date = getCurrentTime();

        $count = $this->findRequirement($requirement->getBrand_id(), $requirement->getRole_id(), $requirement->getSupervisor_id());

        if ($count == 0) {
            $stmt = $db->prepare("INSERT INTO `corporate_total_requirement`(`role_id`, `brand_id`, `total`, `created_by`, `created_at`, `supervisor_id`) 
                                                               VALUES (:role_id,:brand_id,:total,:created_by,:created_at,:supervisor_id)");

            $stmt->bindValue(':role_id', $requirement->getRole_id());
            $stmt->bindValue(':brand_id', $requirement->getBrand_id());
            $stmt->bindValue(':total', $requirement->getTotal());
            $stmt->bindValue(':created_by', $requirement->getCreated_by());
            $stmt->bindValue(':created_at', $date);
            $stmt->bindValue(':supervisor_id', $requirement->getSupervisor_id());
            $crud = new Crud();
            return $crud->create($stmt, $db);
        } else {
            $obj = new stdClass();
            $obj->result = "failure";
            $obj->message = "Already inserted";
            return json_encode($obj);
        }
        closeDb();
    }

    public function findRequirement($brand_id, $role_id, $supervisor_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM corporate_total_requirement WHERE brand_id=:brand_id AND role_id=:role_id AND supervisor_id=:supervisor_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':role_id', $role_id);
        $stmt->bindValue(':supervisor_id', $supervisor_id);

        $crud = new Crud();
        $row = $crud->getCount($stmt);
        closeDb();
        return $row;
    }
    
    
      public function getTotalRequirementForRole($role_id, $supervisor_id, $brand_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT total FROM corporate_total_requirement WHERE brand_id=:brand_id AND role_id=:role_id AND supervisor_id=:supervisor_id");
        $stmt->bindValue(':brand_id', $brand_id);
        $stmt->bindValue(':role_id', $role_id);
        $stmt->bindValue(':supervisor_id', $supervisor_id);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);

        closeDb();

        $obj = new stdClass();

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->total = $row['total'];
            $obj->message = "found";
            return json_encode($obj);
        } else {
            $obj->result = "failure";
            $obj->total = null;
            $obj->message = "not found";
            return json_encode($obj);
        }
    }


}

?>
