<?php

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class JobApplicationsController {

    public function resetJobsListByCategory($category_id) {
        
        $db = getDb();
        $crud = new Crud();
    
		$sql = "DELETE FROM `job_applications_jobs_list` WHERE category_id='$category_id'";
	
        $stmt = $db->prepare($sql);
        closeDb();
        
		return $stmt->execute();
        
    }
    
    public function getJobsListByCategory($category_id) {
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT fr.name AS functional_role_name, fr.name AS name, pj.* FROM `job_applications_jobs_list` AS ja_jl 
										INNER JOIN posted_jobs AS pj 
										ON pj.id = ja_jl.post_job_id
										INNER JOIN functional_role AS fr 
										ON fr.id = pj.functional_role 
										WHERE category_id='$category_id'");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
    public function getJobsListByCategorySalary($category_id) {
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT (SELECT GROUP_CONCAT(c.city_name) FROM post_job_city AS pjc 
										INNER JOIN cities AS c 
										ON c.city_id=pjc.city_id 
										WHERE pjc.job_id=pj.job_id ) AS pjc_city,
										fr.name AS functional_role_name, fr.name AS name, pj.* FROM `job_applications_jobs_list` AS ja_jl 
										INNER JOIN posted_jobs AS pj 
										ON pj.id = ja_jl.post_job_id
										INNER JOIN functional_role AS fr 
										ON fr.id = pj.functional_role 
										WHERE category_id='$category_id' 
										ORDER BY pj.salary_in_hand_min DESC ");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
	public function getCategoriesList() {
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT * FROM `job_applications_categories`");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
	/*----------------------*/

    public function createJobFair(CompositeJobFair $compositeJobFair) {
        
        /*Creating composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_job_fair`(`job_fair_id`, `date`, `end_date`, `name`, `category`, `venue_description`, `venue_pin`, `created_by`, 
            `jobfair_description`, `jobfair_comments`, `city_id`, `created_at`, `updated_at`, `contact_person`, `contact_number`, `conduct_by`) 
            VALUES (:job_fair_id, :date, :end_date, :name, :category, :venue_description, :venue_pin, :created_by, :jobfair_description, :jobfair_comments,
            :city_id, :created_at, :updated_at, :contact_person, :contact_number, :conduct_by)");

        $stmt->bindValue(':job_fair_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':date', $compositeJobFair->getDate());
        $stmt->bindValue(':end_date', $compositeJobFair->getJf_end_date());
        $stmt->bindValue(':name', $compositeJobFair->getName());
        $stmt->bindValue(':category', $compositeJobFair->getCategory());
        $stmt->bindValue(':venue_description', $compositeJobFair->getVenue_description());
        $stmt->bindValue(':venue_pin', $compositeJobFair->getVenue_pin());
        $stmt->bindValue(':created_by', $compositeJobFair->getCreated_by());
        $stmt->bindValue(':jobfair_description', $compositeJobFair->getJobfair_description());
        $stmt->bindValue(':jobfair_comments', $compositeJobFair->getJobfair_comments());
        $stmt->bindValue(':city_id', $compositeJobFair->getCity_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        $stmt->bindValue(':contact_person', $compositeJobFair->getContact_person());
        $stmt->bindValue(':contact_number', $compositeJobFair->getContact_number());
        $stmt->bindValue(':conduct_by', $compositeJobFair->getConduct_by());

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }

    public function createInternalDetails(CompositeJobFair $compositeJobFair) {
        
        /*Creating internal details for composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_internal_details`(`composite_id`, `min_qualification`, `max_qualification`, `min_exp`, `max_exp`, `min_age`, `max_age`, 
            `gender`, `created_at`, `updated_at`) 
            VALUES (:composite_id, :min_qualification, :max_qualification, :min_exp, :max_exp, :min_age, :max_age, :gender, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':min_qualification', $compositeJobFair->getMin_qualification());
        $stmt->bindValue(':max_qualification', $compositeJobFair->getMax_qualification());
        $stmt->bindValue(':min_exp', $compositeJobFair->getMin_exp());
        $stmt->bindValue(':max_exp', $compositeJobFair->getMax_exp());
        $stmt->bindValue(':min_age', $compositeJobFair->getMin_age());
        $stmt->bindValue(':max_age', $compositeJobFair->getMax_age());
        $stmt->bindValue(':gender', $compositeJobFair->getGender());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }
    
    public function createInternalCities(CompositeJobFair $compositeJobFair) {
        
        /*Creating internal city details for composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_internal_cities`(`composite_id`, `city_id`, `created_at`, `updated_at`) 
            VALUES (:composite_id, :city_id, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':city_id', $compositeJobFair->getInternal_city());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }

    public function createExternalDetails(CompositeJobFair $compositeJobFair) {
        
        /*Creating external (partners) details for composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_external_details`(`composite_id`, `partner_id`, `created_at`, `updated_at`) 
            VALUES (:composite_id, :partner_id, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':partner_id', $compositeJobFair->getPartner_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }

    public function createRobocallDetails(CompositeJobFair $compositeJobFair) {
        
        /*Creating robocall details for composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_robocall_details`(`composite_id`, `start_date`, `end_date`, `maximum_reachout`, `expect_registerd`, `created_at`, 
            `updated_at`) 
            VALUES (:composite_id, :start_date, :end_date, :maximum_reachout, :expect_registerd, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':start_date', $compositeJobFair->getStart_date());
        $stmt->bindValue(':end_date', $compositeJobFair->getEnd_date());
        $stmt->bindValue(':maximum_reachout', $compositeJobFair->getMaximum_reachout());
        $stmt->bindValue(':expect_registerd', $compositeJobFair->getExpect_registerd());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }
    
    public function enableJobs(CompositeJobFair $compositeJobFair) {
        
        /*Enable jobs for composite job fair*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_jobs`(`composite_id`, `job_id`, `created_at`, `updated_at`) 
            VALUES (:composite_id, :job_id, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':job_id', $compositeJobFair->getJob_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }
    
    public function getAllCompositeJobFair() {
        
        /*get all composite job fair*/
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT * FROM `composite_job_fair`");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
    public function getPartnersJobFair($job_fair_id) {
        
        /*get all partners for composite job fair*/
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT skill_firm.*, composite_external_details.composite_id FROM composite_external_details INNER JOIN skill_firm ON 
            skill_firm.id = composite_external_details.partner_id WHERE composite_external_details.composite_id = '$job_fair_id'");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
    public function createBatchesForPartners(CompositeJobFair $compositeJobFair) {
        
        /*Creating batches for composite job fair partners*/
        
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `composite_batches`(`composite_id`, `partner_id`, `batch_name`, `created_at`, `updated_at`) 
            VALUES (:composite_id, :partner_id, :batch_name, :created_at, :updated_at)");

        $stmt->bindValue(':composite_id', $compositeJobFair->getJob_fair_id());
        $stmt->bindValue(':partner_id', $compositeJobFair->getPartner_id());
        $stmt->bindValue(':batch_name', $compositeJobFair->getBatch_name());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);

        $crud = new Crud();
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        return $result;
    }
    
    public function getUpcomingJobfairCount() {
        
        /*get upcoming composite job fair count*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
    
        $stmt = $db->prepare("SELECT COUNT(*) FROM `composite_job_fair`");
        closeDb();
        
        $obj->result = 'success';
        $obj->total = $crud->getCount($stmt);
        
        return json_encode($obj);
        
    }
    
    public function getUpcomingJobfairDetails($offset) {
        
        /*get upcoming composite job fair details*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
    
        $stmt = $db->prepare("SELECT * FROM `composite_job_fair` ORDER BY `date` DESC limit $offset,10");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
    public function getOnGoingJobfairDetails() {
        
        /*get ongoing composite job fair details*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
    
        $stmt = $db->prepare("SELECT * FROM `composite_job_fair` WHERE CURRENT_DATE BETWEEN `date` AND `end_date`");
        closeDb();
        
        return $crud->getAll($stmt);
        
    }
    
    public function getJobfairDetailsById($job_fair_id) {
        
        /*get job fair details by id*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
    
        $stmt = $db->prepare("SELECT composite_job_fair.*, composite_robocall_details.start_date, composite_robocall_details.end_date, composite_robocall_details.maximum_reachout, 
            composite_robocall_details.expect_registerd, composite_internal_details.min_qualification, composite_internal_details.max_qualification, 
            composite_internal_details.min_exp, composite_internal_details.max_exp, composite_internal_details.min_age, composite_internal_details.max_age, 
            composite_internal_details.gender FROM composite_job_fair LEFT JOIN composite_robocall_details ON composite_job_fair.job_fair_id = composite_robocall_details.composite_id 
            LEFT JOIN composite_internal_details ON composite_internal_details.composite_id = composite_job_fair.job_fair_id WHERE composite_job_fair.job_fair_id = '$job_fair_id'");
        closeDb();
        
        $obj->result = 'success';
        $obj->result = 'list found';
        $obj->details = $crud->getByCondition($stmt);
        
        return json_encode($obj);
        
    }
    
    public function getJobfairShortlistedCount($job_fair_id) {
        
        /*get job fair details by id*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt_internal = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id'");
        $get_internal = $crud->getByCondition($stmt_internal);
        $internal = $get_internal['total'];
        
        $stmt_internal_unique = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id'");
        $get_internal_unique = $crud->getByCondition($stmt_internal_unique);
        $internal_unique = $get_internal_unique['total'];
    
        $stmt_internal_shortlisted = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` IN ('Shortlisted', 'Reachedout')");
        $get_internal_shortlisted = $crud->getByCondition($stmt_internal_shortlisted);
        $internal_shortlisted = $get_internal_shortlisted['total'];
        
        $stmt_internal_registered = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` = 'Registered'");
        $get_internal_registered = $crud->getByCondition($stmt_internal_registered);
        $internal_registered = $get_internal_registered['total'];
        
        $stmt_internal_registered_unique = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` = 'Registered'");
        $get_internal_registered_unique = $crud->getByCondition($stmt_internal_registered_unique);
        $internal_registered_unique = $get_internal_registered_unique['total'];
        
        $stmt_internal_applied = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` = 'Applied'");
        $get_internal_applied = $crud->getByCondition($stmt_internal_applied);
        $internal_applied = $get_internal_applied['total'];
        
        $stmt_internal_applied_unique = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` = 'Applied'");
        $get_internal_applied_unique = $crud->getByCondition($stmt_internal_applied_unique);
        $internal_applied_unique = $get_internal_applied_unique['total'];
        
        $stmt_internal_screened = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` = 'Screened And Approved'");
        $get_internal_screened = $crud->getByCondition($stmt_internal_screened);
        $internal_screened = $get_internal_screened['total'];
        
        
        $stmt_external = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id'");
        $get_external = $crud->getByCondition($stmt_external);
        $external = $get_external['total'];
        
        $stmt_external_unique = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id'");
        $get_external_unique = $crud->getByCondition($stmt_external_unique);
        $external_unique = $get_external_unique['total'];
        
        
        $stmt = $db->prepare("SELECT cj.id,cj.job_fair_id,cj.date,cj.end_date,cj.name,cj.contact_person,cj.contact_number,cj.conduct_by FROM composite_job_fair as cj WHERE cj.job_fair_id = '$job_fair_id'");
        
        
        
        
        $obj->result = 'success';
        $obj->result = 'list found';
        $obj->internal = $internal;
        $obj->internal_unique = $internal_unique;
        $obj->internal_shortlisted = $internal_shortlisted;
        $obj->internal_registered = $internal_registered;
        $obj->internal_registered_unique = $internal_registered_unique;
        $obj->internal_applied = $internal_applied;
        $obj->internal_applied_unique = $internal_applied_unique;
        $obj->internal_screened = $internal_screened;
        $obj->external = $external;
        $obj->external_unique = $external_unique;
        $obj->details = $crud->getAllWithoutJSON($stmt);
        
        closeDb();
        return json_encode($obj);
        
    }
    
    public function getPartnetWise($job_fair_id) {
        
        /*get job fair details by id*/
        
        $db = getDb();
        $crud = new Crud();
        $res = new stdClass();
        $details = array();
        
        $stmt_get_partner = $db->prepare("SELECT skill_firm.skill_name, skill_candidates_shorlisted.campus_connect_id FROM skill_candidates_shorlisted INNER JOIN skill_firm ON 
            skill_firm.id = skill_candidates_shorlisted.campus_connect_id WHERE skill_candidates_shorlisted.composite_drive_id = '$job_fair_id' 
            GROUP BY skill_candidates_shorlisted.campus_connect_id");
        $get_partners = $crud->getAllWithoutJSON($stmt_get_partner);
        
        foreach($get_partners as $partner) {
            
            $obj = new stdClass();
            
            $partner_name = $partner['skill_name'];
            $partner_id = $partner['campus_connect_id'];
            
            $stmt_external = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND campus_connect_id = '$partner_id'");
            $get_external = $crud->getByCondition($stmt_external);
            $external = $get_external['total'];
            
            $stmt_external_shortlisted = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id'  AND status = 'Shortlisted' AND campus_connect_id = '$partner_id'");
            $get_external_shortlisted = $crud->getByCondition($stmt_external_shortlisted);
            $external_shortlisted = $get_external_shortlisted['total'];
            
            $stmt_external_registered = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND status = 'Registered' AND campus_connect_id = '$partner_id'");
            $get_external_registered = $crud->getByCondition($stmt_external_registered);
            $external_registered = $get_external_registered['total'];
            
            $stmt_external_applied = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND status = 'Applied' AND campus_connect_id = '$partner_id'");
            $get_external_applied = $crud->getByCondition($stmt_external_applied);
            $external_applied = $get_external_applied['total'];
            
            $stmt_external_screened = $db->prepare("SELECT COUNT(phone_number) as total FROM  skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND status = 'Screened And Approved' AND campus_connect_id = '$partner_id'");
            $get_external_screened = $crud->getByCondition($stmt_external_screened);
            $external_screened = $get_external_screened['total'];
            
            $obj->external_shortlisted = $external_shortlisted;
            $obj->external_registered = $external_registered;
            $obj->external_applied = $external_applied;
            $obj->external_screened = $external_screened;
            $obj->partner_name = $partner_name;
            $obj->partner_id = $partner_id;
            
            array_push($details, $obj);
            
        }
        
        $res->result = 'success';
        $res->message = 'list found';
        $res->list = $details;
        
        closeDb();
        
        return json_encode($res);
        
    }
    
	// public function downloadInternalCandidatesByStatusTest01($job_fair_id, $status) {
        
    //     /*download internal candidates by status*/
        
    //     $db = getDb();
    //     $crud = new Crud();
    //     $obj = new stdClass();
        
    //     if($status == 'Shortlisted') {
            
    //         $statuses = "job_fair_matching.status IN ('Shortlisted', 'Reachedout')";
    //     }else {
    //         $statuses = "job_fair_matching.status IN ('$status')";
    //     }
    
    //     $stmt_internal = $db->prepare("SELECT job_fair_matching.*, posted_jobs.id as posted_job_id, posted_jobs.name_of_brand, composite_job_fair.name FROM job_fair_matching INNER JOIN posted_jobs USING (job_id)
    //     INNER JOIN composite_job_fair ON composite_job_fair.job_fair_id = job_fair_matching.composite_job_fair_id WHERE job_fair_matching.composite_job_fair_id = '$job_fair_id' 
    //     AND " . $statuses);
        
    //     $internal_leads= $crud->getAllWithoutJSON($stmt_internal);
        
    //     $objPHPExcel = new PHPExcel();
    //     $objPHPExcel->setActiveSheetIndex(0);
    //     $rowCount = 2;

    //     $objPHPExcel->getActiveSheet()->setCellValue('A1', 'S.No');
    //     $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Phone Number');
    //     $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Name');
		
	// 	$objPHPExcel->getActiveSheet()->setCellValue('D1', 'Email');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('E1', 'Age');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('F1', 'Gender');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('G1', 'Pincode');

	// 	$objPHPExcel->getActiveSheet()->setCellValue('H1', 'Qualification');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('I1', 'Specialization');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('J1', 'Year of Passed-out');		
	// 	$objPHPExcel->getActiveSheet()->setCellValue('K1', 'City');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('L1', 'Sourced From');

    //     $objPHPExcel->getActiveSheet()->setCellValue('M1', 'Job Id');
    //     $objPHPExcel->getActiveSheet()->setCellValue('N1', 'Registered');
    //     $objPHPExcel->getActiveSheet()->setCellValue('O1', 'Applied');
    //     $objPHPExcel->getActiveSheet()->setCellValue('P1', 'Screen And Approved');
    //     $objPHPExcel->getActiveSheet()->setCellValue('Q1', 'Brand Name');
        
    //     //$objPHPExcel->getActiveSheet()->setCellValue('I2', 'Note : To change status please change  0 to 1 in appropriate column.');
        
        
        
    //     if($status == 'Registered') {
            
    //         $registerd = '1';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Applied') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Screened And Approved') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '1';
            
    //     }else {
            
    //         $registerd = '0';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }
        
        
    //     foreach ($internal_leads as $lead) {
            
    //         $job_fair_name = $lead['name'];
	// 		$phone = $lead['phone_number'];
		
    //         try {
                
	// 			$stmt_lead = $db->prepare("SELECT `first_name`, `last_name`, `email_id`, `age`, `gender`, `pin_code`, `studied_till`, `specialization`, `year_of_passout`, `current_city`, `sourced_from` FROM `turbo_hire_leads` WHERE `phone_number` = '$phone'");
	// 			$lead_detail = $crud->getByCondition($stmt_lead);
				
    //             $s_no = $rowCount - 1;
                
    //             $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $s_no);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['phone_number']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['first_name'] . " " . $lead['last_name']);
				
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead_detail['email_id']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead_detail['age']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead_detail['gender']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead_detail['pin_code']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead_detail['studied_till']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead_detail['specialization']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead_detail['year_of_passout']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead_detail['current_city']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('L' . $rowCount, $lead_detail['sourced_from']);
				
    //             $objPHPExcel->getActiveSheet()->SetCellValue('M' . $rowCount, $lead['posted_job_id']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('N' . $rowCount, $registerd);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('O' . $rowCount, $applied);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('P' . $rowCount, $screen_and_approved);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('Q' . $rowCount, $lead['name_of_brand']);

    //             $rowCount++;
                    
    //         } catch (PDOException $exception) {
                
    //         }
            
    //     }
        
    //     $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);
    
    //     //$file_name = $job_fair_name .'_'.$status.'_internal_candidates_' . getCurrentTime() . '.xlsx';
	// 	$file_name = 'VWF_'.$status.'_internal_candidates_' . getCurrentTime() . '.xlsx';
    //     $objWriter->save($file_name);
    
    //     $path = getSitePath();
    //     $obj->result = 'success';
    //     $obj->message = "Downloaded Successfully";
    //     $obj->data = $path . '/DTTurboHire/api/composite_job_fair/' . $file_name;
    //     return json_encode($obj);
        
    // }
	
    // public function downloadInternalCandidatesByStatus($job_fair_id, $status) {
        
    //     /*download internal candidates by status*/
        
    //     $db = getDb();
    //     $crud = new Crud();
    //     $obj = new stdClass();
        
    //     if($status == 'Shortlisted') {
            
    //         $statuses = "job_fair_matching.status IN ('Shortlisted', 'Reachedout')";
    //     }else {
    //         $statuses = "job_fair_matching.status IN ('$status')";
    //     }
    
    //     $stmt_internal = $db->prepare("SELECT job_fair_matching.*, posted_jobs.id as posted_job_id, posted_jobs.name_of_brand, composite_job_fair.name FROM job_fair_matching INNER JOIN posted_jobs USING (job_id)
    //     INNER JOIN composite_job_fair ON composite_job_fair.job_fair_id = job_fair_matching.composite_job_fair_id WHERE job_fair_matching.composite_job_fair_id = '$job_fair_id' 
    //     AND " . $statuses);
        
    //     $internal_leads= $crud->getAllWithoutJSON($stmt_internal);
        
    //     $objPHPExcel = new PHPExcel();
    //     $objPHPExcel->setActiveSheetIndex(0);
    //     $rowCount = 2;

    //     $objPHPExcel->getActiveSheet()->setCellValue('A1', 'S.No');
    //     $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Phone Number');
    //     $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Name');
		
	// 	$objPHPExcel->getActiveSheet()->setCellValue('D1', 'Email');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('E1', 'Age');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('F1', 'Gender');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('G1', 'Pincode');

	// 	$objPHPExcel->getActiveSheet()->setCellValue('H1', 'Qualification');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('I1', 'Specialization');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('J1', 'Year of Passed-out');		
	// 	$objPHPExcel->getActiveSheet()->setCellValue('K1', 'City');
	// 	$objPHPExcel->getActiveSheet()->setCellValue('L1', 'Sourced From');

    //     $objPHPExcel->getActiveSheet()->setCellValue('M1', 'Job Id');
    //     $objPHPExcel->getActiveSheet()->setCellValue('N1', 'Registered');
    //     $objPHPExcel->getActiveSheet()->setCellValue('O1', 'Applied');
    //     $objPHPExcel->getActiveSheet()->setCellValue('P1', 'Screen And Approved');
    //     $objPHPExcel->getActiveSheet()->setCellValue('Q1', 'Brand Name');
        
    //     //$objPHPExcel->getActiveSheet()->setCellValue('I2', 'Note : To change status please change  0 to 1 in appropriate column.');
        
        
        
    //     if($status == 'Registered') {
            
    //         $registerd = '1';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Applied') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Screened And Approved') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '1';
            
    //     }else {
            
    //         $registerd = '0';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }
        
        
    //     foreach ($internal_leads as $lead) {
            
    //         $job_fair_name = $lead['name'];
	// 		$phone = $lead['phone_number'];
		
    //         try {
                
	// 			$stmt_lead = $db->prepare("SELECT `first_name`, `last_name`, `email_id`, `age`, `gender`, `pin_code`, `studied_till`, `specialization`, `year_of_passout`, `current_city`, `sourced_from` FROM `turbo_hire_leads` WHERE `phone_number` = '$phone'");
	// 			$lead_detail = $crud->getByCondition($stmt_lead);
				
    //             $s_no = $rowCount - 1;
                
    //             $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $s_no);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['phone_number']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['first_name'] . " " . $lead['last_name']);
				
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead_detail['email_id']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead_detail['age']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead_detail['gender']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead_detail['pin_code']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead_detail['studied_till']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead_detail['specialization']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead_detail['year_of_passout']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead_detail['current_city']);
	// 			$objPHPExcel->getActiveSheet()->SetCellValue('L' . $rowCount, $lead_detail['sourced_from']);
				
    //             $objPHPExcel->getActiveSheet()->SetCellValue('M' . $rowCount, $lead['posted_job_id']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('N' . $rowCount, $registerd);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('O' . $rowCount, $applied);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('P' . $rowCount, $screen_and_approved);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('Q' . $rowCount, $lead['name_of_brand']);

    //             $rowCount++;
                    
    //         } catch (PDOException $exception) {
                
    //         }
            
    //     }
        
    //     $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);
    
    //     //$file_name = $job_fair_name .'_'.$status.'_internal_candidates_' . getCurrentTime() . '.xlsx';
	// 	$file_name = 'VWF_'.$status.'_internal_candidates_' . getCurrentTime() . '.xlsx';
    //     $objWriter->save($file_name);
    
    //     $path = getSitePath();
    //     $obj->result = 'success';
    //     $obj->message = "Downloaded Successfully";
    //     $obj->data = $path . '/DTTurboHire/api/composite_job_fair/' . $file_name;
    //     return json_encode($obj);
        
    // }
    
    // public function downloadPartnerCandidatesByStatus($job_fair_id, $status, $partner_id) {
        
    //     /*download partner candidates by status*/
        
    //     $db = getDb();
    //     $crud = new Crud();
    //     $obj = new stdClass();
    
    //     $stmt_internal = $db->prepare("SELECT skill_candidates_shorlisted.name, skill_candidates_shorlisted.phone_number, skill_candidates_shorlisted.job_id, 
    //         skill_firm.skill_name, composite_job_fair.name AS jf_name FROM skill_candidates_shorlisted INNER JOIN skill_firm ON skill_firm.id = skill_candidates_shorlisted.campus_connect_id 
    //         INNER JOIN composite_job_fair ON composite_job_fair.job_fair_id = skill_candidates_shorlisted.composite_drive_id WHERE 
    //         skill_candidates_shorlisted.composite_drive_id = '$job_fair_id' AND skill_candidates_shorlisted.campus_connect_id = '$partner_id' 
    //         AND skill_candidates_shorlisted.status = '$status'");
        
    //     $internal_leads= $crud->getAllWithoutJSON($stmt_internal);
        
    //     $objPHPExcel = new PHPExcel();
    //     $objPHPExcel->setActiveSheetIndex(0);
    //     $rowCount = 2;

    //     $objPHPExcel->getActiveSheet()->setCellValue('A1', 'S.No');
    //     $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Phone Number');
    //     $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Name');
    //     $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Job Id');
    //     $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Registered');
    //     $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Applied');
    //     $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Screen And Approved');
        
    //     $objPHPExcel->getActiveSheet()->setCellValue('I2', 'Note : To change status please change  0 to 1 in appropriate column.');
        
        
        
    //     if($status == 'Registered') {
            
    //         $registerd = '1';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Applied') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '0';
            
    //     }else if($status == 'Screened And Approved') {
            
    //         $registerd = '1';
    //         $applied = '1';
    //         $screen_and_approved = '1';
            
    //     }else {
            
    //         $registerd = '0';
    //         $applied = '0';
    //         $screen_and_approved = '0';
            
    //     }
        
        
    //     foreach ($internal_leads as $lead) {
            
    //         $job_fair_name = $lead['jf_name'];
    //         $partner_name = $lead['skill_name'];
        
    //         try {
                
    //             $s_no = $rowCount - 1;
                
    //             $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $s_no);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['phone_number']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['name']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['job_id']);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $registerd);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $applied);
    //             $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $screen_and_approved);

    //             $rowCount++;
                    
    //         } catch (PDOException $exception) {
                
    //         }
            
    //     }
        
    //     $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);
    
    //     $file_name = $job_fair_name . '_' . $status . '_' . $partner_name . '_candidates_' . getCurrentTime() . '.xlsx';
    //     $objWriter->save($file_name);
    
    //     $path = getSitePath();
    //     $obj->result = 'success';
    //     $obj->message = "Downloaded Successfully";
    //     $obj->data = $path . '/DTTurboHire/api/composite_job_fair/' . $file_name;
        
    //     closeDb();
        
    //     return json_encode($obj);
        
    // }
    
    public function getSource() {
        
        /*get all source*/
        
        $db = getDb();
        $crud = new Crud();
        
        $stmt = $db->prepare("SELECT * FROM `source_from`");
        closeDb();
        
        return $crud->getAll($stmt);
    }
    
    public function getJobfairCandidatesCount($job_fair_id) {
        
        /*get job fair candidates count by id*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt_internal_total = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id'");
        $get_internal_total = $crud->getByCondition($stmt_internal_total);
        $internal_total = $get_internal_total['total'];
        
        $stmt_external_total = $db->prepare("SELECT COUNT(phone_number) as total FROM skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id'");
        $get_external_total = $crud->getByCondition($stmt_external_total);
        $external_total = $get_external_total['total'];
        
        $total = $internal_total + $external_total;
    
        $stmt_internal_shortlisted = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` IN ('Shortlisted', 'Reachedout', 'Registered', 'Applied', 'Screened And Approved')");
        $get_internal_shortlisted = $crud->getByCondition($stmt_internal_shortlisted);
        $internal_shortlisted = $get_internal_shortlisted['total'];
        
        $stmt_external_shortlisted = $db->prepare("SELECT COUNT(phone_number) as total FROM skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND `status` IN ('Shortlisted', 'Registered', 'Applied', 'Screened And Approved')");
        $get_external_shortlisted = $crud->getByCondition($stmt_external_shortlisted);
        $external_shortlisted = $get_external_shortlisted['total'];
        
        $shortlisted = $internal_shortlisted + $external_shortlisted;
        
        $stmt_internal_registered = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` IN ('Registered', 'Applied', 'Screened And Approved')");
        $get_internal_registered = $crud->getByCondition($stmt_internal_registered);
        $internal_registered = $get_internal_registered['total'];
        
        $stmt_external_registered = $db->prepare("SELECT COUNT(phone_number) as total FROM skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND `status` IN ('Registered', 'Applied', 'Screened And Approved')");
        $get_external_registered = $crud->getByCondition($stmt_external_registered);
        $external_registered = $get_external_registered['total'];
        
        $registered = $internal_registered + $external_registered;
        
        $stmt_internal_applied = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` IN ('Applied', 'Screened And Approved')");
        $get_internal_applied = $crud->getByCondition($stmt_internal_applied);
        $internal_applied = $get_internal_applied['total'];
        
        $stmt_external_applied = $db->prepare("SELECT COUNT(phone_number) as total FROM skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND `status` IN ('Applied', 'Screened And Approved')");
        $get_external_applied = $crud->getByCondition($stmt_external_applied);
        $external_applied = $get_external_applied['total'];
        
        $applied = $internal_applied + $external_applied;
        
        $stmt_internal_screened = $db->prepare("SELECT COUNT(phone_number) as total FROM job_fair_matching WHERE composite_job_fair_id = '$job_fair_id' AND `status` IN ('Screened And Approved')");
        $get_internal_screened = $crud->getByCondition($stmt_internal_screened);
        $internal_screened = $get_internal_screened['total'];
        
        $stmt_external_screened = $db->prepare("SELECT COUNT(phone_number) as total FROM skill_candidates_shorlisted WHERE composite_drive_id = '$job_fair_id' AND `status` IN ('Applied', 'Screened And Approved')");
        $get_external_screened = $crud->getByCondition($stmt_external_screened);
        $external_screened = $get_external_screened['total'];
        
        $screened = $internal_screened + $external_screened;
        
        $obj->result = 'success';
        $obj->result = 'list found';
        $obj->total = $total;
        $obj->shortlisted = $shortlisted;
        $obj->registered = $registered;
        $obj->applied = $applied;
        $obj->screened = $screened;

        closeDb();
        return json_encode($obj);
        
    }
    
    public function getRegisterdDetails($from, $to, $job_fair_id) {
        
        /*getting registerd details from various source*/
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $from_time = $from . " 00:00:00";
        
        if(!is_null($to) && !empty($to)) {
            
            $to_time = $to . " 23:59:59";
            
            $sql = "`created_at` BETWEEN '$from_time' AND '$to_time'";
            $sql_robocall = "`date_time` BETWEEN '$from' AND '$to'";
            
        }else {
            $sql = "`created_at` >= '$from_time'";
            $sql_robocall = "`date_time` >= '$from'";
        }
        
        if($job_fair_id == '60687905e40b9') {
            
            $name = 'StartUpWorkFair';
            
        }else if($job_fair_id == '607293aa25058') {
            
            $name = 'bfsiWorkFair';
            
        }else if($job_fair_id == '6083a49fd6b72') {
            
            $name = 'WomenWorkFairII';
            
        }else if($job_fair_id == '6093f5aa26b5f') {
            
            $name = 'bfsiWorkFairII';
            
        }else if($job_fair_id == '60ab51d2813ee') {
            
            $name = 'ruralWorkFair';
            
        }else if($job_fair_id == '60b45d74eb424') {
            
            $name = 'WomenWorkFairIII';
            
        }else if($job_fair_id == '60bcdb84a5a09') {
            
            $name = 'bfsiWorkFairIII';
            
        }else if($job_fair_id == '60d014744052d') {
        
            $name = 'ruralWorkFairIV';
        
        }else if($job_fair_id == '60e065df77d57') {
        
            $name = 'wwf4';
        
        }else if($job_fair_id == '60ea859e8a034') {
        
            $name = 'BFSIWorkFairIV';
        
        }else if($job_fair_id == '60f453596a03a') {
        
            $name = 'StartUpWorkFairIV';
        
        }else if($job_fair_id == '60fec8aa5889e') {
        
            $name = 'RuralWorkFairV';
        
        }else if($job_fair_id == '6104e4826cfa4') {
        
            $name = 'wwf5';
        
        }else if($job_fair_id == '610dfbac753ac') {
        
            $name = 'BFSIWorkFairV';
        
        }else if($job_fair_id == '61167f5312d7c') {
        
            $name = 'suwf3';
        
        }else if($job_fair_id == '611fc548dbe9a') {
        
            $name = 'ruralWorkFair6';
        
        }
        
        $stmt_robocall = $db->prepare("SELECT COUNT(*) FROM `rc_response_data` WHERE `l1` = '1' AND `job_id` = '$name' AND " . $sql_robocall);
        $robocall = $crud->getCount($stmt_robocall);
        
        $stmt_phone = $db->prepare("SELECT COUNT(*) FROM `ivr_jeevitam` WHERE " . $sql);
        $phone = $crud->getCount($stmt_phone);
        
        $stmt_website_internal = $db->prepare("SELECT COUNT(*) FROM `turbo_hire_leads` WHERE `job_fair` = '$job_fair_id' AND " . $sql);
        $website_internal = $crud->getCount($stmt_website_internal);
        
        $stmt_website_external = $db->prepare("SELECT COUNT(*) FROM `skill_dev_batches_details` WHERE `job_fair_code` = '$job_fair_id' AND " . $sql);
        $website_external = $crud->getCount($stmt_website_external);
        
        $website = $website_internal + $website_external;
        
        $obj->result = 'success';
        $obj->message = 'list found';
        $obj->robocall = $robocall;
        $obj->phone = $phone;
        $obj->website = $website;
        
        closeDb();
        
        return json_encode($obj);
        
    }
    
    public function updateLogo($job_fair_id, $name) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("UPDATE `composite_job_fair` SET `logo` = '$name', `updated_at` = '' WHERE `job_fair_id` = '$job_fair_id'");
        
        closeDb();
        
        return $crud->update($stmt);
    }
 
    public function getJobsbyJobFair($job_fair_id) {
        
        /*get Jobs for composite job fair*/
        
        $db = getDb();
        $crud = new Crud();
    
        $stmt = $db->prepare("SELECT posted_jobs.*, composite_jobs.composite_id,functional_role.name FROM composite_jobs INNER JOIN posted_jobs ON 
            posted_jobs.id = composite_jobs.job_id INNER JOIN functional_role on posted_jobs.functional_role=functional_role.id WHERE composite_jobs.composite_id = '$job_fair_id'");
            
            
        closeDb();
        
        return $crud->getAll($stmt);
        
    }   
 
    public function getLocationsFromCategorywiseJobs($category_id) {
        
        $db = getDb();
        $crud = new Crud();
    
        $sql = "SELECT GROUP_CONCAT(DISTINCT(cts.city_name)) AS city_name, 
									GROUP_CONCAT(DISTINCT(pj.name_of_brand)) AS brand_name,
									GROUP_CONCAT(DISTINCT(pj.salary_in_hand_max)) AS max_salary   		
									FROM `job_applications_jobs_list` AS ja_jl 
									INNER JOIN posted_jobs AS pj 
									ON pj.id = ja_jl.post_job_id
									INNER JOIN post_job_city AS pjc 
									ON pjc.job_id=pj.job_id 
									INNER JOIN cities AS cts 
									ON cts.city_id=pjc.city_id 
									WHERE ja_jl.category_id='$category_id'";
	
        $stmt = $db->prepare($sql);
        closeDb();
        
		$result = $crud->getAll($stmt);
		
		//return implode(",",$result);
		
		return $result;
		
    }
	
	public function getFilteredJobsListByCategory($city_name, $brand_name, $max_salary_in_hand, $category_id){
        
        $db = getDb();
        $crud = new Crud();
    
		$sql = "SELECT (SELECT GROUP_CONCAT(c.city_name) FROM post_job_city AS pjc 
										INNER JOIN cities AS c 
										ON c.city_id=pjc.city_id 
										WHERE pjc.job_id=pj.job_id ) AS pjc_city,
										fr.name AS functional_role_name, fr.name AS name, pj.* FROM `job_applications_jobs_list` AS ja_jl 
										INNER JOIN posted_jobs AS pj 
										ON pj.id = ja_jl.post_job_id
										
										INNER JOIN post_job_city AS pjc1 
										ON pjc1.job_id=pj.job_id 
										INNER JOIN cities AS cts1 
										ON cts1.city_id=pjc1.city_id 
										
										INNER JOIN functional_role AS fr 
										ON fr.id = pj.functional_role 
										WHERE category_id='$category_id' ";
	
		if(strlen($city_name)!==0){
			$sql = $sql." AND cts1.city_name='$city_name' ";
		}
	
		if(strlen($brand_name)!==0){
			$sql = $sql." AND pj.name_of_brand='$brand_name' ";
		}
	
		if(strlen($max_salary_in_hand)!==0){
			$sql = $sql." AND pj.salary_in_hand_max='$max_salary_in_hand' ";
		}
	
		$sql = $sql." AND 1=1 ORDER BY pj.salary_in_hand_min DESC ";
	
		//print_r($sql);
	
        $stmt = $db->prepare($sql);
        closeDb();
        
        return $crud->getAll($stmt);
        
    }

}