<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';


class CityController {
    
    public function getPincodeByDistrict($district) {

        $db = getDb();
        $stmt = $db->prepare("SELECT DISTINCT pincode FROM `version_2_states_cities` WHERE district='$district' ORDER BY pincode");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function getCityByState($state) {

        $db = getDb();
        // $stmt = $db->prepare("SELECT * FROM `version_2_cities` WHERE state_id=$state_id ORDER BY city"); // Old
        $stmt = $db->prepare("SELECT DISTINCT district FROM `version_2_states_cities` WHERE state='$state' ORDER BY district");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function getStates() {

        $db = getDb();
        // $stmt = $db->prepare("SELECT * FROM `version_2_states`"); // Old
        $stmt = $db->prepare("SELECT DISTINCT state FROM `version_2_states_cities`");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function checkCity($city_name,$lat,$lon) {

        $db = getDb();
        $crud = new Crud();
        $stmt1 = $db->prepare("SELECT COUNT(*) FROM cities WHERE city_name = '$city_name'");
        
        closeDb();
        return $crud->getCount($stmt1);
        
    }

    public function getCity() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `cities` ORDER by city_name ASC");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
    public function getCityName() {

        $db = getDb();
        $stmt = $db->prepare("SELECT city_name FROM `cities` ORDER BY city_name ASC");
        $crud = new Crud();
        $cities = $crud->getAllWithoutJSON($stmt);

        foreach($cities as $city){
            echo $city['city_name'] . "\n";
        }
        closeDb();
    }
    
    public function getCityNameById($city_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT city_name FROM `cities` WHERE `city_id`='$city_id'");
        $crud = new Crud();
        
        $city = $crud->getByCondition($stmt);
        
        return $city['city_name'];

        closeDb();
    }


    public function getTotalCity() {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) as total FROM `cities`");
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj = new stdClass();
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row;
        return json_encode($obj);
        closeDb();
    }

    public function getCityPagination($startOffset) {

        $db = getDb();
        $sql = "SELECT * FROM cities ORDER by city_name ASC LIMIT $startOffset,10" ;
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function getLanguageForCity($city_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT language_name FROM `languages_of_city` WHERE `city_id`='$city_id'");
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && is_array($row)) {
            extract($row);
            return $language_name;
        } else {
            return -1;
        }
        closeDb();
    }

    public function create(CityLocations $cityLocations) {
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `cities`(`city_id`, `city_name`, `lat`, `lon`, `created_at`, `user_id`) 
                                         VALUES (:city_id,:city_name,:lat,:lon,:created_at,:user_id)");

        $stmt->bindValue(':city_id', uniqid());
        $stmt->bindValue(':city_name', $cityLocations->getCity_name());
        $stmt->bindValue(':lat', $cityLocations->getLat());
        $stmt->bindValue(':lon', $cityLocations->getLon());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':user_id', $cityLocations->getUser_id());


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function getLanguageOfCity($city_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT languages.language_name FROM  languages LEFT JOIN languages_of_city  ON languages.language_id = languages_of_city.language_id WHERE languages_of_city.city_id = '$city_id'");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function getLanguageOfCityByName($city_name) {

        $db = getDb();
        $crud = new Crud();
        $stmt1 = $db->prepare("SELECT city_id FROM cities WHERE city_name = '$city_name'");
        $result = $crud->getByCondition($stmt1);
        
        if(!is_null($result) && !empty($result)) {
        extract($result);
        
        $stmt = $db->prepare("SELECT DISTINCT(languages.language_name) FROM  languages LEFT JOIN languages_of_city  ON languages.language_id = languages_of_city.language_id WHERE languages_of_city.city_id = '$city_id'");

        return $crud->getAll($stmt);
        }
        closeDb();
    }
    
    public function getDetailsByName($city_name) {

        $db = getDb();
        $crud = new Crud();
        $stmt1 = $db->prepare("SELECT city_id, lat, lon FROM cities WHERE city_name = '$city_name'");
        $result = $crud->getByCondition($stmt1);
        
        $obj = new stdClass();
        $obj->result = "success";
        $obj->message = "Detail Found";
        $obj->detail = $result;
        
        closeDb();
        return json_encode($obj);
        
    }

}

?>
