<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class PostInterviewController {

    public function create(PostInterview $postInterview) {

        $db = getDb();
        $stmt = $db->prepare("INSERT INTO `interview_details`(`job_id`, `city_id`, `interview_level`, `mode_of_interview`, `type_of_interview`, `from_date`, 
            `to_date`, `from_time`, `to_time`, 
            `lat`, `lon`, `address`, `person_to_meet`, `contact_number`, `days_to_join`, `offer_letter_to_issue`, `created_at`, `created_by`,`brand_id`) 
                                                     VALUES (:job_id,:city_id,:interview_level,:mode_of_interview,:type_of_interview,:from_date,
                                                     :to_date,:from_time,:to_time,:lat,:lon,:address,:person_to_meet,
                                                     :contact_number,:days_to_join,:offer_letter_to_issue,:created_at,:created_by,:brand_id)");

        $date = getCurrentTime();
        $stmt->bindValue(':job_id', $postInterview->getJob_id());
        $stmt->bindValue(':city_id', $postInterview->getCity_id());
        $stmt->bindValue(':interview_level', $postInterview->getIterview_level());
        $stmt->bindValue(':mode_of_interview', $postInterview->getMode_of_interview());
        $stmt->bindValue(':type_of_interview', $postInterview->getType_of_interview());
        $stmt->bindValue(':from_date', $postInterview->getFrom_date());
        $stmt->bindValue(':to_date', $postInterview->getTo_date());
        $stmt->bindValue(':from_time', $postInterview->getFrom_time());
        $stmt->bindValue(':to_time', $postInterview->getTo_time());
        $stmt->bindValue(':lat', $postInterview->getLat());
        $stmt->bindValue(':lon', $postInterview->getLon());
        $stmt->bindValue(':address', $postInterview->getAddress());
        $stmt->bindValue(':person_to_meet', $postInterview->getPerson_to_meet());
        $stmt->bindValue(':contact_number', $postInterview->getContact_number());
        $stmt->bindValue(':days_to_join', $postInterview->getDays_to_join());
        $stmt->bindValue(':offer_letter_to_issue', $postInterview->getOffer_letter_to_issue());
        $stmt->bindValue(':created_at', getCurrentTime());
        $stmt->bindValue(':created_by', $postInterview->getCreated_by());
        $stmt->bindValue(':brand_id', $postInterview->getBrand_id());




        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function createBranches(InterviewBranches $interviewBranches) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `post_interview_branches`(`brand_id`,`job_id`, `city_id`,`branch_id`, `created_at`, `updated_at`,`created_by`) 
            VALUES (:brand_id,:job_id, :city_id,:branch_id, :created_at, :updated_at,:created_by)");
        
        $stmt->bindValue(':brand_id', $interviewBranches->getBrand_id());
        $stmt->bindValue(':job_id', $interviewBranches->getJob_id());
        $stmt->bindValue(':city_id', $interviewBranches->getCity_id());
        $stmt->bindValue(':branch_id', $interviewBranches->getBranch_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        $stmt->bindValue(':created_by', $interviewBranches->getCreated_by());
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    
     public function getAllInterviewsCountForBrand($brand_id) {
        $obj = new stdClass();
        $db = getDb();

        $sql = "SELECT COUNT(*) from interview_details WHERE brand_id = '$brand_id'";
        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row['COUNT(*)'];
        $result = json_encode($obj);
        closeDb();
        return $result;
    }

    public function getAllInterviewsForBrand($brand_id, $offset) {

        $db = getDb();
        $sql = "SELECT interview_details.job_id,interview_details.job_id,interview_details.job_id,interview_details.job_id,interview_details.interview_level,interview_details.address,interview_details.mode_of_interview,interview_details.person_to_meet,interview_details.contact_number, interview_details.type_of_interview,interview_details.city_id,interview_details.mode_of_interview, interview_details.from_date, 
            interview_details.to_date, interview_details.from_time, interview_details.to_time, posted_jobs.job_id, posted_jobs.name_of_brand,
            posted_jobs.functional_role, functional_role.name as functional_role_name, cities.city_name as cityname FROM interview_details LEFT JOIN posted_jobs on interview_details.job_id = posted_jobs.job_id LEFT JOIN functional_role on posted_jobs.functional_role = functional_role.id LEFT JOIN cities on interview_details.city_id = cities.city_id 
            WHERE interview_details.brand_id = '$brand_id' LIMIT $offset, 10";

        $stmt = $db->prepare($sql);
        $crud = new Crud();

        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function createTest($job_id,$brand_id,$test_link,$pass_key,$created_by) {

        $db = getDb();
        $date = getCurrentTime();
        $stmt = $db->prepare("INSERT INTO `test_details`(`job_id`, `test_link`, `pass_key`, `created_by`, `brand_id`,`created_at`) 
                                                     VALUES ('$job_id','$test_link','$pass_key','$created_by','$brand_id','$date')");


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function viewTest($brand_id) {

        $db = getDb();
        $sql = "SELECT test_details.*,posted_jobs.name_of_brand,posted_jobs.id,functional_role.name FROM `test_details` INNER JOIN posted_jobs ON test_details.job_id=posted_jobs.job_id INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE test_details.brand_id='$brand_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();

        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }


}

?>
