// JavaScript to render a bar chart
document.addEventListener("DOMContentLoaded", function() {
    // Select the canvas element for the chart
    const ctx = document.getElementById('barChart').getContext('2d');

    // Define the chart data and options
    const chartData = {
        labels: ["2013", "2014", "2015"],
        datasets: [
            {
                label: 'Usefulness',
                data: [10,0,0],
                backgroundColor: 'rgba(255, 99, 132, 0.2)',
                borderColor: 'rgba(255, 99, 132, 1)',
                borderWidth: 1
            },
            {
                label: 'Appropriate',
                data: [0,20,0],
                backgroundColor: 'rgba(54, 162, 235, 0.2)',
                borderColor: 'rgba(54, 162, 235, 1)',
                borderWidth: 1
            },
            {
                label: 'Capabilities',
                data: [0,0,30],
                backgroundColor: 'rgba(255, 206, 86, 0.2)',
                borderColor: 'rgba(255, 206, 86, 1)',
                borderWidth: 1
            }]
    };

    const chartOptions = {
        indexAxis: 'y', // Keeps the chart in horizontal bar format
        responsive: true,
        scales: {
            x: {
                stacked: true,
            },
            y: {
                stacked: true,
            }
        },
        plugins: {
            legend: {
                labels: {
                    font: {
                        weight: 'bold',
                        size: 12
                    }
                }
            }
        },
        datasets: [{
            barThickness: 20, // Set a fixed bar thickness to increase the width of bars
            categoryPercentage: 0.8, // Adjust within 0 and 1 for spacing between categories
            barPercentage: 0.9 // Controls the bar width within each category's space
        }]
    };
    

    // Create and display the chart
    new Chart(ctx, {
        type: 'bar',  // For horizontal bar, change 'bar' to 'horizontalBar'
        data: chartData,
        options: chartOptions
    });
});


document.addEventListener("DOMContentLoaded", function() {
    // Select the canvas element for the chart
    const ctx = document.getElementById('barChart1').getContext('2d');

    // Define the chart data and options
    const chartData = {
        labels: ["2013", "2014", "2015"],
        datasets: [{
            label: '',
            data: [10, 20, 30],  // Sample data; replace with actual values if needed
            backgroundColor: [
                'rgba(255, 99, 132, 0.2)',
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)'
            ],
            borderColor: [
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)'
            ],
            borderWidth: 1
        }]
    };

    const chartOptions = {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    };

    // Create and display the chart
    new Chart(ctx, {
        type: 'bar',  // For horizontal bar, change 'bar' to 'horizontalBar'
        data: chartData,
        options: chartOptions
    });
});


document.addEventListener("DOMContentLoaded", function() {
    // Select the canvas element for the chart
    const ctx = document.getElementById('barChart2').getContext('2d');

    // Define the chart data and options
    const chartData = {
        labels: ["2013", "2014", "2015"],
        datasets: [{
            label: '',
            data: [10, 20, 30],  // Sample data; replace with actual values if needed
            backgroundColor: [
                'rgba(255, 99, 132, 0.2)',
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)'
            ],
            borderColor: [
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)'
            ],
            borderWidth: 1
        }]
    };

    const chartOptions = {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    };

    // Create and display the chart
    new Chart(ctx, {
        type: 'bar',  // For horizontal bar, change 'bar' to 'horizontalBar'
        data: chartData,
        options: chartOptions
    });
});
