$(function() {
    'use strict';
  
    var data = {
      labels: ["Full Time", "Part Time", "Work Abroad", "Study Abroad"],
      datasets: [{
        label: 'No of Registrations',
        data: [10, 19, 8, 15, 12],
        backgroundColor: ['#FF9999', '#FF9999', '#FF9999', '#FF9999'],
        borderColor: ['#FF9999', '#FF9999', '#FF9999', '#FF9999'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var data1 = {
      labels: ["Low Salary", "Location Issue", "Not Interested in Profile"],
      datasets: [{
        label: '# of Votes',
        data: [18, 3, 7],
        backgroundColor: ['#39bda7', '#39bda7', '#39bda7'],
        borderColor: ['#39bda7', '#39bda7', '#39bda7'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options1 = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var data2 = {
      labels: ["Offline Drive", "Online Drive"],
      datasets: [{
        label: '# of Votes',
        data: [14, 3, 20],
        backgroundColor: ['#FFB266', '#994C00'],
        borderColor: ['#FFB266', '#994C00'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options2 = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var doughnutPieData = {
      datasets: [{
        data: [30, 40, 30, 20],
        backgroundColor: ['#D81B60', '#D582E3', '#C0CA33', '#6200EE'],
        borderColor: ['#D81B60', '#D582E3', '#C0CA33', '#6200EE']
      }],
      labels: ['Chennai', 'Bangalore', 'Trichy', 'Coimbatore']
    };
  
    var doughnutPieOptions = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      },
      plugins: {
        legend: {
          display: true,
          position: 'right'
        }
      }
    };

    var PieData = {
        datasets: [{
          data: [20, 30, 20, 40],
          backgroundColor: ['#606060', '#FF66FF', '#9400D3', '#90EE90'],      
          borderColor: ['#606060', '#FF66FF', '#9400D3', '#90EE90']
        }],
        labels: ['Reacha', 'CSR', 'Pratham', 'Anudip']
      };
    
      var PieOptions = {
        responsive: true,
        animation: {
          animateScale: true,
          animateRotate: true
        },
        plugins: {
          legend: {
            display: true,
            position: 'right'
          }
        }
      };
  
   
    var chartInstances = {};
  
    function initializeChart(chartId, chartType, chartData, chartOptions) {
      var ctx = $(chartId).get(0).getContext("2d");
      return new Chart(ctx, {
        type: chartType,
        data: chartData,
        options: chartOptions
      });
    }
  
    if ($("#barChart").length) {
       chartInstances["barChart"] = initializeChart("#barChart", 'bar', data, options);
    }
  
    if ($("#barChartone").length) {
       chartInstances["barChartone"] = initializeChart("#barChartone", 'horizontalBar', data1, options1);
    }
  
    if ($("#drivechart").length) {
       chartInstances["drivechart"] = initializeChart("#drivechart", 'horizontalBar', data2, options2);
    }
  
    if ($("#doughnutChart").length) {
       chartInstances["doughnutChart"] = initializeChart("#doughnutChart", 'doughnut', doughnutPieData, doughnutPieOptions);
    }

    if ($("#pieChart").length) {
        chartInstances["pieChart"] = initializeChart("#pieChart", 'pie', PieData, PieOptions);
    }
  
    document.querySelectorAll('.btn-maximize').forEach(button => {
      button.addEventListener('click', function() {
        var card = this.closest('.card');
        var title = card.querySelector('.card-title').innerText;
        var canvas = card.querySelector('canvas');
        var canvasId = canvas.id;
  
        document.getElementById('maximized-card-title').innerText = title;
  
        var maximizedContainer = document.getElementById('maximized-card-container');
        maximizedContainer.classList.remove('d-none');
  
        if (window.maximizedChartInstance) {
          window.maximizedChartInstance.destroy();
        }
  
        var originalChart = chartInstances[canvasId];
        var chartConfig = {
          type: originalChart.config.type,
          data: originalChart.config.data,
          options: originalChart.config.options
        };
  
        var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
        window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
      });
    });
  
    document.querySelector('.btn-close').addEventListener('click', function() {
      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.add('d-none');
  
      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }
    });
});
  