document.addEventListener("DOMContentLoaded", function() {
    var opts = {
        angle: 0.0, // The span of the gauge arc
        lineWidth: 0.5, // The line thickness
        radiusScale: 1, // Relative radius
        pointer: {
            length: 0.6, // Relative to gauge radius
            strokeWidth: 0.025, // The thickness
            color: '#000000' // Fill color
        },
        limitMax: false,     // If false, max value increases automatically if value > maxValue
        limitMin: false,     // If true, the min value of the gauge will be fixed
        colorStart: '#6FADCF',   // Colors
        colorStop: '#8FC0DA',    // just experiment with them
        strokeColor: '#E0E0E0',  // to see which ones work best for you
        generateGradient: true,
        highDpiSupport: true,     // High resolution support

        // Customize the gradient range
        staticZones: [
            {strokeStyle: "#006666", min: 0, max: 61.12}, // Leaf Green
            // {strokeStyle: "#FFDD00", min: 200, max: 500}, // Yellow
            // {strokeStyle: "#30B32D", min: 500, max: 2100}, // Green
            // {strokeStyle: "#FFDD00", min: 2100, max: 2300}, // Yellow
            {strokeStyle: "#D3D3D3", min: 61.12, max: 100}  // Light Grey
        ],
        staticLabels: {
            font: "10px sans-serif",  // Specifies font
            labels: [61.12],  // Print labels at these values
            color: "#000000",  // Optional: Label text color
            fractionDigits: 2  // Optional: Numerical precision
        },
    };

    var target = document.getElementById('gaugeChart'); // your canvas element
    var gauge = new Gauge(target).setOptions(opts); // create gauge!
    gauge.maxValue = 100; // set max gauge value
    gauge.setMinValue(0);  // Prefer setter over gauge.minValue = 0
    gauge.animationSpeed = 32; // set animation speed (32 is default value)
    gauge.set(61.12); // set actual value
});
