$(function() {
    'use strict';
  
    var data = {
      labels: ["Job 1", "Job 2", "Job 3", "Job 4", "Job 5", "Job 6", "Job 7", "Job 8", "Job 9", "Job 10"],
      datasets: [{
        label: 'No of Applications',
        data: [10, 9, 8, 15, 12, 7, 13, 8, 19, 11],
        backgroundColor: ['#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC'],
        borderColor: ['#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC', '#00CCCC'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var data1 = {
      labels: ["One", "Two", "Three"],
      datasets: [{
        label: '# of Votes',
        data: [18, 3, 7],
        backgroundColor: ['#F9B529', '#F9B529', '#F9B529'],
        borderColor: ['#F9B529', '#F9B529', '#F9B529'],
        borderWidth: 1,
        fill: false
      }]
    };
  
    var options1 = {
      scales: {
        yAxes: [{
          ticks: { beginAtZero: true }
        }]
      },
      legend: { display: false },
      elements: { point: { radius: 0 } }
    };
  
    var data2 = {
        datasets: [{
          data: [60, 40],
          backgroundColor: ['#FFB266', '#994C00'],
          borderColor: ['#FFB266', '#994C00']
        }],
        labels: ['Offline Drive', 'Online Drive']
      };
    
      var options2 = {
        responsive: true,
        animation: {
          animateScale: true,
          animateRotate: true
        },
        plugins: {
          legend: {
            display: true,
            position: 'right'
          }
        }
      };
  
    var doughnutPieData = {
      datasets: [{
        data: [40, 40],
        backgroundColor: ['#FF9999', '#CC0066'],
        borderColor: ['#FF9999', '#CC0066']
      }],
      labels: ['By Link', 'Via App']
    };
  
    var doughnutPieOptions = {
      responsive: true,
      animation: {
        animateScale: true,
        animateRotate: true
      },
      plugins: {
        legend: {
          display: true,
          position: 'right'
        }
      }
    };

    var PieData = {
        datasets: [{
          data: [20, 30, 20, 25, 15],
          backgroundColor: ['#606060', '#FF66FF', '#FF007F', '#90EE90', '#B266FF'],      
          borderColor: ['#606060', '#FF66FF', '#FF007F', '#90EE90', '#B266FF']
        }],
        labels: ['1', '2', '3', '4', '5']
      };
    
      var PieOptions = {
        responsive: true,
        animation: {
          animateScale: true,
          animateRotate: true
        },
        plugins: {
          legend: {
            display: true,
            position: 'right'
          }
        }
      };
  
   
    var chartInstances = {};
  
    function initializeChart(chartId, chartType, chartData, chartOptions) {
      var ctx = $(chartId).get(0).getContext("2d");
      return new Chart(ctx, {
        type: chartType,
        data: chartData,
        options: chartOptions
      });
    }
  
    if ($("#barChart").length) {
       chartInstances["barChart"] = initializeChart("#barChart", 'bar', data, options);
    }
  
    if ($("#barChartone").length) {
       chartInstances["barChartone"] = initializeChart("#barChartone", 'horizontalBar', data1, options1);
    }
  
    if ($("#doughut_chart").length) {
       chartInstances["doughut_chart"] = initializeChart("#doughut_chart", 'doughnut', data2, options2);
    }
  
    if ($("#doughnutChart").length) {
       chartInstances["doughnutChart"] = initializeChart("#doughnutChart", 'doughnut', doughnutPieData, doughnutPieOptions);
    }

    if ($("#pieChart").length) {
        chartInstances["pieChart"] = initializeChart("#pieChart", 'pie', PieData, PieOptions);
    }
  
    document.querySelectorAll('.btn-maximize').forEach(button => {
      button.addEventListener('click', function() {
        var card = this.closest('.card');
        var title = card.querySelector('.card-title').innerText;
        var canvas = card.querySelector('canvas');
        var canvasId = canvas.id;
  
        document.getElementById('maximized-card-title').innerText = title;
  
        var maximizedContainer = document.getElementById('maximized-card-container');
        maximizedContainer.classList.remove('d-none');
  
        if (window.maximizedChartInstance) {
          window.maximizedChartInstance.destroy();
        }
  
        var originalChart = chartInstances[canvasId];
        var chartConfig = {
          type: originalChart.config.type,
          data: originalChart.config.data,
          options: originalChart.config.options
        };
  
        var maximizedChartCanvas = document.getElementById('maximized-chart').getContext('2d');
        window.maximizedChartInstance = new Chart(maximizedChartCanvas, chartConfig);
      });
    });
  
    document.querySelector('.btn-close').addEventListener('click', function() {
      var maximizedContainer = document.getElementById('maximized-card-container');
      maximizedContainer.classList.add('d-none');
  
      if (window.maximizedChartInstance) {
        window.maximizedChartInstance.destroy();
      }
    });
});
  