<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Overview Dashboard</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <style>
        .new-card {
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
            margin-bottom: 10px;
        }

        .new-card-title {
            padding: 12px;
            background-color: #f9f9f9;
            font-size: 1.0rem;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
            text-align: center;
        }

        .new-card-body {
            padding: 35px;
            background-color: #FFFFFF;
        }

        .card-value {
            font-size: 24px;
            /* font-weight: bold; */
            color: #000000;    
            text-align: center;
        }

        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }

        .maximized-card-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 120px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            justify-content: center;
            align-items: center;
        }

    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/sahayak_header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sahayak_sidebar.php'; ?>

            <div class="main-panel">
                <div class="content-wrapper">

                    <!-- Sahayak Dashboard Title -->
                    <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px;">
                        <div class="card">
                            <div class="card-body">
                                <h5>Supply Enquiry Overiew</h5>
                            </div>
                        </div>
                    </div>

                    <div class="new-cards-container">
                        <div class="row">
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Total Data</div>
                                    <div class="new-card-body">
                                        <div class="card-value">300</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="new-card">
                                    <div class="new-card-title">Campus</div>
                                    <div class="new-card-body">
                                        <div class="card-value">70</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="new-card">
                                    <div class="new-card-title">Workfair</div>
                                    <div class="new-card-body">
                                        <div class="card-value">80</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="new-card">
                                    <div class="new-card-title">Incoming Calls</div>
                                    <div class="new-card-body">
                                        <div class="card-value">90</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Website</div>
                                    <div class="new-card-body">
                                        <div class="card-value">60</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Incoming IVR</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="incoming_ivr"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Workfair Conducted</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="workfair_conducted"></canvas>
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Registration VS Application</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="reg_vs_app"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">By Qualification</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="by_qualification"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Registration In Last 5 Days</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="reg_5days"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Declined Reasons</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="dec_reasons"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Telecalling Done</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="tele_done"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>

                    
                    <div class="row">
                        <div class="col-lg-12 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Registration In Last 20 Days</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="reg_20days"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                    


                        <!-- Maximized Card Container -->
                        <div id="maximized-card-container" class="maximized-card-container d-none">
                            <div class="maximized-card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title" id="maximized-card-title"></h4>
                                        <div class="card-controls">
                                            <button class="btn-close">✕</button>
                                        </div> 
                                    </div>
                                    <canvas id="maximized-chart"></canvas>
                                </div>
                            </div>
                        </div>

                </div>
            </div>
        </div>
    </div>

    <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>
    <script src="../JeevitamV2/js/jquery/jquery.min.js"></script>
	<script src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>

    <script src="js/sahayak_overview.js"></script>
</body>