<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
require_once '../database/Db.php';
require_once '../repository/Crud.php';

class CampusController
{
    public function campusLogin($username, $password)
    {
        $db = getDb();
        $crud = new Crud();

        $obj = new stdClass();
        $stmt = $db->prepare("SELECT * FROM users WHERE username = :username");
        $stmt->bindValue(':username', $username);
        $result = $crud->getByCondition($stmt);

        if (!is_null($result) && is_array($result)) {
            $password_from_db = $result['old_pass'];
            $user_id = $result['id'];
            $user_type = $result['userType'];
            if (strcmp($password, $password_from_db) === 0) {
                $stmt_campus_details = $db->prepare("SELECT c.id,c.campus_name,c.logo_url FROM campus c INNER JOIN 
                users u ON c.user_id=u.id WHERE u.username='$username'");
                $campus_details = $crud->getByCondition($stmt_campus_details);

                $obj->result = "success";
                $obj->message = "User Found";
                $obj->username = $username;
                $obj->campus_id = $campus_details['id'];;
                $obj->user_type = $user_type;
                $obj->campus_name = $campus_details['campus_name'];
                $obj->logo_url = $campus_details['logo_url'];
                return json_encode($obj);
            } else {
                $obj->result = "error";
                $obj->message = "Password is Incorrect";
                return json_encode($obj);
            }
        } else {
            $obj->result = "error";
            $obj->message = "Username is Incorrect";
            return json_encode($obj);
        }
    }
    public function createCampus(Campus $campus, $file_path)
    {

        $db = getDb();
        // $crud = new Crud();
        $obj = new stdClass();
        $current_date = getCurrentTime();
        $user_id = uniqid();

        $campus_name = $campus->getCampus_name();
        $address = $campus->getAddress();
        $contact_person = $campus->getContact_person();
        $contact_number = $campus->getContact_number();
        $email_id = $campus->getEmail_id();
        $password = $campus->getPassword();
        $no_of_students = $campus->getNo_of_students();
        $streams = $campus->getStreams();
        $from_date = $campus->getFrom_date();
        $to_date = $campus->getTo_date();
        $created_by = $campus->getCreated_by();

        try {
            $db->beginTransaction();

            $stmt = $db->prepare("INSERT INTO `users`(`objectId`, `first_name`, `last_name`,`mobile_number`,
             `username`,`password`,`old_pass`,`email`,`userType`,`createdAt`,`updatedAt`) 
             VALUES(:user_id, :first_name,:last_name,:mobile_number,:username,:password,:old_pass,:email,:userType,
             :created_at,:updated_at)");

            $stmt->bindValue(':user_id', $user_id);
            $stmt->bindValue(':first_name', $contact_person);
            $stmt->bindValue(':last_name', null);
            $stmt->bindValue(':mobile_number', $contact_number);
            $stmt->bindValue(':username', $contact_number);
            $stmt->bindValue(':password', $password);
            $stmt->bindValue(':old_pass', $password);
            $stmt->bindValue(':email', $email_id);
            $stmt->bindValue(':userType', "Campus");
            $stmt->bindValue(':created_at', $current_date);
            $stmt->bindValue(':updated_at', $current_date);

            if ($stmt->execute()) {
                $campus_id = $db->lastInsertId();

                $stmt_campus = $db->prepare("INSERT INTO `campus`( `user_id`, `campus_name`,`address`,
                `no_of_students`,`streams`,`from_date`,`to_date`,`logo_url`,`created_by`,`created_at`,`updated_at`)
                VALUES (:user_id, :campus_name, :address,:no_of_students, :streams, :from_date, 
                :to_date, :logo_url, :created_by, :date, :date)");

                $stmt_campus->bindValue(':user_id', $campus_id);
                $stmt_campus->bindValue(':campus_name', $campus_name);
                $stmt_campus->bindValue(':address', $address);
                $stmt_campus->bindValue(':no_of_students', $no_of_students);
                $stmt_campus->bindValue(':streams', $streams);
                $stmt_campus->bindValue(':from_date', $from_date);
                $stmt_campus->bindValue(':to_date', $to_date);
                $stmt_campus->bindValue(':logo_url', $file_path);
                $stmt_campus->bindValue(':created_by', $created_by);
                $stmt_campus->bindValue(':date', $current_date);

                if ($stmt_campus->execute()) {
                    $id = $db->lastInsertId();;
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $id;
                    $result = json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($stmt_campus->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    $result = json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($stmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                $result = json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            $result = json_encode($obj);
        }
        return $result;
    }

    public function compareJobs($category, $jobs)
    {

        $db = getDb();
        $crud = new Crud();

        $obj = new stdClass();
        $jobs_array = explode(',', $jobs ?? '');
        $not_matched_jobs = '';
        $stmt = $db->prepare("SELECT j.post_job_id FROM job_applications_categories c INNER JOIN job_applications_jobs_list j
         ON c.category_id=j.category_id WHERE c.id=$category");
        $result = $crud->getAllWithoutJSON($stmt);

        $partner_jobs = [];
        foreach ($result as $key => $value) {
            array_push($partner_jobs, $value['post_job_id']);
        }

        foreach ($jobs_array as $job) {
            if (!in_array($job, $partner_jobs)) {
                $not_matched_jobs .= $job . ',';
            }
        }

        if (strlen($not_matched_jobs) === 0) {
            $obj->result = "success";
            $obj->message = "All Jobs Matched";
            return json_encode($obj);
        } else {
            $not_matched_jobs = substr($not_matched_jobs, 0, strlen($not_matched_jobs) - 1);
            $obj->result = "failure";
            $obj->message = "Not Matched Jobs";
            $obj->not_matched_jobs = $not_matched_jobs;
            return json_encode($obj);
        }
    }

    public function getCampus()
    {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT *  FROM `campus`");
        $result = $crud->getAll($stmt);
        return $result;
    }

    public function getPartners()
    {
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT *  FROM `job_applications_categories`");
        $result = $crud->getAll($stmt);
        return $result;
    }

    public function createCampusDrive(CampusDrive $campus_drive)
    {

        $db = getDb();
        $crud = new Crud();
        $current_date = getCurrentTime();

        $campus_id  = $campus_drive->getCampus_id();
        $drive_name = $campus_drive->getDrive_name();
        $start_date = $campus_drive->getStart_date();
        $end_date = $campus_drive->getEnd_date();
        $poc_name = $campus_drive->getPoc_name();
        $poc_number = $campus_drive->getPoc_number();
        $mode = $campus_drive->getMode();
        $partner_id = $campus_drive->getPartner_id();
        $jobs = $campus_drive->getJobs();
        $created_by = $campus_drive->getCreated_by();

        $stmt = $db->prepare("INSERT INTO `campus_drive`(`campus_id`, `drive_name`, `start_date`,`end_date`,
             `poc_name`,`poc_number`,`mode`,`partner_id`,`jobs`,`created_by`,`created_at`,`updated_at`) 
             VALUES(:campus_id , :drive_name,:start_date,:end_date,:poc_name,:poc_number,:mode,:partner_id,:jobs,
             :created_by,:created_at,:updated_at)");

        $stmt->bindValue(':campus_id', $campus_id);
        $stmt->bindValue(':drive_name', $drive_name);
        $stmt->bindValue(':start_date', $start_date);
        $stmt->bindValue(':end_date', $end_date);
        $stmt->bindValue(':poc_name', $poc_name);
        $stmt->bindValue(':poc_number', $poc_number);
        $stmt->bindValue(':mode', $mode);
        $stmt->bindValue(':partner_id', $partner_id);
        $stmt->bindValue(':jobs', $jobs);
        $stmt->bindValue(':created_by', $created_by);
        $stmt->bindValue(':created_at', $current_date);
        $stmt->bindValue(':updated_at', $current_date);

        $result = $crud->create($stmt, $db);
        return $result;
    }

    public function getJobForCandidates($candidate_id)
    {

        $db = getDb();
        $crud = new Crud();

        // $stmt = $db->prepare("SELECT j.brand_id,j.name_of_brand,GROUP_CONCAT(c.city_name ORDER BY c.city_name SEPARATOR ', ')as city_names,
        // j.id,j.max_salary,j.name_of_brand,j.max_qualification,q.name,f.name as functional_role_name,f.jd FROM posted_jobs j INNER JOIN 
        // post_job_city pc ON j.job_id=pc.job_id INNER JOIN cities c ON pc.city_id=c.city_id INNER JOIN qualification q
        //  ON j.max_qualification=q.id INNER JOIN functional_role f ON j.functional_role=f.id WHERE j.id in
        //  (7890,7892,7888) GROUP BY j.id");

        $stmt = $db->prepare("SELECT ws.job_id,MAX(ws.status) as status,GROUP_CONCAT(c.city_name ORDER BY c.city_name SEPARATOR ', ')
         as city_names,j.id,j.max_salary,j.name_of_brand,j.max_qualification,q.name,f.name as functional_role_name,f.jd FROM 
         work_seeker_v2_candidates_shortlist ws INNER JOIN posted_jobs j  ON ws.job_id = j.id INNER JOIN 
         work_seeker_v2_details w ON ws.candidate_id  = w.id INNER JOIN post_job_city pc ON j.job_id=pc.job_id INNER JOIN 
         cities c ON pc.city_id=c.city_id INNER JOIN qualification q ON j.max_qualification=q.id INNER JOIN functional_role f
          ON j.functional_role=f.id WHERE w.id=$candidate_id GROUP BY ws.job_id");

        $result = $crud->getAll($stmt);
        return $result;
    }

    public function applyJob($candidate_id, $jobs)
    {
        $db = getDb();
        $crud = new Crud();
        $current_date = getCurrentTime();
        foreach ($jobs as $job) {
            $job_id = $job['post_job_id'];

            $stmt_sms = $db->prepare("UPDATE work_seeker_v2_candidates_shortlist ws INNER JOIN work_seeker_v2_details w ON ws.candidate_id =w.id
            SET ws.status='Applied' WHERE ws.candidate_id=$candidate_id AND ws.job_id=$job_id");
            $result = $crud->update($stmt_sms);
        }
        return $result;
    }

    public function getJobsByPartner($partner_id)
    {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        $stmt = $db->prepare("SELECT GROUP_CONCAT(j.post_job_id ORDER BY j.post_job_id SEPARATOR ', ') as jobs FROM
         job_applications_jobs_list j INNER JOIN job_applications_categories c ON j.category_id=c.category_id WHERE
          c.id=$partner_id");

        $result = $crud->getByCondition($stmt);
        if (!is_null($result['jobs']) && is_array($result)) {
            // if (is_array($result) && isset($user_id['user_id'])) {
            $obj->result = 'success';
            $obj->value = $result['jobs'];
            return json_encode($obj);
        } else {
            $obj->result = 'failure';
            $obj->value = null;
            return json_encode($obj);
        }
    }

    public function getDriveForCampus($campus_id)
    {

        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT * FROM `campus_drive` WHERE campus_id=$campus_id");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function getCampusDetailsById($campus_id)
    {
        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT * FROM `campus` WHERE id=$campus_id");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }


    public function summaryAdmin()
    {

        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT COUNT(*) as total_campus,
        (SELECT COUNT(*) FROM campus_drive) as total_drive,
        (SELECT COUNT(*) FROM work_seeker_v2_details WHERE sourced_from='Campus') as total_registrations,
        (SELECT COUNT(DISTINCT job_id) FROM work_seeker_v2_candidates_shortlist WHERE sourced_from='Campus') as total_job_applications,
        (SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist WHERE sourced_from='Campus') as total_shortlisting,
        (SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist WHERE status='Applied' AND sourced_from='Campus') as total_applied
        FROM `campus`");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function summaryCampus($campus_id)
    {

        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT COUNT(*) as total_drive,
        (SELECT COUNT(*) FROM work_seeker_v2_details WHERE source_id = $campus_id) as total_registrations,
        (SELECT COUNT(DISTINCT job_id) FROM work_seeker_v2_candidates_shortlist WHERE source_id = $campus_id) as total_job_applications,
        (SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist WHERE source_id = $campus_id) as total_shortlisting,
        (SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist WHERE status='Applied' AND source_id = $campus_id) as total_applied
        FROM campus_drive WHERE campus_id=$campus_id");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function updateRegLink($link, $drive_id)
    {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE campus_drive SET reg_link ='$link',updated_at='$date' WHERE id=$drive_id");
        return $crud->update($stmt);
    }

    public function getCampusCount()
    {
        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT COUNT(*) FROM campus");
        $result = $crud->getCount($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function getCampusDetails($offset)
    {
        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT c.*,u.old_pass,u.username FROM campus c INNER JOIN 
                users u ON c.user_id=u.id ORDER BY c.id DESC LIMIT $offset,10;");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function getDriveByCampusCount($campus_id)
    {
        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `campus_drive` WHERE campus_id=$campus_id");
        $result = $crud->getCount($stmt);
        closeDb();
        $db = null;
        return $result;
    }

    public function getDriveByCampusDetails($campus_id,$offset)
    {
        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("SELECT id,drive_name,start_date,end_date,mode,jobs,reg_link FROM campus_drive 
        WHERE campus_id=$campus_id ORDER BY id DESC LIMIT $offset,10;");
        $result = $crud->getAll($stmt);
        closeDb();
        $db = null;
        return $result;
    }
}
