<?php
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Campus Drive</title>
    <!-- base:css -->
    <link rel="stylesheet" href="vendors/typicons/typicons.css">
    <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="css/vertical-layout-light/style.css">
    <!-- endinject -->
</head>
<style>
    body {
        background-color: lavender;
    }
    .error-message {
        color: red;
        display: none;
    }
    .is-invalid {
        border-color: red;
    }
</style>
<body>
 <div class="container mt-5">
    <div class="card">
      <div class="card-body">
        <h4 class="card-title">Create Campus Drive</h4>
        <form class="forms-sample" id="campusDriveForm" novalidate>
        <!-- Campus -->
          <div class="form-group row">
            <label for="campus" class="col-sm-3 col-form-label">Campus <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <select class="form-control" id="campus" required>
                    <option value="" disabled selected>Select Campus</option>
                    <option value="Campus 1">Campus 1</option>
                    <option value="Campus 2">Campus 2</option>
                    <option value="Campus 3">Campus 3</option>
                    <option value="Campus 4">Campus 4</option>
                    <option value="Campus 5">Campus 5</option>
                </select>
                <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Name of Drive -->
          <div class="form-group row">
            <label for="driveName" class="col-sm-3 col-form-label">Name of Drive <span style="color: red;">*</span></label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="driveName" placeholder="Enter Drive Name" required>
              <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Start Date-->
          <div class="form-group row">
            <label for="startDate" class="col-sm-3 col-form-label">Start Date <span style="color: red;">*</span></label>
            <div class="col-sm-9">
              <input type="date" class="form-control" id="startDate" required>
              <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- End Date-->
          <div class="form-group row">
            <label for="endDate" class="col-sm-3 col-form-label">End Date <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <input type="date" class="form-control" id="endDate" required>
                <span class="error-message"><p>This Feild is Mandatory.</p></span>
            </div>
          </div>
        <!-- Contact Name -->
          <div class="form-group row">
            <label for="contactName" class="col-sm-3 col-form-label">Point of Contact Name <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="contactName" placeholder="Enter Contact Name" required>
                <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Contact Number -->
          <div class="form-group row">
            <label for="contactNumber" class="col-sm-3 col-form-label">Point of Contact Number <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <input type="tel" class="form-control" id="contactNumber" placeholder="Enter Contact Number" required pattern="[0-9]{10}">
                <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Mode -->
          <div class="form-group row">
            <label for="mode" class="col-sm-3 col-form-label">Mode <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <select class="form-control" id="mode" required>
                    <option value="" disabled selected>Select Mode</option>
                    <option value="Online Mode">Online Mode</option>
                    <option value="Physical Mode">Physical Mode</option>
                </select>
                <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Partners -->
          <div class="form-group row">
            <label for="partners" class="col-sm-3 col-form-label">Partners <span style="color: red;">*</span></label>
            <div class="col-sm-9">
                <select class="form-control" id="partners" required>
                    <option value="" disabled selected>Select Partners</option>
                    <option value="Partner 1">Partner 1</option>
                    <option value="Partner 2">Partner 2</option>
                    <option value="Partner 3">Partner 3</option>
                    <option value="Partner 4">Partner 4</option>
                    <option value="Partner 5">Partner 5</option>
                </select>
                <span class="error-message"><p>This Field is Mandatory.</p></span>
            </div>
          </div>
        <!-- Jobs -->
          <div class="form-group row">
            <label for="jobs" class="col-sm-3 col-form-label">Jobs <span style="color: red;">*</span></label>
            <div class="col-sm-9 input-group">
                <textarea class="form-control" id="jobs" rows="2" required></textarea>
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" id="generateButton">Generate</button>
                  <span class="error-message"><p>This Field is Mandatory.</p></span>
              </div>
            </div>
          </div>
          <button type="submit" class="btn btn-primary mr-2">Submit</button>
          <button class="btn btn-light">Cancel</button>
        </form>
      </div>
    </div>
 </div>

<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="vendors/typeahead.js/typeahead.bundle.min.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="/js/typeahead.js"></script>
<script src="/js/select2.js"></script>
<script>
  document.getElementById('generateButton').addEventListener('click', function() {
      var jobsField = document.getElementById('jobs');
      var jobsError = jobsField.parentNode.querySelector('.error-message');

      if (!jobsField.value.trim()) {
          jobsField.classList.add('is-invalid');
          jobsError.style.display = 'inline';
      } else {
          jobsField.classList.remove('is-invalid');
          jobsError.style.display = 'none';
      }
  });

  document.getElementById('campusDriveForm').addEventListener('submit', function(event) {
        var form = event.target;
        var inputs = form.querySelectorAll('input, select, textarea');
        var isValid = true;

        inputs.forEach(function(input) {
            var errorMessage = input.parentNode.querySelector('.error-message');
            if (input.hasAttribute('required') && !input.value.trim()) {
                isValid = false;
                input.classList.add('is-invalid');
                if (errorMessage) {
                    errorMessage.style.display = 'inline';
                }
            } else {
                input.classList.remove('is-invalid');
                if (errorMessage) {
                    errorMessage.style.display = 'none';
                }
            }
        });

        if (!isValid) {
            event.preventDefault();
            // alert('Please fill in all mandatory fields.');    
        }
    });
</script>
</body>
</html>