$(document).ready(function () {

    $('#btn_register').click(function () {

        var campus_name = $('#campus_name').val().trim();
        var contact_person = $('#contact_person').val().trim();
        var contact_number = $('#contact_number').val().trim();
        var address = $('#address').val().trim();
        var email_id = $('#email_id').val().trim();
        var password = $('#password').val().trim();
        var streams = $('#streams option:selected').val();
        var no_of_students = $('#no_of_students').val();
        var from_date = $('#from_date').val();
        var to_date = $('#to_date').val();
        var error_count = 0;

        if (campus_name == '') {
            $('#err_campus_name').html('This Field is Mandatory');
            $('#campus_name').addClass('error-border');
            error_count++;
        } else {
            $('#err_campus_name').html('');
            $('#campus_name').removeClass('error-border');
        }

        if (contact_person == '') {
            $('#err_contact_person').html('This Field is Mandatory');
            $('#contact_person').addClass('error-border');
            error_count++;
        } else {
            $('#err_contact_person').html('');
            $('#contact_person').removeClass('error-border');
        }

        if (contact_number == '') {
            $('#err_contact_number').html('This Field is Mandatory');
            $('#contact_number').addClass('error-border');
            error_count++;
        } else if (contact_number.length != 10 || !/^[0-9]+$/i.test(contact_number)) {
            $('#err_contact_number').html('Invalid Mobile Number');
            $('#contact_number').addClass('error-border');
            error_count++;
        } else {
            $('#err_contact_number').html('');
            $('#contact_number').removeClass('error-border');
        }

        if (address == '') {
            $('#err_address').html('This Field is Mandatory');
            $('#address').addClass('error-border');
            error_count++;
        } else {
            $('#err_address').html('');
            $('#address').removeClass('error-border');
        }

        if (email_id == '') {
            $('#err_email_id').html('This Field is Mandatory');
            $('#email_id').addClass('error-border');
            error_count++;
        } else if (!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(email_id)) {
            $('#err_email_id').html('Incorrect Email id');
            $('#email_id').addClass('error-border');
            error_count++;
        } else {
            $('#err_email_id').html('');
            $('#email_id').removeClass('error-border');
        }

        if (password == '') {
            $('#err_password').html('This Field is Mandatory');
            $('#password').addClass('error-border');
            error_count++;
        } else {
            $('#err_password').html('');
            $('#password').removeClass('error-border');
        }

        if (streams == '') {
            $('#err_streams').html('This Field is Mandatory');
            $('#streams').addClass('error-border');
            error_count++;
        } else {
            $('#err_streams').html('');
            $('#streams').removeClass('error-border');
        }

        if (no_of_students == '') {
            $('#err_no_of_students').html('This Field is Mandatory');
            $('#no_of_students').addClass('error-border');
            error_count++;
        } else if (parseInt(no_of_students) < 0) {
            $('#err_no_of_students').html('Invalid');
            $('#no_of_students').addClass('error-border');
            error_count++;
        } else {
            $('#err_no_of_students').html('');
            $('#no_of_students').removeClass('error-border');
        }

        if (from_date == '') {
            $('#err_from_date').html('This Field is Mandatory');
            $('#from_date').addClass('error-border');
            error_count++;
        } else {
            $('#err_from_date').html('');
            $('#from_date').removeClass('error-border');
        }

        if (to_date == '') {
            $('#err_to_date').html('This Field is Mandatory');
            $('#to_date').addClass('error-border');
            error_count++;
        } else {
            $('#err_to_date').html('');
            $('#to_date').removeClass('error-border');
        }


        if (error_count == 0) {
            var formValues = {
                campus_name: campus_name,
                address: address,
                contact_person: contact_person,
                contact_number: contact_number,
                email_id: email_id,
                password: password,
                no_of_students: no_of_students,
                streams: streams,
                from_date: from_date,
                to_date: to_date,
                created_by: val_user_id
            };

            var json = JSON.stringify(formValues);
            console.log(json);
            uploadFile(json);
            // $('#modal_prompt_01').show();
            // $('#lbl_modal_prompt_01').text("Loading..");

        } else {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }

    });

    $("#generate").click(function () {
        var pass = randomPassword();
        $('#password').val(pass);
    });

});

async function uploadFile(json) {

    let json_parse = JSON.parse(json);
    let formData = new FormData();
    formData.append("json_data", json);
    formData.append("uploaded_file[]", $('input[type=file]')[0].files[0]);

    var response = await fetch('../campus_api/api/create_campus.php', {
        method: "POST",
        body: formData
    });
    var response_json = await response.json()
    // console.log(response_json);
    if (response_json.result === 'success') {
        alert(response_json.message);
        alert("https://jeevitam.com/campus.php?id=" + response_json.id + "\n\n UserName : " +
        json_parse.contact_number+"\n Password : "+json_parse.password);
        window.location.reload();
    } else {
        alert(response_json.message);
    }
}

function randomPassword() {
    // var chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOP1234567890";
    var chars = "abcdefghijklmnopqrstuvwxyz!@#$%^&*()-+<>ABCDEFGHIJKLMNOP1234567890";
    var pass = "";
    for (var x = 0; x < 8; x++) {
        var i = Math.floor(Math.random() * chars.length);
        pass += chars.charAt(i);
    }
    return pass;
}
