// Initialize the gauge chart
var gaugeOptions = {
    angle: 0.15, // The span of the gauge arc
    lineWidth: 0.44, // The line thickness
    radiusScale: 1, // Relative radius
    pointer: {
        length: 0.6, // Relative to gauge radius
        strokeWidth: 0.035, // The thickness
        color: '#000000' // Fill color
    },
    limitMax: false, // If false, the max value of the gauge will be updated if value surpass max
    limitMin: false, // If true, the min value of the gauge will be fixed
    colorStart: '#6FADCF', // Colors
    colorStop: '#8FC0DA', // just experiment with them
    strokeColor: '#E0E0E0', // to see which ones work best for you
    generateGradient: true,
    highDpiSupport: true, // High resolution support
};

var target = document.getElementById('gaugeChart'); // Your canvas element
var gauge = new Gauge(target).setOptions(gaugeOptions); // Create the gauge
gauge.maxValue = 3000; // set max gauge value
gauge.setMinValue(0);  // Prefer setter over gauge.minValue = 0
gauge.animationSpeed = 32; // set animation speed (32 is default value)
gauge.set(1250); // set actual value

// Maximize gauge chart
var modal = document.getElementById('gaugeModal');
var modalContent = document.querySelector('.modal-content');
var maximizedGaugeCanvas = document.getElementById('maximizedGaugeCanvas');

document.getElementById('maximizeGaugeBtn').onclick = function() {
    modal.style.display = 'block';
    maximizeGaugeChart();
};

window.onclick = function(event) {
    if (event.target == modal) {
        modal.style.display = 'none';
    }
};

function maximizeGaugeChart() {
    var gaugeOptionsMaximized = Object.assign({}, gaugeOptions);
    gaugeOptionsMaximized.renderTo = maximizedGaugeCanvas;
    var maximizedGauge = new Gauge(maximizedGaugeCanvas).setOptions(gaugeOptionsMaximized);
    maximizedGauge.maxValue = gauge.maxValue;
    maximizedGauge.setMinValue(gauge.minValue);
    maximizedGauge.animationSpeed = gauge.animationSpeed;
    maximizedGauge.set(gauge.value);
    
    // Adjust the canvas size to fit the modal content
    maximizedGaugeCanvas.width = modalContent.clientWidth;
    maximizedGaugeCanvas.height = modalContent.clientHeight;
    maximizedGauge.draw();
}
