<?php
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Kyndryl Consolidated Summary</title>
    
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <style>
    .chart-container {
        position: relative;
        width: 100%; 
        height: 300px;  
    }
    .card {
        display: flex;
        flex-direction: column;
        height: 100%; 
        overflow: hidden; 
    }
    .card-body {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        overflow: hidden; 
    }
    canvas {
        display: block;
        width: 100% !important;
        height: 100% !important;
    }

</style>

</head>
<body>
    <div class="page-container">
        <!-- START PAGE SIDEBAR -->
        <?php include 'includes/sidebar.php'; ?>
        <!-- END PAGE SIDEBAR -->
        <!-- PAGE CONTENT -->
        <div class="page-content">
            <!-- START X-NAVIGATION VERTICAL -->
            <?php include 'includes/header.php'; ?>

            <div class="main-panel col-md-12">
                <div class="content-wrapper">
                    <div class="row" style="margin-top: 10px;">
                        <!-- Existing 4 Bar Charts -->
                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Registrations</h4>
                                    <div class='chart-container'>
                                        <canvas id="cs_registrations"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Attendance</h4>
                                    <div class='chart-container'>
                                        <canvas id="cs_attendance"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Nielet</h4>
                                    <div class='chart-container'>
                                        <canvas id="cs_nielet"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Feedback</h4>
                                    <div class='chart-container'>
                                        <canvas id="cs_feedback"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">State-Wise Data</h4>
                                    <div class="chart-container">
                                        <canvas id="statewise_data"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card" id="districtChartCard">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title" id="chart2Title">District-Wise Data</h4>
                                    <div class="chart-container">
                                        <canvas id="districtwise_data"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            <!-- </div> -->
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>
    <script src="../JeevitamV2/js/jquery/jquery.min.js"></script>
    <script src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>
    <script src="js/consolidated_summary.js"></script>
</body>
</html>
