<?php
session_start();

include 'includes/session.php';

$cscid = $_SESSION['cscid'];
function getUserIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        //ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        //ip pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip = getUserIpAddr();
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>District wise Graph</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->                                    

		<script src="assets/chart/Chart.bundle.js"></script>
        <script src="assets/chart/Chart.bundle.min.js"></script>
        <script src="assets/chart/Chart.js"></script>
        <script src="assets/chart/Chart.min.js"></script>
        <script src="assets/chart/utils.js"></script>

    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>                    
                    <li class="active">District wise Graph</li>
                </ul>
                <!-- END BREADCRUMB -->  

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h2>District wise Graph</h2>
                </div>
                <!-- END PAGE TITLE -->  

			<div class="col-md-12 center" style="margin-top: 10px;">
				
				<div class="form-group col-md-5">
					<select class="form-control" id="states" name="states" ></select>
				</div>
				
				<!--<div class="col-md-2">
					<div class="col-md-12">
					<button type="button" id="get_data" class="btn btn-primary">Submit</button>
					</div>
				</div>-->
				
			</div>

			<div class="col-md-12" style="margin-top: 25px; margin-bottom: 100px;">
			
				<div class="col-md-12">
					<div class="center" margin: auto>
						<canvas id="canvas_district"></canvas>
					</div>
				</div>
				
			</div>			
			
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->
        
        <?php include 'includes/header_logout.php'; ?>

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
            <script type="text/javascript" src="js/plugins.js"></script>
            <script type="text/javascript" src="js/actions.js"></script>
        <!-- END PLUGINS -->

        <script type="text/javascript">var cscId = '<?php echo $cscid; ?>';</script>
        <script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
        <script type="text/javascript" src="js/csc_districtwise_graph.js"></script>
        <!-- END TEMPLATE -->
        <!-- END SCRIPTS -->         
    </body>
</html>






