<?php
session_start();

include 'includes/session.php';

$_SESSION['header_title'] = "Datewise Trained Candidates";

$cscid = $_SESSION['cscid'];
function getUserIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        //ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        //ip pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip = getUserIpAddr();
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Datewise Trained Candidates</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->                                    

		<script src="assets/chart/Chart.bundle.js"></script>
        <script src="assets/chart/Chart.bundle.min.js"></script>
        <script src="assets/chart/Chart.js"></script>
        <script src="assets/chart/Chart.min.js"></script>
        <script src="assets/chart/utils.js"></script>

		<!-- Bootstrap CSS -->
		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>

    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

			<div class="col-md-12" style="margin-top: 10px;">
				
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select From date
						</label>
					</div>
					<div class="col-md-12">
						<input type="date" name="deadline_date" id="from_date" class="form-control">
					</div>
				</div>
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select To date
						</label>
					</div>
					<div class="col-md-12">
						<input type="date" name="deadline_date" id="to_date" class="form-control">
					</div>
				</div>
				<div class="col-md-4">
					<div class="col-md-12" style="visibility: hidden">
						<label>
							Submit
						</label>
					</div>
					<div class="col-md-12">
					<button type="button" id="get_data" class="btn btn-primary">Submit</button>
					</div>
				</div>
				
			</div>

			<div class="col-md-12" style="margin-top:10px;">
		
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select State
						</label>
					</div>
					<div class="col-md-12">
						<select class="form-control"  id="vle_state" name="vle_state"></select>
					</div>
				</div>
				
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select District
						</label>
					</div>
					<div class="col-md-12">
						<select class="form-control"  id="vle_city" name="vle_city"></select>
					</div>
				</div>
		
				<div class="col-md-4"></div>
				
			</div>

			<div class="col-md-12" style="margin-top: 30px;">
			
				<div class="col-md-1">
				</div>
				
				<div class="col-md-10">
					<div class="center" margin: auto>
						<canvas id="canvas_datewise_trained_candidates"></canvas>
					</div>
				</div>
				
				<div class="col-md-1">
				</div>
						
			</div>

            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->
        
        <?php include 'includes/header_logout.php'; ?>

        <!-- START SCRIPTS -->
        
		<!-- inject:js -->
		<script src="../JeevitamV2/js/off-canvas.js"></script>
		<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
		<script src="../JeevitamV2/js/template.js"></script>
		<script src="../JeevitamV2/js/settings.js"></script>
		<script src="../JeevitamV2/js/todolist.js"></script>
			
        <script type="text/javascript">var cscId = '<?php echo $cscid; ?>';</script>
        <script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
        <script type="text/javascript" src="js/datewise_trained_candidates_graph.js"></script>
        <!-- END TEMPLATE -->
        <!-- END SCRIPTS -->         
    </body>
</html>






