var selected_from_date = '';
var selected_to_date = '';

var array_registrations_state;
var array_registrations_value;

var canvas_registrations = document.getElementById('attendance').getContext('2d');
var chart_registrations = new Chart(canvas_registrations, {type: 'bar'});

$(document).ready(function() {
	getData();
});



function getData(){
	
	var url = "../CSC22API/api/csc_admin/get-verified-candidates-count-by-state-wise.php";
	
	var formvalue = {
	    from : "2021-12-01",
		to : "2022-01-07"
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			array_registrations_state = [];
			array_registrations_value = [];
			
			var transaction_registrations = data.list;
			
			if(transaction_registrations != null) {
			    
			    for(var gen = 0; gen < transaction_registrations.length; gen++) {
			        array_registrations_state.push(transaction_registrations[gen].state + " ( " + transaction_registrations[gen].total + " ) ");
			        array_registrations_value.push(transaction_registrations[gen].total);
			    }
			    
			}
			console.log(array_registrations_state);
			console.log(array_registrations_value);
			if (chart_registrations) {
				chart_registrations.destroy();
			}
			
			// Chart options
			Chart.defaults.global.legend.display = false;
			Chart.defaults.global.tooltips.enabled = true;
			
			chart_registrations = new Chart(canvas_registrations, {
				// The type of chart we want to create
				type: 'bar',

				// The data for our dataset
				data: {
					datasets: [{
							
							backgroundColor: "#33AEEF",
							data: array_registrations_value
						}],
					labels: array_registrations_state
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'Statewise verified candidates'
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				
				}
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}
