var selected_to_date = '';

		$('#upload-form').validate({
        rules: {
            excel_file: {
                required: true,                
            },			
        },
        messages: {
            excel_file: {
                required: "Select file type Excel",                
            }			            
        },
        errorElement: 'span',
        errorPlacement: function (error, element) {
            error.addClass('invalid-feedback');
            element.closest('.form-group').append(error);
        },
        highlight: function (element, errorClass, validClass) {
            $(element).addClass('is-invalid');
        },
        unhighlight: function (element, errorClass, validClass) {
            $(element).removeClass('is-invalid');
        },
        submitHandler: function(form)
        {			
			var fd = new FormData();
			var files = $('#excel_file')[0].files;
			fd.append('btn','photo-change');
			fd.append('file',files[0]);
            $.ajax({
                url:'../CSC22API/api/csc_admin/upload_excel.php',
                type:'post',
				data: fd,  
				contentType: false,  
				processData:false,
                beforeSend: function() {
                    $('.upload-excel').removeClass('hide');
                    $('#submit').addClass('hide');
                },
                success:function(log_det) {					
                    var r_j = JSON.parse(log_det);
                    if(r_j.code === 1) {
						alert('Successfully file upload');
						$('.upload-excel').addClass('hide');
						$('#upload-form').trigger("reset");
                    $('#submit').removeClass('hide');
                    }
                    
                    initiateTableData();      

					sendMailNotification();
                    
                }
            });
			return false;
        }		
    });

function sendMailNotification() {
    
    $.ajax({
		url:'../DTTurboHire/api/csc/send_mail_notification_for_new_email_audit_upload.php',
		type:'post',
		success: function (data) {
        
			alert(data);
        
        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
    
}

function initiateTableData() {
    
    $.ajax({
		url:'../CSC22API/api/csc_admin/get-excel-table.php',
		type:'post',
		success: function (data) {
        var records = data;
        var totalrecords = records.total;
        if (totalrecords === 0) {
            alert("No records found");
            $('#result').html("");
            $("#total").html(0);
        } else {
            var total = Math.ceil((totalrecords / 10));
            $("#total_leads_div").show();
            $("#total").html(totalrecords);
            getData(10, 0, total);
            $(".pagination").bootpag({
                total: total,
                page: 1,
                maxVisible: 10
            }).on("page", function (e, num) {
                e.preventDefault();
                var page = num - 1;
                console.log(num);
                getData(10, 0, total);
            });
        }
        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
    
}

$(document).ready(function() {
    
	initiateTableData();

});

function updateComment(id, comment) {

    $comment = $('#text_area_' + id).val();
	
	var formValues = {
		comment : $comment,
		id : id
    };
    
	var json = JSON.stringify(formValues);
	
    $.ajax({
        type: "POST",
        data: json,
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/update_email_audit_comment.php',
        success: function (data) { 
            
			alert(data.message);
			
        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
	

}


function approveUploadedFile(id){
	
	var value = '';
	
	if($("#checkbox_" + id).is(':checked')){
		
		value = '1';
		
	}else {
		
		value = '0';
		
	}
	
	var formValues = {
		id : id,
		value : value
    };
    
	var json = JSON.stringify(formValues);
	
    $.ajax({
        type: "POST",
        data: json,
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/approve_uploaded_file.php',
        success: function (data) { 
            
			alert(data.message);
			
        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
	
}

function getData(item_per_page, page, lastpage) {
    var start_offset;
    if (page === 0) {
        start_offset = 0;
    } else if (page > 0) {
        start_offset = (page * item_per_page);
    }
    var formValues = {
    offset: start_offset
    };
    var json = JSON.stringify(formValues);
    $.ajax({
        type: "POST",
        data: json,
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/get-excel-upload-details.php',
        success: function (data) { 
            var tdata = "";
            var transactions = data.list; 
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    tdata += '<tr style="text-align:left;">';
                    tdata += '<td style="text-align:center; vertical-align: middle;"><a href="https://jeevitam.com/CSC22API/api/csc_admin/csc_email_audit_files/' + transactions[j].file_url + '" target="_blank" title="click here file download">' + transactions[j].file_url + '</a></td>';
                    
					tdata += '<td style="text-align:center; vertical-align: middle;"><input id="checkbox_' + transactions[j].id + '" type="checkbox" onclick="approveUploadedFile(' + transactions[j].id + ')"/></td>';
                    
					if(session_mail === 'test@csc.com'){
						
						if(transactions[j].comments === null){
							
								tdata += '<td style="text-align:center; vertical-align: middle;" >' + '<textarea id = "text_area_' + transactions[j].id + '" style="text-align:left; vertical-align: middle;" placeholder="Enter your comments here.." rows="4" cols="30" ></textarea> <button style="text-align:left; vertical-align: middle;" type="button" onclick="updateComment(\'' + transactions[j].id + '\',\'' + transactions[j].id + '\')">Update</button>' + '</td>';
							
						}else {
							
								tdata += '<td style="text-align:center; vertical-align: middle;" >' + '<textarea id = "text_area_' + transactions[j].id + '" style="text-align:left; vertical-align: middle;" placeholder="Enter your comments here.." rows="4" cols="30" >' + transactions[j].comments + '</textarea> <button style="text-align:left; vertical-align: middle;" type="button" onclick="updateComment(\'' + transactions[j].id + '\',\'' + transactions[j].id + '\')">Update</button>' + '</td>';
							
						}
						
					}else {
						
						if(transactions[j].comments === null){
						
							tdata += '<td style="text-align:center; vertical-align: middle;">' + " - " + '</td>';
						
						}else {
							
							tdata += '<td style="text-align:center; vertical-align: middle;">' + transactions[j].comments + '</td>';
							
						}
						
					}
					
                    tdata += '<td style="text-align:center; vertical-align: middle;">' + transactions[j].created_at + '</td>';
                    if(transactions[j].updated_at === null){
                        tdata += '<td style="text-align:center; vertical-align: middle;"></td>';
                    }else{
                        tdata += '<td style="text-align:center; vertical-align: middle;">' + transactions[j].updated_at + '</td>';
                    }
                    tdata += '</tr>';
                }
				
                $('#result').html(tdata);
				
				for (var j = 0; j < transactions.length; j++) {
					
					if(transactions[j].status === '0'){
						
						$( "#checkbox_" + transactions[j].id ).prop( "checked", false );
						
					}else if(transactions[j].status === '1'){
						
						$("#checkbox_" + transactions[j].id).prop( "checked", true );
						
					}
					
					if(session_mail !== 'test@csc.com'){
						
						document.getElementById("checkbox_" + transactions[j].id).disabled = true;
						
					}
					
				}
				
            }
            else {
                $('#result').html('<div style="margin-top:15px;font-size:15px;"><b>No Records avaiable given value</b></div>');
            }
        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
}