var vle_state_id = '';
var vle_district_id = '';
var selected_from_date = '';
var selected_to_date = '';

var default_from_date = "2023-01-01";
var default_to_date = "2033-12-31";

var array_gender;
var array_gender_value;

var canvas_gender = document.getElementById('canvas_gender_wise_analysis').getContext('2d');
var chart_gender = new Chart(canvas_gender, {type: 'pie'});

$(document).ready(function() {
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/kyndryl/get_all_vle_states.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response;
            var option = '';
            option += '<option value=' + "" + '>--- Select All ---' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state_name + '>' + transactions[j].state_name + '</option>';
                }
            }

            $('#vle_state').html(option);

        }
    });
	
	$('#vle_state').change(function(){
		
		resetProcess();
		
		vle_state_id = $('#vle_state').val();
	  
		$.ajax({
			type: "GET",
			url: "../DTTurboHire/api/kyndryl/get_vle_statewise_districts.php?vle_state_id=" + vle_state_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {

						var val_district_name = transactions[j].district_name.replace(/ /g, "$");
						option += '<option value=' + val_district_name + '>' + transactions[j].district_name + '</option>';
						
					}
				}

				$('#vle_city').html(option);

			}
		});
	  
	});	
		
	function replaceAllCharacters(input_string, char_to_replace, char_to_replace_with){
		
		if(input_string.includes(char_to_replace)){
			input_string=input_string.replace(char_to_replace, char_to_replace_with);
			input_string=replaceAllCharacters(input_string, char_to_replace, char_to_replace_with);
		}
		
		return input_string;
		
	}
	
	$('#vle_city').change(function(){
		
		resetProcess();
		
		vle_district_id = $('#vle_city').val();
		
		vle_district_id = replaceAllCharacters(vle_district_id, '$', ' ');
		
		selectElement = document.querySelector('#vle_city');
        output = selectElement.options[selectElement.selectedIndex].value;
	  
		$.ajax({
			type: "GET",
			url: "../DTTurboHire/api/kyndryl/get_vle_ids_districtwise.php?vle_district_id=" + vle_district_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {
						option += '<option value=' + transactions[j].csc_id + '>' + transactions[j].csc_id + ' - ' + transactions[j].csc_id_name + '</option>';
					}
				}

				$('#vle_id').html(option);

			}
		});
	  
	});
	
	getData(default_from_date, default_to_date, '', '');
		
});

$('#get_data').click(function () {
	
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	if(selected_from_date === '' || selected_to_date === ''){
		selected_from_date = default_from_date;
		selected_to_date = default_to_date;
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
		//alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
	}
		
});

function initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	chart_gender.destroy();

	array_gender = Array();
	array_gender_value = Array();
	
	getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id);	
	
}

function getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	var url = "../DTTurboHire/api/ujs_csc/verified_candidates_genderwise.php?from=" + selected_from_date + "&to=" + selected_to_date + "&vle_state_id=" + vle_state_id + "&vle_district_id=" + vle_district_id;
	
	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date
	};
	
	var json = JSON.stringify(formvalue);	
	
	$.ajax({
		type: "GET",
		url: url,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			array_gender = [];
			array_gender_value = [];
			
			var transaction_gender = data.list;
			console.log(data);
			
			if(transaction_gender != null) {
			    
			    for(var gen = 0; gen < transaction_gender.length; gen++) {
			        if(transaction_gender[gen].gender === null){
			           array_gender.push("NA" + " ( " + transaction_gender[gen].total + " ) "); 
			        }else{
			            array_gender.push(transaction_gender[gen].gender + " ( " + transaction_gender[gen].total + " ) ");
			        }
			        
			        array_gender_value.push(transaction_gender[gen].total);
			    }
			    
			}
			
			if (chart_gender) {
				chart_gender.destroy();
			}
			
			chart_gender = new Chart(canvas_gender, {
				// The type of chart we want to create
				type: 'pie',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: [
								"rgba(236, 100, 75)",
								"rgba(46, 204, 113)",
								"rgba(44, 130, 201)"
							],
							data: array_gender_value
						}],
					labels: array_gender
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'Gender-wise Analysis'
					}
				}
				
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}


function resetProcess(){
	
	$('#result').html('');
	$('#vle_id').html('');
	vle_district_id = '';
	
}

