var array_registrations_count_range;
var array_registrations_count_value;

var canvas_registrations_count = document.getElementById('canvas_registrations_analysis_by_group').getContext('2d');
var chart_registrations_count = new Chart(canvas_registrations_count, {type: 'pie'});

$(document).ready(function() {
	
	getData();
	
});

function getData(){
	
	var url = "../DTTurboHire/api/ujs_csc/vle_performance_details.php";
	
	$.ajax({
		type: "GET",
		url: url,
		dataType: 'json',
		success: function (data) {
    		
			array_registrations_count_range = [];
			array_registrations_count_value = [];
			
			var transaction_details = data.list;
			console.log(data);
			
			if(transaction_details != null) {
			    
			    for(var gen = 0; gen < transaction_details.length; gen++) {
			        if(transaction_details[gen].registered_count === null){
			           array_registrations_count_range.push("NA" + " ( " + transaction_details[gen].total + " ) "); 
			        }else{
			            array_registrations_count_range.push(transaction_details[gen].registered_count + " ( " + transaction_details[gen].total + " ) ");
			        }
			        array_registrations_count_value.push(transaction_details[gen].total);
			    }
			    
			}
			
			if (chart_registrations_count) {
				chart_registrations_count.destroy();
			}
			
			chart_registrations_count = new Chart(canvas_registrations_count, {
				// The type of chart we want to create
				type: 'pie',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: [
								"rgba(236, 100, 75)",
								"rgb(51, 204, 255)",
								"rgba(44, 130, 201)",
								"rgba(201, 154, 44)",
								"rgba(46, 204, 113)"
							],
							data: array_registrations_count_value
						}],
					labels: array_registrations_count_range
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'VLE-wise Analysis (Registrations Count)'
					}
				}
				
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}