var selected_from_date = '';
var selected_to_date = '';

var array_gender;
var array_gender_value;

var array_state;
var array_state_value;

var array_age;
var array_age_value;

var canvas_gender = document.getElementById('canvas_gender').getContext('2d');
var chart_gender = new Chart(canvas_gender, {type: 'pie'});

var canvas_state = document.getElementById('canvas_state').getContext('2d');
var chart_state = new Chart(canvas_state, {type: 'bar'});

var canvas_age = document.getElementById('canvas_age').getContext('2d');
var chart_age = new Chart(canvas_age, {type: 'bar'});	

$(document).ready(function() {
	
});

$('#get_data').click(function () {
	
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	if(selected_from_date === '' || selected_to_date === ''){
		alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){

		chart_gender.destroy();
		chart_age.destroy();
		chart_state.destroy();

		array_gender = Array();
		array_gender_value = Array();

		array_state = Array();
		array_state_value = Array();

		array_age = Array();
		array_age_value = Array();	
		
		getData();
	
	}
		
});

function getData(){
	
	var url = "../CSC22API/api/csc_admin/get-details-for-graph.php";
	
	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			var transaction_gender = data.gender;
			var transaction_state = data.state;
			var transaction_age = data.age;
			
			if(transaction_gender != null) {
			    
			    for(var gen = 0; gen < transaction_gender.length; gen++) {
			        array_gender.push(transaction_gender[gen].gender + " ( " + transaction_gender[gen].total + " ) ");
			        array_gender_value.push(transaction_gender[gen].total);
			    }
			    
			}
			
			if(transaction_state != null) {
			    
			    for(var gen = 0; gen < transaction_state.length; gen++) {
			        array_state.push(transaction_state[gen].state + " ( " + transaction_state[gen].total + " ) ");
			        array_state_value.push(transaction_state[gen].total);
			    }
			    
			}
			
			if(transaction_age != null) {
			    
			    for(var gen = 0; gen < transaction_age.length; gen++) {
			        array_age.push(transaction_age[gen].age + " ( " + transaction_age[gen].count + " ) ");
			        array_age_value.push(transaction_age[gen].count);
			    }
			    
			}
			
			if (chart_gender) {
				chart_gender.destroy();
			}
			
			chart_gender = new Chart(canvas_gender, {
				// The type of chart we want to create
				type: 'pie',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: [
								"rgba(236, 100, 75)",
								"rgba(46, 204, 113)",
								"rgba(44, 130, 201)"
							],
							data: array_gender_value
						}],
					labels: array_gender
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'Gender wise analysis'
					}
				
				}
			});
			
			if (chart_state) {
				chart_state.destroy();
			}
			
			console.log(array_state);
			
			chart_state = new Chart(canvas_state, {
				// The type of chart we want to create
				type: 'bar',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: "#33AEEF",
							data: array_state_value
						}],
					labels: array_state
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'State wise analysis'
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				}
			});
			
			if (chart_age) {
				chart_age.destroy();
			}
			
			chart_age = new Chart(canvas_age, {
				// The type of chart we want to create
				type: 'bar',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: "#33AEEF",
							data: array_age_value
						}],
					labels: array_age
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'Age wise analysis'
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				}
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}