var selected_state = '';

var array_district = Array();
var array_district_value = Array();

var canvas_district = document.getElementById('canvas_district').getContext('2d');
var chart_district = new Chart(canvas_district, {type: 'bar'});

$('#get_data').click(function () {
	
		chart_district.destroy();

		array_district = Array();
		array_district_value = Array();
		
		getData();
	
});

function getData(state){
	
	var url = "../CSC22API/api/csc_admin/get-district-details-for-graph.php";
	
	var formvalue = {
	    state : state
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			array_district = [];
			array_district_value = [];
			
			var transaction_district = data.list;
			
			if(transaction_district != null) {
			    
			    for(var gen = 0; gen < transaction_district.length; gen++) {
			        array_district.push(transaction_district[gen].city + " ( " + transaction_district[gen].total + " ) ");
			        array_district_value.push(transaction_district[gen].total);
			    }
			    
			}
			

			if (chart_district) {
				chart_district.destroy();
			}
			
			chart_district = new Chart(canvas_district, {
				// The type of chart we want to create
				type: 'bar',

				// The data for our dataset
				data: {
					datasets: [{
							label: '#data',
							backgroundColor: "#33AEEF",
							data: array_district_value,
							borderWidth: 1
						}],
					labels: array_district
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'District wise analysis'
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				}
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}

$(document).ready(function() {
	
	$('#states').change(function () {
        
		selected_state = $('#states').val();
		
		selected_state = $( "#states option:selected" ).text();
		
        getData(selected_state);
		
    });
	
	$.ajax({
        type: "GET",
        url: "../CSC22API/api/csc_admin/get-state.php",
        dataType: 'json',
        success: function (data) {

            var states_list = data.list;
            var option = '';

            option += '<option value=0>' + '---Select State---' + '</option>';

            if (states_list !== null && states_list.length > 0) {

                for (var j = 0; j < states_list.length; j++) {

                    option += '<option value=' + states_list[j].state + '>' + states_list[j].state +'</option>';

                }

            } else {

                option += '<option value=0>' + 'No State found !!' + '</option>';

            }

            $('#states').html(option);

        },
        error: function (jqXHR, status, err) {
            alert(err);
        }
    });
	
});