var vle_state_id = '';
var vle_district_id = '';
var selected_from_date = '';
var selected_to_date = '';

var default_from_date = "2023-01-01";
var default_to_date = "2033-12-31";

var array_registrations_date;
var array_registrations_value;
var array_attendances_value;
var array_feedbacks_value;

var canvas_registrations = document.getElementById('canvas_datewise_trained_candidates');
var chart_registrations = new Chart(canvas_registrations, {type: 'line'});

$(document).ready(function() {
	
	$.ajax({
        type: "GET",
        url: "../kyndrylAPIs/api/kyndryl/get_all_vle_states.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response;
            var option = '';
            option += '<option value=' + "" + '>--- Select All ---' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state_name + '>' + transactions[j].state_name + '</option>';
                }
            }

            $('#vle_state').html(option);

        }
    });
	
	$('#vle_state').change(function(){
		
		resetProcess();
		
		vle_state_id = $('#vle_state').val();
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/kyndryl/get_vle_statewise_districts.php?vle_state_id=" + vle_state_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {

						var val_district_name = transactions[j].district_name.replace(/ /g, "$");
						option += '<option value=' + val_district_name + '>' + transactions[j].district_name + '</option>';
						
					}
				}

				$('#vle_city').html(option);

			}
		});
	  
	});	
		
	function replaceAllCharacters(input_string, char_to_replace, char_to_replace_with){
		
		if(input_string.includes(char_to_replace)){
			input_string=input_string.replace(char_to_replace, char_to_replace_with);
			input_string=replaceAllCharacters(input_string, char_to_replace, char_to_replace_with);
		}
		
		return input_string;
		
	}
	
	$('#vle_city').change(function(){
		
		resetProcess();
		
		vle_district_id = $('#vle_city').val();
		
		vle_district_id = replaceAllCharacters(vle_district_id, '$', ' ');
		
		selectElement = document.querySelector('#vle_city');
        output = selectElement.options[selectElement.selectedIndex].value;
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/kyndryl/get_vle_ids_districtwise.php?vle_district_id=" + vle_district_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {
						option += '<option value=' + transactions[j].csc_id + '>' + transactions[j].csc_id + ' - ' + transactions[j].csc_id_name + '</option>';
					}
				}

				$('#vle_id').html(option);

			}
		});
	  
	});
	
	getData(default_from_date, default_to_date, '', '');
	
});

$('#get_data').click(function () {
	
	var today = new Date();
	
	vle_state_id = $('#vle_state').val();
	vle_district_id = vle_district_id;
		
	console.log("today - " + today);
	
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	console.log("selected_from_date - " + selected_from_date);
	console.log("selected_to_date - " + selected_to_date);
	
	if(selected_to_date > '2021-05-03'){
		//alert("TO date is greater than today's date");
	}
	
	if(selected_from_date === '' || selected_to_date === ''){
		selected_from_date = default_from_date;
		selected_to_date = default_to_date;
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
		//alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
	}
		
});

function initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	chart_registrations.destroy();

	array_registrations_date = Array();
	array_registrations_value = Array();
	array_attendances_value = Array();
	array_feedbacks_value = Array();
	
	getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id);	
	
}

function getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	var url = "../kyndrylAPIs/api/ujs_csc/trained_candidates_datewise.php?from=" + selected_from_date + "&to=" + selected_to_date + "&vle_state_id=" + vle_state_id + "&vle_district_id=" + vle_district_id;
	
	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "GET",
		url: url,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			array_registrations_date = [];
			array_registrations_value = [];
			array_attendances_value = [];
			array_feedbacks_value = [];
			
			var transaction_registrations = data.list;
			
			if(transaction_registrations != null) {
			    
				if(transaction_registrations[0].date != selected_from_date){
					array_registrations_date.push(selected_from_date + " ( 0 ) ");
			        array_registrations_value.push(0);
					array_attendances_value.push(0);
					array_feedbacks_value.push(0);
				}
				
			    for(var gen = 0; gen < transaction_registrations.length; gen++) {
			        array_registrations_date.push(transaction_registrations[gen].DATE + " ( " + transaction_registrations[gen].total + " ) ");
			        array_registrations_value.push(transaction_registrations[gen].total);
					array_attendances_value.push(transaction_registrations[gen].total_candidates_attendance);
					array_feedbacks_value.push(transaction_registrations[gen].total_candidates_feedback);
			    }
			    
				if(transaction_registrations[transaction_registrations.length - 1].date != selected_to_date){
					array_registrations_date.push(selected_to_date + " ( 0 ) ");
			        array_registrations_value.push(0);
					array_attendances_value.push(0);
					array_feedbacks_value.push(0);
				}
				
			}
			
			if (chart_registrations) {
				chart_registrations.destroy();
			}
			
			// Chart options
			Chart.defaults.global.legend.display = true;
			Chart.defaults.global.tooltips.enabled = true;
			
			console.log("array_attendances_value : " + array_attendances_value);
			
			chart_registrations = new Chart(canvas_registrations, {
				// The type of chart we want to create
				type: 'line',

				// The data for our dataset
				data: {
					datasets: [
						{
							label: 'FEEDBACK',
							backgroundColor: "#5bba78",
							lineTension: 0,
							data: array_feedbacks_value
						},{
							label: 'ATTENDANCE',
							backgroundColor: "#1fbfed",
							lineTension: 0,
							data: array_attendances_value
						},{
							label: 'REGISTRATIONS',
							backgroundColor: "#EC4176",
							lineTension: 0,
							data: array_registrations_value
						}
						],
					labels: array_registrations_date
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: ''
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				
				}
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}


function resetProcess(){
	
	$('#result').html('');
	$('#vle_id').html('');
	vle_district_id = '';
	
}
