// Initialize the map
// const map = L.map('mapdiv').setView([20.5937, 80.9629], 5); // Centered on India
const map = L.map('mapdiv').setView([23.833398, 78.744506], 5); // Centered on India

// Add OpenStreetMap tiles
L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
    maxZoom: 12,
    attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
}).addTo(map);

// Define the locations of the states
const states = {
    'Jharkhand': [23.6102, 85.2799],
    'Nagaland': [26.1584, 94.5624],
    'Assam': [26.2006, 92.9376],
    'Mizoram': [23.1645, 92.9376],
    'Maharashtra': [19.6016, 75.2789],
    'Chhattisgarh': [21.2785, 81.8661],
    'Bihar': [25.0968, 85.3131],
    'Manipur': [24.6637, 93.9063],
    'Goa': [15.2993, 74.1240],
    'Gujarat': [22.2587, 71.1924],
    'Arunachal Pradesh': [28.2180, 94.7278],
    'Madhya Pradesh': [22.9734, 78.6569],
    'Meghalaya': [25.4670, 91.3662],
    'Haryana': [29.0588, 76.0856],
    'Uttar Pradesh': [26.8467, 80.9462],
    'West Bengal': [22.9868, 87.8550],
    'Tamil Nadu': [11.1271, 78.6569],
    'Uttarakhand': [30.0668, 79.0193],
    'Karnataka': [15.3173, 75.7139],
    'Rajasthan': [27.0238, 74.2177],
    'Himachal Pradesh': [31.1048, 77.1734],
    'Odisha': [20.9517, 85.0985],
    'Chandigarh': [30.7333, 76.7794],
    'Tripura': [23.9400, 91.9882],
    'Punjab': [31.1471, 75.3412],
    'Andaman & Nicobar': [11.6233, 92.7265],
    'Andhra Pradesh': [15.9129, 79.7400],
    'Dadra and Nagar Haveli': [20.2961, 73.6168],
    'Daman and Diu': [20.3975, 72.8337],
    'Jammu and Kashmir': [33.7782, 76.5762],
    'Kerala': [10.8505, 76.2711],
    'Lakshadweep': [10.5726, 72.6390],
    'Delhi': [28.6139, 77.2090],
    'Puducherry': [11.9416, 79.8083],
    'Sikkim': [27.5330, 88.5122],
    'Telangana': [17.3850, 78.4867]
};

// Add markers for each state
for (const [name, coords] of Object.entries(states)) {
    L.marker(coords)
        .addTo(map)
        .bindPopup(`This is ${name}!`)
        .openPopup();
}
