var val_email_id = "";

var val_training_usefulness = "";
var val_content_comprehensiveness = "";
var val_course_easiness = "";
var val_trainer_explanation = "";

var val_feeling_confident_against_cyber_fraud = "";
var val_course_recommendation_to_others = "";

var val_cyber_gyan_id = "";

$(document).ready(function () {
	
	$('#div_basic_details').show();
	$('#div_feedback_questions').hide();
	
});

$('#btn_verify').click(function(){
	
	val_email_id = $('#email_id').val();
	
	if(!isValidEmail(val_email_id)){
		showCustomAlert("Please enter a valid input \n 'EMAIL ID'", "email_id", "OK");
	}else{
		
		$('#modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Loading.. Please wait");
			
		$.ajax({
			type: "GET",
			headers:{
				'jeevitam-api-key':'313cfdc30d5fd9555c4e9cb593513ba4'
			},
			url: '../kyndrylv2/api/verifyBeneficiaryEmailId?email_id=' + val_email_id,
			dataType: 'json',
			success: function (data) {
						
				$('#modal_prompt_01').hide();
		
				var result = data.result;
				var message = data.message;
				val_cyber_gyan_id = data.id;
				
				if (result === 'success') {
						
					showCustomAlert("Email ID Verified.", "btn_verify", "CONTINUE");
				
					$('#div_basic_details').hide();
					$('#div_feedback_questions').show();
					
				} else{
					
					showCustomAlert(message, "btn_verify", "CLOSE");
					
				}

			},
			error: function (xhr, ajaxOptions, thrownError) {
				
					var status = ajaxOptions;
					var response  = xhr.responseText;
					response = JSON.parse(response);
					
				if (xhr.status === 400) {
					
					showCustomAlert(response['message'], "btn_verify", "CLOSE");
					
				} else {
					alert('An error occurred. Please try again later.');
				}
				
			}
			
		});
		
	}
	
});


$('#btn_submit').click(function(){

	val_training_usefulness = $("#select_training_usefulness option:selected").val();
	val_content_comprehensiveness = $("#select_content_comprehensiveness option:selected").val();
	val_course_easiness = $("#select_course_easiness option:selected").val();
	val_trainer_explanation = $("#select_trainer_explanation option:selected").val();
	
	val_feeling_confident_against_cyber_fraud = getSelectedRadioValue("rb_feeling_confident_against_cyber_fraud");
	val_course_recommendation_to_others = getSelectedRadioValue("rb_course_recommendation_to_others");

	if(isNullOrEmpty(val_training_usefulness)){
		showCustomAlert("Please select a value \n 'Was the training Useful ?'", "select_training_usefulness", "OK");
	}else if(isNullOrEmpty(val_content_comprehensiveness)){
		showCustomAlert("Please select a value \n 'Was the content comprehensive ?'", "select_content_comprehensiveness", "OK");
	}else if(isNullOrEmpty(val_course_easiness)){
		showCustomAlert("Please select a value \n 'How easy was the course to understand?'", "select_course_easiness", "OK");
	}else if(isNullOrEmpty(val_trainer_explanation)){
		showCustomAlert("Please select a value \n 'Did the trainer clearly explain all key aspects?'", "select_trainer_explanation", "OK");
	}else if((val_feeling_confident_against_cyber_fraud==='')
				||(val_feeling_confident_against_cyber_fraud===null)){
		showCustomAlert("Please select a Option \n 'Do you feel confident against cyber fraud?'", "id_rb_feeling_confident_against_cyber_fraud_yes", "OK");
	}else if((val_course_recommendation_to_others==='')
				||(val_course_recommendation_to_others===null)){
		showCustomAlert("Please select a Option \n 'WOULD YOU RECOMMEND THE COURSE TO OTHERS ?'", "id_rb_course_recommendation_to_others_yes", "OK");
	}else{
		
		var formValues = {    
		
			beneficiary_email_id: val_email_id,
			cyber_gyan_id: val_cyber_gyan_id,
			training_usefulness: val_training_usefulness,
			content_comprehensiveness: val_content_comprehensiveness,
			course_easiness: val_course_easiness,
			trainer_explanation: val_trainer_explanation,
			confident_against_cyber_fraud: val_feeling_confident_against_cyber_fraud,
			course_recommendation_to_others: val_course_recommendation_to_others
			
		};

		var json = JSON.stringify(formValues);
				
		$.ajax({
			type: "POST",
			headers:{
				'jeevitam-api-key':'313cfdc30d5fd9555c4e9cb593513ba4'
			},
			url: "../kyndrylv2/api/addFeedbackDetails",
			data: json,
			dataType: 'json',
			success: function(response) {

				if(response.result == 'success') {
					
					showCustomAlertSuccess(response.message, "btn_verify", "OK");
					
				}else if(response.result == 'failure'){
					showCustomAlert(response.message, "btn_submit", "OK");
				}

			},
			error: function (xhr, ajaxOptions, thrownError) {
			
				var status = ajaxOptions;
				var response  = xhr.responseText;
				response = JSON.parse(response);
				
				if (xhr.status === 400) {
					
					showCustomAlert(response['message'], "btn_submit", "OK");
					
				}else {
					alert('An error occurred. Please try again later.');
				}
				
			}
			
		});
	
	}

});

function validateName(name) {
	var regex = /^[a-zA-Z\s]+$/;
	return regex.test(name);
}

function isNullOrEmpty(str) {
    return !str || str.trim() === '';
}

function isValidPhoneNumber(phoneNumber) {
    var regex_digits_check = /^\d{10}$/;
	var regex_numbers_check = /^[0-9]+$/;
    return ((regex_digits_check.test(phoneNumber))&&(regex_numbers_check.test(phoneNumber)));
}

function isValidEmail(email) {
    var regex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    return regex.test(email);
}

function getSelectedRadioValue(attrNameVal) {
	
	var radios = document.getElementsByName(attrNameVal);
	var selectedValue = null;

	for (var i = 0; i < radios.length; i++) {
		if (radios[i].checked) {
			selectedValue = radios[i].value;
			break;
		}
	}

	return selectedValue;
	
}
function showLoadingModal(){
	$('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Loading..");
}

function hideLoadingModal(){
	$('#modal_prompt_01').hide();
}

function showCustomAlert(message, focus_element_id, btn_text) {
	
	const alertBox = document.getElementById('div_custom_alert');
	const alertMessage = document.getElementById('alert_message');
	const customButton = document.getElementById('btn_custom_alert');

	alertMessage.innerText = message;
	customButton.innerText = btn_text;

	alertBox.style.display = 'block';

	customButton.addEventListener('click', function () {
		alertBox.style.display = 'none';
	});
	
}

function showCustomAlertSuccess(message, focus_element_id, btn_text) {
	
	const alertBox = document.getElementById('div_custom_alert');
	const alertMessage = document.getElementById('alert_message');
	const customButton = document.getElementById('btn_custom_alert');

	alertMessage.innerText = message;
	customButton.innerText = btn_text;

	alertBox.style.display = 'block';

	customButton.addEventListener('click', function () {
		alertBox.style.display = 'none';
		window.location.reload();
	});
	
}
