$(document).ready(function () {
	
	$('#registered_at_from_date').change(function(){
		resetProcess();
	});
	
	$('#registered_at_to_date').change(function(){
		resetProcess();
	});
	
	$('#btn_download_data').click(function () {
		
		var from_date = $('#registered_at_from_date').val();
		var to_date = $('#registered_at_to_date').val();

		var url_download_data = "../KyndrylV2DashboardAPIs/api/DownloadP2ErrorNielitDataByCreatedAt?from_date=" + from_date + "&to_date=" + to_date;
		
		var err_count = 0;
		
		if( (from_date!=='') || (to_date!=='') ){
			
			if((from_date === '') || (from_date === null)){
				alert("ENTER 'FROM' DATE");
				err_count++;
			}else if((to_date === '') || (to_date === null)){
				alert("ENTER 'TO' DATE");
				err_count++;
			}else{
				if(!dateRangeValidate(from_date, to_date)){
					alert("ENTER A VALID DATE RANGE.");
					err_count++;
				}					
			}
			
		}else{
			
			err_count++;
			alert("ENTER 'FROM' & 'TO' DATE RANGE");
			
		}
		
		if(err_count===0){
		
			fetch(url_download_data, {
				method: 'GET',
				headers: {
					'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
				}
			})
			.then(response => {
				if (!response.ok) {
					throw new Error('Network response was not ok');
				}
				return response.blob();
			})
			.then(blob => {
				const url = window.URL.createObjectURL(blob);
				const a = document.createElement('a');
				a.style.display = 'none';
				a.href = url;
				a.download = 'p2_registered_error_nielit_data.csv';
				document.body.appendChild(a);
				a.click();
				window.URL.revokeObjectURL(url);
			})
			.catch(error => console.error('There was a problem with the fetch operation:', error));
		
		}
		
	});
	
});

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}
	

function isPastDate(date_input){
	
	var result = '';
	var current_date_value = new Date();
	var input_date_value = new Date(date_input);
	
	console.log("date_value_complete : " + current_date_value + " input_date_value : " + input_date_value);
	
	if(input_date_value < current_date_value){
		
		result = 'date_expired';
		
		var str_input_date_value = (((input_date_value).toString()).slice(0, 15));
		var str_current_date_value = (((current_date_value).toString()).slice(0, 15));
		
		if(str_current_date_value === str_input_date_value){
			result = 'current_date';
		}
		
	}else if(input_date_value > current_date_value){
		result = 'future_date';
	}
	
	return result;
	
}

function getConvertedDate(date_input){
	
	selected_date_input = date_input;
	
	var new_date_value = new Date(date_input);
	selected_new_date_value_complete = new_date_value;
	console.log("selected_new_date_value_complete : " + selected_new_date_value_complete);
	new_date_value = new_date_value.toString();
	new_date_value = new_date_value.slice(0, 15);
	
	return new_date_value;
	
}

function resetProcess(){
	
	$('#result').html('');
	$('#lbl_total_count').html('');
	$('#lbl_total_count').hide();
	$('#div_custom_dates_summary').hide();
	
}

