var selectStateElement = document.getElementById("beneficiary_state");

var val_selected_row_id = "";
var val_selected_row_td_status_id = "";
var val_selected_call_id = "";

var	val_selected_language = "";
var	val_flow_selected = "";
var	val_from_date = "";
var	val_to_date = "";

var modal_update_status = $('#modal_update_status');

$('#select_language').change(function(){
	val_selected_language = $('#select_language').val();
});

$('#flow_selected').change(function(){
	val_flow_selected = $('#flow_selected').val();
});

$(document).ready(function () {

	$('#btn_submit').click(function () {
		
		var val_from_date = $('#from_date').val();
		var val_to_date = $('#to_date').val();

		var url_get_count_details = "../KyndrylV2DashboardAPIs/api/getHelplineRegisteredDataCount";
		
		var err_count = 0;
		
		if( (val_from_date!=='') || (val_to_date!=='') ){
			
			if((val_from_date === '') || (val_from_date === null)){
				alert("ENTER 'FROM' DATE");
				err_count++;
			}else if((val_to_date === '') || (val_to_date === null)){
				alert("ENTER 'TO' DATE");
				err_count++;
			}else{
				if(!dateRangeValidate(val_from_date, val_to_date)){
					alert("ENTER A VALID DATE RANGE.");
					err_count++;
				}					
			}
			
		}else{
			
			err_count++;
			alert("ENTER 'FROM' & 'TO' DATE RANGE");
			
		}
		
		if(err_count===0){

			const inputData = 	{
									from_date	: val_from_date,
									to_date		: val_to_date,
									flow_selected	:	val_flow_selected,
									language_selected	:	val_selected_language
								};
								
			fetch(url_get_count_details, {
				method: 'POST',
				headers: {
					'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
				},
				body: JSON.stringify(inputData)
			})
			.then(response => {
				if (!response.ok) {
					throw new Error('Network response was not ok');
				}
				return response.json();
			})
			.then(response => {
				
				var records = response;
				var totalrecords = records.total_registrations;
				if (totalrecords === 0) {
					
					alert("No records found");
					$('#result').html("");
					
				} else {
					
					var total = Math.ceil((totalrecords / 10));
					
					$("#lbl_total_count").html("Total Records : " + totalrecords);
					
					getData(10, 0, total, val_from_date, val_to_date, val_flow_selected, val_selected_language);
					
					$(".pagination").bootpag({
						total: total,
						page: 1,
						maxVisible: 10
					}).on("page", function (e, num) {
						e.preventDefault();
						var page = num - 1;
						console.log(num);
						getData(10, page, total, val_from_date, val_to_date, val_flow_selected, val_selected_language);
					});
				}
				
			})
			.catch(error => console.error('There was a problem with the fetch operation:', error));
		
		}
		
	});
	
});

function getData(item_per_page, page, lastpage, from, to, val_flow_selected, val_selected_language) {

    var start_offset;
	var request_for_certification;

    if (page === 0) {
        start_offset = 0;
    } else if (page > 0) {
        start_offset = (page * item_per_page);
    }

	var formValues = 	{
							from_date: from,
							to_date: to,
							offset: start_offset,
							flow_selected:val_flow_selected,
							language_selected:val_selected_language
						};
	var json = JSON.stringify(formValues);

    $.ajax({
        type: "POST",
		headers: {
			'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
		},
        data: json,
        dataType: 'json',
        url: '../KyndrylV2DashboardAPIs/api/getHelplineRegisteredData',
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr id=' + 'tr_id_' + j + '>';

						tdata += '<td>' + j + '</td>';
						tdata += '<td>' + transactions[j].mobile_number + '</td>';
						tdata += '<td>' + transactions[j].language_selected + '</td>';
						tdata += '<td>' + transactions[j].flow_selected + '</td>';
						
						if(transactions[j].flow_selected === 'VLE'){
							request_for_certification = transactions[j].vle_request_for;
						}else if(transactions[j].flow_selected === 'Beneficiary'){
							request_for_certification = transactions[j].beneficiary_request_for;
						}else if(transactions[j].flow_selected === 'Invalid'){
							request_for_certification = null;
						}
						
						if((request_for_certification === null)||
								(request_for_certification === '')){
							request_for_certification = "--";
							tdata += '<td>' + request_for_certification + '</td>';
						}else{
							tdata += '<td>' + request_for_certification + '</td>';
						}
						
						tdata += '<td>' + transactions[j].created_at + '</td>';
						tdata += '<td>' + transactions[j].updated_at + '</td>';
						
						tdata += '<td id=' + 'td_status_id_' + j + '>' + transactions[j].status + '</td>';
						
						var comments = transactions[j].comments;
						if((comments === null)||
								(comments === "")){
							comments = "--";
							//tdata += '<td>' + '--' + '</td>';
						}else{
							//tdata += '<td>' + comments + '</td>';
						}

						tdata += '<td> <input type=button class="btn btn-primary" value="Update Status" onclick="updateStatus(\'' + transactions[j].call_id + '\',\'' + transactions[j].status + '\',\'' + comments + '\',\'' + 'tr_id_' + j  + '\',\'' + 'td_status_id_' + j + '\');"></td>';
                    
                    tdata += '</tr>';

                }
            }
			
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

}

$('#btn_update_status').click(function () {
	
	var val_updated_status = $('#select_status').val();
	var val_comments = $('#comments_val').val();

	var url = "../KyndrylV2DashboardAPIs/api/updateHelplineRegisteredDataStatus";
	
	const inputData = 	{
							call_id		: 	val_selected_call_id,
							status		: 	val_updated_status,
							comments	:	val_comments
						};
						
	fetch(url, {
		method: 'POST',
		headers: {
			'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
		},
		body: JSON.stringify(inputData)
	})
	.then(response => {
		if (!response.ok) {
			throw new Error('Network response was not ok');
		}
		return response.json();
	})
	.then(response => {
		
		if(response.result === 'success'){
			$('#'+val_selected_row_td_status_id).text(val_updated_status);
			modal_update_status.hide();
			alert(response.result);
		}else{
			modal_update_status.hide();
			alert(response.result);
		}
	
	})
	.catch(error => console.error('There was a problem with the fetch operation:', error));
	
});

$('#btn_update_modal_close').click(function () {
	
	modal_update_status.hide();
	
});

function updateStatus(call_id, status, comments, row_id, td_status_id){
	
	modal_update_status.show();
	
	val_selected_call_id = call_id;
	val_selected_row_id = row_id;
	val_selected_row_td_status_id = td_status_id;
	status = $('#'+val_selected_row_td_status_id).text();
	
	$('#comments_val').text(comments);
	var selectElement = document.getElementById("select_status");
	selectElement.value = status;
	
}

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}
	
function isPastDate(date_input){
	
	var result = '';
	var current_date_value = new Date();
	var input_date_value = new Date(date_input);
	
	console.log("date_value_complete : " + current_date_value + " input_date_value : " + input_date_value);
	
	if(input_date_value < current_date_value){
		
		result = 'date_expired';
		
		var str_input_date_value = (((input_date_value).toString()).slice(0, 15));
		var str_current_date_value = (((current_date_value).toString()).slice(0, 15));
		
		if(str_current_date_value === str_input_date_value){
			result = 'current_date';
		}
		
	}else if(input_date_value > current_date_value){
		result = 'future_date';
	}
	
	return result;
	
}

function getConvertedDate(date_input){
	
	selected_date_input = date_input;
	
	var new_date_value = new Date(date_input);
	selected_new_date_value_complete = new_date_value;
	console.log("selected_new_date_value_complete : " + selected_new_date_value_complete);
	new_date_value = new_date_value.toString();
	new_date_value = new_date_value.slice(0, 15);
	
	return new_date_value;
	
}
