var selectStateElement = document.getElementById("beneficiary_state");

var array_states_districts = [];
var array_state_name = [];
var array_district_name = [];
var array_districts_count = [];

$(document).ready(function () {

	getActiveStatesDistrictsOfBeneficiaries();
	
	$('#btn_submit').click(function () {
		
		var val_from_date = $('#from_date').val();
		var val_to_date = $('#to_date').val();
		var val_state = $('#beneficiary_state').val();
		var val_district = $('#beneficiary_district').val();

		if(val_state===null){
			val_state = "";
		}

		if(val_district===null){
			val_district = "";
		}
		
		var url_get_count_details = "../KyndrylV2DashboardAPIs/api/getFilteredOverviewSummary";
		
		var err_count = 0;
		
		if( (val_from_date!=='') || (val_to_date!=='') ){
			
			if((val_from_date === '') || (val_from_date === null)){
				alert("ENTER 'FROM' DATE");
				err_count++;
			}else if((val_to_date === '') || (val_to_date === null)){
				alert("ENTER 'TO' DATE");
				err_count++;
			}else{
				if(!dateRangeValidate(val_from_date, val_to_date)){
					alert("ENTER A VALID DATE RANGE.");
					err_count++;
				}					
			}
			
		}else{
			
			err_count++;
			alert("ENTER 'FROM' & 'TO' DATE RANGE");
			
		}
		
		if(err_count===0){

			const inputData = 	{
									from_date	: val_from_date,
									to_date		: val_to_date,
									state_name	:	val_state,
									district_name	:	val_district
								};
								
			fetch(url_get_count_details, {
				method: 'POST',
				headers: {
					'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
				},
				body: JSON.stringify(inputData)
			})
			.then(response => {
				if (!response.ok) {
					throw new Error('Network response was not ok');
				}
				return response.json();
			})
			.then(response => {
				
				$('#count_total_registrations').text(response.total_registrations);
				$('#count_total_feedbacks').text(response.total_feedbacks);
				$('#count_total_nielit_appeared').text(response.total_nielit_appeared);
				$('#count_total_nielit_qualified').text(response.total_nielit_qualified);
				
			})
			.catch(error => console.error('There was a problem with the fetch operation:', error));
		
		}
		
	});
	
});

function dateRangeValidate(from_date, to_date){
	
	from_date = new Date(from_date);
	to_date = new Date(to_date);
	
	if(from_date > to_date){
		return false;
	}else{
		return true;
	}
	
}
	
function isPastDate(date_input){
	
	var result = '';
	var current_date_value = new Date();
	var input_date_value = new Date(date_input);
	
	console.log("date_value_complete : " + current_date_value + " input_date_value : " + input_date_value);
	
	if(input_date_value < current_date_value){
		
		result = 'date_expired';
		
		var str_input_date_value = (((input_date_value).toString()).slice(0, 15));
		var str_current_date_value = (((current_date_value).toString()).slice(0, 15));
		
		if(str_current_date_value === str_input_date_value){
			result = 'current_date';
		}
		
	}else if(input_date_value > current_date_value){
		result = 'future_date';
	}
	
	return result;
	
}

function getConvertedDate(date_input){
	
	selected_date_input = date_input;
	
	var new_date_value = new Date(date_input);
	selected_new_date_value_complete = new_date_value;
	console.log("selected_new_date_value_complete : " + selected_new_date_value_complete);
	new_date_value = new_date_value.toString();
	new_date_value = new_date_value.slice(0, 15);
	
	return new_date_value;
	
}

function resetProcess(){
	
	$('#result').html('');
	$('#lbl_total_count').html('');
	$('#lbl_total_count').hide();
	$('#div_custom_dates_summary').hide();
	
}

$('#beneficiary_state').change(function(){

	var position = selectStateElement.selectedIndex;
	setDistrictsDropdown(array_district_name[position-1]);
	
});

function getActiveStatesDistrictsOfBeneficiaries(){
	
	var url_active_states_of_beneficiaries = "../KyndrylV2DashboardAPIs/api/ActiveStatesDistrictsOfBeneficiaries";
	
	fetch(url_active_states_of_beneficiaries, {
		method: 'GET',
		headers: {
			'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
		}
	}).then(response => {
		if (!response.ok) {
			throw new Error('Network response was not ok');
		}
		return response.json();
	}).then(response => {
		
		var transactions = response.list;
		array_states_districts = transactions;
		
		var option = '';
		
		if(transactions!=null) {
		
			if(transactions.length>0){
				option += '<option value=' + "" + '> --- Select All --- ' + '</option>';
			}
		
			for(var i = 0; i < transactions.length; i++) {
			
				array_state_name.push(transactions[i].state_name);
				array_district_name.push(transactions[i].districts_names);
				array_districts_count.push(transactions[i].districts_count);

				option += '<option value=' 
						+ transactions[i].state_name + '>' 
						+ transactions[i].state_name 
						+ " ( " + transactions[i].districts_count + " Districts )"
						+ '</option>';
				
				if(i==(transactions.length-1)){
					$('#beneficiary_state').html(option);
				}
				
			}
			
		}
		
	}).catch(error => console.error('There was a problem with the fetch operation:', error));
	
}

function setDistrictsDropdown(str_districts){
	
	var array_districts_names = str_districts.split("$");

	var len_arr_districts = array_districts_names.length;
	var option = '';
	
	if(len_arr_districts>0){
		option += '<option value=' + "" + '> --- Select All --- ' + '</option>';
	}

	for(var i = 0; i < len_arr_districts; i++) {
	
		option += '<option value=' 
				+ array_districts_names[i] + '>' 
				+ array_districts_names[i]
				+ '</option>';
		
		if(i==(len_arr_districts-1)){
			$('#beneficiary_district').html(option);
		}
		
	}

}
