var vle_state_id = '';
var vle_district_id = '';
var selected_from_date = '';
var selected_to_date = '';

var default_from_date = "2023-01-01";
var default_to_date = "2033-12-31";

var array_total_count;
var array_total_attendance_count;
var array_total_feedback_count;
var array_state_name;
var array_district_name;
var array_state_and_district_name;

var canvas_registrations = document.getElementById('canvas_statewise_trained_candidates').getContext('2d');
var chart_registrations = new Chart(canvas_registrations, {type: 'bar'});

$(document).ready(function() {
	
		$.ajax({
        type: "GET",
        url: "../kyndrylAPIs/api/ujs_csc/get_all_vle_states.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response;
            var option = '';
            option += '<option value=' + "" + '>--- Select All ---' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state_name + '>' + transactions[j].state_name + '</option>';
                }
            }

            $('#vle_state').html(option);

        }
    });
	
	$('#vle_state').change(function(){
		
		resetProcess();
		
		vle_state_id = $('#vle_state').val();
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/ujs_csc/get_vle_statewise_districts.php?vle_state_id=" + vle_state_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {

						var val_district_name = transactions[j].district_name.replace(/ /g, "$");
						option += '<option value=' + val_district_name + '>' + transactions[j].district_name + '</option>';
						
					}
				}

				$('#vle_city').html(option);

			}
		});
	  
	});	
		
	function replaceAllCharacters(input_string, char_to_replace, char_to_replace_with){
		
		if(input_string.includes(char_to_replace)){
			input_string=input_string.replace(char_to_replace, char_to_replace_with);
			input_string=replaceAllCharacters(input_string, char_to_replace, char_to_replace_with);
		}
		
		return input_string;
		
	}
	
	$('#vle_city').change(function(){
		
		resetProcess();
		
		vle_district_id = $('#vle_city').val();
		
		vle_district_id = replaceAllCharacters(vle_district_id, '$', ' ');
		
		selectElement = document.querySelector('#vle_city');
        output = selectElement.options[selectElement.selectedIndex].value;
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/kyndryl/get_vle_ids_districtwise.php?vle_district_id=" + vle_district_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {
						option += '<option value=' + transactions[j].csc_id + '>' + transactions[j].csc_id + ' - ' + transactions[j].csc_id_name + '</option>';
					}
				}

				$('#vle_id').html(option);

			}
		});
	  
	});
	
	getData(default_from_date, default_to_date, '', '');

});
	
$('#get_data').click(function () {
	
	vle_state_id = $('#vle_state').val();
	vle_district_id = vle_district_id;
		
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	if(selected_from_date === '' || selected_to_date === ''){
		selected_from_date = default_from_date;
		selected_to_date = default_to_date;
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
		//alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){
		initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id);
	}
		
});

function initiateChart(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	chart_registrations.destroy();

	array_total_count = Array();
	array_total_attendance_count = Array();
	array_total_feedback_count = Array();
	array_state_name = Array();
	array_district_name = Array();
	array_state_and_district_name = Array();
	
	getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id);	
	
}

function getData(selected_from_date, selected_to_date, vle_state_id, vle_district_id){
	
	var url = "../kyndrylAPIs/api/ujs_csc/trained_candidates_statewise.php?from=" + selected_from_date + "&to=" + selected_to_date + "&vle_state_id=" + vle_state_id + "&vle_district_id=" + vle_district_id;
	
	$.ajax({
		type: "GET",
		url: url,
		dataType: 'json',
		success: function (data) {
    		
			array_total_count = [];
			array_total_attendance_count = [];
			array_total_feedback_count = [];
			array_state_name = [];
			array_district_name = [];
			array_state_and_district_name = [];
			
			var transaction_registrations = data.list;
			
			if(transaction_registrations != null) {
			    
			    for(var gen = 0; gen < transaction_registrations.length; gen++) {
					
					array_total_count.push(transaction_registrations[gen].total);
					array_total_attendance_count.push(transaction_registrations[gen].total_candidates_attendance);
					array_total_feedback_count.push(transaction_registrations[gen].total_candidates_feedback);
					array_state_name.push(transaction_registrations[gen].state_name);
					array_district_name.push(transaction_registrations[gen].district_name);
			        array_state_and_district_name.push(transaction_registrations[gen].state_name + " ( " + transaction_registrations[gen].district_name + " ) ");
					
			    }
			    
			}
			
			if (chart_registrations) {
				chart_registrations.destroy();
			}
			
			// Chart options
			Chart.defaults.global.legend.display = true;
			Chart.defaults.global.tooltips.enabled = true;
			
			chart_registrations = new Chart(canvas_registrations, {
				// The type of chart we want to create
				type: 'bar',

				// The data for our dataset
				data: {
					datasets: [
								{
									label:"Registrations",
									backgroundColor: "#EC4176",
									data: array_total_count
								},
								{
									label:"Attendance",
									backgroundColor: "#1fbfed",
									data: array_total_attendance_count
								},
								{
									label:"Feedbacks",
									backgroundColor: "#5bba78",
									data: array_total_feedback_count
								}
							],
					labels: array_state_and_district_name
				},

				// Configuration options go here
				options: {
					title: {
						display: true,
						text: 'Statewise Trained candidates'
					},scales: {
					    xAxes: [{
								ticks: {
									autoSkip: false,
									maxRotation: 45,
									minRotation: 45
								}
							}]
				}
				
				}
			});
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}

function resetProcess(){
	
	$('#result').html('');
	$('#vle_id').html('');
	vle_district_id = '';
	
}
