$(document).ready(function () {
    
    $("#total_leads_div").hide();
    
    $.ajax({
        type: "GET",
        url: "../CSC22API/api/csc_admin/get-state.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select State' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state + '>' + transactions[j].state + '</option>';
                }
            }

            $('#state').html(option);

        }
    });
});

$('#state').change(function() {
    
    var state = $('#state option:selected').text();
    
    var formValues = {
        state : state
    };
    
    var json = JSON.stringify(formValues);
    console.log(json);
    
    $.ajax({
        type: "POST",
        url: "../CSC22API/api/csc_admin/get-city-for-state.php",
        data: json,
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select District' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].city + '>' + transactions[j].city + '</option>';
                }
            }

            $('#city').html(option);

        }
    });
});

$('#city').change(function() {
    
    var city = $('#city option:selected').text();
    
    var formValues = {
        city : city
    };
    
    var json = JSON.stringify(formValues);
    console.log(json);
    
    $.ajax({
        type: "POST",
        url: "../CSC22API/api/csc_admin/get-vle-id-for-city.php",
        data: json,
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select CSC Id' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].vle_id + '>' + transactions[j].vle_id + '</option>';
                }
            }

            $('#vle_id').html(option);

        }
    });
});



    $('#ok').click(function () {
        
        $("#total_leads_div").hide();

        var from = $('#from_date').val();
        var to = $('#to_date').val();
        var vle_id = $('#vle_id').val();
        var state = $('#state option:selected').text();
        var city = $('#city option:selected').text();
        

        var err = 0;
        
    
        if (from === '') {
            err++;
            $("#err_from_date").html("Mandatory");
        } else {
            $("#err_from_date").html("*");
        }

        if (to === '') {
            err++;
            $("#err_to_date").html("Mandatory");
        }else if(Date.parse(from) > Date.parse(to)){
           err++;
            $("#err_to_date").html("To date should be greater than From date");
        } else {
            $("#err_to_date").html("*");
        }
        
        if (city === 'Select District') {
            city = "";
        }
        
        if (state === 'Select State') {
            state = "";
        }

        if (err === 0) {
            
            var formValues = {
                from: from,
                to: to,
                state:state,
                district:city,
                vle_id:vle_id
            };
            
            var json = JSON.stringify(formValues);
            
            $.ajax({
                type: "POST",
                data: json,
                dataType: 'json',
                url: "../CSC22API/api/csc_admin/get-training-report-count.php",
                success: function (data) {

                    var records = data;
                    var totalrecords = records.total;
                    if (totalrecords === 0) {
                        alert("No records found");
                        $('#result').html("");
                        $("#total").html(0);
                    } else {
                        var total = Math.ceil((totalrecords / 10));
                        $("#total_leads_div").show();
                        $("#total").html(totalrecords);
                        getData(10, 0, total, from, to, state, city, vle_id);
                        $(".pagination").bootpag({
                            total: total,
                            page: 1,
                            maxVisible: 10
                        }).on("page", function (e, num) {
                            e.preventDefault();
                            var page = num - 1;
                            console.log(num);
                            getData(10, page, total, from, to, state, city, vle_id);
                        });
                    }
                },
                error: function (xhr, jqXHR, textStatus, errorThrown) {
                    alert("get session failed " + errorThrown);
                    alert(xhr.responseText);
                }
            });
        } else {
            alert("Fill Mandatory Fields");
        }
    });

function getData(item_per_page, page, lastpage, from, to, state, city, vle_id) {

    var start_offset;

    if (page === 0) {
        start_offset = 0;

    } else if (page > 0) {

        start_offset = (page * item_per_page);
    }


        var formValues = {
            from: from,
            to: to,
            offset: start_offset,
            state:state,
            district:city,
            vle_id:vle_id

        };
        var json = JSON.stringify(formValues);

    $.ajax({
        type: "POST",
        data: json,
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/get-training-report-detail.php',
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr>';

                    tdata += '<td>' + transactions[j].id + '</td>';
                    tdata += '<td>' + transactions[j].first_name + " " + transactions[j].last_name + '</td>';
                    tdata += '<td>' + transactions[j].email + '</td>';
                    if(transactions[j].credential_generated_date == '0000-00-00' || transactions[j].credential_generated_date == null){
                        tdata += '<td>Pending</td>';
                    }else{
                        tdata += '<td>' + transactions[j].credential_generated_date + '</td>';
                    }
                    tdata += '</tr>';

                }
            }
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

}

$("#training_form_reg").submit(function () {
    // alert("Coming soon in next versions.");
    
    var from = $('#from_date').val();
        var to = $('#to_date').val();
        var vle_id = $('#vle_id').val();
        var state = $('#state option:selected').text();
        var city = $('#city option:selected').text();
        

        var err = 0;


        if (from === '') {
            err++;
            $("#err_from_date").html("Mandatory");
        } else {
            $("#err_from_date").html("*");
        }

        if (to === '') {
            err++;
            $("#err_to_date").html("Mandatory");
        } else {
            $("#err_to_date").html("*");
        }
        
        if (city === 'Select District') {
            city = "";
        }
        
        if (state === 'Select State') {
            state = "";
        }

        if (err === 0) {
            
            var formValues = {
                from: from,
                to: to,
                state:state,
                district:city,
                vle_id:vle_id
            };
            
            var json = JSON.stringify(formValues);
         return true;

/*        $.ajax({
            type: "POST",
            url: "../CSCIntegration/api/csc_admin/download-training-report.php",
            data: json,
            dataType: 'json',
            success: function (data) {
                if (data.result === 'success') {
    
                    window.location.assign(data.data);
                }
    
    
            },
            error: function (xhr, ajaxOptions, thrownError) {
                alert("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });*/
    }else {
            alert("Fill Mandatory Fields");
	    return false;
        }

});

$("#upload").click(function () {

    $('#modal_update_date').modal('show');
		
});

