<?php
	
	$user_id = $_SESSION['user_id'];
	$user_type = $_SESSION['user_type'];
	$privileges = $_SESSION['privileges'];

	function getUserIpAddr() {
		if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
			//ip from share internet
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			//ip pass from proxy
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		return $ip;
	}

	$ip = getUserIpAddr();
	$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

    <head>

		<!-- META SECTION -->
		<title>Summary (P2)</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<!-- END META SECTION -->

		<!-- Meta tags -->
		<meta charset = "utf-8">
		<meta name = "viewport" content = "width = device-width, initial-scale = 1, shrink-to-fit = no">
      
		<!-- CSS INCLUDE -->        

		<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>

		<style>
		
			.table-cell-center-align{
				text-align: center;
				vertical-align: middle;
				background-color:#FFFFFF;
			}
		
		</style>
		
        <!-- EOF CSS INCLUDE -->                                    
		
    </head>
	
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container" style="background-color:#FFFFFF;">
            
			<!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->
			
            <!-- PAGE CONTENT -->
            <div class="page-content" style="background-color:#FFFFFF;">
			
                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     
                <!-- START BREADCRUMB -->
                <ul class="breadcrumb"  style="background-color:#FFFFFF;">
                    <li>Home</li>
					<li>2024-2025</li>
                    <li class="active">Summary</li>
                </ul>
                <!-- END BREADCRUMB -->  
                <!-- PAGE TITLE -->
                <div class="page-title">
                </div>
                <!-- END PAGE TITLE --> 
                <div class="row" style="background-color:#e2e2e2;">
				
					<div class="col-md-12">
						<div class="col-md-4">						
							<div class="page-title">
								<h3>BENEFICIARY</h3>
							</div>
							<br>
						</div>
						<div class="col-md-2">
						</div>
						<div class="col-md-6">
							<label style="font-size:22px;">Helpline Number : 011 4221 3481</label>
						</div>
					</div>
					
					<div class="col-md-12" style="background-color:#FFFFFF; padding :5px; padding-top:10px; padding-bottom:10px; margin:10px;">
							
						<div class="col-md-3">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon" style="background-color:#FC9309; margin:0px;">
								
								<div class="widget-item-left">
									<!--<span class="fa fa-group" style="color:#FFFFFF;"></span>-->
									<img src="images/img_registration.svg" height="50" width="50"></img>
								</div>
								
								<div class="widget-data">
									<div class="widget-int num-count">
										<span id="total_beneficiaries_registered" style="color:#FFFFFF;"></span>
									</div>
									<div class="widget-title" style="color:#FFFFFF;">Registrations</div>
								</div>
								
								<div class="widget-controls">
								</div>
								
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
						
						<div class="col-md-3" id="div_total_feedback" html="true">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon" style="background-color:#19BDD1; margin:0px;">
								
								<div class="widget-item-left">
									<!--<span class="fa fa-group" style="color:#FFFFFF;"></span>-->
									<img src="images/img_feedback.svg" height="50" width="50">
								</div>
								
								<div class="widget-data">
									<div class="widget-int num-count">
										<span id="total_candidates_feedback" style="color:#FFFFFF;"></span>
									</div>
									<div class="widget-title" style="color:#FFFFFF;">Feedbacks</div>
								</div>
								
								<div class="widget-controls"></div>
								
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
	
						<div class="col-md-3">

							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon" style="background-color:#E8403C; margin:0px;">
								
								<div class="widget-item-left">
									<!--<span class="fa fa-group" style="color:#FFFFFF;"></span>-->
									<img src="images/img_appeared_for_exam.svg" height="50" width="50">
								</div>
								
								<div class="widget-data">
									<div class="widget-int num-count">
										<span id="total_nielit_appeared" style="color:#FFFFFF;"></span>
									</div>
									<div class="widget-title" style="color:#FFFFFF;">NIELIT Appeared / Attendance</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->

						</div>
						
						<div class="col-md-3">

							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon" style="background-color:#50AA54; margin:0px;">
								
								<div class="widget-item-left">
									<!--<span class="fa fa-group" style="color:#FFFFFF;"></span>-->
									<img src="images/img_exam_qualified.svg" height="50" width="50">
								</div>
								
								<div class="widget-data">
									<div class="widget-int num-count">
										<span id="total_nielit_qualified" style="color:#FFFFFF;"></span>
									</div>
									<div class="widget-title" style="color:#FFFFFF;">NIELIT Qualified</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
							
						</div>
					
					</div>
					<div class="col-md-12">											<div class="col-md-1 hidden"></div>												<div class="col-md-5 hidden" style="background-color:#FFFFFF; margin:10px;">														<div class="col-md-12">																<div class="col-md-12" style="text-align: left; vertical-align: middle;">									<h3 style="margin-top: 20px;">PROFILER (VLE) </h3>								</div>																<div class="col-md-12" style="margin-bottom: 0px; width:100%; position: relative;">									<canvas id="chart_vle_profile"></canvas>								</div>															</div>													</div>						<div class="col-md-1 "></div>						<div class="col-md-10" style="background-color:#FFFFFF; margin:10px;">							<div class="col-md-12">																<div class="col-md-12" style="text-align: left; vertical-align: middle;">									<h3 style="margin-top: 20px;">STATEWISE REGISTRATIONS (VLE) </h3>								</div>								<div class="col-md-12" style="margin-bottom: 0px; width:100%; position: relative;">									<canvas id="chart_vle_statewise_registrations"></canvas>								</div>															</div>													</div>					</div>
					<div class="col-md-12">
						<div class="col-md-1"></div>
						<div class="col-md-5" style="background-color:#FFFFFF; margin:10px;">
							
							<div class="col-md-12">
								
								<div class="col-md-12" style="text-align: left; vertical-align: middle;">
									<h3 style="margin-top: 20px;">PROFILER (BENEFICIARY) </h3>
								</div>
								
								<div class="col-md-12" style="margin-bottom: 0px; width:100%; position: relative;">
									<canvas id="chart_bnf_profile"></canvas>
								</div>
								
							</div>
							
						</div>
						<div class="col-md-1"></div>
						<div class="col-md-5" style="background-color:#FFFFFF; margin:10px;">
							<div class="col-md-12">
								<div class="col-md-12" style="text-align: left; vertical-align: middle;">
									<h3 style="margin-top: 20px;">STATEWISE REGISTRATIONS (BENEFICIARY) </h3>
								</div>
								<div class="col-md-12" style="margin-bottom: 0px; width:100%; position: relative;">
									<canvas id="chart_statewise_registrations"></canvas>
								</div>
							</div>							
						</div>
					</div>
					<div class="col-md-12" style="margin-top:5px;">
						<div class="col-md-12" style="padding:5px; background-color:#ffffff;">
						
							<div class="col-md-12">
								<div class="page-title">
									<h3>TOP 5 STATES (Registrations)</h3>
								</div>
							</div>
						
							<table class="table table-bordered table-hover table-cell-center-align col-md-12">
								<thead class="table-cell-center-align">
									<tr>
									  <th class="table-cell-center-align" scope="col">S.No</th>
									  <th class="table-cell-center-align" scope="col">State Name</th>
									  <th class="table-cell-center-align" scope="col">Registrations Count</th>
									</tr>
								</thead>
								<tbody id="tb_content">
								</tbody>
							</table>
						
							<div class="col-md-12">
							
								<a style="font-size:20px; color:blue;" href="p2_states_registrations_count.php" target="_blank" >
									<u>
										View more..
									</u>
								</a>
							
							</div>
						
						</div>
					
					</div>
					
					<div class="col-md-12" style="margin-top:15px;">
					
						<div class="col-md-12" style="padding:5px; background-color:#ffffff;">
						
							<div class="col-md-12">
								<div class="page-title">
									<h3>BENEFICIARIES Details</h3>
								</div>
							</div>
						
							<table class="table table-bordered table-hover table-cell-center-align col-md-12">
								
								<tbody id="tb_content">
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">STATES COVERED</td>
											<td id="total_beneficiaries_states" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">DISTRICTS COVERED</td>
											<td id="total_beneficiaries_districts" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">VLEs</td>
											<td id="total_beneficiaries_vles" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
								</tbody>
							</table>
						
						</div>
					
					</div>
					
					
					<div class="col-md-12" style="margin-top:15px; margin-bottom:15px;">
					
						<div class="col-md-12" style="padding:5px; background-color:#ffffff;">
						
							<div class="col-md-12">
								<div class="page-title">
									<h3>NIELIT Details</h3>
								</div>
							</div>
						
							<table class="table table-bordered table-hover table-cell-center-align col-md-12">
								
								<tbody id="tb_content">
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">STATES COVERED</td>
											<td id="total_nielit_states" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">DISTRICTS COVERED</td>
											<td id="total_nielit_districts" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
										<tr>
											<td class="col-md-6 table-cell-center-align" scope="col">VLEs</td>
											<td id="total_nielit_vles" class="col-md-6 table-cell-center-align" scope="col">0</td>
										</tr>
								
								</tbody>
							</table>
						
						</div>
					
					</div>
					
					<!-- MODAL : loading -->
					<div class="message-box modal" id="modal_prompt_01" data-bs-backdrop="static" data-bs-keyboard="false" >
						
						<div class="modal-dialog modal-dialog-centered">
						  <div class="modal-content">
						  
							<!-- Modal body -->
							<div class="modal-body">
							
								<div class="col-md-12">
									<center>
										<b><label id="lbl_modal_prompt_01" style="font-size:18px;">Loading.. Please wait</label></b>
									</center>
								</div>
								
							</div>

						  </div>
						</div>
						
					</div>
						
                </div>
                <!-- END WIDGETS --> 

			<!-- END PAGE CONTENT -->
            </div>
			
		</div>
		      
            <!-- END PAGE CONTAINER -->
            <?php include 'includes/header_logout.php'; ?>
            <!-- START SCRIPTS -->
			
			<!-- base:js -->
			<!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
			<!-- endinject -->
			<!-- inject:js -->
			<script src="../JeevitamV2/js/off-canvas.js"></script>
			<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
			<script src="../JeevitamV2/js/template.js"></script>
			<script src="../JeevitamV2/js/settings.js"></script>
			<script src="../JeevitamV2/js/todolist.js"></script>
			
            <script type="text/javascript" src="js/p2_summary.js?randStr=<?php echo $randStr; ?>"></script>
            <!-- END TEMPLATE -->
            <!-- END SCRIPTS -->         
    </body>
</html>
