<?php
	session_start();
	
	include 'includes/session.php';
		
	function getUserIpAddr() {
	    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    } else {
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}
	
	$ip = getUserIpAddr();
	$randStr = rand();
	?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<!-- META SECTION -->
		<title>Dashboard</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<!-- END META SECTION -->
		<!-- CSS INCLUDE -->        
		<link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
		<!-- EOF CSS INCLUDE -->                                    
	</head>
	<body>
		<!-- START PAGE CONTAINER -->
		<div class="page-container">
		<!-- START PAGE SIDEBAR -->
		<?php include 'includes/sidebar.php'; ?>
		<!-- END PAGE SIDEBAR -->
		<!-- PAGE CONTENT -->
		<div class="page-content">
			<!-- START X-NAVIGATION VERTICAL -->
			<?php include 'includes/header.php'; ?>
			<!-- END X-NAVIGATION VERTICAL -->                     
			<!-- START BREADCRUMB -->
			<ul class="breadcrumb">
				<li>Home</li>
				<li class="active">Dashboard</li>
			</ul>
			<!-- END BREADCRUMB -->  
			<!-- PAGE TITLE -->
			<div class="page-title">
				<h2>Region Wise Dashboard</h2>
			</div>
			<!-- END PAGE TITLE --> 
			<div class="row">
				<div>
					<div class="form-group">
						
						<div class="col-md-12">
							<div class="col-md-4"> 
								<span class="help-block">Select State <span style="color: red;" id="err_state"></span></span>
								<select class ="form-control" id="state" name="state"></select>
							</div>
							<div class="col-md-4">   
								<span class="help-block">Select District <span style="color: red;" id="err_state"></span></span>
								<select class ="form-control" id="city" name="city"></select>
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div class="col-md-4">   
							<span class="help-block">Select CSC Id <span style="color: red;" id="err_state"></span></span>
							<select class ="form-control" id="vle" name="vle"></select>
						</div>
						<div class="col-md-4">
						    <br>
							<button class="btn btn-primary " id="submit" name="submit"> Submit</button>
						</div>
					</div>
					<div class="col-md-12 " style="margin-top: 30px;">
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_verified_candidates"></span></div>
									<div class="widget-title">Verified Candidates</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_credential_created_candidates"></span></div>
									<div class="widget-title">Credentials Created Candidates</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_interested_in_jobs"></span></div>
									<div class="widget-title">Candidates Interested in Jobs</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
					</div>
					<div class="col-md-12 " style="margin-top: 20px;">
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_active_vle"></span></div>
								<div class="widget-title">Active VLE count</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_pmgdisha_candidates"></span></div>
									<div class="widget-title">PMGDISHA Candidates</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
						<div class="col-md-4">
							<!-- START WIDGET MESSAGES -->
							<div class="widget widget-default widget-item-icon">
								<div class="widget-item-left">
									<span class="fa fa-user"></span>
								</div>
								<div class="widget-data">
									<div class="widget-int num-count"><span id="filtered_non_pmgdisha_candidates"></span></div>
									<div class="widget-title">NON PMGDISHA Candidates</div>
								</div>
								<div class="widget-controls">                                
								</div>
							</div>
							<!-- END WIDGET MESSAGES -->
						</div>
					</div>
				</div>
				<!-- END WIDGETS --> 
			</div>
			<!-- END PAGE CONTENT -->
		</div>
		<!-- END PAGE CONTAINER -->
		<?php include 'includes/header_logout.php'; ?>
		<!-- START SCRIPTS -->
		<!-- START PLUGINS -->
		<script type="text/javascript" src="js/jquery/jquery.min.js"></script>
		<script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
		<script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
		<script type="text/javascript" src="js/plugins.js"></script>
		<script type="text/javascript" src="js/actions.js"></script>
		<!-- END PLUGINS -->
		<script type="text/javascript">var cscId = '<?php echo $cscid; ?>';</script>
		<script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
		<script type="text/javascript" src="js/region_wise_dashboard.js?randStr=<?php echo $randStr; ?>"></script>
		<!-- END TEMPLATE -->
		<!-- END SCRIPTS -->         
	</body>
</html>