<?php
require_once '../repository/Crud.php';
require_once '../database/Db.php';
include_once '../utils/Utils.php';
require_once '../model/UserAssignments.php';
require_once '../model/SFTask.php';





class AutoTaskController {

    public function AssignTask($data){
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $userAssignments = new UserAssignments();
        $userAssignments->set($data);

        if($userAssignments->getCreateAutoTask() == 1 ) {

            if ($userAssignments->getTaskLocationSameAsActivity() == 1){
                $activitystmt = $db->prepare("SELECT activity_name, location, area, pincode, start_date, end_date FROM sales_freelancers_activity WHERE id = :id ");
                $activitystmt->bindValue(":id",$userAssignments->getActivityId());
                $activity_result = $crud->getAllWithoutJSON($activitystmt);

                $users_ids = [];

                $users =  $userAssignments->getUserId();
                foreach ($users as $user_id){
                    $current_date = getCurrentTime();

                    $insertUserAssignment = $db->prepare(" INSERT INTO `assign_assignments_to_users` (`brand_id`, `assignment_id`, `created_by`, `user_id`, `activity_id`, `create_auto_task`, `task_location_same_as_activity`, `created_at`, `updated_at`)
                    VALUES (:brand_id, :assignment_id, :created_by, :user_id, :activity_id, :create_auto_task, :task_location_same_as_activity, :created_at, :updated_at) ");

                    $insertUserAssignment->bindValue(':brand_id', $userAssignments->getBrandId());
                    $insertUserAssignment->bindValue(':assignment_id', $userAssignments->getAssignmentId());
                    $insertUserAssignment->bindValue(':created_by', $userAssignments->getCreatedBy());
                    $insertUserAssignment->bindValue(':user_id', $user_id);
                    $insertUserAssignment->bindValue(':activity_id', $userAssignments->getActivityId());
                    $insertUserAssignment->bindValue(':create_auto_task', $userAssignments->getCreateAutoTask());
                    $insertUserAssignment->bindValue(':task_location_same_as_activity', $userAssignments->getTaskLocationSameAsActivity());
                    $insertUserAssignment->bindValue(':created_at', $current_date);
                    $insertUserAssignment->bindValue(':updated_at', $current_date);

                    $result = $crud->create($insertUserAssignment, $db);
                    // Parse response and collect ID if successful
                    $responseData = json_decode($result, true);
                    if ($responseData['result'] === 'success') {

                        $start_date = new DateTime($activity_result[0]['start_date']);
                        $end_date = new DateTime($activity_result[0]['end_date']);
                        
                        // Iterate over each day in the date range
                        $period = new DatePeriod($start_date, new DateInterval('P1D'), $end_date->modify('+1 day')); // Include end date
    
                        $inserted_ids = [];
                        $isSuccessful_Task = true;
    
                        foreach ($period as $date) {
                            $task_name = $activity_result[0]['activity_name'] . ' - ' . $date->format('Y-m-d');
                            $task_start_date = $date->format('Y-m-d') . " 09:00:00";
                            $task_end_date = $date->format('Y-m-d') . " 18:00:00";
                            $task_description = 'AUTO CREATION';
                            $location = $activity_result[0]['location'];
                            $area = $activity_result[0]['area'];
                            $pincode = $activity_result[0]['pincode'];
    
                            // Prepare data for each task
                            $task_data = [
                                'brand_id' => $userAssignments->getBrandId(),
                                'sf_assignment_id' => $userAssignments->getAssignmentId(),
                                'sf_activity_id' => $userAssignments->getActivityId(),
                                'task_name' => $task_name,
                                'start_date' => $task_start_date,
                                'end_date' => $task_end_date,
                                'task_status' => 'pending',
                                'task_description' => $task_description,
                                'location' => $location,
                                'area' => $area,
                                'pincode' => $pincode,
                                'user_id'=> $user_id
                                
                            ];
                            // print_r($task_data);
                            $response_auto_task = $this->createAutoTask($task_data);
    
                            // Parse response and collect ID if successful
                            $responseData = json_decode($response_auto_task, true);
                            if ($responseData['result'] === 'success') {
                                $inserted_ids[] = $responseData['id'];
                            } else {
                                $isSuccessful_Task = false;
                                break; // Exit loop if any task creation fails
                            }
                        }

                        if ($isSuccessful_Task) {
                            $response = sendJsonResponse('success', "Assign to users and Task ceated successfully", 201);
                        } else {
                            $response = sendJsonResponse('failure', "Failed to Create Task to Users" , 400);
                        }

                    } else {
                        $response = sendJsonResponse('failure', "Failed to Assign Users" , 400);
                    }
                
                }
                
            } elseif ($userAssignments->getTaskLocationSameAsActivity() == 0){

                $activitystmt = $db->prepare("SELECT activity_name, start_date, end_date FROM sales_freelancers_activity WHERE id = :id ");
                $activitystmt->bindValue(":id",$userAssignments->getActivityId());
                $activity_result = $crud->getAllWithoutJSON($activitystmt);

                $users =  $userAssignments->getUserId();
                foreach ($users as $user_id){
                    $current_date = getCurrentTime();

                    $insertUserAssignment = $db->prepare(" INSERT INTO `assign_assignments_to_users` (`brand_id`, `assignment_id`, `created_by`, `user_id`, `activity_id`, `create_auto_task`, `task_location_same_as_activity`, `created_at`, `updated_at`)
                    VALUES (:brand_id, :assignment_id, :created_by, :user_id, :activity_id, :create_auto_task, :task_location_same_as_activity, :created_at, :updated_at) ");

                    $insertUserAssignment->bindValue(':brand_id', $userAssignments->getBrandId());
                    $insertUserAssignment->bindValue(':assignment_id', $userAssignments->getAssignmentId());
                    $insertUserAssignment->bindValue(':created_by', $userAssignments->getCreatedBy());
                    $insertUserAssignment->bindValue(':user_id', $user_id);
                    $insertUserAssignment->bindValue(':activity_id', $userAssignments->getActivityId());
                    $insertUserAssignment->bindValue(':create_auto_task', $userAssignments->getCreateAutoTask());
                    $insertUserAssignment->bindValue(':task_location_same_as_activity', $userAssignments->getTaskLocationSameAsActivity());
                    $insertUserAssignment->bindValue(':created_at', $current_date);
                    $insertUserAssignment->bindValue(':updated_at', $current_date);

                    $result = $crud->create($insertUserAssignment, $db);
                    $responseData = json_decode($result, true);

                    if ($responseData['result'] === 'success') {

                        // Get the start and end dates
                        $start_date = new DateTime($activity_result[0]['start_date']);
                        $end_date = new DateTime($activity_result[0]['end_date']);

                        // Iterate over each day in the date range
                        $period = new DatePeriod($start_date, new DateInterval('P1D'), $end_date->modify('+1 day')); // Include end date

                        $inserted_ids = [];
                        $isSuccessful_Task = true;

                        foreach ($period as $date) {
                            $task_name = $activity_result[0]['activity_name'] . ' - ' . $date->format('Y-m-d');
                            $task_start_date = $date->format('Y-m-d') . " 09:00:00";
                            $task_end_date = $date->format('Y-m-d') . " 18:00:00";
                            $task_description = 'AUTO CREATION';
                            $location = $userAssignments->getLocation();
                            $area = $userAssignments->getArea();
                            $pincode = $userAssignments->getPincode();
                            

                            // Prepare data for each task
                            $task_data = [
                                'brand_id' => $userAssignments->getBrandId(),
                                'sf_assignment_id' => $userAssignments->getAssignmentId(),
                                'sf_activity_id' => $userAssignments->getActivityId(),
                                'task_name' => $task_name,
                                'start_date' => $task_start_date,
                                'end_date' => $task_end_date,
                                'task_status' => 'pending',
                                'task_description' => $task_description,
                                'location' => $location,
                                'area' => $area,
                                'pincode' => $pincode,
                                'user_id' => $user_id
                            ];

                            $response_auto_task = $this->createAutoTask($task_data);

                            // Parse response and collect ID if successful
                            $responseData = json_decode($response_auto_task, true);
                            if ($responseData['result'] === 'success') {
                                $inserted_ids[] = $responseData['id'];
                            } else {
                                $isSuccessful_Task = false;
                                break; // Exit loop if any task creation fails
                            }
                        }

                        if ($isSuccessful_Task){
                            $response = sendJsonResponse('success', "Assign to Users and Task ceated successfully", 201);
                        } else {
                            $response = sendJsonResponse('failure', "Failed to Create Assignment to Users" , 400);
                        }

                    } else {
                        $response = sendJsonResponse('failure', "Failed to assign Users" , 400);
                    }
                }
            
            }
        
        } elseif($userAssignments->getCreateAutoTask() == 0 ) {

            $users_ids = [];
            $isSuccessful_Users = true;

            $users =  $userAssignments->getUserId();
            foreach ($users as $user){
                $current_date = getCurrentTime();

                $insertUserAssignment = $db->prepare(" INSERT INTO assign_assignments_to_users (`brand_id`, `assignment_id`, `user_id`, `activity_id`, `created_at`, `updated_at`)
                VALUES (:brand_id, :assignment_id, :user_id, :activity_id, :created_at, :updated_at) ");

                $insertUserAssignment->bindValue(':brand_id', $userAssignments->getBrandId());
                $insertUserAssignment->bindValue(':assignment_id', $userAssignments->getAssignmentId());
                $insertUserAssignment->bindValue(":user_id", $user);
                $insertUserAssignment->bindValue(':activity_id', $userAssignments->getActivityId());
                $insertUserAssignment->bindValue(':created_at', $current_date);
                $insertUserAssignment->bindValue(':updated_at', $current_date);
                // $insertUserAssignment

                $result = $crud->create($insertUserAssignment, $db);
                // echo $result;
                $responseData = json_decode($result, true);
                if ($responseData['result'] === 'success') {
                    $users_ids[] = $responseData['id'];
                } else {
                    $isSuccessful = false;
                    break; // Exit loop if any task creation fails
                }
            }

            if ($isSuccessful_Users) {
                $response = sendJsonResponse('success', "Assign to User successfully", 201);
            } else {
                $response = sendJsonResponse('failure', "Failed to Assign Users" , 400);
            }
        }
    
        closeDb($db);
        $db = null;
        return $response;
    }


    public function createAutoTask($data) {

        $db = getDb();
        $crud = new Crud();
        $salesFreelancerTask = new TaskForSF();
        $salesFreelancerTask->set($data);
        $current_date = getCurrentTime();

    
        // Prepare and execute the insert statement
        $insertTaskStatement = $db->prepare("INSERT INTO `task_for_sf_assignments` 
            (`brand_id`, `sf_assignment_id`, `sf_activity_id`, `task_name`, `start_date`, `end_date`, `task_status`, `task_description`, `location`, `area`, `pincode`, `created_at`, `updated_at`, `user_id`)
            VALUES (:brand_id, :sf_assignment_id, :sf_activity_id, :task_name, :start_date, :end_date, :task_status, :task_description, :location, :area, :pincode, :created_at, :updated_at, :user_id ) ");
    
        $insertTaskStatement->bindValue(':brand_id', $salesFreelancerTask->getBrandId());
        $insertTaskStatement->bindValue(':sf_assignment_id', $salesFreelancerTask->getAssignmentId());
        $insertTaskStatement->bindValue(':sf_activity_id', $salesFreelancerTask->getActivityId());
        $insertTaskStatement->bindValue(':task_name', $salesFreelancerTask->getTaskName());
        $insertTaskStatement->bindValue(':start_date', $salesFreelancerTask->getStartDate());
        $insertTaskStatement->bindValue(':end_date', $salesFreelancerTask->getEndDate());
        $insertTaskStatement->bindValue(':task_status', $salesFreelancerTask->getTaskStatus());
        $insertTaskStatement->bindValue(':task_description', $salesFreelancerTask->getTaskDescription());
        $insertTaskStatement->bindValue(':location', $salesFreelancerTask->getLocation());
        $insertTaskStatement->bindValue(':area', $salesFreelancerTask->getArea());
        $insertTaskStatement->bindValue(':pincode', $salesFreelancerTask->getPincode());
        $insertTaskStatement->bindValue(':user_id', $salesFreelancerTask->getUserId());
        $insertTaskStatement->bindValue(':created_at', $current_date);
        $insertTaskStatement->bindValue(':updated_at', $current_date);
        // $insertTaskStatement->debugDumpParams();
        // Decode JSON response from the `create` method
        $insertTaskResult = json_decode($crud->create($insertTaskStatement, $db), true);
    
        // Check the result after decoding
        if ($insertTaskResult['result'] === "success") {
            return sendJsonResponseWithParameter("success", "Auto Task Created Successfully", $insertTaskResult['id'], 201);
        } else {
            return sendJsonResponseWithParameter("failure", "Auto Task Failed", null, 400);
        }
    }
    
}

