<?php
// require_once "../model/OTPRequest.php";

class CommonController
{

    public function getQualifications($data)
    {
        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $tokenController = new TokenController();
        $db = getDb();
        $crud = new Crud();
        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);
        if ($token_found == 1) {
            $stmt = $db->prepare("SELECT * FROM qualification where is_show = 1");
            $crud = new Crud();
            $qualifications = $crud->getAllWithoutJSON($stmt);
            if (!is_null($qualifications) && !empty($qualifications)) {
                $response = sendDataWithListResponse("success", "Qualifications found", $qualifications, 200);
            } else {
                $response = sendDataWithListResponse("success", "Qualifications Not found", $qualifications, 404);
            }
        } else if ($token_found == 0) {
            $response = sendJsonResponse("failure", "Token expired", 440);
        } else if ($token_found == -1) {
            $response = sendJsonResponse("failure", "Token Not found", 404);
        }

        closeDb($db);
        $db = null;
        return $response;
    }



    public function getFunctionalRole($data)
    {
        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $tokenController = new TokenController();
        $db = getDb();
        $crud = new Crud();
        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);
        if ($token_found == 1) {
            $stmt = $db->prepare("SELECT id,name FROM functional_role where is_msme = 1");
            $crud = new Crud();
            $qualifications = $crud->getAllWithoutJSON($stmt);
            if (!is_null($qualifications) && !empty($qualifications)) {
                $response = sendDataWithListResponse("success", "Functional Role found", $qualifications, 200);
            } else {
                $response = sendDataWithListResponse("success", "Functional Role Not found", $qualifications, 404);
            }
        } else if ($token_found == 0) {
            $response = sendJsonResponse("failure", "Token expired", 440);
        } else if ($token_found == -1) {
            $response = sendJsonResponse("failure", "Token Not found", 404);
        }

        closeDb($db);
        $db = null;
        return $response;
    }



    public function getPincodeByDistrict($data)
    {
        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $district = $data['district'];
        $tokenController = new TokenController();
        $db = getDb();
        $crud = new Crud();


        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);

        if ($token_found == 1) {
            $stmt = $db->prepare("SELECT DISTINCT pincode FROM `version_2_states_cities` WHERE district='$district' ORDER BY pincode");
            $crud = new Crud();
            $pincode = $crud->getAllWithoutJSON($stmt);

            if (!is_null($pincode) && !empty($pincode)) {

                $response = sendDataWithListResponse("success", "Pincode found", $pincode, 200);
            } else {
                $response = sendDataWithListResponse("success", "Pincode Not found", $pincode, 404);
            }
        } else if ($token_found == 0) {
            $response = sendJsonResponse("failure", "Token expired", 440);
        } else if ($token_found == -1) {
            $response = sendJsonResponse("failure", "Token Not found", 404);
        }
        closeDb($db);
        $db = null;
        return $response;
    }

    public function getCityByState($data)
    {

        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $state = $data['state'];
        $tokenController = new TokenController();
        $db = getDb();
        $crud = new Crud();
        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);

        if ($token_found == 1) {
            $stmt = $db->prepare("SELECT DISTINCT district FROM `version_2_states_cities` WHERE state='$state' ORDER BY district");
            $crud = new Crud();
            $cities = $crud->getAllWithoutJSON($stmt);
            if (!is_null($cities) && !empty($cities)) {

                $response = sendDataWithListResponse("sucess", "Cities found", $cities, 200);
            } else {
                $response = sendDataWithListResponse("sucess", "Cities Not found", $cities, 404);
            }
        } else if ($token_found == 0) {
            $response = sendJsonResponse("failure", "Token expired", 440);
        } else if ($token_found == -1) {
            $response = sendJsonResponse("failure", "Token Not found", 404);
        }
        closeDb($db);
        $db = null;
        return $response;
    }

    public function getStates($data)
    {

        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $tokenController = new TokenController();
        $db = getDb();
        $crud = new Crud();


        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);

        if ($token_found == 1) {
            // $stmt = $db->prepare("SELECT * FROM `version_2_states`"); // Old
            $stmt = $db->prepare("SELECT DISTINCT state FROM `version_2_states_cities` ORDER BY state");
            $crud = new Crud();
            $states = $crud->getAllWithoutJSON($stmt);
            if (!is_null($states) && !empty($states)) {

                $response = sendDataWithListResponse("success", "States found",  $states, 200);
            } else {
                $response = sendDataWithListResponse("success", "States Not found", $states, 404);
            }
        } else if ($token_found == 0) {
            $response = sendJsonResponse("failure", "Token expired", 440);
        } else if ($token_found == -1) {
            $response = sendJsonResponse("failure", "Token Not found", 404);
        }
        closeDb($db);
        $db = null;
        return $response;
    }
    
      public function verifyOTP($data)
    {
        // Todo
        // Per day per user maximum 3 otp can be sent
        
        
        $request = new OTPRequest($data);
        $request->set($data);

        
        $mobile_number = $data['mobile_number'];
        $otp_type = $data['otp_type'];
        $otp_by_user =  $data['otp_by_user'];

        $otp_from = $request->getSource_from();
        $mobile_number = $request->getMobileNumber();
        $email_id = $request->getEmailId();
        
        $obj = new stdClass();
        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `otp_verification` WHERE mobile_number ='$mobile_number' 
        AND otp_type = '$otp_type' ORDER BY id DESC  LIMIT 1");
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        if (!is_null($row) && !empty($row)) {
            extract($row);
            if (strcmp($otp, $otp_by_user) == 0) {
                $response = sendJsonResponse("success", "OTP Verified Successfully", 200);
            } else {
                $response = sendJsonResponse("failure", "Incorrect OTP", 401);
            }
        } else {
            $response = sendJsonResponse("failure", "Something went wrong..", 401);
        }
        closeDb();
        $db  = null;
        return $response;
    }


    public function otpRequest($data)
    {


        $request = new OTPRequest($data);
        $request->set($data);

        $otp = generateOTP();
        $db = getDb();
        $date = getCurrentTime();
        $otp_from = $request->getSource_from();
        $mobile_number = $request->getMobileNumber();
        $email_id = $request->getEmailId();

        if ($request->getOtpType() == "Phone" && !isValidMobileNumber($request->getMobileNumber())) {

            return sendJsonResponse("failure", "Invalid Mobile Number", 400);
        }

        if ($request->getOtpType() == "Email" && !isValidEmail($request->getEmailId())) {

            return sendJsonResponse("failure", "Invalid Email", 400);
        }


        $stmt = $db->prepare("INSERT INTO `otp_verification`(`otp`, `mobile_number`, `user_type`, `otp_type`, `created_at`, `email_id`) 
                                  VALUES (:otp,:mobile_number,:user_type,:otp_type,:created_at,:email_id)");
        $stmt->bindValue(':otp', $otp);
        $stmt->bindValue(':mobile_number', $mobile_number);
        $stmt->bindValue(':user_type', $request->getUserType());
        $stmt->bindValue(':otp_type', $request->getOtpType());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':email_id', $request->getEmailId());

        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        $response = json_decode($result, true);
        $res = $response['result'];
        if ($res == 'success') {

            if ($request->getOtpType() == 'Phone') {

                $msg =  "Your OTP : $otp to verify your phone number with Jeevitam -VSS TECH"; // Changed By Siva
                // $msg =  "Your OTP : $otp#} to verify your phone number with Jeevitam - VSS TECH"; // Existing
                // echo $msg;
                $resultSMS = sendTextLocalTransactionalSMS($request->getMobileNumber(),  $msg);
                $decode = json_decode($resultSMS, true);
                $status = $decode['status'];
                if ($status == 'success') {
                    $result = "success";
                    $message = 'message sent';
                    $stmt_update = $db->prepare("UPDATE otp_verification SET sms_sent=1 WHERE mobile_number='$mobile_number' AND source_from='$otp_from'");
                    $update = $crud->update($stmt_update);
                } else {
                    $errors = $decode->errors;
                    $result = "Failure";
                    $message = $errors[0]->message;
                }
                $response = sendJsonResponse($result, $message,200);
            } else if ($request->getOtpType() == 'Email') {
                //todo:send email....
                $message = 'Email sent';
                $stmt_update = $db->prepare("UPDATE otp_verification SET email_sent=1 WHERE mobile_number='$mobile_number' AND source_from='$otp_from'");
                $update = $crud->update($stmt_update);
                $result = "success";
                $message = "Email sent";
                $response = sendJsonResponseWithParameter($result, $message, $otp_from, 200);
            }
        } else {

            $response = sendJsonResponse("Failure", "Error in processing verification request", 400);
        }

        return $response;
    }
    
    
    public function uploadFiles($files) {
        $fileList = array();
        
        // Ensure the files array is not null
        if (isset($files['name']) && is_array($files['name'])) {
            foreach ($files['name'] as $key => $name) {
                if ($files['error'][$key] === UPLOAD_ERR_OK) {
                    $tmp_name = $files['tmp_name'][$key];
                    $upload_dir = '../images/'; // Ensure this directory exists
                    $upload_file = $upload_dir . basename($name);
    
                    // Move the file to your desired directory
                    if (move_uploaded_file($tmp_name, $upload_file)) {
                        $fileList[] = basename($name);
                    } else {
                        $fileList[] = null;
                    }
                }
            }
        }
        return $fileList;
    }
    
}







    
    



