<?php

require_once '../model/SFAssignments.php';
require_once '../database/Db.php';
require_once '../repository/Crud.php';
require_once '../utils/Utils.php';

class SFAssignmentsController
{
    // API's for Admin.....

    // Create assignments

    public function createAssignments($data)
    {
        $db = getDb();
        $response = "";

            $salesFreelancerAssignment = new SalesFreelancerAssignments();
            $salesFreelancerAssignment->set($data);
            $current_date = getCurrentTime();

            $insertAssignmentStatement = $db->prepare("INSERT INTO `sales_freelancer_assignments` (`brand_id`, `start_date`, `end_date`, `start_time`, `end_time`, `payment_frequency`, `assignment_description`, `created_by`, `created_at`, `updated_at`, `city`, `assignment_complete_date`, `assignment_name`, `assignment_type`)
            VALUES (:brand_id, :start_date, :end_date, :start_time, :end_time, :payment_frequency, :assignment_description, :created_by, :created_at, :updated_at, :city, :assignment_complete_date, :assignment_name, :assignment_type)");

            $insertAssignmentStatement->bindValue(':brand_id', $salesFreelancerAssignment->getBrandId());
            $insertAssignmentStatement->bindValue(':start_date', $salesFreelancerAssignment->getStartDate());
            $insertAssignmentStatement->bindValue(':end_date', $salesFreelancerAssignment->getEndDate());
            $insertAssignmentStatement->bindValue(':start_time', $salesFreelancerAssignment->getStartTime());
            $insertAssignmentStatement->bindValue(':end_time', $salesFreelancerAssignment->getEndTime());
            $insertAssignmentStatement->bindValue(':payment_frequency', $salesFreelancerAssignment->getPaymentFrequency());
            $insertAssignmentStatement->bindValue(':assignment_description', $salesFreelancerAssignment->getAssignmentDescription());
            $insertAssignmentStatement->bindValue(':created_by', $salesFreelancerAssignment->getCreatedBy());
            $insertAssignmentStatement->bindValue(':created_at', $current_date);
            $insertAssignmentStatement->bindValue(':updated_at', $current_date);
            $insertAssignmentStatement->bindValue(':city', $salesFreelancerAssignment->getCity());
            $insertAssignmentStatement->bindValue(':assignment_complete_date', $salesFreelancerAssignment->getAssignmentCompleteDate());
            $insertAssignmentStatement->bindValue(':assignment_name', $salesFreelancerAssignment->getAssignmentName());
            $insertAssignmentStatement->bindValue(':assignment_type', $salesFreelancerAssignment->getAssignmentType());


            $crud = new Crud();
            $result = $crud->create($insertAssignmentStatement, $db);

            $resultData = json_decode($result, true);
            if ($resultData['result'] == 'success') {
                $response = sendJsonResponseWithParameter(SUCCESS, "Assignment created successfully", $resultData['id'], 201);
            } else {
                $response = sendJsonResponse(FAILURE, "Failed to create assignment: " . $resultData['message'], 400);
            }

        closeDb($db);
        $db = null;
        return $response;
    }


    // Get all assignment names
    // public function getAllAssignmentNames()
    // {
    //     $db = getDb();
    //     $crud = new Crud();
    //     $response = "";

    //     // Prepare SQL query to fetch assignment names
    //     $query = $db->prepare("SELECT id, assignment_name FROM `sales_freelancer_assignments`");
    //     $assignmentNames = $crud->getAll($query);

    //     if (!is_null($assignmentNames) && !empty($assignmentNames)) {
    //         $response = sendJsonResponseWithParameter(SUCCESS, "Assignment Names Found", $assignmentNames, 200);
    //     } else {
    //         $response = sendJsonResponse(FAILURE, "No Assignment Names Found", 404);
    //     }

    //     closeDb($db);
    //     $db = null;
    //     return $response;
    // }

// Assignment Names with assignment id using brand_id
    public function getAssignmentListAdmin($data){
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $brand_id = $data['brand_id'];
        $stmt = $db->prepare("SELECT id, assignment_name from sales_freelancer_assignments WHERE brand_id = :brand_id");
        $stmt->bindValue(":brand_id",$brand_id);
        $result = $crud->getAllWithoutJSON($stmt);
        if($result){
            $response = sendDataWithListResponse(SUCCESS, "Assignment List found", $result, 200);
        }else{
            $response = sendJsonResponse(FAILURE, "No Assignment found", 404);
        }
        closeDb();
        $db = null;
        return $response;

    }

    // View all assignments
    public function viewAllAssignments()
    {
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $query = $db->prepare("SELECT * FROM `sales_freelancer_assignments`");
        $assignments =  $crud->getAllWithoutJSON($query);

        if (!is_null($assignments) && !empty($assignments)) {
            $response = sendJsonResponseWithParameter(SUCCESS, "Assignments List Found", $assignments, 200);
        }
        else {
            $response = sendJsonResponse(FAILURE, "List Cannot Be Found",404);
        }
        closeDb($db);
        $db = null;
        return $response;
    }

    // View assignments by Location
    public function viewAllAssignmentsByLocation($location)
    {
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $query = $db->prepare("SELECT * FROM `sales_freelancer_assignments` WHERE `location` = :location");
        $query->bindValue(':location',   $location);
        $assignments = $crud->getAllWithoutJSON($query);

        if (!is_null($assignments) && !empty($assignments)) {
            $response = sendJsonResponseWithParameter(SUCCESS, "Assignments List Found", $assignments, 200);
        }
        else {
            $response = sendJsonResponse(FAILURE, "List Cannot Be Found", 404);
        }

        closeDb($db);
        $db = null;
        return $response;
    }

    // View assignments by Pincode
    public function viewAllAssignmentsByPincode($pincode)
    {
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $query = $db->prepare("SELECT * FROM `sales_freelancer_assignments` WHERE `pincode` = :pincode");
        $query->bindValue(':pincode', $pincode);
        $assignments = $crud->getAllWithoutJSON($query);

        if (!is_null($assignments) && !empty($assignments)) {
            $response = sendJsonResponseWithParameter(SUCCESS, "Assignments List Found", $assignments, 200);
        }
        else {
            $response = sendJsonResponse(FAILURE, "List Cannot Be Found" , 404);
        }

        closeDb($db);
        $db = null;
        return $response;
    }


    // View assignments by City
    public function viewAllAssignmentsByCity($city)
    {
        $db = getDb();
        $crud = new Crud();
        $response = "";
        $query = $db->prepare("SELECT * FROM `sales_freelancer_assignments` WHERE `city` = :city");
        $query->bindValue(':city', $city);
        $assignments = $crud->getAllWithoutJSON($query);

        if (!is_null($assignments) && !empty($assignments)) {
            $response = sendJsonResponseWithParameter(SUCCESS, "Assignments List Found", $assignments, 200);
        }
        else {
            $response = sendJsonResponse(FAILURE, "List Cannot Be Found", 404);
        }

        closeDb($db);
        $db = null;
        return $response;
    }
}
