<?php
header('Content-Type: application/json');


include 'api_functions.php';
// Check the request method
$requestMethod = $_SERVER['REQUEST_METHOD'];

// Handle GET and POST requests differently
switch ($requestMethod) {
    case 'GET':
        // Handle GET requests
        // Get the requested URI
        $requestUri = $_SERVER['REQUEST_URI'];
        
        // Remove the leading /superapp/api/ from the request URI
        $baseUri = '/sahayakapp/api/';
        $route = str_replace($baseUri, '', $requestUri);

        // Handle the API routes
        switch ($route) {
           
            default:
                http_response_code(404);
                echo json_encode(['error' => 'GET Endpoint not found']);
                break;
        }
        break;
    case 'POST':
        // Handle POST requests
        // Get the POST data
        $json = file_get_contents('php://input');
        $postData = json_decode($json, true);
        
        // Get the requested URI
        $requestUri = $_SERVER['REQUEST_URI'];  

        // Remove the leading /xxxx/api/ from the request URI
        $baseUri = '/sahayakapp/api/';
        $route = str_replace($baseUri, '', $requestUri);

        // Handle the API routes
        switch ($route) {
            case 'signup':
                // adding logs and calling the method
                addToLogs("SignUp.txt", $json);
                handleSignupRequest($postData);
                break;
              case 'login':
                // adding logs and calling the method
                addToLogs("Login.txt", $json);
                handleLoginRequest($postData);
                break;    
                
                 case 'candidates':
                    // adding logs and calling the method
                    addToLogs("Candidates.txt", $json);
                    getCandidatesList($postData);
                    break;  
                    
                    
             case 'profile':
                // adding logs and calling the method
                addToLogs("Profile.txt", $json);
                getProfileDetails($postData);
                break;        
                    
               
             case 'updateProfile':
                // adding logs and calling the method
                addToLogs("UpdateProfile.txt", $json);
                updateProfileDetails($postData);
                break; 
           
            case 'addReferral':
                addToLogs("Addreferral.txt", $json);
                addReferral($postData);
                break;
              
            case 'referrals':
                addToLogs("Referrals.txt", $json);
                getReferralDetails($postData);
                break;    
                
                default:
                http_response_code(404);
                echo json_encode(['error' => 'POST Endpoint not found']);
                break;
        }
        break;
    default:
        // Handle other request methods or respond with an error
        http_response_code(405); // Method Not Allowed
        echo json_encode(['error' => 'Method not allowed']);
        break;
}




function addToLogs($fileName, $json){
     file_put_contents($fileName, "Data:      ". $json ."   ". PHP_EOL, FILE_APPEND | LOCK_EX);

}