<?php

require_once '../model/BeatsData.php'; 
require_once '../database/Db.php'; 
require_once '../repository/Crud.php'; 
require_once '../utils/Utils.php'; 

class BeatsController
{
    public function addBeatsData($data)
    {
        $db = getDb(); 
        $response = "";

        try {
            $beatData = $data['beats'];
            $beatsdata = new BeatsData();
            $beatsdata->set($beatData); 
            $current_date = getCurrentTime();
            

            // Insert query for Leads Notes Table
            $insertBeatsStatement = $db->prepare("INSERT INTO `beats` (`lead_id`, `next_visit`, `date_time`, `notes`, `created_by`, `created_at`, `updated_at`)
            VALUES (:lead_id, :next_visit, :date_time, :notes, :created_by, :created_at, :updated_at)");

            $insertBeatsStatement->bindValue(':lead_id', $beatsdata->getLeadId());
            $insertBeatsStatement->bindValue(':next_visit', $beatsdata->getNextVisit());
            $insertBeatsStatement->bindValue(':date_time', $current_date);
            $insertBeatsStatement->bindValue(':notes', $beatsdata->getNotes());
            $insertBeatsStatement->bindValue(':created_by', $beatsdata->getCreatedBy());
            $insertBeatsStatement->bindValue(':created_at', $current_date);
            $insertBeatsStatement->bindValue(':updated_at', $current_date);

            $crud = new Crud();
            $result = $crud->create($insertBeatsStatement, $db);

            $resultData = json_decode($result, true);
            if ($resultData['result'] == 'success') {
                $response = sendJsonResponseWithParameter(true, "Beats created successfully", $resultData['id'], 201);
            } else {
                $response = sendJsonResponse(false, "Failed to create beats: " . $resultData['message'], 400);
            }

        } catch (PDOException $e) {
            $response = sendJsonResponse(false, "Error: " . $e->getMessage(), 500);
        }

        closeDb($db); 

        return $response;
    }
}
