<?php

require_once '../model/User.php';
require_once '../model/DecryptedData.php';
require_once '../model/CandidatesRegistered.php';
require_once '../utils/Utils.php';
require_once '../repository/Crud.php';
require_once '../database/Db.php';
require_once 'TokenController.php';


class CandidateRegisterController
{



    public  function getCandidatesList($data)
    {

        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $tokenController = new TokenController();
        $db = getDb();

        $obj1 = new stdClass();

        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id,$db);

        if ($token_found === 1) {

            $on_boarded = 0;
            $processed = 0;
            $interviewed = 0;
            $joined = 0;
            $candidatelist = array();

            $stmtRegisteredCount = $db->prepare("SELECT COUNT(*) FROM `work_seeker_v2_details` where created_by = :created_by and sourced_from = :sourced_from");
            $stmtRegisteredCount->bindValue(':created_by', $user_id);
            $stmtRegisteredCount->bindValue(':sourced_from', 'Sahayak');

            $crud = new Crud();
            $on_boarded = $crud->getCount($stmtRegisteredCount);


            $stmtProcessedCount = $db->prepare("SELECT COUNT(*) FROM `work_seeker_v2_candidates_shortlist` where created_by = :created_by and sourced_from = :sourced_from and status IN('Eligible', 'Applied')");
            $stmtProcessedCount->bindValue(':created_by', $user_id);
            $stmtProcessedCount->bindValue(':sourced_from', 'Sahayak');
            $processed = $crud->getCount($stmtProcessedCount);



            $stmtInterviewedCount = $db->prepare("SELECT COUNT(*) FROM `work_seeker_v2_details` where created_by = :created_by and sourced_from = :sourced_from and status IN('Eligible', 'Applied', 'Interviewed')");
            $stmtInterviewedCount->bindValue(':created_by', $user_id);
            $stmtInterviewedCount->bindValue(':sourced_from', 'Sahayak');
            $interviewed = $crud->getCount($stmtInterviewedCount);

            $stmtJoinedCount = $db->prepare("SELECT COUNT(*) FROM `work_seeker_v2_details` where created_by = :created_by and sourced_from = :sourced_from  and status IN('Eligible', 'Applied', 'Interviewed', 'Selected','Joined')");
            $stmtJoinedCount->bindValue(':created_by', $user_id);
            $stmtJoinedCount->bindValue(':sourced_from', 'Sahayak');
            $joined = $crud->getCount($stmtJoinedCount);


            $stmt = $db->prepare("SELECT `id`, `first_name`, `last_name`, `phone_number`, `email_id` from work_seeker_v2_details where created_by = :created_by and sourced_from = :sourced_from");
            $stmt->bindValue(':created_by', $user_id);
            $stmt->bindValue(':sourced_from', 'Sahayak');

            $crud = new Crud();
            $rows = $crud->getAllWithoutJSON($stmt);
            $candidatesList = array();

            if (!is_null($rows) && !empty($rows)) {
                foreach ($rows as $row) {
                    extract($row);
                    
                    $stmt1 = $db->prepare("SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist where created_by =:created_by and sourced_from=:sourced_from and status IN('Interviewed')");
                    $stmt1->bindValue(':created_by', $user_id);
                    $stmt1->bindValue(':sourced_from', 'Sahayak');

                    $stmt2 = $db->prepare("SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist where created_by =:created_by and sourced_from=:sourced_from and status IN('Applied')");
                    $stmt2->bindValue(':created_by', $user_id);
                    $stmt2->bindValue(':sourced_from', 'Sahayak');

                    $stmt3 = $db->prepare("SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist where created_by =:created_by and sourced_from=:sourced_from and status IN('Selected')");
                    $stmt3->bindValue(':created_by', $user_id);
                    $stmt3->bindValue(':sourced_from', 'Sahayak');

                    $stmt4 = $db->prepare("SELECT COUNT(*) FROM work_seeker_v2_candidates_shortlist where created_by =:created_by and sourced_from=:sourced_from and status IN('Eligible')");
                    $stmt4->bindValue(':created_by', $user_id);
                    $stmt4->bindValue(':sourced_from', 'Sahayak');

                    $inter = $crud->getCount($stmt1);
                    $applied = $crud->getCount($stmt2);
                    $selected = $crud->getCount($stmt3);
                    $pending = $crud->getCount($stmt4);


                    $obj = new stdClass();

                    $obj->id = $id;
                    $obj->email_id = $email_id;
                    $obj->first_name = $first_name;
                    $obj->last_name = $last_name;
                    $obj->phone_number = $phone_number;
                    $obj->last_name = $last_name;
                    $obj->pending = $pending;
                    $obj->applied = $applied;
                    $obj->selected = $selected;
                    $obj->interviewed = $inter;
                    $candidatesList[] = $obj;
                    
                }
                
                $obj1->list = $candidatesList;
                $obj1->on_boarded = $on_boarded;
                $obj1->processed = $processed;
                $obj1->interviewed = $interviewed;
                $obj1->joined = $joined;

                $response = sendDataWithListResponse("success", "The Candidate List Found", $obj1, 200);
            } else {
                $response = sendJsonResponse("failure", "No Candidates were found..", 400);
            }   
          

        } else {

            $response = sendJsonResponse("failure", "The Token could not be found...", 400);
        }
        closeDb($db);
        $db = null;  
        return $response;
    }

   
}
