<?php

require_once '../model/LeadsNote.php'; 
require_once '../database/Db.php'; 
require_once '../repository/Crud.php'; 
require_once '../utils/Utils.php'; 

class LeadsNoteController
{
    public function addLeadNote($data)
    {
        $db = getDb(); 
        $response = "";

        try {
            $noteData = $data['leads_notes'];
            $leadsNote = new LeadsNote();
            $leadsNote->set($noteData); 
            $current_date = getCurrentTime();

            // Insert query for Leads Notes Table
            $insertNoteStatement = $db->prepare("INSERT INTO `leads_notes` (`lead_id`, `date_time`, `notes`, `created_by`, `created_at`, `updated_at`)
            VALUES (:lead_id, :date_time, :notes, :created_by, :created_at, :updated_at)");

            $insertNoteStatement->bindValue(':lead_id', $leadsNote->getLeadId());
            $insertNoteStatement->bindValue(':date_time', $current_date);
            $insertNoteStatement->bindValue(':notes', $leadsNote->getNotes());
            $insertNoteStatement->bindValue(':created_by', $leadsNote->getCreatedBy());
            $insertNoteStatement->bindValue(':created_at', $current_date);
            $insertNoteStatement->bindValue(':updated_at', $current_date);

            $crud = new Crud();
            $result = $crud->create($insertNoteStatement, $db);

            $resultData = json_decode($result, true);
            if ($resultData['result'] == 'success') {
                $response = sendJsonResponseWithParameter(true, "Note created successfully", $resultData['id'], 201);
            } else {
                $response = sendJsonResponse(false, "Failed to create note: " . $resultData['message'], 400);
            }

        } catch (PDOException $e) {
            $response = sendJsonResponse(false, "Error: " . $e->getMessage(), 500);
        }

        closeDb($db); 

        return $response;
    }
}
