<?php
require_once '../model/Referral.php';

class ReferralController
{



    public function getReferralDetails($data)
    {
        /** these data from sahayak must move to SuperAppusers  and must be deleted*/

        $db = getDb();
        $response = "";
        $token = $data['session_token'];
        $user_id = $data['user_id'];
        $tokenController = new TokenController();
        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $user_id, $db);

        if ($token_found === 1) {
            $crud = new Crud();
            $stmtReferral = $db->prepare("SELECT * FROM `sahayak_referral` where referred_by =:referred_by");
            $stmtReferral->bindValue(':referred_by', $user_id);

            $referralList = $crud->getAllWithoutJSON($stmtReferral);
            if (!is_null($referralList) && count($referralList) > 0) {
                $response = sendDataWithListResponse("success", "The Referral List Found", $referralList, 200);
            } else {
                $response = sendJsonResponse("failure", "The list could not be found", 400);
            }
        } else {

            $response = sendJsonResponse("failure", "The Token could not be found...", 400);
        }

        closeDb($db);
        $db = null;
        return $response;
    }

    public function addReferral($data)
    {

        $db = getDb();
        $response = "";
        $token = $data['session_token'];
        $referrerId = $data['user_id'];
        $tokenController = new TokenController();

        $token_found = $tokenController->verifyTokenWithoutJsonResponse($token, $referrerId, $db);

        if ($token_found === 1) {
            $date = getCurrentTime();
            $referralData = $data['referral'];
            $referral = new Referral();
            $referral->set($referralData);
            // unique identifier for the user..
            $user_id = uniqid();

            $crud = new Crud();
            // check if user already referred
            $checkReferralStatement = $db->prepare("SELECT COUNT(*) FROM `sahayak_referral` WHERE `mobile_number` = :mobile_number");
            $checkReferralStatement->bindValue(':mobile_number', $referral->getMobileNumber());
            $checkReferralResult = $crud->getCount($checkReferralStatement);

            if ($checkReferralResult == 0) {

                $addReferralStatement = $db->prepare("INSERT INTO `sahayak_referral`(`mobile_number`, `email_id`, `created_at`, `referred_by`)
                VALUES (:mobile_number,:email_id,:created_at,:referred_by)");
                $addReferralStatement->bindValue(':mobile_number', $referral->getMobileNumber());
                $addReferralStatement->bindValue(':email_id', $referral->getEmailId()); // default status is active
                $addReferralStatement->bindValue(':created_at', $date);
                $addReferralStatement->bindValue(':referred_by', $referrerId);

                $result = $crud->create($addReferralStatement, $db);
                $res = json_decode($result, true);
                if ($res['result'] == 'success') {
                    $response = sendJsonResponseWithParameter($res['result'], $res['message'], $res['id'], 200);
                } else {
                    $response = sendJsonResponse($res['result'], $res['message'], 400);
                }
            } else {
                $response = sendJsonResponse("Failure", "referral already added", 409);
            }
        } else {
            $response = sendJsonResponse("failure", "The Token could not be found...", 400);
        }
        closeDb($db);
        $db = null;
        return $response;
    }
}
