<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

class Crud
{



    ///////////////////////////////////////////////////////////////////////////////////////////
    public function create($stmt, $db)
    {

        $obj = new stdClass();
        try {
            if ($stmt->execute()) {
                $obj->result = "success";
                $obj->message = "Created Successfully";
                $obj->id = $db->lastInsertId();
            } else {
                $message = json_encode($stmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
            }
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = $exception->getMessage();
        }

        return json_encode($obj);
    }

    ///////////////////////////////////////////////////////////////////////////////////////////
    public function getAll($stmt)
    {

        $stmt->execute();

        $obj = new stdClass();
        try {
            $output = array();
            while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                $output[] = $row;
            }
            $obj->result = "success";
            $obj->message = "list found";
            $obj->list = $output;
            return json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->id = $exception->getMessage();
            return json_encode($obj);;
        }
    }

    public function getAllWithoutJSON($stmt)
    {

        $stmt->execute();

        $obj = new stdClass();
        try {
            $output = array();
            while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                $output[] = $row;
            }
            return $output;
        } catch (PDOException $exception) {
        }
    }

    ////////////////////////////////////////////////////////////////////////////////////////////////
    public function getByCondition($stmt)
    {


        $stmt->execute();
        // store retrieved row to a variable
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        // extract leps to get values like $id instead of $row['id'];
        return $row;
    }

    public function getCount($stmt)
    {


        $row = $stmt->execute();
        // store retrieved row to a variable
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        // extract leps to get values like $id instead of $row['id'];
        return $row['COUNT(*)'];
    }

    // return value

    public function getDataCount($stmt)
    {


        $res = $stmt->execute();
        // store retrieved row to a variable
        $row = $res->fetchColumn();
        // extract leps to get values like $id instead of $row['id'];
        return $row;
    }

    ////////////////////////////////////////////////////////////////////////////////////////////////

    public function update($stmt)
    {

        // echo $stmt->debugDumpParams();
        try {

            $obj = new stdClass();
            $stmt->execute();
            if ($stmt->rowCount()) {

                $obj->result = "success";
                $obj->message = "Updated Successfully";
            } else {
                $message = json_encode($stmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
            }
            return json_encode($obj);
        } catch (PDOException $ex) {
            $obj->result = "failure";
            $obj->message = $ex->getMessage();
            return json_encode($obj);
        }
    }

    //////////////////////////////////////////////////////////////////////////////////////////////////

    public function deleted($stmt)
    {

        try {

            $obj = new stdClass();
            if ($stmt->execute()) {
                $obj->result = "success";
                $obj->message = "Deleted Successfully";
            } else {
                $obj->result = "failure";
                $obj->message = "Delete failed";
            }
            return json_encode($obj);
        } catch (PDOException $ex) {
            $obj->result = "failure";
            $obj->message = $ex->getMessage();
            return json_encode($obj);
        }
    }


    public function delete($stmt)
    {

        try {

            if ($stmt->execute()) {
                return 1;
            } else {
                return 0;
            }
        } catch (PDOException $ex) {
            return 0;
        }
    }


    public function findUser($stmt)
    {


        try {
            $obj = new stdClass();
            $stmt->execute();
            // store retrieved row to a variable
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            // extract leps to get values like $id instead of $row['id'];

            if (!is_null($row) && !empty($row)) {
                extract($row);
                $obj->action = 1;
                $obj->result = "failure";
                $obj->message = "username" . $username . "already exists";
            } else if (is_null($row) || !empty($row)) {
                $obj->action = 0;
                $obj->result = "success";
                $obj->message = "username does not exists";
            }

            return json_encode($obj);
        } catch (PDOException $ex) {
            $obj->result = "failure";
            $obj->message = $ex->getMessage();
            return json_encode($obj);
        }
    }


    public function findUserWithoutJson($stmt)
    {


        try {
            $stmt->execute();
            // store retrieved row to a variable
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            // extract leps to get values like $id instead of $row['id'];
            if (!is_null($row) && !empty($row)) {
                return 1;
            } else if (is_null($row) || !empty($row)) {
                return 0;
            }
        } catch (PDOException $ex) {
            echo $ex->getMessage();
            return -1;
        }
    }


    public function findPassword($stmt)
    {


        try {
            $stmt->execute();
            // store retrieved row to a variable
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            // extract leps to get values like $id instead of $row['id'];
            if (!is_null($row) && !empty($row)) {

                return $row['password'];
            } else if (is_null($row) || !empty($row)) {
                return null;
            }
        } catch (PDOException $ex) {

            echo "Exception: " . $ex->getMessage() . "\n";
            return -1;
        }
    }
}
