<?php
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Kyndryl Digital Literacy</title>
    
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <!-- For Map -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />

    <style>
        .new-card {
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
            margin-bottom: 10px;
            margin-top: 10px;
        }

        .new-card-title {
            padding: 12px;
            background-color: #f9f9f9;
            font-size: 1.0rem;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
            text-align: center;
        }

        .new-card-body {
            padding: 50px;
            background-color: #FFFFFF;
        }

        .card-value {
            font-size: 24px;
            /* font-weight: bold; */
            color: #000000;    
            text-align: center;
        }
        
        /* Map */
        #mapdiv {
            width: 90%;
            height: 600px;
        }
    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="row col-md-12">
            <?php include 'includes/sf_header.php'; ?>
        </div>

        <div class="container-fluid page-body-wrapper">
            <?php include 'includes/sf_sidebar.php'; ?>

            <div class="main-panel">
                <div class="content-wrapper">

                    <!-- digital literacy program -->
                    <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px;">
                        <div class="card">
                            <div class="card-body" style="text-align: center;">
                                <h4>Digital Literacy Program</h4>
                            </div>
                        </div>
                    </div>

                    <div class="new-cards-container">
                        <div class="row">
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Total</div>
                                    <div class="new-card-body">
                                        <div class="card-value">15</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Nielet</div>
                                    <div class="new-card-body">
                                        <div class="card-value">10</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Attendance</div>
                                    <div class="new-card-body">
                                        <div class="card-value">2</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="new-card">
                                    <div class="new-card-title">Feedback</div>
                                    <div class="new-card-body">
                                        <div class="card-value">3</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="new-card">
                                    <div class="new-card-title">States</div>
                                    <div class="new-card-body">
                                        <div class="card-value">5</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="new-card">
                                    <div class="new-card-title">Districts</div>
                                    <div class="new-card-body">
                                        <div class="card-value">15</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="new-card">
                                    <div class="new-card-title">VLE</div>
                                    <div class="new-card-body">
                                        <div class="card-value">6</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Map Section -->
                    <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px;">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Areas Map</h4>
                                <div id="mapdiv"></div>
                            </div>
                        </div>
                    </div>



                </div>
            </div>
        </div>
    </div>

    
    <!-- Include Leaflet JS (For Map) -->
    <script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>

    
    <script src="js/digital_literacy.js"></script>
</body>
</html>

