$(document).ready(function () {
    // Brand Names
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/brand/get_all_brand_details.php",
        dataType: 'json',
        success: function (response) {
            var transactions = response.list;
            var options = '<option value="">Select Brand Name</option>';

            if (transactions && transactions.length > 0) {
                transactions.forEach(transaction => {
                    options += `<option value="${transaction.id}">${transaction.brand_name}</option>`;
                });
            }
            $('#brand').html(options);
        },
        error: function () {
            Swal.fire('Error', 'Failed to load brand names.', 'error');
        }
    });

    $('#btn_register').click(function (e) {
        e.preventDefault(); 

        // Retrieve Form Data
        var brand = $('#brand').val().trim();
        var start_date = $('#start_date').val().trim();
        var end_date = $('#end_date').val().trim();
        var start_time = $('#start_time').val().trim();
        var end_time = $('#end_time').val().trim();
        var pay_frequency = $('#pay_frequency').val().trim();
        var ass_name = $('#ass_name').val().trim();
        var ass_type = $('#ass_type').val().trim();
        var ass_comp_date = $('#ass_comp_date').val().trim();
        var desc = $('#desc').val().trim();
        var state = $('#state').val().trim();
        var city = $('#city').val().trim();
        var error_count = 0;

        // Form Validation
        if (brand === '') {
            $("#brand").css('border-color', 'red');
            $('#err_brand').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#brand").css('border-color', 'green');
            $('#err_brand').html('');
        }

        if (start_date === '') {
            $("#start_date").css('border-color', 'red');
            $('#err_start_date').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#start_date").css('border-color', 'green');
            $('#err_start_date').html('');
        }

        if (end_date === '') {
            $("#end_date").css('border-color', 'red');
            $('#err_end_date').html('This Field is Mandatory');
            error_count++;
        } else if (new Date(end_date) <= new Date(start_date)) {
            $("#end_date").css('border-color', 'red');
            $('#err_end_date').html('End date must be greater than start date');
            error_count++;
        } else {
            $("#end_date").css('border-color', 'green');
            $('#err_end_date').html('');
        }

        if (start_time === '') {
            $("#start_time").css('border-color', 'red');
            $('#err_start_time').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#start_time").css('border-color', 'green');
            $('#err_start_time').html('');
        }

        if (end_time === '') {
            $("#end_time").css('border-color', 'red');
            $('#err_end_time').html('This Field is Mandatory');
            error_count++;
        } else if (start_time !== '' && end_time !== '' && start_time >= end_time) {
            $("#end_time").css('border-color', 'red');
            $('#err_end_time').html('End time must be greater than start time');
            error_count++;
        } else {
            $("#end_time").css('border-color', 'green');
            $('#err_end_time').html('');
        }

        if (pay_frequency === '') {
            $("#pay_frequency").css('border-color', 'red');
            $('#err_pay_frequency').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#pay_frequency").css('border-color', 'green');
            $('#err_pay_frequency').html('');
        }

        if (ass_name === '') {
            $("#ass_name").css('border-color', 'red');
            $('#err_ass_name').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#ass_name").css('border-color', 'green');
            $('#err_ass_name').html('');
        }

        if (ass_type === '') {
            $("#ass_type").css('border-color', 'red');
            $('#err_ass_type').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#ass_type").css('border-color', 'green');
            $('#err_ass_type').html('');
        }

        if (ass_comp_date !== '' && new Date(ass_comp_date) <= new Date(start_date)) {
            $("#ass_comp_date").css('border-color', 'red');
            $('#err_ass_comp_date').html('Assignment completion date must be greater than start date');
            error_count++;
        } else {
            $("#ass_comp_date").css('border-color', 'green');
            $('#err_ass_comp_date').html('');
        }


        if (error_count === 0) {
            var formValues = {
                brand_id: brand,
                start_date: start_date,
                end_date: end_date,
                start_time: start_time,
                end_time: end_time,
                payment_frequency: pay_frequency,
                assignment_name: ass_name,
                assignment_type: ass_type,
                assignment_complete_date: ass_comp_date,
                assignment_description: desc,
                state: state,
                city: city,
                created_by: val_user_id
            };

            var json = JSON.stringify(formValues);
            console.log(json);

            $.ajax({
                type: "POST",
                url: "../sales_freelancer_app/api/SFAssignmentsApi.php",
                data: json,
                contentType: 'application/json',
                dataType: 'json',
                success: function (response) {
                    console.log('Response from server:', response); 
                    if (response.success) {
                        $('#assignment_form').hide();  
                        Swal.fire({
                            title: "Assignment Created Successfully!",
                            confirmButtonColor: "#713DAD",
                            confirmButtonText: "OK"
                        });
                    } else {
                        Swal.fire({
                            title: response.message || "Submission failed!",
                            confirmButtonColor: "#713DAD",
                            confirmButtonText: "OK"
                        });
                    }
                },
                
                error: function (jqXHR, textStatus, errorThrown) {
                    console.error('AJAX Error:', textStatus, errorThrown);
                    console.error('Response:', jqXHR.responseText);
                    Swal.fire('Error', 'Failed to register assignment. ' + jqXHR.responseText, 'error');
                }
            });
        } else {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }
    });
});
