$(document).ready(function () {
    console.log('Document ready - fetching brands...');

    // Hide location, area and pincode
    $('#yesNo').hide();
    $('input[name="activity_yesNo"]').closest('.form-group').hide(); 


    // Fetch Brand Names on Page Load
    $.ajax({
        type: "GET",
        url: "../sales_freelancer_app/api/SFBrandsapi.php",
        dataType: 'json',
        success: function (response) {
            console.log('Brand response:', response);

            var transactions = response.data;
            var options = '<option value="">Select Brand Name</option>';

            if (transactions && transactions.length > 0) {
                transactions.forEach(transaction => {
                    options += `<option value="${transaction.id}">${transaction.brand_name}</option>`;
                });
            }

            $('#brand').html(options);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.error('Error fetching brands:', textStatus, errorThrown);
            Swal.fire('Error', 'Failed to load brand names.', 'error');
        }
    });

    // Fetch Assignments when a Brand is Selected
    $("#brand").change(function () {
        var brand_id = $(this).val();  
        console.log('Selected brand ID:', brand_id);

        if (!brand_id) {
            $('#assignment_name').html('<option value="">Select Assignment Name</option>');
            $('#activity_name').html('<option value="">Select Activity Name</option>');
            return;
        }

        $.ajax({
            type: "POST",
            url: "../sales_freelancer_app/api/SFAssignmentsListapi.php",
            dataType: 'json',
            data: JSON.stringify({ "brand_id": brand_id }),
            success: function (response) {
                console.log('Assignment response:', response);

                var transactions = response.data;
                var options = '<option value="">Select Assignment Name</option>';

                if (transactions && transactions.length > 0) {
                    transactions.forEach(transaction => {
                        options += `<option value="${transaction.id}">${transaction.assignment_name}</option>`;
                    });
                }

                $('#assignment_name').html(options);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.error('Error fetching assignments:', textStatus, errorThrown);
                Swal.fire('Error', 'Failed to load assignments.', 'error');
            }
        });
    });

    // Fetch Activities when an Assignment is Selected
    $("#assignment_name").change(function () {
        var assignment_id = $(this).val();  
        console.log('Selected assignment ID:', assignment_id);

        if (!assignment_id) {
            $('#activity_name').html('<option value="">Select Activity Name</option>');
            return;
        }

        $.ajax({
            type: "POST",
            url: "../sales_freelancer_app/api/SFGetActivity.php",
            dataType: 'json',
            data: JSON.stringify({ "assignment_id": assignment_id }),
            success: function (response) {
                console.log('Activity response:', response);

                var activities = response.data;
                var options = '<option value="">Select Activity Name</option>';

                if (activities && activities.length > 0) {
                    activities.forEach(activity => {
                        options += `<option value="${activity.id}">${activity.activity_name}</option>`;
                    });
                }

                $('#activity_name').html(options);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.error('Error fetching activities:', textStatus, errorThrown);
                Swal.fire('Error', 'Failed to load activities.', 'error');
            }
        });
    });



   // Fetch Users
    $.ajax({
        type: "POST",
        url: "../sales_freelancer_app/api/GetUserapi.php",
        dataType: 'json',
        success: function (response) {
            console.log('user response:', response);

            var users = response.data;
            var options = '<option value="">Select User Name</option>';

            if (users && users.length > 0) {
                users.forEach(user => {
                    options += `<option value="${user.id}">${user.name} | ${user.mobile_number}</option>`;
                });
            }

            $('#users').html(options);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.error('Error fetching users:', textStatus, errorThrown);
            Swal.fire('Error', 'Failed to load user names.', 'error');
        }
        // error: function (jqXHR, textStatus, errorThrown) {
        //     console.error('Error fetching users:', textStatus, errorThrown, jqXHR.responseText);
        //     Swal.fire('Error', 'Failed to load user names: ' + jqXHR.responseText, 'error');
        // }
        
    });

 
    // // Create Auto Task
    // $('input[name="yesNo"]').change(function() {
    //     if ($(this).val() === "1") { 
    //         $('input[name="activity_yesNo"]').closest('.form-group').show(); 
    //         $('#yesNo').show();
    //     } else { 
    //         $('input[name="activity_yesNo"]').closest('.form-group').hide(); 
    //         $('#yesNo').hide();
    //     }
    // });

    // // Task Location Same as Activity 
    // $('input[name="activity_yesNo"]').change(function() {
    //     if ($(this).val() === "1") { 
    //         $('#location').val(''); 
    //         $('#pincode').val(''); 
    //         $('#area').val(''); 
    //         $('#location').parent().parent().hide(); 
    //         $('#pincode').parent().parent().hide(); 
    //         $('#area').parent().parent().hide();
    //     } else { 
    //         $('#location').parent().parent().show(); 
    //         $('#pincode').parent().parent().show(); 
    //         $('#area').parent().parent().show(); 
    //     }
    // });

    // Create Auto Task
    $('input[name="yesNo"]').change(function() {
        if ($(this).val() === "1") { 
            $('input[name="activity_yesNo"]').closest('.form-group').show(); 
            $('#yesNo').show();
        } else { 
            $('input[name="activity_yesNo"]').closest('.form-group').hide(); 
            $('#yesNo').hide();
            
            // Set activity_yesNo to "No" and trigger its change event
            $('input[name="activity_yesNo"][value="0"]').prop('checked', true).change();
        }
    });

    // Task Location Same as Activity 
    $('input[name="activity_yesNo"]').change(function() {
        if ($(this).val() === "1") { 
            $('#location').val(''); 
            $('#pincode').val(''); 
            $('#area').val(''); 
            $('#location').parent().parent().hide(); 
            $('#pincode').parent().parent().hide(); 
            $('#area').parent().parent().hide();
        } else { 
            $('#location').parent().parent().show(); 
            $('#pincode').parent().parent().show(); 
            $('#area').parent().parent().show(); 
        }
    });


    $('#btn_register').click(function (e) {
        e.preventDefault(); 

        // Retrieve Form Data
        var brand = $('#brand').val().trim();
        var assignment_name = $('#assignment_name').val().trim();
        var activity_name = $('#activity_name').val().trim();
        var location = $('#location').val().trim(); 
        var area = $('#area').val().trim(); 
        var pincode = $('#pincode').val().trim();
        var create_auto_task = $('input[name="yesNo"]:checked').val(); 
        var task_location_same_as_activity = $('input[name="activity_yesNo"]:checked').val(); 
        var users = $('#users').val();
        var error_count = 0;

        // Form Validation
        if (brand === '') {
            $("#brand").css('border-color', 'red');
            $('#err_brand').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#brand").css('border-color', 'green');
            $('#err_brand').html('');
        }

        if (assignment_name === '') {
            $("#assignment_name").css('border-color', 'red');
            $('#err_assignment_name').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#assignment_name").css('border-color', 'green');
            $('#err_assignment_name').html('');
        }

        if (activity_name === '') {
            $("#activity_name").css('border-color', 'red');
            $('#err_activity_name').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#activity_name").css('border-color', 'green');
            $('#err_activity_name').html('');
        }

        // if (pincode === '') {
        //     $("#pincode").css('border-color', 'red');
        //     $('#err_pincode').html('This Field is Mandatory');
        //     error_count++;
        // } else if (!/^\d{6}$/.test(pincode)) {
        //     $("#pincode").css('border-color', 'red');
        //     $('#err_pincode').html('Pincode Must Be In 6 Digits Only');
        //     error_count++;
        // } else {
        //     $("#pincode").css('border-color', 'green');
        //     $('#err_pincode').html('');
        // }

        if (pincode !== '' && !/^\d{6}$/.test(pincode)) {
            $("#pincode").css('border-color', 'red');
            $('#err_pincode').html('Pincode Must Be In 6 Digits Only');
            error_count++;
        } else {
            $("#pincode").css('border-color', 'green');
            $('#err_pincode').html('');
        }

        if (error_count === 0) {
            var formValues = {
                brand_id: brand,
                sf_assignment_id: assignment_name,
                sf_activity_id: activity_name,
                location: location,
                area: area,
                pincode: pincode,
                create_auto_task: create_auto_task,
                task_location_same_as_activity: task_location_same_as_activity,
                user_id: users
            };
        
            var json = JSON.stringify(formValues);
            console.log(json);
        
            $.ajax({
                type: "POST",
                url: "../sales_freelancer_app/api/AutoTaskapi.php",
                data: json,
                contentType: 'application/json',
                dataType: 'json',
                success: function (response) {
                    console.log('Response from server:', response);
                    if (response.success) {
                        $('#assignment_to_user_form').hide();
                        Swal.fire({
                            title: "Assignment To Users Created Successfully!",
                            confirmButtonColor: "#713DAD",
                            confirmButtonText: "OK"
                        });
                    } else {
                        Swal.fire({
                            title: response.message || "Submission failed!",
                            confirmButtonColor: "#713DAD",
                            confirmButtonText: "OK"
                        });
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    console.error('AJAX Error:', textStatus, errorThrown);
                    console.error('Response:', jqXHR.responseText);
                    Swal.fire('Error', 'Failed to register Assignment to Users. ' + jqXHR.responseText, 'error');
                }
            });
        } else {
            $('#status').html(error_count + ' fields are incorrect. Kindly fill all details properly');
        }
    });
});

