<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leaflet Map Example</title>
    <!-- Leaflet CSS -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />
    <style>
        /* Set the size of the map container */
        #map {
            height: 700px; /* Set the height of the map */
            width: 100%; /* Full width */
        }
    </style>
</head>
<body>

<div id="map"></div> <!-- Map Container -->

<!-- Leaflet JS -->
<script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>
<script>
    // Initialize the map
    const map = L.map('map').setView([13.0827, 80.2707], 12); // Centered on Chennai

    // Add OpenStreetMap tiles
    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        maxZoom: 19,
        attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
    }).addTo(map);

    // Define the locations of the areas
    const areas = {
        'Tambaram': [12.9162, 80.1595],
        'Guindy': [13.0076, 80.2235],
        'Perungudi': [12.9257, 80.2297],
        'Velachery': [12.9673, 80.2156],
        'Adyar': [13.0058, 80.2515]
    };

    // Add markers for each area
    for (const [name, coords] of Object.entries(areas)) {
        L.marker(coords)
            .addTo(map)
            .bindPopup(`This is ${name}!`)
            .openPopup();
    }
</script>

</body>
</html>
