<?php
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sales Freelancer</title>
    <!-- Include Required CSS Files -->
    <!-- <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css"> -->
    <!-- <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css"> -->
    <!-- <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css"> -->
    <!-- <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css"> -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">

    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />


    <style>
        .card {
            margin: 2% auto;
            width: 80%;
            height: auto;
            /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
            /* border-radius: 10px; */
            overflow: hidden;
        }

        .card-title-container {
            text-align: center;
            padding: 3%;
            font-size: 1.25rem;
            font-weight: bold;
            background-color: #f9f9f9;
            border-bottom: 1px solid #ddd;
        }

        .card-body {
            padding: 20%;
            display: flex;
            flex-direction: column; 
            align-items: center;
        }

        .chart-container {
            width: 100%; 
            height: 300px; 
            position: relative; 
            margin-bottom: 20px; 
            display: flex;
            justify-content: center; 
        }

        .new-card {
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
            overflow: hidden;
            margin-bottom: 10px;
            margin-top: 10px;
        }

        .new-card-title {
            padding: 12px;
            background-color: #f9f9f9;
            font-size: 1.0rem;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
            text-align: center;
        }

        .new-card-body {
            padding: 50px;
            background-color: #FFFFFF;
        }

        .card-value {
            font-size: 24px;
            /* font-weight: bold; */
            color: #000000;    
            text-align: center;
        }
        
        @media (max-width: 768px) {
            #chart1Card, #chart2Card {
                max-width: 100%; /* Stacks the cards on small screens */
            }
        }

        /* Map */
        #mapdiv {
            width: 90%;
            height: 500px;
            /* margin-top: 20px; */
        }
    </style>

</head>

<body>

    <div class="container-scroller">
        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/sf_header.php'; ?>
        </div>

            <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
                <!-- partial:partials/_sidebar.html -->
                <?php include 'includes/sf_sidebar.php'; ?>
                <div class="main-panel">
                        <div class="content-wrapper">
                            <div class="new-cards-container" style="margin-top:0px;">
                                <div class="row">
                                    <div class="col-lg-3">
                                        <div class="new-card">
                                            <div class="new-card-title">Total Assignments</div>
                                            <div class="new-card-body">
                                                <div class="card-value">15</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="new-card">
                                            <div class="new-card-title">Completed Assignments</div>
                                            <div class="new-card-body">
                                                <div class="card-value">10</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="new-card">
                                            <div class="new-card-title">On-going Assignment</div>
                                            <div class="new-card-body">
                                                <div class="card-value">2</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="new-card">
                                            <div class="new-card-title">Pending Assignment</div>
                                            <div class="new-card-body">
                                                <div class="card-value">3</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-title-container">Top 5 Assignments By City</div>
                                        <div class="card-body">
                                            <div class="chart-container">
                                                <canvas id="chart1"></canvas>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-6 grid-margin stretch-card" id="chart2Card">
                                    <div class="card">
                                        <div class="card-title-container" id="chart2Title">Top 5 Assignments By Area</div>
                                        <div class="card-body">
                                            <div class="chart-container">
                                                <canvas id="chart2"></canvas>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-title-container">Last 5 Days Leads</div>
                                        <div class="card-body">
                                            <div class="chart-container">
                                                <canvas id="leadsChart"></canvas>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-body">
                                            <!-- <h4 class="card-title">Last 5 Days Leads</h4> -->
                                            <div class="table-responsive pt-3">
                                                <table class="table table-bordered">
                                                    <thead>
                                                        <tr>
                                                            <th>S.No</th>
                                                            <th>Freelancer</th>
                                                            <th>City</th>
                                                            <th>Area</th>
                                                            <th>Activity</th>
                                                            <th>Leads</th>
                                                            <th>DateTime</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>1</td>
                                                            <td>Surya</td>
                                                            <td>Chennai</td>
                                                            <td>Perungudi</td>
                                                            <td>Developer</td>
                                                            <td>5</td>
                                                            <td>2024-10-15 09:30 AM</td>
                                                        </tr>
                                                        <tr>
                                                            <td>2</td>
                                                            <td>Nandhini</td>
                                                            <td>Bangalore</td>
                                                            <td>Whitefield</td>
                                                            <td>Web Development</td>
                                                            <td>3</td>
                                                            <td>2024-10-15 10:00 AM</td>
                                                        </tr>
                                                        <tr>
                                                            <td>3</td>
                                                            <td>Siva</td>
                                                            <td>Mumbai</td>
                                                            <td>Goregaon</td>
                                                            <td>Software Developer</td>
                                                            <td>7</td>
                                                            <td>2024-10-15 11:15 AM</td>
                                                        </tr>
                                                        <tr>
                                                            <td>4</td>
                                                            <td>Kalai</td>
                                                            <td>Hyderabad</td>
                                                            <td>Secunderabad</td>
                                                            <td>Python Developer</td>
                                                            <td>2</td>
                                                            <td>2024-10-15 01:00 PM</td>
                                                        </tr>
                                                        <tr>
                                                            <td>5</td>
                                                            <td>Nithish</td>
                                                            <td>Delhi</td>
                                                            <td>Dwarka</td>
                                                            <td>Tester</td>
                                                            <td>6</td>
                                                            <td>2024-10-15 03:30 PM</td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-title-container">Freelancer By City</div>
                                        <div class="card-body">
                                            <div class="chart-container">
                                                <canvas id="sf_city"></canvas>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-title-container">Freelancer By Area</div>
                                        <div class="card-body">
                                            <div class="chart-container">
                                                <canvas id="sf_area"></canvas>
                                            </div>                       
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-top: 20px;">
                                <div class="col-lg-6">
                                    <label for="cityDropdown">Select City:</label>
                                    <select id="cityDropdown" class="form-control">
                                        <option value="chennai">Chennai</option>
                                    </select>
                                </div>

                                <div class="col-lg-6">
                                    <label for="assignmentDropdown">Select Assignment:</label>
                                    <select id="assignmentDropdown" class="form-control">
                                        <option value="ass1">Event Organization</option>
                                    </select>
                                </div>
                            </div>


                            <!-- Map Section -->
                            <div class="col-lg-13 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-title-container">Areas Map</div>
                                    <div class="card-body">
                                        <div id="mapdiv"></div>
                                    </div>
                                </div>
                            </div>

                    </div>
                </div>
            </div>
    </div>

    <!-- Include Chart.js Library -->
    <!-- <script src="https://www.openlayers.org/api/OpenLayers.js"></script> -->

    <!-- Include Leaflet JS -->
    <script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>

    <script src="../JeevitamV2/js/jquery/jquery.min.js"></script>
	<script src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>
    
    <!-- Link to External JS File -->
    <script src="js/sales_freelancer.js"></script>
</body>
</html>
